
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest17 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test001"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(8.673617379884035E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.673617379884035E-19d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test002"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(6.938893903907228E-18d, 0.5999677923077789d, 10.171604313758156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test003"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.419590690075101E248d, (-4), (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test004"); }


    double[] d_array0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.analysis.function.Sin sin7 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = sin7.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array9 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction8 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable6, (java.lang.Object[])univariateFunction_array9);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array9);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction1, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable5, univariateFunction12);
    double[] d_array17 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable5, 1.1993938046696928d, 8.533542877826454E79d, 1);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array19);
    double d25 = org.apache.commons.math3.util.MathArrays.distance1(d_array17, d_array19);
    double[] d_array27 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array17, 0.4781501945588883d);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException34 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection35 = nonMonotonicSequenceException34.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError36 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException34);
    int i37 = nonMonotonicSequenceException34.getIndex();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection38 = nonMonotonicSequenceException34.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException40 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.009976469864685297d), (java.lang.Number)1.0d, (-22), orderDirection38, false);
    boolean b42 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array27, orderDirection38, false);
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array47 = new double[] { 0.0d, 1.0d };
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array47);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array57 = new double[] { 0.0d, 0.0d };
    double d58 = org.apache.commons.math3.util.MathArrays.distance1(d_array53, d_array57);
    boolean b59 = org.apache.commons.math3.util.MathArrays.equals(d_array44, d_array57);
    double[] d_array60 = org.apache.commons.math3.util.MathArrays.copyOf(d_array44);
    double[] d_array61 = org.apache.commons.math3.util.MathArrays.copyOf(d_array60);
    double[] d_array62 = org.apache.commons.math3.util.MathArrays.copyOf(d_array61);
    double d63 = org.apache.commons.math3.util.MathArrays.distance1(d_array27, d_array61);
    // The following exception was thrown during execution in test generation
    try {
      double d64 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array0, d_array61);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 99.06818074484748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 99.52184980544111d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test005"); }


    double[] d_array4 = new double[] { 100.0d };
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    boolean b8 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array7);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array13 = new double[] { 0.0d, 1.0d };
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array13);
    double[] d_array17 = new double[] { 0.0d, 0.0d };
    double d18 = org.apache.commons.math3.util.MathArrays.distance1(d_array13, d_array17);
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array17);
    double[] d_array22 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection23 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b26 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array22, orderDirection23, false, false);
    boolean b29 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array17, orderDirection23, true, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException31 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1.7215824152474646d), (java.lang.Number)(-0.5278888682247536d), 90, orderDirection23, false);
    org.apache.commons.math3.exception.MathInternalError mathInternalError32 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test006"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 1000.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test007"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = sin0.derivative();
    double[] d_array8 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)sin0, 6.742965677935095d, 20.569139126336136d, 3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure11 = sin0.value(derivativeStructure10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test008"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.12500003f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.12500003f);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test009"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.copyOf(d_array4);
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array12, d_array15);
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array21);
    double[] d_array25 = new double[] { 0.0d, 0.0d };
    double d26 = org.apache.commons.math3.util.MathArrays.distance1(d_array21, d_array25);
    boolean b27 = org.apache.commons.math3.util.MathArrays.equals(d_array12, d_array25);
    double[] d_array29 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array12, (-0.6246841429488434d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array12);
    double[] d_array31 = org.apache.commons.math3.util.MathArrays.copyOf(d_array12);
    double[] d_array33 = org.apache.commons.math3.util.MathArrays.copyOf(d_array12, 90);
    double[] d_array34 = org.apache.commons.math3.util.MathArrays.copyOf(d_array33);
    double d35 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array33);
    double d36 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array10, d_array33);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction37 = null;
    org.apache.commons.math3.analysis.function.Sin sin38 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array39 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin38 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable40 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array39);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable41 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array39);
    org.apache.commons.math3.exception.util.Localizable localizable42 = null;
    org.apache.commons.math3.analysis.function.Sin sin43 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction44 = sin43.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array45 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction44 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction46 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array45);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException47 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable42, (java.lang.Object[])univariateFunction_array45);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction48 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array45);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction49 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction37, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable41, univariateFunction48);
    double[] d_array53 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable41, 1.1993938046696928d, 8.533542877826454E79d, 1);
    double[] d_array55 = new double[] { 100.0d };
    double[] d_array58 = new double[] { 0.0d, 1.0d };
    boolean b59 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array55, d_array58);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array55);
    double d61 = org.apache.commons.math3.util.MathArrays.distance1(d_array53, d_array55);
    // The following exception was thrown during execution in test generation
    try {
      double d62 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array33, d_array53);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 99.06818074484748d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test010"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.9999972192379961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test011"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test012"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.12500003f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.11860085903958355d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-6.795328669594135d));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test014"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-1023));
    boolean b5 = incrementor1.canIncrement();
    int i6 = incrementor1.getMaximalCount();
    incrementor1.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(26);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1023));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test015"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.9459101490553132d, 0.027123638303735913d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test016"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.6d), 3.4942187170360266E-7d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test017"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)1.7253825588523148d);
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    tooManyEvaluationsException1.addSuppressed((java.lang.Throwable)mathIllegalStateException11);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = tooManyEvaluationsException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test018"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.5583721499390896d), (-55.914184464550054d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test019"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(3.9666597074241197d, 0.49319199351633364d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test020"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.9721523E-31f, (-89));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test021"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(3.6675878962608164E86d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 9223372036854775807L);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test022"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.33869956924718986d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.3522743966058917d));

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.48811158879426825d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test024"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test025"); }


    double[] d_array9 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array9, 1.0907245790542575d);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array32 = new double[] { 0.0d, 0.0d };
    double d33 = org.apache.commons.math3.util.MathArrays.distance1(d_array28, d_array32);
    boolean b34 = org.apache.commons.math3.util.MathArrays.equals(d_array19, d_array32);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction35 = new org.apache.commons.math3.analysis.function.StepFunction(d_array13, d_array19);
    boolean b36 = org.apache.commons.math3.util.MathArrays.equals(d_array9, d_array19);
    double[] d_array40 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array42 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array40, 1.0907245790542575d);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array42);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    boolean b50 = org.apache.commons.math3.util.MathArrays.equals(d_array9, d_array48);
    double[] d_array52 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array48, 0.19168779159217494d);
    double d53 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array48);
    java.lang.Comparable[] comparable_array55 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection56 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b58 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array55, orderDirection56, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException62 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection63 = nonMonotonicSequenceException62.getDirection();
    boolean b65 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array55, orderDirection63, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException75 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection76 = nonMonotonicSequenceException75.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException78 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)1, (java.lang.Number)0.4228120277165407d, 6, orderDirection76, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException80 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.4441261591d), (java.lang.Number)(short)1, (-2), orderDirection76, false);
    boolean b82 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array55, orderDirection76, false);
    boolean b85 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array48, orderDirection76, false, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException87 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5315175239226273d), (java.lang.Number)1.1945126112383255d, 6, orderDirection76, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException89 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.6068389039054797d, (java.lang.Number)9.95299510924314E-5d, 9, orderDirection76, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == true);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test026"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(11.548739357257741d, 1.552721991371575d, (-0.6961386959691023d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test027"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.0583173678308864d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test028"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.3073211809791987d, 1.902334573623055E82d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test029"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getStartValue();
    int i5 = brentOptimizer3.getMaxEvaluations();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction7 = null;
    org.apache.commons.math3.analysis.function.Sin sin8 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array9 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin8 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array9);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable11 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array9);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable12 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array9);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array9);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable14 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array9);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable15 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array9);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction16 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction17 = null;
    org.apache.commons.math3.analysis.function.Sin sin18 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array19 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin18 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction20 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array19);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable21 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction20);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction23 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction17, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction20, (-0.00997646987127368d));
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable24 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction20);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction26 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction16, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable24, 0.0d);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction27 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable24);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction28 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction7, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable15, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction27);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable29 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction27);
    org.apache.commons.math3.optimization.GoalType goalType30 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair34 = brentOptimizer3.optimize(0, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction27, goalType30, 3.7900472157714566d, 0.0d, 30.45437949307623d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType30);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test030"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.7942744094627305E71d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 164.76128949464342d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test031"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double d18 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 100.0d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test032"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.6243151155836832E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4030.2792900538334d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test033"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MathInternalError mathInternalError6 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    double[] d_array14 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable10, (-0.031180434567625804d), 0.9966899234895752d, 3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable10);
    double[] d_array19 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction15, (-1.2246467991473532E-16d), 3.4942187170360975E-7d, 140);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test034"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.003366109241421064d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999943346596367d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test035"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.12279172188248703d, (java.lang.Number)81, false);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test036"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.03382232600694713d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03382232600694713d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test037"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.1175826E-22f, 1.0587914E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.1175826E-22f);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test038"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.8011526357338304d), 1.7261987001755001d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test039"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(100.0f, 99.0f, 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test040"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(6553600.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test041"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array8);
    java.lang.Number number33 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException35 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.587213915156929d), number33, 10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = nonMonotonicSequenceException35.getDirection();
    boolean b38 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array8, orderDirection36, false);
    double[] d_array39 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8);
    double[] d_array41 = new double[] { 100.0d };
    double[] d_array44 = new double[] { 0.0d, 1.0d };
    boolean b45 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array44);
    double[] d_array47 = new double[] { 100.0d };
    double[] d_array50 = new double[] { 0.0d, 1.0d };
    boolean b51 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array47, d_array50);
    double[] d_array54 = new double[] { 0.0d, 0.0d };
    double d55 = org.apache.commons.math3.util.MathArrays.distance1(d_array50, d_array54);
    boolean b56 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array54);
    double[] d_array59 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection60 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b63 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array59, orderDirection60, false, false);
    boolean b66 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array54, orderDirection60, true, false);
    double[] d_array68 = org.apache.commons.math3.util.MathArrays.copyOf(d_array54, 0);
    double d69 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array39, d_array54);
    double[] d_array71 = new double[] { 100.0d };
    double[] d_array74 = new double[] { 0.0d, 1.0d };
    boolean b75 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array71, d_array74);
    double[] d_array77 = new double[] { 100.0d };
    double[] d_array80 = new double[] { 0.0d, 1.0d };
    boolean b81 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array77, d_array80);
    double[] d_array84 = new double[] { 0.0d, 0.0d };
    double d85 = org.apache.commons.math3.util.MathArrays.distance1(d_array80, d_array84);
    boolean b86 = org.apache.commons.math3.util.MathArrays.equals(d_array71, d_array84);
    double[] d_array89 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection90 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b93 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array89, orderDirection90, false, false);
    boolean b94 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array71, d_array89);
    double[] d_array96 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array89, (-0.03117538440567036d));
    double d97 = org.apache.commons.math3.util.MathArrays.distance(d_array39, d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.0d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(3.7071902066100946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.707190206610095d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test043"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-1.2491397351303002E-14d), 141.5107130019514d, 697);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.999812218644997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.019379743665495573d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test045"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    org.apache.commons.math3.optimization.GoalType goalType4 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = brentOptimizer3.getConvergenceChecker();
    int i6 = brentOptimizer3.getMaxEvaluations();
    int i7 = brentOptimizer3.getEvaluations();
    double d8 = brentOptimizer3.getStartValue();
    org.apache.commons.math3.optimization.GoalType goalType9 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction11 = null;
    org.apache.commons.math3.analysis.function.Sin sin12 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array13 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin12 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable15 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction14);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable15);
    org.apache.commons.math3.analysis.function.Sin sin17 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array18 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin17 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable19 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array18);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable20 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array18);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction21 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction11, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction16, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable20);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker24 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer25 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker24);
    org.apache.commons.math3.analysis.function.Sin sin27 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction28 = sin27.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction29 = sin27.derivative();
    org.apache.commons.math3.optimization.GoalType goalType30 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair34 = brentOptimizer25.optimize(6, univariateFunction29, goalType30, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d35 = brentOptimizer25.getMin();
    int i36 = brentOptimizer25.getEvaluations();
    double d37 = brentOptimizer25.getMin();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker38 = brentOptimizer25.getConvergenceChecker();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction40 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction41 = null;
    org.apache.commons.math3.analysis.function.Sin sin42 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array43 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin42 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable44 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array43);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable45 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array43);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable46 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array43);
    org.apache.commons.math3.exception.util.Localizable localizable47 = null;
    org.apache.commons.math3.analysis.function.Sin sin48 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array49 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin48 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction50 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array49);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException51 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable47, (java.lang.Object[])differentiableUnivariateFunction_array49);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction52 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array49);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction53 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array49);
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array54 = new org.apache.commons.math3.analysis.UnivariateFunction[] { differentiableUnivariateFunction53 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction55 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array54);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction56 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array54);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction41, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable46, univariateFunction56);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction58 = null;
    org.apache.commons.math3.exception.util.Localizable localizable59 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array60 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction61 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array60);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array62 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction61 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction63 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array62);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction64 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array62);
    org.apache.commons.math3.exception.MathInternalError mathInternalError65 = new org.apache.commons.math3.exception.MathInternalError(localizable59, (java.lang.Object[])differentiableUnivariateFunction_array62);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction66 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array62);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction67 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction68 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction58, univariateFunction66, univariateFunction67);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction69 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction40, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable46, univariateFunction66);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker72 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer73 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker72);
    int i74 = brentOptimizer73.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType75 = brentOptimizer73.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin77 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction78 = sin77.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction79 = sin77.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction80 = sin77.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction81 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin77);
    org.apache.commons.math3.optimization.GoalType goalType82 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair86 = brentOptimizer73.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin77, goalType82, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    int i87 = brentOptimizer73.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType88 = brentOptimizer73.getGoalType();
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair92 = brentOptimizer25.optimize(99, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable46, goalType88, 0.0d, (-0.5192825849117578d), (-1.0150969030102155d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair96 = brentOptimizer3.optimize((-6), (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction16, goalType88, 0.017453292519943302d, 0.4548324228266097d, 1.5707886974003653d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i87 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair92);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test046"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.559738844967506d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test047"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError10 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = mathInternalError10.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test048"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)3.895214885403833E250d, (java.lang.Number)(-3), false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException12 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection10, false);
    java.lang.Number number13 = nonMonotonicSequenceException12.getPrevious();
    java.lang.Throwable[] throwable_array14 = nonMonotonicSequenceException12.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math3.exception.NullArgumentException(localizable6, (java.lang.Object[])throwable_array14);
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)nullArgumentException15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + (-3)+ "'", number5.equals((-3)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (byte)0+ "'", number13.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test049"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.07821813735220086d), 10.413783204748528d, 1.4437747030928377E-24d, 2.41868640049604d, 8.684222681761534d, 0.9171523356672744d, 374.7316886671843d, (-0.8011526357338475d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-293.067071677743d));

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test050"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.2256855024945047E20d, 0.2087989671739713d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test051"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    double d3 = sin0.value(0.5591271711416548d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = sin0.derivative();
    double d7 = sin0.value((-520.1011837072556d));
    double d9 = sin0.value(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.530446486966672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.985988042719703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test052"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array4 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin3 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable8 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array4);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)5.718798052253403d, (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable11 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable13 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable13);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test053"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.1262447012055213d), 0.02184229415090382d, (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test054"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.4186864004960404d, (-27.384917411965162d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test055"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test056"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)1.7010944206589325d, (java.lang.Number)0.7890572847323042d, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.7890572847323042d+ "'", number5.equals(0.7890572847323042d));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test057"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    int i5 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker8 = brentOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker8);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test058"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-9.052756101118532E232d), (java.lang.Number)10.18023535749746d, 5);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test059"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(3.7071902066100946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test060"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.44994961810416423d, (-140));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.2282301894292646E-43d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test061"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 1.354340628266157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test062"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(7.883896202182363E248d, 0.37895296131478967d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test063"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array8 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction7 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable5, (java.lang.Object[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)1.7475105975889573d, (java.lang.Object[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.function.Sin sin15 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = sin15.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = sin15.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin15);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin15);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction20 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction2, univariateFunction14, (org.apache.commons.math3.analysis.UnivariateFunction)sin15);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker23 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer24 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker23);
    int i25 = brentOptimizer24.getEvaluations();
    int i26 = brentOptimizer24.getMaxEvaluations();
    double d27 = brentOptimizer24.getMax();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction29 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction30 = null;
    org.apache.commons.math3.exception.util.Localizable localizable31 = null;
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.analysis.function.Sin sin34 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array35 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin34 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction36 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException37 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable32, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array35);
    org.apache.commons.math3.exception.MathInternalError mathInternalError38 = new org.apache.commons.math3.exception.MathInternalError(localizable31, (java.lang.Object[])differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction39 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction40 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction41 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction43 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction41, (-0.5309649148733836d));
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array44 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction45 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array44);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction46 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction40, univariateFunction43, univariateFunction45);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction47 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction30, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction39, univariateFunction43);
    org.apache.commons.math3.analysis.function.Sin sin48 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction49 = sin48.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction50 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction29, univariateFunction43, (org.apache.commons.math3.analysis.UnivariateFunction)sin48);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker53 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer54 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker53);
    org.apache.commons.math3.analysis.function.Sin sin56 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = sin56.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction58 = sin56.derivative();
    org.apache.commons.math3.optimization.GoalType goalType59 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair63 = brentOptimizer54.optimize(6, univariateFunction58, goalType59, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair66 = brentOptimizer24.optimize(2, (org.apache.commons.math3.analysis.UnivariateFunction)sin48, goalType59, (-0.854843920279512d), (-0.34893292278222565d));
    double d68 = sin48.value(6.742965677935093d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction69 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction1, univariateFunction20, (org.apache.commons.math3.analysis.UnivariateFunction)sin48);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction70 = sin48.derivative();
    org.apache.commons.math3.exception.util.Localizable localizable71 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array72 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction73 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array72);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array74 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction73 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction75 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array74);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction76 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array74);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException77 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable71, (java.lang.Object[])differentiableUnivariateFunction_array74);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction78 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array74);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction79 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array74);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction80 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array74);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction81 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, univariateFunction70, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.44375129692668025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction81);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(99.31855622039762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7334358143730335d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test065"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(26);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test066"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.copyOf(d_array4);
    double d11 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array4);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    double[] d_array31 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection32 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b35 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array31, orderDirection32, false, false);
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array31);
    double[] d_array38 = org.apache.commons.math3.util.MathArrays.copyOf(d_array13, 2);
    double d39 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array4, d_array38);
    double[] d_array41 = new double[] { 100.0d };
    double[] d_array44 = new double[] { 0.0d, 1.0d };
    boolean b45 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array44);
    double[] d_array48 = new double[] { 0.0d, 0.0d };
    double d49 = org.apache.commons.math3.util.MathArrays.distance1(d_array44, d_array48);
    double[] d_array52 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection53 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b56 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array52, orderDirection53, false, false);
    double[] d_array58 = new double[] { 100.0d };
    double[] d_array61 = new double[] { 0.0d, 1.0d };
    boolean b62 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array58, d_array61);
    double[] d_array64 = new double[] { 100.0d };
    double[] d_array67 = new double[] { 0.0d, 1.0d };
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array64, d_array67);
    double[] d_array70 = new double[] { 100.0d };
    double[] d_array73 = new double[] { 0.0d, 1.0d };
    boolean b74 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array70, d_array73);
    double[] d_array77 = new double[] { 0.0d, 0.0d };
    double d78 = org.apache.commons.math3.util.MathArrays.distance1(d_array73, d_array77);
    boolean b79 = org.apache.commons.math3.util.MathArrays.equals(d_array64, d_array77);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction80 = new org.apache.commons.math3.analysis.function.StepFunction(d_array58, d_array64);
    boolean b81 = org.apache.commons.math3.util.MathArrays.equals(d_array52, d_array58);
    double[] d_array82 = org.apache.commons.math3.util.MathArrays.copyOf(d_array52);
    double d83 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array44, d_array52);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array44);
    double[] d_array86 = new double[] { 100.0d };
    double[] d_array89 = new double[] { 0.0d, 1.0d };
    boolean b90 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array86, d_array89);
    double[] d_array93 = new double[] { 0.0d, 0.0d };
    double d94 = org.apache.commons.math3.util.MathArrays.distance1(d_array89, d_array93);
    double[] d_array95 = org.apache.commons.math3.util.MathArrays.copyOf(d_array89);
    double d96 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array89);
    double d97 = org.apache.commons.math3.util.MathArrays.distance(d_array44, d_array89);
    boolean b98 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array89);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == true);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test067"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)99.99999f, (java.lang.Number)100L, 10, orderDirection3, true);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException5, localizable6, obj_array7);
    java.lang.Number number9 = nonMonotonicSequenceException5.getArgument();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = nonMonotonicSequenceException5.getDirection();
    java.lang.Number number11 = nonMonotonicSequenceException5.getPrevious();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = nonMonotonicSequenceException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 99.99999f+ "'", number9.equals(99.99999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 100L+ "'", number11.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test068"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(11.0d, 1.0033322990883495d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.003332299088349d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test069"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.6246841429488434d));
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    java.lang.Comparable[] comparable_array22 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException26 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection27 = nonMonotonicSequenceException26.getDirection();
    boolean b29 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array22, orderDirection27, true);
    double[] d_array32 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection33 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b36 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array32, orderDirection33, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b39 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array32, orderDirection37, true);
    boolean b41 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array22, orderDirection37, false);
    org.apache.commons.math3.exception.MathInternalError mathInternalError42 = new org.apache.commons.math3.exception.MathInternalError(localizable20, (java.lang.Object[])comparable_array22);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException46 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    boolean b47 = nonMonotonicSequenceException46.getStrict();
    boolean b48 = nonMonotonicSequenceException46.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection49 = nonMonotonicSequenceException46.getDirection();
    boolean b51 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array22, orderDirection49, true);
    org.apache.commons.math3.exception.MathInternalError mathInternalError52 = new org.apache.commons.math3.exception.MathInternalError(localizable19, (java.lang.Object[])comparable_array22);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException56 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)100L, (java.lang.Number)(byte)1, 0);
    java.lang.Number number57 = nonMonotonicSequenceException56.getArgument();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection58 = nonMonotonicSequenceException56.getDirection();
    boolean b60 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array22, orderDirection58, false);
    boolean b62 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array18, orderDirection58, false);
    double[] d_array64 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array18, (-55.91418446455005d));
    double[] d_array65 = org.apache.commons.math3.util.MathArrays.copyOf(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number57 + "' != '" + 100L+ "'", number57.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test070"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(6553600.0f, (-0.1416177492332599d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6553599.5f);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test071"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(9.052756101118533E232d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test072"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(3.314354467957165d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17450137212686578d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test073"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException7 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathArithmeticException7.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test074"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test075"); }


    double[] d_array4 = new double[] { 100.0d };
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    boolean b8 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array7);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array13 = new double[] { 0.0d, 1.0d };
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array13);
    double[] d_array17 = new double[] { 0.0d, 0.0d };
    double d18 = org.apache.commons.math3.util.MathArrays.distance1(d_array13, d_array17);
    boolean b19 = org.apache.commons.math3.util.MathArrays.equals(d_array4, d_array17);
    double[] d_array20 = org.apache.commons.math3.util.MathArrays.copyOf(d_array4);
    java.lang.Comparable[] comparable_array22 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException26 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection27 = nonMonotonicSequenceException26.getDirection();
    boolean b29 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array22, orderDirection27, true);
    double[] d_array32 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection33 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b36 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array32, orderDirection33, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b39 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array32, orderDirection37, true);
    boolean b41 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array22, orderDirection37, false);
    boolean b44 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array4, orderDirection37, false, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException46 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.9973959044998291d), (java.lang.Number)(-36L), 99, orderDirection37, false);
    int i47 = nonMonotonicSequenceException46.getIndex();
    java.lang.Number number48 = nonMonotonicSequenceException46.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number48 + "' != '" + (-0.9973959044998291d)+ "'", number48.equals((-0.9973959044998291d)));

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test076"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.3735177862904307d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7201734319157501d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test077"); }


    float f2 = org.apache.commons.math3.util.Precision.round(102399.99f, (-22));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test078"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(6.416438466916935d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test079"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-25.446554482131134d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test080"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(6553601, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test081"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(2.076053214282604E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0760532441085484E-4d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test082"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.067739710121639d, 0.8414709848078985d, 9.552649600916197E233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test083"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array39 = new double[] { 0.0d, 0.0d };
    double d40 = org.apache.commons.math3.util.MathArrays.distance1(d_array35, d_array39);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array26, d_array39);
    double[] d_array44 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection45 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array44, orderDirection45, false, false);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array44);
    double d50 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array19, d_array44);
    double[] d_array53 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection54 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b57 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array53, orderDirection54, false, false);
    double[] d_array59 = new double[] { 100.0d };
    double[] d_array62 = new double[] { 0.0d, 1.0d };
    boolean b63 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array59, d_array62);
    double[] d_array65 = new double[] { 100.0d };
    double[] d_array68 = new double[] { 0.0d, 1.0d };
    boolean b69 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array65, d_array68);
    double[] d_array71 = new double[] { 100.0d };
    double[] d_array74 = new double[] { 0.0d, 1.0d };
    boolean b75 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array71, d_array74);
    double[] d_array78 = new double[] { 0.0d, 0.0d };
    double d79 = org.apache.commons.math3.util.MathArrays.distance1(d_array74, d_array78);
    boolean b80 = org.apache.commons.math3.util.MathArrays.equals(d_array65, d_array78);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction81 = new org.apache.commons.math3.analysis.function.StepFunction(d_array59, d_array65);
    boolean b82 = org.apache.commons.math3.util.MathArrays.equals(d_array53, d_array59);
    boolean b83 = org.apache.commons.math3.util.MathArrays.equals(d_array19, d_array53);
    double[] d_array85 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array19, 0.19168779159217492d);
    double d86 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.19168779159217494d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test084"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.FunctionUtils.sample(univariateFunction0, 4.536551532129268E-4d, (-0.4237355736681314d), 99);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test085"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 65.48490315732077d, 0.014776661121435459d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test086"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array8);
    java.lang.Number number33 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException35 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.587213915156929d), number33, 10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = nonMonotonicSequenceException35.getDirection();
    boolean b38 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array8, orderDirection36, false);
    double[] d_array39 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8);
    double[] d_array41 = new double[] { 100.0d };
    double[] d_array44 = new double[] { 0.0d, 1.0d };
    boolean b45 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array44);
    double[] d_array47 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array41, (-0.5578300447656787d));
    org.apache.commons.math3.analysis.function.StepFunction stepFunction48 = new org.apache.commons.math3.analysis.function.StepFunction(d_array39, d_array47);
    double d50 = stepFunction48.value(3.4135815224112884E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == (-0.5578300447656787d));

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test087"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(100.0f, 4.0389683E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.0389683E-28f);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test088"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(6);
    int i2 = incrementor1.getCount();
    boolean b3 = incrementor1.canIncrement();
    incrementor1.incrementCount(0);
    int i6 = incrementor1.getCount();
    incrementor1.incrementCount();
    int i8 = incrementor1.getMaximalCount();
    int i9 = incrementor1.getMaximalCount();
    boolean b10 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-40.665830086357325d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test090"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 72, (-37));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test091"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int i6 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array2, i_array5);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array9, i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distance1(i_array2, i_array12);
    int[] i_array16 = new int[] { 10 };
    int[] i_array17 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16);
    int[] i_array19 = new int[] { 10 };
    int[] i_array20 = org.apache.commons.math3.util.MathArrays.copyOf(i_array19);
    double d21 = org.apache.commons.math3.util.MathArrays.distance(i_array16, i_array19);
    int[] i_array23 = new int[] { 10 };
    int[] i_array24 = org.apache.commons.math3.util.MathArrays.copyOf(i_array23);
    int[] i_array26 = new int[] { 10 };
    int[] i_array27 = org.apache.commons.math3.util.MathArrays.copyOf(i_array26);
    int i28 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array24, i_array27);
    int i29 = org.apache.commons.math3.util.MathArrays.distance1(i_array16, i_array24);
    int[] i_array30 = org.apache.commons.math3.util.MathArrays.copyOf(i_array24);
    int[] i_array32 = org.apache.commons.math3.util.MathArrays.copyOf(i_array30, 0);
    int[] i_array34 = new int[] { 10 };
    int[] i_array35 = org.apache.commons.math3.util.MathArrays.copyOf(i_array34);
    int[] i_array37 = new int[] { 10 };
    int[] i_array38 = org.apache.commons.math3.util.MathArrays.copyOf(i_array37);
    double d39 = org.apache.commons.math3.util.MathArrays.distance(i_array34, i_array37);
    int[] i_array41 = new int[] { 10 };
    int[] i_array42 = org.apache.commons.math3.util.MathArrays.copyOf(i_array41);
    int[] i_array44 = new int[] { 10 };
    int[] i_array45 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44);
    int i46 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array42, i_array45);
    int i47 = org.apache.commons.math3.util.MathArrays.distance1(i_array34, i_array42);
    int[] i_array49 = org.apache.commons.math3.util.MathArrays.copyOf(i_array34, 100);
    int i50 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array30, i_array34);
    int i51 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array2, i_array34);
    int[] i_array53 = new int[] { 10 };
    int[] i_array54 = org.apache.commons.math3.util.MathArrays.copyOf(i_array53);
    int[] i_array56 = new int[] { 10 };
    int[] i_array57 = org.apache.commons.math3.util.MathArrays.copyOf(i_array56);
    double d58 = org.apache.commons.math3.util.MathArrays.distance(i_array53, i_array56);
    int[] i_array59 = org.apache.commons.math3.util.MathArrays.copyOf(i_array56);
    int[] i_array61 = new int[] { 10 };
    int[] i_array62 = org.apache.commons.math3.util.MathArrays.copyOf(i_array61);
    int[] i_array64 = new int[] { 10 };
    int[] i_array65 = org.apache.commons.math3.util.MathArrays.copyOf(i_array64);
    double d66 = org.apache.commons.math3.util.MathArrays.distance(i_array61, i_array64);
    int[] i_array68 = new int[] { 10 };
    int[] i_array69 = org.apache.commons.math3.util.MathArrays.copyOf(i_array68);
    int[] i_array71 = new int[] { 10 };
    int[] i_array72 = org.apache.commons.math3.util.MathArrays.copyOf(i_array71);
    double d73 = org.apache.commons.math3.util.MathArrays.distance(i_array68, i_array71);
    int[] i_array75 = new int[] { 10 };
    int[] i_array76 = org.apache.commons.math3.util.MathArrays.copyOf(i_array75);
    int[] i_array78 = new int[] { 10 };
    int[] i_array79 = org.apache.commons.math3.util.MathArrays.copyOf(i_array78);
    int i80 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array76, i_array79);
    int i81 = org.apache.commons.math3.util.MathArrays.distance1(i_array68, i_array76);
    int[] i_array83 = org.apache.commons.math3.util.MathArrays.copyOf(i_array68, 100);
    int i84 = org.apache.commons.math3.util.MathArrays.distance1(i_array64, i_array68);
    int i85 = org.apache.commons.math3.util.MathArrays.distance1(i_array56, i_array68);
    int[] i_array87 = org.apache.commons.math3.util.MathArrays.copyOf(i_array68, 1024);
    int[] i_array89 = new int[] { 10 };
    int[] i_array90 = org.apache.commons.math3.util.MathArrays.copyOf(i_array89);
    int[] i_array92 = new int[] { 10 };
    int[] i_array93 = org.apache.commons.math3.util.MathArrays.copyOf(i_array92);
    double d94 = org.apache.commons.math3.util.MathArrays.distance(i_array89, i_array92);
    int i95 = org.apache.commons.math3.util.MathArrays.distance1(i_array68, i_array89);
    int[] i_array96 = org.apache.commons.math3.util.MathArrays.copyOf(i_array68);
    int[] i_array97 = org.apache.commons.math3.util.MathArrays.copyOf(i_array68);
    int[] i_array98 = org.apache.commons.math3.util.MathArrays.copyOf(i_array68);
    int i99 = org.apache.commons.math3.util.MathArrays.distance1(i_array2, i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i80 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i84 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i85 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i95 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array98);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i99 == 0);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test092"); }


    java.lang.Comparable[] comparable_array1 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException5.getDirection();
    boolean b8 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array1, orderDirection6, true);
    double[] d_array11 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection12 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b15 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array11, orderDirection12, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection16 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b18 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array11, orderDirection16, true);
    boolean b20 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array1, orderDirection16, false);
    org.apache.commons.math3.analysis.function.Sin sin21 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = sin21.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction23 = sin21.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction24 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin21);
    double d26 = sin21.value(5908.945580817902d);
    double[] d_array30 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)sin21, 1.262627d, 1.571861776470941d, 10);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException34 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection35 = nonMonotonicSequenceException34.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError36 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException34);
    int i37 = nonMonotonicSequenceException34.getIndex();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection38 = nonMonotonicSequenceException34.getDirection();
    boolean b40 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array30, orderDirection38, true);
    boolean b42 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array1, orderDirection38, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.38037392989426705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test093"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker3 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer4 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker3);
    int i5 = brentOptimizer4.getEvaluations();
    double d6 = brentOptimizer4.getMin();
    double d7 = brentOptimizer4.getMin();
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array13 = new double[] { 0.0d, 1.0d };
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array13);
    double[] d_array16 = new double[] { 100.0d };
    double[] d_array19 = new double[] { 0.0d, 1.0d };
    boolean b20 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array16, d_array19);
    double[] d_array22 = new double[] { 100.0d };
    double[] d_array25 = new double[] { 0.0d, 1.0d };
    boolean b26 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array22, d_array25);
    double[] d_array29 = new double[] { 0.0d, 0.0d };
    double d30 = org.apache.commons.math3.util.MathArrays.distance1(d_array25, d_array29);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array16, d_array29);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction32 = new org.apache.commons.math3.analysis.function.StepFunction(d_array10, d_array16);
    double d34 = stepFunction32.value((-306.9867999498826d));
    double d36 = stepFunction32.value(0.01937853050773848d);
    org.apache.commons.math3.optimization.GoalType goalType37 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair40 = brentOptimizer4.optimize(102400, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction32, goalType37, 0.8410312834162215d, (-0.4690368963037244d));
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction41 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction42 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction32, univariateFunction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction42);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test094"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(byte)1, number1, 0);
    java.lang.Number number4 = nonMonotonicSequenceException3.getPrevious();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = nonMonotonicSequenceException3.getContext();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException3.getDirection();
    java.lang.Number number7 = nonMonotonicSequenceException3.getPrevious();
    boolean b8 = nonMonotonicSequenceException3.getStrict();
    boolean b9 = nonMonotonicSequenceException3.getStrict();
    java.lang.Number number10 = nonMonotonicSequenceException3.getArgument();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = nonMonotonicSequenceException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (byte)1+ "'", number10.equals((byte)1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test095"); }


    float[] f_array0 = new float[] {  };
    float[] f_array2 = new float[] { 100.0f };
    boolean b3 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array2);
    float[] f_array4 = null;
    boolean b5 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array4);
    float[] f_array6 = new float[] {  };
    float[] f_array8 = new float[] { 100.0f };
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array8);
    float[] f_array12 = new float[] { 100.0f, 1.0f };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array12);
    boolean b14 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array12);
    float[] f_array15 = new float[] {  };
    float[] f_array17 = new float[] { 100.0f };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array15, f_array17);
    float[] f_array19 = null;
    boolean b20 = org.apache.commons.math3.util.MathArrays.equals(f_array15, f_array19);
    float[] f_array21 = new float[] {  };
    float[] f_array23 = new float[] { 100.0f };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array21, f_array23);
    boolean b25 = org.apache.commons.math3.util.MathArrays.equals(f_array19, f_array21);
    boolean b26 = org.apache.commons.math3.util.MathArrays.equals(f_array12, f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test096"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0842022E-19f, 2.1778076E34f, (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test097"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(6.966647564462494d, 1.406114772927349E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4061147729275215E7d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test098"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(21L, 424L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 21L);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test099"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test100"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.8363726682062227d, 1.1420672424125775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test101"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = mathIllegalStateException8.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test102"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(0.010030064373814557d, 0.026013166657080422d, 1.175201193472402d, 0.5559932064672446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.6536647935389908d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test103"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(3.700834290855058E61d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.700834290855058E61d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test104"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.7942744094627305E71d, 1.41619037021518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7942744094627305E71d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test105"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(4.952375424478555d, 3.469446951953614E-18d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test106"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction0, 0.5994060362874487d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test107"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1256.7289986401238d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1286890.4946074868d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test108"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-2.0d), number2, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test109"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.8958356039435625d), (-0.41787947247821605d), 92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test110"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, (-72));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test111"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-3.4028235E38f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.4028235E38f);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test112"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(8.271806E-25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.271807E-25f);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test113"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-1.6331691739148564d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test114"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 0.05806785961125463d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test115"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.44294341170521767d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4758867563631807d));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test116"); }


    float[] f_array0 = new float[] {  };
    float[] f_array2 = new float[] { 100.0f };
    boolean b3 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array2);
    float[] f_array4 = null;
    boolean b5 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array4);
    float[] f_array6 = new float[] {  };
    float[] f_array8 = new float[] { 100.0f };
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array8);
    float[] f_array12 = new float[] { 100.0f, 1.0f };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array12);
    boolean b14 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array12);
    float[] f_array15 = null;
    float[] f_array16 = new float[] {  };
    float[] f_array18 = new float[] { 100.0f };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array16, f_array18);
    float[] f_array20 = null;
    boolean b21 = org.apache.commons.math3.util.MathArrays.equals(f_array16, f_array20);
    float[] f_array22 = new float[] {  };
    float[] f_array24 = new float[] { 100.0f };
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array22, f_array24);
    boolean b26 = org.apache.commons.math3.util.MathArrays.equals(f_array20, f_array22);
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array15, f_array22);
    float[] f_array31 = new float[] { 100.0f, 100.0f, 0.0f };
    boolean b32 = org.apache.commons.math3.util.MathArrays.equals(f_array22, f_array31);
    float[] f_array33 = new float[] {  };
    float[] f_array35 = new float[] { 100.0f };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array33, f_array35);
    float[] f_array37 = null;
    boolean b38 = org.apache.commons.math3.util.MathArrays.equals(f_array33, f_array37);
    float[] f_array39 = new float[] {  };
    float[] f_array41 = new float[] { 100.0f };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array39, f_array41);
    float[] f_array45 = new float[] { 100.0f, 1.0f };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array39, f_array45);
    boolean b47 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array33, f_array45);
    boolean b48 = org.apache.commons.math3.util.MathArrays.equals(f_array31, f_array45);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test117"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin1.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array3 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction2 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array3);
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])univariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test118"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array7, (-0.5578300447656787d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array13);
    double[] d_array16 = new double[] { 100.0d };
    double[] d_array19 = new double[] { 0.0d, 1.0d };
    boolean b20 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array16, d_array19);
    double[] d_array22 = new double[] { 100.0d };
    double[] d_array25 = new double[] { 0.0d, 1.0d };
    boolean b26 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array22, d_array25);
    double[] d_array29 = new double[] { 0.0d, 0.0d };
    double d30 = org.apache.commons.math3.util.MathArrays.distance1(d_array25, d_array29);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array16, d_array29);
    java.lang.Comparable[] comparable_array33 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection34 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b36 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array33, orderDirection34, false);
    boolean b39 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array16, orderDirection34, true, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array13, orderDirection34, false);
    double[] d_array42 = org.apache.commons.math3.util.MathArrays.copyOf(d_array13);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equals(d_array4, d_array13);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    double d59 = org.apache.commons.math3.util.MathArrays.distance1(d_array54, d_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array58);
    java.lang.Comparable[] comparable_array65 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection66 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b68 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array65, orderDirection66, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException70 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection66, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array58, orderDirection66, false);
    double[] d_array73 = org.apache.commons.math3.util.MathArrays.copyOf(d_array58);
    double[] d_array74 = org.apache.commons.math3.util.MathArrays.copyOf(d_array73);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException87 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection88 = nonMonotonicSequenceException87.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException90 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)1, (java.lang.Number)0.4228120277165407d, 6, orderDirection88, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException92 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.4441261591d), (java.lang.Number)(short)1, (-2), orderDirection88, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException94 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)374.7314254813898d, (java.lang.Number)1.1102230246251568E-16d, 6, orderDirection88, true);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection95 = nonMonotonicSequenceException94.getDirection();
    boolean b97 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array73, orderDirection95, false);
    boolean b98 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == false);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test119"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMin();
    double d5 = brentOptimizer3.getStartValue();
    double d6 = brentOptimizer3.getMax();
    int i7 = brentOptimizer3.getMaxEvaluations();
    int i8 = brentOptimizer3.getEvaluations();
    double d9 = brentOptimizer3.getStartValue();
    double d10 = brentOptimizer3.getMax();
    int i11 = brentOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test120"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double d25 = stepFunction23.value((-306.9867999498826d));
    double d27 = stepFunction23.value(0.01937853050773848d);
    double d29 = stepFunction23.value(1063610.122976624d);
    double d31 = stepFunction23.value(11.806976057564917d);
    double d33 = stepFunction23.value(0.22016692672069996d);
    double d35 = stepFunction23.value(0.598508575921515d);
    double d37 = stepFunction23.value(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 100.0d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test121"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.44375129692668186d, (-38.983979336286616d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-38.983979336286616d));

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test122"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(1);
    incrementor1.resetCount();
    int i6 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test123"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test124"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.0E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1368684E-13f);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test125"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    double d5 = brentOptimizer3.getMin();
    double d6 = brentOptimizer3.getMin();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = brentOptimizer3.getConvergenceChecker();
    int i8 = brentOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test126"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.6795226183513898d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test127"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(9200L, 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 9200L);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.6139515930306736d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6139515930306737d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test129"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(6.1035156E-5f, 2.0000007f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.1035156E-5f);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test130"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0033664179414665983d, 0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test131"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.0004589482736783d, 0.2150481734972592d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2150481734972592d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test132"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.009934929785330768d, (-1.944938834149166E165d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.944938834149166E165d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test133"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.5842298138714762d), 11.493639629734938d, convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test134"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMin();
    double d5 = brentOptimizer3.getStartValue();
    double d6 = brentOptimizer3.getMax();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array10 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array10);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array12 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction11 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MathInternalError mathInternalError15 = new org.apache.commons.math3.exception.MathInternalError(localizable9, (java.lang.Object[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction8, univariateFunction16, univariateFunction17);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker21 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer22 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker21);
    org.apache.commons.math3.analysis.function.Sin sin24 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction25 = sin24.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction26 = sin24.derivative();
    org.apache.commons.math3.optimization.GoalType goalType27 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair31 = brentOptimizer22.optimize(6, univariateFunction26, goalType27, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d32 = brentOptimizer22.getStartValue();
    org.apache.commons.math3.optimization.GoalType goalType33 = brentOptimizer22.getGoalType();
    org.apache.commons.math3.optimization.GoalType goalType34 = brentOptimizer22.getGoalType();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair37 = brentOptimizer3.optimize(0, univariateFunction18, goalType34, 5.56766091554925E162d, 1.2201944302279409E-42d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType34);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test135"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.9989794949566901d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test136"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 7.431601506651646E21d, (-0.5153233725778754d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test137"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(298.82953794284964d, 23.162381521626777d, (-0.25521443226235874d), 5.216602127631184E82d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.3313521503420053E82d));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test138"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array5 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array7 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction6 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable4, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)1.7475105975889573d, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException15 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test139"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(746.2059034444404d, 0.017124036236603937d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 746.2059036409228d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test140"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(8.271806E-25f, 0.008192002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test141"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    int i3 = incrementor1.getCount();
    boolean b4 = incrementor1.canIncrement();
    boolean b5 = incrementor1.canIncrement();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test142"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array3, d_array36);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array42);
    double[] d_array46 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array42, 0.19168779159217494d);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array54 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array48, (-0.5578300447656787d));
    double[] d_array56 = new double[] { 100.0d };
    double[] d_array59 = new double[] { 0.0d, 1.0d };
    boolean b60 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array56, d_array59);
    double[] d_array62 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array56, (-0.5578300447656787d));
    double d63 = org.apache.commons.math3.util.MathArrays.distance(d_array54, d_array62);
    double[] d_array65 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array54, 3.6080083965967594E258d);
    // The following exception was thrown during execution in test generation
    try {
      double d66 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array42, d_array54);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test143"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.914233492588361d, 0.5963675241342502d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.914233492588361d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test144"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(2.5353018E24f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test145"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(46.9521831658701d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 46.9521831658701d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test146"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.0841121520311394d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test147"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair((-0.015257728019158897d), 6.862299823354139d);
    double d3 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 6.862299823354139d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test148"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(3.469446951953614E-18d, 0.24542397994918538d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test149"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array39 = new double[] { 0.0d, 0.0d };
    double d40 = org.apache.commons.math3.util.MathArrays.distance1(d_array35, d_array39);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array26, d_array39);
    double[] d_array44 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection45 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array44, orderDirection45, false, false);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array44);
    double d50 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array19, d_array44);
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array55 = new double[] { 0.0d, 1.0d };
    boolean b56 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array52, d_array55);
    double[] d_array58 = new double[] { 100.0d };
    double[] d_array61 = new double[] { 0.0d, 1.0d };
    boolean b62 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array58, d_array61);
    double[] d_array65 = new double[] { 0.0d, 0.0d };
    double d66 = org.apache.commons.math3.util.MathArrays.distance1(d_array61, d_array65);
    boolean b67 = org.apache.commons.math3.util.MathArrays.equals(d_array52, d_array65);
    double d68 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array19, d_array65);
    java.lang.Number number69 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection72 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException74 = new org.apache.commons.math3.exception.NonMonotonicSequenceException(number69, (java.lang.Number)10L, 1, orderDirection72, false);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection72, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection72);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test150"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test151"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array0, 0.7658512883033006d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test152"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array4 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin3 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-0.8920085211300253d), (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = maxCountExceededException12.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test153"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.resetCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(6);
    incrementor0.resetCount();
    int i6 = incrementor0.getMaximalCount();
    int i7 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 6);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test154"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array4 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin3 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable1, localizable2, (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable14 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable14);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test155"); }


    double[] d_array0 = null;
    double[] d_array3 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection4 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b7 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array3, orderDirection4, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection8 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b10 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array3, orderDirection8, true);
    double[] d_array13 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection14 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b17 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array13, orderDirection14, false, false);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array31 = new double[] { 100.0d };
    double[] d_array34 = new double[] { 0.0d, 1.0d };
    boolean b35 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array31, d_array34);
    double[] d_array38 = new double[] { 0.0d, 0.0d };
    double d39 = org.apache.commons.math3.util.MathArrays.distance1(d_array34, d_array38);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equals(d_array25, d_array38);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction41 = new org.apache.commons.math3.analysis.function.StepFunction(d_array19, d_array25);
    boolean b42 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array19);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array3, d_array19);
    double[] d_array45 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.3403276304888545d);
    java.lang.Comparable[] comparable_array47 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection48 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b50 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array47, orderDirection48, false);
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array55 = new double[] { 0.0d, 1.0d };
    boolean b56 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array52, d_array55);
    double[] d_array58 = new double[] { 100.0d };
    double[] d_array61 = new double[] { 0.0d, 1.0d };
    boolean b62 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array58, d_array61);
    double[] d_array65 = new double[] { 0.0d, 0.0d };
    double d66 = org.apache.commons.math3.util.MathArrays.distance1(d_array61, d_array65);
    boolean b67 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array52, d_array65);
    java.lang.Comparable[] comparable_array72 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection73 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b75 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array72, orderDirection73, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException77 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection73, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array65, orderDirection73, false);
    boolean b81 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array47, orderDirection73, true);
    double[] d_array84 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection85 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b88 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array84, orderDirection85, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection89 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b91 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array84, orderDirection89, true);
    boolean b93 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array47, orderDirection89, false);
    boolean b96 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array45, orderDirection89, false, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction97 = new org.apache.commons.math3.analysis.function.StepFunction(d_array0, d_array45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == true);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test156"); }


    int[] i_array0 = null;
    int[] i_array2 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2);
    int[] i_array5 = new int[] { 10 };
    int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    double d7 = org.apache.commons.math3.util.MathArrays.distance(i_array2, i_array5);
    int[] i_array9 = new int[] { 10 };
    int[] i_array10 = org.apache.commons.math3.util.MathArrays.copyOf(i_array9);
    int[] i_array12 = new int[] { 10 };
    int[] i_array13 = org.apache.commons.math3.util.MathArrays.copyOf(i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array10, i_array13);
    int i15 = org.apache.commons.math3.util.MathArrays.distance1(i_array2, i_array10);
    int[] i_array17 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2, 100);
    // The following exception was thrown during execution in test generation
    try {
      int i18 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array0, i_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test157"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, 6.1896996E27f, (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test158"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)(-1), true);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array6 = numberIsTooLargeException4.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array10 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction9 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array10);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable8, (java.lang.Object[])univariateFunction_array10);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array10);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooLargeException4, localizable7, (java.lang.Object[])univariateFunction_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction13);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test159"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException(number0, (java.lang.Number)0.3556542238420155d, 0);
    java.lang.Throwable[] throwable_array4 = nonMonotonicSequenceException3.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException9 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)3.0d, (java.lang.Number)1.552721991371575d, (-17));
    java.lang.String str10 = nonMonotonicSequenceException9.toString();
    java.lang.Throwable[] throwable_array11 = nonMonotonicSequenceException9.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException3, localizable5, (java.lang.Object[])throwable_array11);
    int i13 = nonMonotonicSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math3.exception.NonMonotonicSequenceException: points -18 and -17 are not strictly increasing (1.553 >= 3)"+ "'", str10.equals("org.apache.commons.math3.exception.NonMonotonicSequenceException: points -18 and -17 are not strictly increasing (1.553 >= 3)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test160"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(1003);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1003);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test161"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array21 = new double[] { 0.0d, 0.0d };
    double d22 = org.apache.commons.math3.util.MathArrays.distance1(d_array17, d_array21);
    boolean b23 = org.apache.commons.math3.util.MathArrays.equals(d_array8, d_array21);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction24 = new org.apache.commons.math3.analysis.function.StepFunction(d_array2, d_array8);
    double d26 = stepFunction24.value((-306.9867999498826d));
    double d28 = stepFunction24.value(0.1928815401231547d);
    double d30 = stepFunction24.value(2.596102686531958d);
    double d32 = stepFunction24.value((-0.031170335715785424d));
    double d34 = stepFunction24.value(102.22263734679228d);
    org.apache.commons.math3.analysis.function.Sin sin35 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array36 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin35 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction37 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array36);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction38 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction24, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction38);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test162"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.5191308136715052d, (java.lang.Number)1.0004589482736785d, (-8));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test163"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(14);
    int i2 = incrementor1.getCount();
    incrementor1.incrementCount((-22));
    incrementor1.incrementCount((-53));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test164"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.8331363506525005d, 1.3543406282661572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test165"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)42.37914656848289d, number1, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test166"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.006467469786043369d), (-1862.4932586852578d), 773);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test167"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.01937974366549831d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.7126519716297242d));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test168"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException(number0, (java.lang.Number)1.131266493698349E12d, true);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test169"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.00852069679234009d), 0.9966292797514144d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.008549306517519088d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test170"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-17), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test171"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin1.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = sin1.derivative();
    org.apache.commons.math3.analysis.function.Sin sin4 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin4.derivative();
    double d8 = sin4.value(1.4083437054269694d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)sin1, (org.apache.commons.math3.analysis.UnivariateFunction)sin4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable11 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.9868335672714237d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable11);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test172"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array1);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathInternalError mathInternalError6 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test173"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-0.3548712739014945d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.063630393882844d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test174"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.04587040018925113d), (java.lang.Number)6.400001E-5f, 2);
    boolean b4 = nonMonotonicSequenceException3.getStrict();
    boolean b5 = nonMonotonicSequenceException3.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException3.getDirection();
    java.lang.String str7 = nonMonotonicSequenceException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math3.exception.NonMonotonicSequenceException: points 1 and 2 are not strictly increasing (0 >= -0.046)"+ "'", str7.equals("org.apache.commons.math3.exception.NonMonotonicSequenceException: points 1 and 2 are not strictly increasing (0 >= -0.046)"));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test175"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)100.00499987500625d, false);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test176"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.resetCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(6);
    incrementor0.setMaximalCount(90);
    int i7 = incrementor0.getCount();
    int i8 = incrementor0.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test177"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(2.028241E31f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.028241E31f);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test178"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    java.lang.Comparable[] comparable_array26 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException30 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection31 = nonMonotonicSequenceException30.getDirection();
    boolean b33 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array26, orderDirection31, true);
    double[] d_array36 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b40 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array36, orderDirection37, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection41 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b43 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array36, orderDirection41, true);
    boolean b45 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array26, orderDirection41, false);
    boolean b47 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array19, orderDirection41, false);
    double[] d_array49 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array19, 1.2327838798657453d);
    double d50 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 100.0d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test179"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.5192825849117578d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5716096180634056d));

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test180"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(6553599.5f, 92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.2451853E34f);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test181"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array21 = new double[] { 0.0d, 0.0d };
    double d22 = org.apache.commons.math3.util.MathArrays.distance1(d_array17, d_array21);
    boolean b23 = org.apache.commons.math3.util.MathArrays.equals(d_array8, d_array21);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction24 = new org.apache.commons.math3.analysis.function.StepFunction(d_array2, d_array8);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException28 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection29 = nonMonotonicSequenceException28.getDirection();
    boolean b31 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array8, orderDirection29, true);
    double[] d_array33 = new double[] { 100.0d };
    double[] d_array36 = new double[] { 0.0d, 1.0d };
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array33, d_array36);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    double[] d_array46 = new double[] { 0.0d, 0.0d };
    double d47 = org.apache.commons.math3.util.MathArrays.distance1(d_array42, d_array46);
    boolean b48 = org.apache.commons.math3.util.MathArrays.equals(d_array33, d_array46);
    double[] d_array49 = org.apache.commons.math3.util.MathArrays.copyOf(d_array33);
    java.lang.Comparable[] comparable_array51 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException55 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection56 = nonMonotonicSequenceException55.getDirection();
    boolean b58 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array51, orderDirection56, true);
    double[] d_array61 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection62 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b65 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array61, orderDirection62, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection66 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b68 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array61, orderDirection66, true);
    boolean b70 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array51, orderDirection66, false);
    boolean b73 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array33, orderDirection66, false, false);
    double d74 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array33);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction75 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array33);
    double[] d_array77 = new double[] { 100.0d };
    double[] d_array80 = new double[] { 0.0d, 1.0d };
    boolean b81 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array77, d_array80);
    double[] d_array83 = new double[] { 100.0d };
    double[] d_array86 = new double[] { 0.0d, 1.0d };
    boolean b87 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array83, d_array86);
    double[] d_array90 = new double[] { 0.0d, 0.0d };
    double d91 = org.apache.commons.math3.util.MathArrays.distance1(d_array86, d_array90);
    boolean b92 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array77, d_array90);
    double[] d_array93 = org.apache.commons.math3.util.MathArrays.copyOf(d_array77);
    boolean b94 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array93);
    // The following exception was thrown during execution in test generation
    try {
      double d95 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array0, d_array93);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == true);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test182"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.5298062904520505d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.809168628492974d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test183"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.5674302302668375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1616164123904373d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test184"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.3598983098674066d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test185"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.5430006298313614d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.027792117938984492d);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test186"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.2251296116263618d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.474478252005676d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test187"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-938.5704872688159d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test188"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.copyOf(d_array13, 90);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test189"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test190"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.03719646576060547d, 0.9995139296325922d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4770846233323764E-4d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test191"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.0000000000291038d, 0.0d, 0.6137474852277875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test192"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2, 6);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array13 = new double[] { 0.0d, 1.0d };
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array13);
    double[] d_array16 = new double[] { 100.0d };
    double[] d_array19 = new double[] { 0.0d, 1.0d };
    boolean b20 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array16, d_array19);
    double[] d_array23 = new double[] { 0.0d, 0.0d };
    double d24 = org.apache.commons.math3.util.MathArrays.distance1(d_array19, d_array23);
    boolean b25 = org.apache.commons.math3.util.MathArrays.equals(d_array10, d_array23);
    double[] d_array28 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection29 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b32 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array28, orderDirection29, false, false);
    boolean b33 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array28);
    double[] d_array35 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array28, (-0.03117538440567036d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array35);
    double[] d_array38 = org.apache.commons.math3.util.MathArrays.copyOf(d_array35, 90);
    double d39 = org.apache.commons.math3.util.MathArrays.distance(d_array8, d_array38);
    double[] d_array43 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array45 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array43, 1.0907245790542575d);
    double[] d_array47 = new double[] { 100.0d };
    double[] d_array50 = new double[] { 0.0d, 1.0d };
    boolean b51 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array47, d_array50);
    double[] d_array53 = new double[] { 100.0d };
    double[] d_array56 = new double[] { 0.0d, 1.0d };
    boolean b57 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array53, d_array56);
    double[] d_array59 = new double[] { 100.0d };
    double[] d_array62 = new double[] { 0.0d, 1.0d };
    boolean b63 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array59, d_array62);
    double[] d_array66 = new double[] { 0.0d, 0.0d };
    double d67 = org.apache.commons.math3.util.MathArrays.distance1(d_array62, d_array66);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equals(d_array53, d_array66);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction69 = new org.apache.commons.math3.analysis.function.StepFunction(d_array47, d_array53);
    boolean b70 = org.apache.commons.math3.util.MathArrays.equals(d_array43, d_array53);
    double[] d_array74 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array76 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array74, 1.0907245790542575d);
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array43, d_array76);
    double[] d_array79 = new double[] { 100.0d };
    double[] d_array82 = new double[] { 0.0d, 1.0d };
    boolean b83 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array79, d_array82);
    boolean b84 = org.apache.commons.math3.util.MathArrays.equals(d_array43, d_array82);
    double[] d_array85 = null;
    boolean b86 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array82, d_array85);
    double[] d_array88 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array82, 0.580195754492862d);
    double[] d_array89 = org.apache.commons.math3.util.MathArrays.copyOf(d_array88);
    double[] d_array91 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array88, 1.1977454720661482d);
    // The following exception was thrown during execution in test generation
    try {
      double d92 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array38, d_array88);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 100.03117538440567d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test193"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException4 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(byte)1, number2, 0);
    java.lang.Number number5 = nonMonotonicSequenceException4.getPrevious();
    java.lang.Number number6 = nonMonotonicSequenceException4.getPrevious();
    java.lang.Number number7 = nonMonotonicSequenceException4.getPrevious();
    java.lang.Throwable[] throwable_array8 = nonMonotonicSequenceException4.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test194"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(4.5474735E-13f, (-0.6961386959691024d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.5474732E-13f);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test195"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(6.399999E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test196"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b9 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array2, orderDirection7, true);
    double[] d_array12 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection13 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b16 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array12, orderDirection13, false, false);
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array21);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = new double[] { 0.0d, 1.0d };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array24, d_array27);
    double[] d_array30 = new double[] { 100.0d };
    double[] d_array33 = new double[] { 0.0d, 1.0d };
    boolean b34 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array30, d_array33);
    double[] d_array37 = new double[] { 0.0d, 0.0d };
    double d38 = org.apache.commons.math3.util.MathArrays.distance1(d_array33, d_array37);
    boolean b39 = org.apache.commons.math3.util.MathArrays.equals(d_array24, d_array37);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction40 = new org.apache.commons.math3.analysis.function.StepFunction(d_array18, d_array24);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array12, d_array18);
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array18);
    double[] d_array44 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array2, 1.3403276304888545d);
    double[] d_array46 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array2, (-0.8568594791908744d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test197"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMax();
    double d5 = brentOptimizer3.getStartValue();
    double d6 = brentOptimizer3.getMax();
    double d7 = brentOptimizer3.getMax();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker8 = brentOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker8);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(113.63642999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2473695497344035E49d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test199"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)2.842172E-14f, number1, (-5));

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test200"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.21670951984856335d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.21670951984856335d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test201"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 102400.01f);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test202"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    boolean b6 = nonMonotonicSequenceException5.getStrict();
    int i7 = nonMonotonicSequenceException5.getIndex();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection8 = nonMonotonicSequenceException5.getDirection();
    java.lang.Number number9 = nonMonotonicSequenceException5.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (byte)0+ "'", number9.equals((byte)0));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test203"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array3 = new int[] {  };
    int[] i_array5 = new int[] { 10 };
    int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int i10 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array6, i_array9);
    int i11 = org.apache.commons.math3.util.MathArrays.distance1(i_array3, i_array9);
    int[] i_array13 = new int[] { 10 };
    int[] i_array14 = org.apache.commons.math3.util.MathArrays.copyOf(i_array13);
    int[] i_array16 = new int[] { 10 };
    int[] i_array17 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16);
    int i18 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array14, i_array17);
    int[] i_array20 = org.apache.commons.math3.util.MathArrays.copyOf(i_array17, 100);
    int i21 = org.apache.commons.math3.util.MathArrays.distance1(i_array3, i_array20);
    int i22 = org.apache.commons.math3.util.MathArrays.distance1(i_array1, i_array20);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array24 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1, (-80));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test204"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1000.0f, 9.094949E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1000.0f);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test205"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.41366470237175296d), 4.02379185185745d, 0.7097526280635054d, (-0.6239307469822648d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-2.107337146204785d));

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test206"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(2.812644285236262E-103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.812644285236262E-103d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test207"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.5315175239226273d), 8.882224569781192E80d, 0.2087989671739713d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test208"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-38L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-38L));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test209"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.08600723105747643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08611362166415672d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test210"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(99.99999999999999d, (-79781.79566437677d), 9.259148109182522d, (-0.06377273142033958d), 0.47689228532487454d, (-6.986799949882595d), 0.6753432734018198d, 3.7071902066100946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-7978180.985243867d));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test211"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.6246841429488434d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array1);
    double[] d_array20 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array22 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1, 90);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection23 = null;
    boolean b25 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array1, orderDirection23, false);
    double[] d_array27 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, 4.3368086899420177E-19d);
    double[][] d_array_array28 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array1, d_array_array28);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test212"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.026019036612365643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test213"); }


    float[] f_array0 = new float[] {  };
    float[] f_array2 = new float[] { 100.0f };
    boolean b3 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array2);
    float[] f_array4 = null;
    boolean b5 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array4);
    float[] f_array6 = new float[] {  };
    float[] f_array8 = new float[] { 100.0f };
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array8);
    float[] f_array12 = new float[] { 100.0f, 1.0f };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array12);
    boolean b14 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array6);
    float[] f_array15 = null;
    float[] f_array16 = new float[] {  };
    float[] f_array18 = new float[] { 100.0f };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array16, f_array18);
    float[] f_array20 = null;
    boolean b21 = org.apache.commons.math3.util.MathArrays.equals(f_array16, f_array20);
    float[] f_array22 = new float[] {  };
    float[] f_array24 = new float[] { 100.0f };
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array22, f_array24);
    boolean b26 = org.apache.commons.math3.util.MathArrays.equals(f_array20, f_array22);
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array15, f_array22);
    float[] f_array28 = null;
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array22, f_array28);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(f_array6, f_array22);
    float[] f_array31 = new float[] {  };
    float[] f_array33 = new float[] { 100.0f };
    boolean b34 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array31, f_array33);
    float[] f_array35 = null;
    boolean b36 = org.apache.commons.math3.util.MathArrays.equals(f_array31, f_array35);
    float[] f_array37 = new float[] {  };
    float[] f_array39 = new float[] { 100.0f };
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array37, f_array39);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(f_array35, f_array37);
    float[] f_array42 = new float[] {  };
    float[] f_array44 = new float[] { 100.0f };
    boolean b45 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array42, f_array44);
    float[] f_array46 = null;
    boolean b47 = org.apache.commons.math3.util.MathArrays.equals(f_array42, f_array46);
    float[] f_array48 = new float[] {  };
    float[] f_array50 = new float[] { 100.0f };
    boolean b51 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array48, f_array50);
    boolean b52 = org.apache.commons.math3.util.MathArrays.equals(f_array46, f_array48);
    boolean b53 = org.apache.commons.math3.util.MathArrays.equals(f_array37, f_array48);
    boolean b54 = org.apache.commons.math3.util.MathArrays.equals(f_array6, f_array37);
    float[] f_array55 = new float[] {  };
    float[] f_array57 = new float[] { 100.0f };
    boolean b58 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array55, f_array57);
    float[] f_array59 = null;
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(f_array55, f_array59);
    float[] f_array61 = new float[] {  };
    float[] f_array63 = new float[] { 100.0f };
    boolean b64 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array61, f_array63);
    boolean b65 = org.apache.commons.math3.util.MathArrays.equals(f_array59, f_array61);
    float[] f_array66 = new float[] {  };
    float[] f_array68 = new float[] { 100.0f };
    boolean b69 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array66, f_array68);
    float[] f_array70 = null;
    boolean b71 = org.apache.commons.math3.util.MathArrays.equals(f_array66, f_array70);
    float[] f_array72 = new float[] {  };
    float[] f_array74 = new float[] { 100.0f };
    boolean b75 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array72, f_array74);
    boolean b76 = org.apache.commons.math3.util.MathArrays.equals(f_array70, f_array72);
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array61, f_array70);
    boolean b78 = org.apache.commons.math3.util.MathArrays.equals(f_array6, f_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test214"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(2.1778071E34f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 114);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test215"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.5916631506746491d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5577422323600777d));

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test216"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    incrementor1.resetCount();
    int i3 = incrementor1.getMaximalCount();
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-3));
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test217"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(900.7313052582214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2752433762115531d));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test218"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction0, 1.170099907467999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test219"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    org.apache.commons.math3.optimization.GoalType goalType4 = brentOptimizer3.getGoalType();
    double d5 = brentOptimizer3.getMax();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType8 = brentOptimizer3.getGoalType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType8);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test220"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.8E-45f, 6.400001E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.400001E-5f);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test221"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 7, (-6));

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test222"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.00818478447560285d), 48.18754297822047d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test223"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb((-9.094947E-13f), 697);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test224"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.5717733477286072E64d, 0.08600723105747643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test225"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array9 = new org.apache.commons.math3.analysis.UnivariateFunction[] { differentiableUnivariateFunction8 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array9);
    org.apache.commons.math3.exception.MathInternalError mathInternalError11 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])univariateFunction_array9);
    org.apache.commons.math3.exception.MathInternalError mathInternalError12 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])univariateFunction_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test226"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(4.0389683E-28f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.0389683E-28f);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test227"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.19529126027824797d, 0.6232581019611334d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test228"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.01714902520201941d, (-0.009821625514953114d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0407409402099654d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test229"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(5.017400432152429E-27d, 0.0d);
    double d3 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test230"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(6);
    boolean b2 = incrementor1.canIncrement();
    int i3 = incrementor1.getCount();
    int i4 = incrementor1.getCount();
    int i5 = incrementor1.getMaximalCount();
    incrementor1.incrementCount((-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 6);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test231"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-0.37961049618684717d), (-0.9503888759593326d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test232"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair((-0.5389712913141064d), 10.50830546598966d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test233"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(102400.01f, 1.0587914E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102400.01f);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test234"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.4734177416350944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4734177416350944d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test235"); }


    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    double[] d_array25 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection26 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b29 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array25, orderDirection26, false, false);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array25);
    java.lang.Comparable[] comparable_array32 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException36 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = nonMonotonicSequenceException36.getDirection();
    boolean b39 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array32, orderDirection37, true);
    double[] d_array42 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection43 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b46 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array42, orderDirection43, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection47 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b49 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array42, orderDirection47, true);
    boolean b51 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array32, orderDirection47, false);
    boolean b53 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array25, orderDirection47, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException55 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1L), (java.lang.Number)7.62939453125E-6d, 99, orderDirection47, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException57 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1.110223024625157E-16d, (java.lang.Number)(-0.0d), (-22), orderDirection47, true);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection58 = nonMonotonicSequenceException57.getDirection();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection59 = nonMonotonicSequenceException57.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection59);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test236"); }


    int[] i_array0 = null;
    int[] i_array1 = new int[] {  };
    int[] i_array3 = new int[] { 10 };
    int[] i_array4 = org.apache.commons.math3.util.MathArrays.copyOf(i_array3);
    int[] i_array6 = new int[] { 10 };
    int[] i_array7 = org.apache.commons.math3.util.MathArrays.copyOf(i_array6);
    int i8 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array4, i_array7);
    int i9 = org.apache.commons.math3.util.MathArrays.distance1(i_array1, i_array7);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int[] i_array14 = new int[] { 10 };
    int[] i_array15 = org.apache.commons.math3.util.MathArrays.copyOf(i_array14);
    double d16 = org.apache.commons.math3.util.MathArrays.distance(i_array11, i_array14);
    int[] i_array18 = new int[] { 10 };
    int[] i_array19 = org.apache.commons.math3.util.MathArrays.copyOf(i_array18);
    int[] i_array21 = new int[] { 10 };
    int[] i_array22 = org.apache.commons.math3.util.MathArrays.copyOf(i_array21);
    int i23 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array19, i_array22);
    int i24 = org.apache.commons.math3.util.MathArrays.distance1(i_array11, i_array19);
    int[] i_array26 = new int[] { 10 };
    int[] i_array27 = org.apache.commons.math3.util.MathArrays.copyOf(i_array26);
    int[] i_array29 = new int[] { 10 };
    int[] i_array30 = org.apache.commons.math3.util.MathArrays.copyOf(i_array29);
    int i31 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array27, i_array30);
    int[] i_array32 = org.apache.commons.math3.util.MathArrays.copyOf(i_array30);
    double d33 = org.apache.commons.math3.util.MathArrays.distance(i_array19, i_array30);
    int[] i_array35 = new int[] { 10 };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    int[] i_array38 = new int[] { 10 };
    int[] i_array39 = org.apache.commons.math3.util.MathArrays.copyOf(i_array38);
    double d40 = org.apache.commons.math3.util.MathArrays.distance(i_array35, i_array38);
    int[] i_array42 = new int[] { 10 };
    int[] i_array43 = org.apache.commons.math3.util.MathArrays.copyOf(i_array42);
    int[] i_array45 = new int[] { 10 };
    int[] i_array46 = org.apache.commons.math3.util.MathArrays.copyOf(i_array45);
    int i47 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array43, i_array46);
    int i48 = org.apache.commons.math3.util.MathArrays.distance1(i_array35, i_array43);
    int[] i_array50 = new int[] { 10 };
    int[] i_array51 = org.apache.commons.math3.util.MathArrays.copyOf(i_array50);
    int[] i_array53 = new int[] { 10 };
    int[] i_array54 = org.apache.commons.math3.util.MathArrays.copyOf(i_array53);
    int i55 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array51, i_array54);
    int[] i_array56 = org.apache.commons.math3.util.MathArrays.copyOf(i_array54);
    double d57 = org.apache.commons.math3.util.MathArrays.distance(i_array43, i_array54);
    double d58 = org.apache.commons.math3.util.MathArrays.distance(i_array19, i_array43);
    int i59 = org.apache.commons.math3.util.MathArrays.distance1(i_array7, i_array19);
    int[] i_array61 = org.apache.commons.math3.util.MathArrays.copyOf(i_array19, 90);
    int[] i_array62 = org.apache.commons.math3.util.MathArrays.copyOf(i_array19);
    // The following exception was thrown during execution in test generation
    try {
      int i63 = org.apache.commons.math3.util.MathArrays.distance1(i_array0, i_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test237"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(92);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test238"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-2.501701625014877d), (java.lang.Number)(-0.5014105500004926d), 9);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test239"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    double d5 = brentOptimizer3.getMax();
    double d6 = brentOptimizer3.getMax();
    double d7 = brentOptimizer3.getMin();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker8 = brentOptimizer3.getConvergenceChecker();
    double d9 = brentOptimizer3.getStartValue();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker10 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array12 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array14 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction13 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array14);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array14);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable17 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction16);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable17);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array19 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { univariateDifferentiable17 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable20 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array19);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction21 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array19);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array19);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker25 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer26 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker25);
    org.apache.commons.math3.analysis.function.Sin sin28 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction29 = sin28.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = sin28.derivative();
    org.apache.commons.math3.optimization.GoalType goalType31 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair35 = brentOptimizer26.optimize(6, univariateFunction30, goalType31, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    org.apache.commons.math3.optimization.GoalType goalType36 = brentOptimizer26.getGoalType();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair39 = brentOptimizer3.optimize(0, univariateFunction22, goalType36, (-7.977294885095489d), 2.076053214282604E-4d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType36);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test240"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(72, maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test241"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.2759576E-12f, 1.110223E-16f, 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test242"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)99.99999f, (java.lang.Number)100L, 10, orderDirection3, true);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException5, localizable6, obj_array7);
    java.lang.Number number9 = nonMonotonicSequenceException5.getArgument();
    java.lang.Number number10 = nonMonotonicSequenceException5.getArgument();
    boolean b11 = nonMonotonicSequenceException5.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 99.99999f+ "'", number9.equals(99.99999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 99.99999f+ "'", number10.equals(99.99999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == true);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test243"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(98.99999f, (-0.031185488166741077d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 98.999985f);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test244"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction2 = null;
    double[] d_array4 = new double[] { 100.0d };
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    boolean b8 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array7);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array13 = new double[] { 0.0d, 1.0d };
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array13);
    double[] d_array16 = new double[] { 100.0d };
    double[] d_array19 = new double[] { 0.0d, 1.0d };
    boolean b20 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array16, d_array19);
    double[] d_array23 = new double[] { 0.0d, 0.0d };
    double d24 = org.apache.commons.math3.util.MathArrays.distance1(d_array19, d_array23);
    boolean b25 = org.apache.commons.math3.util.MathArrays.equals(d_array10, d_array23);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction26 = new org.apache.commons.math3.analysis.function.StepFunction(d_array4, d_array10);
    double d28 = stepFunction26.value((-306.9867999498826d));
    double d30 = stepFunction26.value(0.1928815401231547d);
    double d32 = stepFunction26.value(2.596102686531958d);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array33 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction34 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array33);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array35 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction34 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction36 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction37 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction38 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable39 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction38);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction40 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction2, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction26, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction38);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array41 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction42 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array41);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array43 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction42 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction44 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array43);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction45 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array43);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable46 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction45);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction47 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction1, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction26, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable46);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction49 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction26, 5.21895686940464d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction49);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test245"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array9 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b13 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array9, orderDirection10, false, false);
    double[] d_array15 = new double[] { 100.0d };
    double[] d_array18 = new double[] { 0.0d, 1.0d };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array18);
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array24 = new double[] { 0.0d, 1.0d };
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array21, d_array24);
    double[] d_array27 = new double[] { 100.0d };
    double[] d_array30 = new double[] { 0.0d, 1.0d };
    boolean b31 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array27, d_array30);
    double[] d_array34 = new double[] { 0.0d, 0.0d };
    double d35 = org.apache.commons.math3.util.MathArrays.distance1(d_array30, d_array34);
    boolean b36 = org.apache.commons.math3.util.MathArrays.equals(d_array21, d_array34);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction37 = new org.apache.commons.math3.analysis.function.StepFunction(d_array15, d_array21);
    boolean b38 = org.apache.commons.math3.util.MathArrays.equals(d_array9, d_array15);
    double[] d_array39 = org.apache.commons.math3.util.MathArrays.copyOf(d_array9);
    double d40 = org.apache.commons.math3.util.MathArrays.distance(d_array5, d_array9);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array45 = new double[] { 0.0d, 1.0d };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array55 = new double[] { 0.0d, 0.0d };
    double d56 = org.apache.commons.math3.util.MathArrays.distance1(d_array51, d_array55);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equals(d_array42, d_array55);
    double[] d_array60 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection61 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b64 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array60, orderDirection61, false, false);
    boolean b65 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array60);
    double[] d_array67 = new double[] { 100.0d };
    double[] d_array70 = new double[] { 0.0d, 1.0d };
    boolean b71 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array67, d_array70);
    double[] d_array73 = new double[] { 100.0d };
    double[] d_array76 = new double[] { 0.0d, 1.0d };
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array73, d_array76);
    double[] d_array80 = new double[] { 0.0d, 0.0d };
    double d81 = org.apache.commons.math3.util.MathArrays.distance1(d_array76, d_array80);
    boolean b82 = org.apache.commons.math3.util.MathArrays.equals(d_array67, d_array80);
    double[] d_array85 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection86 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b89 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array85, orderDirection86, false, false);
    boolean b90 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array67, d_array85);
    double d91 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array60, d_array85);
    boolean b92 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array5, d_array85);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction93 = new org.apache.commons.math3.analysis.function.StepFunction(d_array0, d_array85);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test246"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.0d, 1.0235735488453073d);
    double d3 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0235735488453073d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test247"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 3, 92);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(57.301354382063764d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.105427357601002E-15d);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test249"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.5717733477286072E64d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.5049360332714153E21d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.19248785986371106d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test251"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.2d, 0.6589548903918033d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.20000000000000004d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test252"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.629394E-6f, 0.0f, 3.388132E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test253"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(5.0706024E30f, (-89));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 8192.0f);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test254"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)5.74E-42f, (java.lang.Number)0.9999502370881642d, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.9999502370881642d+ "'", number5.equals(0.9999502370881642d));

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test255"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    java.lang.Comparable[] comparable_array21 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection22 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array21, orderDirection22, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException26 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection22, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection22, false);
    double[] d_array29 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14);
    double[] d_array31 = new double[] { 100.0d };
    double[] d_array34 = new double[] { 0.0d, 1.0d };
    boolean b35 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array31, d_array34);
    double[] d_array37 = new double[] { 100.0d };
    double[] d_array40 = new double[] { 0.0d, 1.0d };
    boolean b41 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array37, d_array40);
    double[] d_array43 = new double[] { 100.0d };
    double[] d_array46 = new double[] { 0.0d, 1.0d };
    boolean b47 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array43, d_array46);
    double[] d_array50 = new double[] { 0.0d, 0.0d };
    double d51 = org.apache.commons.math3.util.MathArrays.distance1(d_array46, d_array50);
    boolean b52 = org.apache.commons.math3.util.MathArrays.equals(d_array37, d_array50);
    double[] d_array55 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection56 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b59 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array55, orderDirection56, false, false);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array37, d_array55);
    double[] d_array62 = new double[] { 100.0d };
    double[] d_array65 = new double[] { 0.0d, 1.0d };
    boolean b66 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array62, d_array65);
    double[] d_array68 = new double[] { 100.0d };
    double[] d_array71 = new double[] { 0.0d, 1.0d };
    boolean b72 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array68, d_array71);
    double[] d_array75 = new double[] { 0.0d, 0.0d };
    double d76 = org.apache.commons.math3.util.MathArrays.distance1(d_array71, d_array75);
    boolean b77 = org.apache.commons.math3.util.MathArrays.equals(d_array62, d_array75);
    double[] d_array80 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection81 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b84 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array80, orderDirection81, false, false);
    boolean b85 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array62, d_array80);
    double d86 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array55, d_array80);
    double d87 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array34, d_array55);
    double d88 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array29, d_array55);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array90 = org.apache.commons.math3.util.MathArrays.copyOf(d_array29, (-51));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test256"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-6.400002E-5f), 0.6701594965039215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-6.4000014E-5f));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test257"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.8477184228649961d, 0.19171513011607672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.19171513011607672d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test258"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test259"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(4L, (-3098L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3098L));

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test260"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(88255.0d, 4.4346975661754043E-94d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 88255.0d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test261"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 0.195309622118187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test262"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.47689228532487454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test263"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(1.4906477311492075d, 1.6793051181843424d, 2.4739624451970612E216d, 1.6258930378825627d, (-0.8958356039435625d), 0.9522639056547013d, (-1.0988985915805174d), 1.4770846233323764E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 4.022398315628823E216d);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test264"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.545107200599258d, 0.21033231042029157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5451072005992579d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test265"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    int i5 = brentOptimizer3.getEvaluations();
    double d6 = brentOptimizer3.getMax();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.analysis.function.Sin sin12 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array13 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin12 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MathInternalError mathInternalError16 = new org.apache.commons.math3.exception.MathInternalError(localizable9, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.optimization.GoalType goalType20 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair24 = brentOptimizer3.optimize((-7), univariateFunction19, goalType20, 4.010937229759487d, 0.19248785986371106d, (-0.13859599889296803d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction19);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test266"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.9922471258628995d, 123248.71041553169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test267"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array9 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b13 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array9, orderDirection10, false, false);
    double[] d_array15 = new double[] { 100.0d };
    double[] d_array18 = new double[] { 0.0d, 1.0d };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array18);
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array24 = new double[] { 0.0d, 1.0d };
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array21, d_array24);
    double[] d_array27 = new double[] { 100.0d };
    double[] d_array30 = new double[] { 0.0d, 1.0d };
    boolean b31 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array27, d_array30);
    double[] d_array34 = new double[] { 0.0d, 0.0d };
    double d35 = org.apache.commons.math3.util.MathArrays.distance1(d_array30, d_array34);
    boolean b36 = org.apache.commons.math3.util.MathArrays.equals(d_array21, d_array34);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction37 = new org.apache.commons.math3.analysis.function.StepFunction(d_array15, d_array21);
    boolean b38 = org.apache.commons.math3.util.MathArrays.equals(d_array9, d_array15);
    double[] d_array39 = org.apache.commons.math3.util.MathArrays.copyOf(d_array9);
    double d40 = org.apache.commons.math3.util.MathArrays.distance(d_array5, d_array9);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array45 = new double[] { 0.0d, 1.0d };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array55 = new double[] { 0.0d, 0.0d };
    double d56 = org.apache.commons.math3.util.MathArrays.distance1(d_array51, d_array55);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equals(d_array42, d_array55);
    double[] d_array60 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection61 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b64 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array60, orderDirection61, false, false);
    boolean b65 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array60);
    double[] d_array67 = new double[] { 100.0d };
    double[] d_array70 = new double[] { 0.0d, 1.0d };
    boolean b71 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array67, d_array70);
    double[] d_array73 = new double[] { 100.0d };
    double[] d_array76 = new double[] { 0.0d, 1.0d };
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array73, d_array76);
    double[] d_array80 = new double[] { 0.0d, 0.0d };
    double d81 = org.apache.commons.math3.util.MathArrays.distance1(d_array76, d_array80);
    boolean b82 = org.apache.commons.math3.util.MathArrays.equals(d_array67, d_array80);
    double[] d_array85 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection86 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b89 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array85, orderDirection86, false, false);
    boolean b90 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array67, d_array85);
    double d91 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array60, d_array85);
    boolean b92 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array5, d_array85);
    double[] d_array94 = org.apache.commons.math3.util.MathArrays.copyOf(d_array85, 2);
    // The following exception was thrown during execution in test generation
    try {
      double d95 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array0, d_array94);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test268"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    double d6 = sin0.value(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure7 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = sin0.value(derivativeStructure7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test269"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(90.0d, 1.2544169174173476E44d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test270"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(2.105687432664646E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test271"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(9.95299510924314E-5d, 8.098653662286289d, 0.14675751726202146d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 8.060586029218948E-4d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test272"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1060.0d);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test273"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-0.03117538440567036d));
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    java.lang.Number number4 = notStrictlyPositiveException2.getArgument();
    java.lang.Number number5 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (-0.03117538440567036d)+ "'", number4.equals((-0.03117538440567036d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test274"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-0.0f), (java.lang.Number)22.14312011905519d, true);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test275"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    int i5 = brentOptimizer3.getEvaluations();
    double d6 = brentOptimizer3.getStartValue();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction8 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction8, 595.3501099218779d);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer14 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker13);
    org.apache.commons.math3.analysis.function.Sin sin16 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = sin16.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = sin16.derivative();
    org.apache.commons.math3.optimization.GoalType goalType19 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair23 = brentOptimizer14.optimize(6, univariateFunction18, goalType19, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d24 = brentOptimizer14.getMin();
    int i25 = brentOptimizer14.getEvaluations();
    double d26 = brentOptimizer14.getMin();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker27 = brentOptimizer14.getConvergenceChecker();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction29 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction30 = null;
    org.apache.commons.math3.analysis.function.Sin sin31 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array32 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin31 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable33 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array32);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable34 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array32);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable35 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array32);
    org.apache.commons.math3.exception.util.Localizable localizable36 = null;
    org.apache.commons.math3.analysis.function.Sin sin37 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array38 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin37 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction39 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array38);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable36, (java.lang.Object[])differentiableUnivariateFunction_array38);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction41 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array38);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction42 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array38);
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array43 = new org.apache.commons.math3.analysis.UnivariateFunction[] { differentiableUnivariateFunction42 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction44 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array43);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction45 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array43);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction46 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction30, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable35, univariateFunction45);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction47 = null;
    org.apache.commons.math3.exception.util.Localizable localizable48 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array49 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction50 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array49);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array51 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction50 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction52 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array51);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction53 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array51);
    org.apache.commons.math3.exception.MathInternalError mathInternalError54 = new org.apache.commons.math3.exception.MathInternalError(localizable48, (java.lang.Object[])differentiableUnivariateFunction_array51);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction55 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array51);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction56 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction47, univariateFunction55, univariateFunction56);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction58 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction29, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable35, univariateFunction55);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker61 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer62 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker61);
    int i63 = brentOptimizer62.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType64 = brentOptimizer62.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin66 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction67 = sin66.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction68 = sin66.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction69 = sin66.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction70 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin66);
    org.apache.commons.math3.optimization.GoalType goalType71 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair75 = brentOptimizer62.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin66, goalType71, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    int i76 = brentOptimizer62.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType77 = brentOptimizer62.getGoalType();
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair81 = brentOptimizer14.optimize(99, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable35, goalType77, 0.0d, (-0.5192825849117578d), (-1.0150969030102155d));
    org.apache.commons.math3.optimization.GoalType goalType82 = brentOptimizer14.getGoalType();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair86 = brentOptimizer3.optimize(102400, univariateFunction10, goalType82, 0.0d, 3.3343439974769638d, (-0.1736481776669303d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i76 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType82);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test276"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.5448085946942793d, (-1775036.4399369443d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1775036.4399369443d));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.6137474852277875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5504666684063928d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test278"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(572.9577951308232d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-3.104874849437678d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9959885810281107d));

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test280"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, 0.0f, (-6));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test281"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test282"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.7763568E-15f, (-8));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test283"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(792.6030551128474d, 0.9801035001445729d, 2.6071006400586496d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test284"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(8.060586029218948E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.060587774955522E-4d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test285"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction11 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction12 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction12, (-0.5309649148733836d));
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array15 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array15);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction11, univariateFunction14, univariateFunction16);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction1, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction10, univariateFunction14);
    org.apache.commons.math3.analysis.function.Sin sin19 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction20 = sin19.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction21 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, univariateFunction14, (org.apache.commons.math3.analysis.UnivariateFunction)sin19);
    double d23 = sin19.value((-0.5716096180634055d));
    double d25 = sin19.value(1.1279135351260314d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == (-0.5409864881078486d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.9035200107181348d);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test286"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.2592284761519765d, 2147483647);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test287"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.26507041226912836d, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction13);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test288"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2296.342748149324d, 38.56936837668582d, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test289"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(22, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test290"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.4983918482969738d));
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test291"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.37961049618684717d), 4.952375424478555d, convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test292"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(5.198497031265826d, 15.954589770191003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.198497031265826d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test293"); }


    double[] d_array4 = new double[] { 100.0d };
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    boolean b8 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array7);
    double[] d_array11 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection12 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b15 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array11, orderDirection12, false, false);
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array20 = new double[] { 0.0d, 1.0d };
    boolean b21 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array20);
    double[] d_array23 = new double[] { 100.0d };
    double[] d_array26 = new double[] { 0.0d, 1.0d };
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array23, d_array26);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array32 = new double[] { 0.0d, 1.0d };
    boolean b33 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array29, d_array32);
    double[] d_array36 = new double[] { 0.0d, 0.0d };
    double d37 = org.apache.commons.math3.util.MathArrays.distance1(d_array32, d_array36);
    boolean b38 = org.apache.commons.math3.util.MathArrays.equals(d_array23, d_array36);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction39 = new org.apache.commons.math3.analysis.function.StepFunction(d_array17, d_array23);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equals(d_array11, d_array17);
    double[] d_array41 = org.apache.commons.math3.util.MathArrays.copyOf(d_array11);
    double d42 = org.apache.commons.math3.util.MathArrays.distance(d_array7, d_array11);
    double[] d_array45 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection46 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b49 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array45, orderDirection46, false, false);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array57 = new double[] { 100.0d };
    double[] d_array60 = new double[] { 0.0d, 1.0d };
    boolean b61 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array57, d_array60);
    double[] d_array63 = new double[] { 100.0d };
    double[] d_array66 = new double[] { 0.0d, 1.0d };
    boolean b67 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array63, d_array66);
    double[] d_array70 = new double[] { 0.0d, 0.0d };
    double d71 = org.apache.commons.math3.util.MathArrays.distance1(d_array66, d_array70);
    boolean b72 = org.apache.commons.math3.util.MathArrays.equals(d_array57, d_array70);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction73 = new org.apache.commons.math3.analysis.function.StepFunction(d_array51, d_array57);
    boolean b74 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array51);
    double[] d_array76 = new double[] { 100.0d };
    double[] d_array79 = new double[] { 0.0d, 1.0d };
    boolean b80 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array76, d_array79);
    double[] d_array83 = new double[] { 0.0d, 0.0d };
    double d84 = org.apache.commons.math3.util.MathArrays.distance1(d_array79, d_array83);
    double d85 = org.apache.commons.math3.util.MathArrays.distance(d_array45, d_array79);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException89 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection90 = nonMonotonicSequenceException89.getDirection();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection91 = nonMonotonicSequenceException89.getDirection();
    boolean b94 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array79, orderDirection91, true, false);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array7, orderDirection91, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException98 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)5908.945580817902d, (java.lang.Number)2.812644285236262E-103d, 14, orderDirection91, true);
    boolean b99 = nonMonotonicSequenceException98.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b99 == true);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test294"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-191.04383850020963d), 0.007835809136727524d, (-98434.11069363754d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test295"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.5205834495195282d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test296"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test297"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-8.041973062759263d), 0.0d, 0.8611937137465179d, 0.8875541943818962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.764356092811044d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test298"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair((-0.559738844967506d), (-1034.0365074054232d));
    double d3 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1034.0365074054232d));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test299"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.47583102411108585d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4428986129519158d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test300"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (-0.17316434534459602d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test301"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-2147483648), 0);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test302"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(2.4470190791903602E305d, 695.328942684721d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test303"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.7384961682046678d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6731766170939474d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test304"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(746.2059034444404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-12.852702656801302d));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test305"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b12 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array8, orderDirection9, false, false);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction36 = new org.apache.commons.math3.analysis.function.StepFunction(d_array14, d_array20);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equals(d_array8, d_array14);
    double[] d_array38 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8);
    double d39 = org.apache.commons.math3.util.MathArrays.distance(d_array4, d_array8);
    double[] d_array41 = new double[] { 100.0d };
    double[] d_array44 = new double[] { 0.0d, 1.0d };
    boolean b45 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array44);
    double[] d_array47 = new double[] { 100.0d };
    double[] d_array50 = new double[] { 0.0d, 1.0d };
    boolean b51 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array47, d_array50);
    double[] d_array54 = new double[] { 0.0d, 0.0d };
    double d55 = org.apache.commons.math3.util.MathArrays.distance1(d_array50, d_array54);
    boolean b56 = org.apache.commons.math3.util.MathArrays.equals(d_array41, d_array54);
    double[] d_array59 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection60 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b63 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array59, orderDirection60, false, false);
    boolean b64 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array59);
    double[] d_array66 = new double[] { 100.0d };
    double[] d_array69 = new double[] { 0.0d, 1.0d };
    boolean b70 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array66, d_array69);
    double[] d_array72 = new double[] { 100.0d };
    double[] d_array75 = new double[] { 0.0d, 1.0d };
    boolean b76 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array72, d_array75);
    double[] d_array79 = new double[] { 0.0d, 0.0d };
    double d80 = org.apache.commons.math3.util.MathArrays.distance1(d_array75, d_array79);
    boolean b81 = org.apache.commons.math3.util.MathArrays.equals(d_array66, d_array79);
    double[] d_array84 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection85 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b88 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array84, orderDirection85, false, false);
    boolean b89 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array66, d_array84);
    double d90 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array59, d_array84);
    boolean b91 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array84);
    double[] d_array93 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array84, 0.9615614505099361d);
    double[] d_array94 = org.apache.commons.math3.util.MathArrays.copyOf(d_array93);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection95 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array94, orderDirection95, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test306"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(5.298392360611193d, (-0.665528048542923d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test307"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.0414998706788272d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test308"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(2.384186E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.384186E-7f);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test309"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(1.2202878297988d, 52.297469368485125d, (-1257.0d), 1.0004589482736785d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1193.758932580376d));

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test310"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.225073858507202E-308d, 5.357543035931336E300d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.225073858507202E-308d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test311"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-7.977294885095489d), 0.9999998228809658d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.039728436305086d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test312"); }


    double[] d_array4 = new double[] { 100.0d };
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    boolean b8 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array7);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array13 = new double[] { 0.0d, 1.0d };
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array13);
    double[] d_array17 = new double[] { 0.0d, 0.0d };
    double d18 = org.apache.commons.math3.util.MathArrays.distance1(d_array13, d_array17);
    boolean b19 = org.apache.commons.math3.util.MathArrays.equals(d_array4, d_array17);
    double[] d_array22 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection23 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b26 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array22, orderDirection23, false, false);
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array22);
    java.lang.Comparable[] comparable_array29 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException33 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection34 = nonMonotonicSequenceException33.getDirection();
    boolean b36 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array29, orderDirection34, true);
    double[] d_array39 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection40 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b43 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array39, orderDirection40, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection44 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b46 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array39, orderDirection44, true);
    boolean b48 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array29, orderDirection44, false);
    boolean b50 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array22, orderDirection44, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException52 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1L), (java.lang.Number)7.62939453125E-6d, 99, orderDirection44, true);
    int i53 = nonMonotonicSequenceException52.getIndex();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection54 = nonMonotonicSequenceException52.getDirection();
    boolean b55 = nonMonotonicSequenceException52.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection56 = nonMonotonicSequenceException52.getDirection();
    int i57 = nonMonotonicSequenceException52.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 99);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test313"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.06442335298241321d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2538175584596409d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test314"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.5138983423697506d, (-0.06368641808783039d), (-37));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test315"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException27 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = nonMonotonicSequenceException27.getDirection();
    boolean b30 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array7, orderDirection28, true);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7, 1);
    double d33 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 100.0d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test316"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.190336782022064d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8141453823859992d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test317"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(89, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-3));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test318"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.4441261591d, Double.NEGATIVE_INFINITY);
    double d3 = univariatePointValuePair2.getValue();
    double d4 = univariatePointValuePair2.getPoint();
    double d5 = univariatePointValuePair2.getValue();
    double d6 = univariatePointValuePair2.getPoint();
    double d7 = univariatePointValuePair2.getPoint();
    double d8 = univariatePointValuePair2.getPoint();
    double d9 = univariatePointValuePair2.getPoint();
    double d10 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.4441261591d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.4441261591d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.4441261591d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.4441261591d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.4441261591d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test319"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable3, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction13, 1.8675922440031868E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction15);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test320"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.842172E-14f, 999.9999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test321"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.copyOf(d_array4);
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array12, d_array15);
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array21);
    double[] d_array25 = new double[] { 0.0d, 0.0d };
    double d26 = org.apache.commons.math3.util.MathArrays.distance1(d_array21, d_array25);
    boolean b27 = org.apache.commons.math3.util.MathArrays.equals(d_array12, d_array25);
    double[] d_array29 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array12, (-0.6246841429488434d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array12);
    double[] d_array31 = org.apache.commons.math3.util.MathArrays.copyOf(d_array12);
    double[] d_array33 = org.apache.commons.math3.util.MathArrays.copyOf(d_array12, 90);
    double[] d_array34 = org.apache.commons.math3.util.MathArrays.copyOf(d_array33);
    double d35 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array33);
    double d36 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array10, d_array33);
    double[] d_array37 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d38 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array10, d_array37);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 100.0d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test322"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(5.660067479816203d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test323"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(9.536743E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1368684E-13f);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test324"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.1842430667604542E-219d, 1.5931943004608362d, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test325"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMin();
    double d5 = brentOptimizer3.getStartValue();
    double d6 = brentOptimizer3.getMax();
    int i7 = brentOptimizer3.getMaxEvaluations();
    int i8 = brentOptimizer3.getMaxEvaluations();
    double d9 = brentOptimizer3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test326"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.0899391519027064d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test327"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-6.400002E-5f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test328"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException2 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-0.803775170065996d));
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.function.Sin sin4 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array5 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin4 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array7 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction6 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException2, localizable3, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test329"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(8.039728436305086d, 2.2784756311113747E-305d, 33.85569869889789d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test330"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = sin0.derivative();
    double[] d_array8 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)sin0, 6.742965677935095d, 20.569139126336136d, 3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential((org.apache.commons.math3.analysis.DifferentiableUnivariateFunction)sin0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test331"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(2.842172E-14f, 26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.9073493E-6f);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test332"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(4.5474732E-13f, 100, 140);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test333"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin4 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array5 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin4 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array5);
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array12, d_array15);
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array21);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = new double[] { 0.0d, 1.0d };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array24, d_array27);
    double[] d_array31 = new double[] { 0.0d, 0.0d };
    double d32 = org.apache.commons.math3.util.MathArrays.distance1(d_array27, d_array31);
    boolean b33 = org.apache.commons.math3.util.MathArrays.equals(d_array18, d_array31);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction34 = new org.apache.commons.math3.analysis.function.StepFunction(d_array12, d_array18);
    double d36 = stepFunction34.value((-306.9867999498826d));
    double d38 = stepFunction34.value(0.1928815401231547d);
    double d40 = stepFunction34.value(1.1774215933195176d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction41 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, univariateFunction10, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction34);
    double d43 = stepFunction34.value(8.673617379884037E-19d);
    double d45 = stepFunction34.value(0.11092009499569774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 100.0d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test334"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin7 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = sin7.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = sin7.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = sin7.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin7);
    org.apache.commons.math3.optimization.GoalType goalType12 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair16 = brentOptimizer3.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin7, goalType12, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    int i17 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType18 = brentOptimizer3.getGoalType();
    int i19 = brentOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test335"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    boolean b6 = nonMonotonicSequenceException5.getStrict();
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException5);
    java.lang.String str8 = mathInternalError7.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math3.exception.MathInternalError: internal error, please fill a bug report at https://issues.apache.org/jira/browse/MATH"+ "'", str8.equals("org.apache.commons.math3.exception.MathInternalError: internal error, please fill a bug report at https://issues.apache.org/jira/browse/MATH"));

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test336"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.distance(i_array1, i_array4);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array9, i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distance1(i_array1, i_array9);
    int[] i_array15 = org.apache.commons.math3.util.MathArrays.copyOf(i_array9);
    int[] i_array17 = new int[] { 10 };
    int[] i_array18 = org.apache.commons.math3.util.MathArrays.copyOf(i_array17);
    int[] i_array20 = new int[] { 10 };
    int[] i_array21 = org.apache.commons.math3.util.MathArrays.copyOf(i_array20);
    double d22 = org.apache.commons.math3.util.MathArrays.distance(i_array17, i_array20);
    int[] i_array24 = new int[] { 10 };
    int[] i_array25 = org.apache.commons.math3.util.MathArrays.copyOf(i_array24);
    int[] i_array27 = new int[] { 10 };
    int[] i_array28 = org.apache.commons.math3.util.MathArrays.copyOf(i_array27);
    int i29 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array25, i_array28);
    int i30 = org.apache.commons.math3.util.MathArrays.distance1(i_array17, i_array25);
    int[] i_array31 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    int i32 = org.apache.commons.math3.util.MathArrays.distance1(i_array15, i_array25);
    int[] i_array33 = new int[] {  };
    int[] i_array35 = new int[] { 10 };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    int[] i_array38 = new int[] { 10 };
    int[] i_array39 = org.apache.commons.math3.util.MathArrays.copyOf(i_array38);
    int i40 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array36, i_array39);
    int i41 = org.apache.commons.math3.util.MathArrays.distance1(i_array33, i_array39);
    int i42 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array15, i_array39);
    int[] i_array43 = org.apache.commons.math3.util.MathArrays.copyOf(i_array15);
    int[] i_array45 = org.apache.commons.math3.util.MathArrays.copyOf(i_array43, 6);
    int[] i_array47 = new int[] { 10 };
    int[] i_array48 = org.apache.commons.math3.util.MathArrays.copyOf(i_array47);
    int[] i_array50 = new int[] { 10 };
    int[] i_array51 = org.apache.commons.math3.util.MathArrays.copyOf(i_array50);
    int i52 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array48, i_array51);
    int[] i_array54 = org.apache.commons.math3.util.MathArrays.copyOf(i_array51, 100);
    int i55 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array45, i_array54);
    int[] i_array57 = new int[] { 10 };
    int[] i_array58 = org.apache.commons.math3.util.MathArrays.copyOf(i_array57);
    int[] i_array60 = new int[] { 10 };
    int[] i_array61 = org.apache.commons.math3.util.MathArrays.copyOf(i_array60);
    int i62 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array58, i_array61);
    int[] i_array63 = org.apache.commons.math3.util.MathArrays.copyOf(i_array61);
    int[] i_array64 = org.apache.commons.math3.util.MathArrays.copyOf(i_array63);
    int[] i_array68 = new int[] { 100, 100, 100 };
    int i69 = org.apache.commons.math3.util.MathArrays.distance1(i_array63, i_array68);
    int[] i_array71 = new int[] { 10 };
    int[] i_array72 = org.apache.commons.math3.util.MathArrays.copyOf(i_array71);
    int[] i_array74 = new int[] { 10 };
    int[] i_array75 = org.apache.commons.math3.util.MathArrays.copyOf(i_array74);
    double d76 = org.apache.commons.math3.util.MathArrays.distance(i_array71, i_array74);
    double d77 = org.apache.commons.math3.util.MathArrays.distance(i_array63, i_array71);
    int[] i_array79 = org.apache.commons.math3.util.MathArrays.copyOf(i_array71, 17);
    // The following exception was thrown during execution in test generation
    try {
      double d80 = org.apache.commons.math3.util.MathArrays.distance(i_array45, i_array71);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i62 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array79);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test337"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(45.13592306449799d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test338"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.7755575615628914E-17d, 1.1473463495636202E32d, 0.7528216089156781d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test339"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-55.13934975554108d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test340"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)5.660067479816203d);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    java.lang.Number number4 = notStrictlyPositiveException2.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 5.660067479816203d+ "'", number4.equals(5.660067479816203d));

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test341"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(145.92513203424383d, (-1.5707963267948966d), 0.02480253213886056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test342"); }


    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.028377186796303612d, 1.175201193472402d);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test343"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.21273912408247134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.18905394723554d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test344"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14, 0);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    double[] d_array38 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b42 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array38, orderDirection39, false, false);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array38);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    double d59 = org.apache.commons.math3.util.MathArrays.distance1(d_array54, d_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array58);
    double[] d_array63 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection64 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array63, orderDirection64, false, false);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array63);
    double d69 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array38, d_array63);
    double[] d_array70 = org.apache.commons.math3.util.MathArrays.copyOf(d_array63);
    boolean b71 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array70);
    double[] d_array73 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array70, 1.476111317381695d);
    double[] d_array74 = org.apache.commons.math3.util.MathArrays.copyOf(d_array73);
    double d75 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 1.476111317381695d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test345"); }


    float f2 = org.apache.commons.math3.util.Precision.round((-1.0f), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test346"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array8 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction7 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable4, (java.lang.Object[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError(localizable3, (java.lang.Object[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)2.9511872732601234d, (java.lang.Object[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction17);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test347"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array8 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction7 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable5, (java.lang.Object[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)1.7475105975889573d, (java.lang.Object[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)15.940131378786477d, (java.lang.Object[])differentiableUnivariateFunction_array8);
    java.lang.Throwable[] throwable_array16 = maxCountExceededException15.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test348"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-55.13934975554108d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test349"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin5.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin5.derivative();
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair12 = brentOptimizer3.optimize(6, univariateFunction7, goalType8, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d13 = brentOptimizer3.getMin();
    double d14 = brentOptimizer3.getMin();
    int i15 = brentOptimizer3.getEvaluations();
    int i16 = brentOptimizer3.getMaxEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker17 = brentOptimizer3.getConvergenceChecker();
    double d18 = brentOptimizer3.getStartValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 100.0d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test350"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(14);
    int i2 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 14);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test351"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException5.getDirection();
    int i7 = nonMonotonicSequenceException5.getIndex();
    java.lang.Number number8 = nonMonotonicSequenceException5.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (byte)0+ "'", number8.equals((byte)0));

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test352"); }


    double d3 = org.apache.commons.math3.util.Precision.round((-0.2945595523344881d), (-17), 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-1.0E17d));

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test353"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-0.0014442429421402405d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test354"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1024);
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    java.lang.Number number3 = notStrictlyPositiveException1.getArgument();
    java.lang.Number number4 = notStrictlyPositiveException1.getMin();
    java.lang.String str5 = notStrictlyPositiveException1.toString();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = notStrictlyPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 1024+ "'", number3.equals(1024));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.exception.NotStrictlyPositiveException: 1,024 is smaller than, or equal to, the minimum (0)"+ "'", str5.equals("org.apache.commons.math3.exception.NotStrictlyPositiveException: 1,024 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test355"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.0d, 100.00499987500626d, 0.19406172085071063d, (-0.13859599889296803d), 2.09506314392427d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.02689617804819256d));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test356"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-9.377498249635445E79d));
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array6 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin5 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array6);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array6);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array6);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array6);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array6);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable13 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)0.26507041226912836d, (java.lang.Object[])univariateDifferentiable_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException1, localizable2, (java.lang.Object[])univariateDifferentiable_array6);
    boolean b16 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test357"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.04587040018925113d), (java.lang.Number)6.400001E-5f, 2);
    boolean b4 = nonMonotonicSequenceException3.getStrict();
    boolean b5 = nonMonotonicSequenceException3.getStrict();
    org.apache.commons.math3.exception.MathInternalError mathInternalError6 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException3);
    int i7 = nonMonotonicSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 2);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test358"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.8E-45f, 0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test359"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.7555601942253691d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7555601942253691d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test360"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(31045.043004781266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 31046.0d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test361"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1024);
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array7 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array9 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction8 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array9);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable6, (java.lang.Object[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.exception.MathInternalError mathInternalError13 = new org.apache.commons.math3.exception.MathInternalError(localizable5, (java.lang.Object[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable4, (java.lang.Object[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext17 = mathIllegalStateException16.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext17);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test362"); }


    double d2 = org.apache.commons.math3.util.Precision.round(1.1960340724776427E302d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1960340724776427E302d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test363"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)Double.NEGATIVE_INFINITY);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    boolean b4 = notStrictlyPositiveException2.getBoundIsAllowed();
    boolean b5 = notStrictlyPositiveException2.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array6 = notStrictlyPositiveException2.getSuppressed();
    java.lang.Number number7 = notStrictlyPositiveException2.getArgument();
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException15 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable11, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)(-1), true);
    java.lang.Throwable[] throwable_array16 = numberIsTooLargeException15.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, (java.lang.Object[])throwable_array16);
    org.apache.commons.math3.exception.MathInternalError mathInternalError18 = new org.apache.commons.math3.exception.MathInternalError(localizable9, (java.lang.Object[])throwable_array16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException2, localizable8, (java.lang.Object[])throwable_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + Double.NEGATIVE_INFINITY+ "'", number7.equals(Double.NEGATIVE_INFINITY));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test364"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.6110598999140563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5448727593260828d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test365"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.094949E-13f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test366"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    int i5 = brentOptimizer3.getMaxEvaluations();
    int i6 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType7 = brentOptimizer3.getGoalType();
    double d8 = brentOptimizer3.getMax();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker9 = brentOptimizer3.getConvergenceChecker();
    double d10 = brentOptimizer3.getMax();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker11 = brentOptimizer3.getConvergenceChecker();
    double d12 = brentOptimizer3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test367"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException5.getDirection();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.analysis.function.Sin sin10 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array11 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin10 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable8, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException5, localizable7, (java.lang.Object[])differentiableUnivariateFunction_array11);
    java.lang.Number number16 = nonMonotonicSequenceException5.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number16 + "' != '" + 0.0f+ "'", number16.equals(0.0f));

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test368"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-0.319315422654629d), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.31932d));

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.07966491999776518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.564463691119296d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test370"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    boolean b6 = nonMonotonicSequenceException5.getStrict();
    java.lang.Number number7 = nonMonotonicSequenceException5.getPrevious();
    boolean b8 = nonMonotonicSequenceException5.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = nonMonotonicSequenceException5.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)0+ "'", number7.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection9);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test371"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-38.983979336286616d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 38.983979336286616d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test372"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(1.1641532E-10f, 114, (-53));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test373"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.8124020824076512d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test374"); }


    float f2 = org.apache.commons.math3.util.Precision.round(2.1778071E34f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.1778071E34f);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test375"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(773);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 773);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test376"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(14.436801579652759d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1861329.5081046587d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test377"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction0, 0.7823710527862684d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test378"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = null;
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array5 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction4 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array5);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException7 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)100.0d, (java.lang.Object[])univariateFunction_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array5);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])univariateFunction_array5);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])univariateFunction_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test379"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array1);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException5 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathArithmeticException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test380"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test381"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.4441261590999998d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-2));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test382"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.9999999999999999d), (-0.0014442419379893832d), convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test383"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(3.3343439974769638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test384"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(1.7763567E-15f, 697, 45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test385"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-8.420367833543874E-6d), 0.8423164866686835d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8423164866686835d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test386"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.8920085211300253d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test387"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array1);
    double[] d_array10 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array12 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array10, 1.0907245790542575d);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction36 = new org.apache.commons.math3.analysis.function.StepFunction(d_array14, d_array20);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equals(d_array10, d_array20);
    double[] d_array41 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array43 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array41, 1.0907245790542575d);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array43);
    double[] d_array48 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array50 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array48, 1.0907245790542575d);
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array55 = new double[] { 0.0d, 1.0d };
    boolean b56 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array52, d_array55);
    double[] d_array58 = new double[] { 100.0d };
    double[] d_array61 = new double[] { 0.0d, 1.0d };
    boolean b62 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array58, d_array61);
    double[] d_array64 = new double[] { 100.0d };
    double[] d_array67 = new double[] { 0.0d, 1.0d };
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array64, d_array67);
    double[] d_array71 = new double[] { 0.0d, 0.0d };
    double d72 = org.apache.commons.math3.util.MathArrays.distance1(d_array67, d_array71);
    boolean b73 = org.apache.commons.math3.util.MathArrays.equals(d_array58, d_array71);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction74 = new org.apache.commons.math3.analysis.function.StepFunction(d_array52, d_array58);
    boolean b75 = org.apache.commons.math3.util.MathArrays.equals(d_array48, d_array58);
    double d76 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array10, d_array48);
    double[] d_array80 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array82 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array80, 1.0907245790542575d);
    double d83 = org.apache.commons.math3.util.MathArrays.distance(d_array10, d_array80);
    double d84 = org.apache.commons.math3.util.MathArrays.distance(d_array1, d_array80);
    double[] d_array86 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array80, 2.6960254858089807d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array88 = org.apache.commons.math3.util.MathArrays.copyOf(d_array86, (-80));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 102.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 90.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test388"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.5337573923431366d, (-140));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4854348028153992E38d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test389"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)99.99999f, (java.lang.Number)100L, 10, orderDirection3, true);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException5, localizable6, obj_array7);
    java.lang.Number number9 = nonMonotonicSequenceException5.getArgument();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = nonMonotonicSequenceException5.getDirection();
    java.lang.Number number11 = nonMonotonicSequenceException5.getPrevious();
    boolean b12 = nonMonotonicSequenceException5.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 99.99999f+ "'", number9.equals(99.99999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 100L+ "'", number11.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test390"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array8);
    java.lang.Number number33 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException35 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.587213915156929d), number33, 10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = nonMonotonicSequenceException35.getDirection();
    boolean b38 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array8, orderDirection36, false);
    double[] d_array39 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8);
    double[] d_array41 = org.apache.commons.math3.util.MathArrays.copyOf(d_array39, 0);
    double[] d_array42 = org.apache.commons.math3.util.MathArrays.copyOf(d_array41);
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array47 = new double[] { 0.0d, 1.0d };
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array47);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array57 = new double[] { 0.0d, 0.0d };
    double d58 = org.apache.commons.math3.util.MathArrays.distance1(d_array53, d_array57);
    boolean b59 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array57);
    java.lang.Comparable[] comparable_array61 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection62 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b64 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array61, orderDirection62, false);
    boolean b67 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array44, orderDirection62, true, true);
    // The following exception was thrown during execution in test generation
    try {
      boolean b69 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array42, orderDirection62, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test391"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.7320508075688772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test392"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-8), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test393"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    org.apache.commons.math3.optimization.GoalType goalType4 = brentOptimizer3.getGoalType();
    double d5 = brentOptimizer3.getMax();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = brentOptimizer3.getConvergenceChecker();
    double d8 = brentOptimizer3.getMin();
    org.apache.commons.math3.optimization.GoalType goalType9 = brentOptimizer3.getGoalType();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType9);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test394"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(12.910443378636357d, 2.812644285236262E-103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test395"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.6246841429488434d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array1);
    double[] d_array20 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array22 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1, 90);
    double[] d_array23 = org.apache.commons.math3.util.MathArrays.copyOf(d_array22);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array31 = new double[] { 100.0d };
    double[] d_array34 = new double[] { 0.0d, 1.0d };
    boolean b35 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array31, d_array34);
    double[] d_array38 = new double[] { 0.0d, 0.0d };
    double d39 = org.apache.commons.math3.util.MathArrays.distance1(d_array34, d_array38);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equals(d_array25, d_array38);
    double[] d_array43 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection44 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b47 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array43, orderDirection44, false, false);
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array43);
    java.lang.Comparable[] comparable_array50 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException54 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection55 = nonMonotonicSequenceException54.getDirection();
    boolean b57 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array50, orderDirection55, true);
    double[] d_array60 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection61 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b64 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array60, orderDirection61, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection65 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array60, orderDirection65, true);
    boolean b69 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array50, orderDirection65, false);
    boolean b71 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array43, orderDirection65, false);
    double[] d_array73 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array43, 1.2327838798657453d);
    double d74 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array73);
    double[] d_array76 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array73, 0.07319002316411624d);
    double[] d_array78 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array76, 5.718798052253403d);
    // The following exception was thrown during execution in test generation
    try {
      double d79 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array22, d_array76);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.2327838798657453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test396"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test397"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException2 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-0.803775170065996d));
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.function.Sin sin4 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array5 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin4 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array7 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction6 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)tooManyEvaluationsException2, localizable3, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test398"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.021832505294900918d, 0.0819454395092093d, 0.029708507546402176d, 13.261379715180022d, (-0.005353474457828564d), 0.0d, 1.1398877441899385E19d, 0.9540113537344068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0874658499399025E19d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test399"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, 7.922817E22f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test400"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.569229546458266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test401"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.4548324228266097d);
    java.lang.Number number3 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test402"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(1);
    incrementor1.setMaximalCount(100);
    incrementor1.incrementCount();
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test403"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.015256544193643305d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test404"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.6572479197942567d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5182757099173614d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test405"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.01905915011349558d, 6.536734236884397E32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.01905915011349558d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test406"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(3.4135815224112884E-5d, 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test407"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array5 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array7 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction6 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable4, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable2, (java.lang.Number)1.7475105975889573d, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.function.Sin sin14 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = sin14.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = sin14.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin14);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin14);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction1, univariateFunction13, (org.apache.commons.math3.analysis.UnivariateFunction)sin14);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker22 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer23 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker22);
    int i24 = brentOptimizer23.getEvaluations();
    int i25 = brentOptimizer23.getMaxEvaluations();
    double d26 = brentOptimizer23.getMax();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction28 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction29 = null;
    org.apache.commons.math3.exception.util.Localizable localizable30 = null;
    org.apache.commons.math3.exception.util.Localizable localizable31 = null;
    org.apache.commons.math3.analysis.function.Sin sin33 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array34 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin33 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction35 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array34);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException36 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable31, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array34);
    org.apache.commons.math3.exception.MathInternalError mathInternalError37 = new org.apache.commons.math3.exception.MathInternalError(localizable30, (java.lang.Object[])differentiableUnivariateFunction_array34);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction38 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array34);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction39 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction40 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction42 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction40, (-0.5309649148733836d));
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array43 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction44 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array43);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction45 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction39, univariateFunction42, univariateFunction44);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction46 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction29, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction38, univariateFunction42);
    org.apache.commons.math3.analysis.function.Sin sin47 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction48 = sin47.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction49 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction28, univariateFunction42, (org.apache.commons.math3.analysis.UnivariateFunction)sin47);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker52 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer53 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker52);
    org.apache.commons.math3.analysis.function.Sin sin55 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction56 = sin55.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = sin55.derivative();
    org.apache.commons.math3.optimization.GoalType goalType58 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair62 = brentOptimizer53.optimize(6, univariateFunction57, goalType58, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair65 = brentOptimizer23.optimize(2, (org.apache.commons.math3.analysis.UnivariateFunction)sin47, goalType58, (-0.854843920279512d), (-0.34893292278222565d));
    double d67 = sin47.value(6.742965677935093d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction68 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, univariateFunction19, (org.apache.commons.math3.analysis.UnivariateFunction)sin47);
    double d70 = sin47.value(0.0d);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure71 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure72 = sin47.value(derivativeStructure71);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.44375129692668025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test408"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-6.4000014E-5f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test409"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.0d, 0.8625812704736372d, 0.7925138146836138d, 1.1641532182693481E-10d, 1.0376135705521015d, 3.125775428931401E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 3.2434392643083258E-6d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test410"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-3.943652089279393d));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test411"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.195309622118187d, 1.5591271711416548d);
    double d3 = univariatePointValuePair2.getPoint();
    double d4 = univariatePointValuePair2.getPoint();
    double d5 = univariatePointValuePair2.getPoint();
    double d6 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.195309622118187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.195309622118187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.195309622118187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.5591271711416548d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test412"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.11860085903958355d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.002069975485934413d));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test413"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.4758801E27f, 2.1175829E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test414"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    int i3 = incrementor1.getCount();
    int i4 = incrementor1.getMaximalCount();
    int i5 = incrementor1.getCount();
    incrementor1.resetCount();
    boolean b7 = incrementor1.canIncrement();
    int i8 = incrementor1.getMaximalCount();
    int i9 = incrementor1.getCount();
    int i10 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test415"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 10.171604313758156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test416"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    double d7 = brentOptimizer3.getStartValue();
    org.apache.commons.math3.optimization.GoalType goalType8 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin10 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = sin10.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = sin10.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin10);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin10);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker17 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer18 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker17);
    int i19 = brentOptimizer18.getEvaluations();
    double d20 = brentOptimizer18.getMin();
    double d21 = brentOptimizer18.getMin();
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = new double[] { 0.0d, 1.0d };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array24, d_array27);
    double[] d_array30 = new double[] { 100.0d };
    double[] d_array33 = new double[] { 0.0d, 1.0d };
    boolean b34 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array30, d_array33);
    double[] d_array36 = new double[] { 100.0d };
    double[] d_array39 = new double[] { 0.0d, 1.0d };
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array36, d_array39);
    double[] d_array43 = new double[] { 0.0d, 0.0d };
    double d44 = org.apache.commons.math3.util.MathArrays.distance1(d_array39, d_array43);
    boolean b45 = org.apache.commons.math3.util.MathArrays.equals(d_array30, d_array43);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction46 = new org.apache.commons.math3.analysis.function.StepFunction(d_array24, d_array30);
    double d48 = stepFunction46.value((-306.9867999498826d));
    double d50 = stepFunction46.value(0.01937853050773848d);
    org.apache.commons.math3.optimization.GoalType goalType51 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair54 = brentOptimizer18.optimize(102400, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction46, goalType51, 0.8410312834162215d, (-0.4690368963037244d));
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair57 = brentOptimizer3.optimize(17, (org.apache.commons.math3.analysis.UnivariateFunction)sin10, goalType51, 0.4620347552718863d, 0.0d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction59 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker62 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer63 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker62);
    int i64 = brentOptimizer63.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType65 = brentOptimizer63.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin67 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction68 = sin67.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction69 = sin67.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction70 = sin67.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction71 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin67);
    org.apache.commons.math3.optimization.GoalType goalType72 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair76 = brentOptimizer63.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin67, goalType72, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    int i77 = brentOptimizer63.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType78 = brentOptimizer63.getGoalType();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair81 = brentOptimizer3.optimize((-5), univariateFunction59, goalType78, 373.64070090233554d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType78);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test417"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.117583E-22f, 2.0000005f, (-8));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test418"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Comparable[] comparable_array2 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b5 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection3, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException9 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = nonMonotonicSequenceException9.getDirection();
    boolean b12 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection10, true);
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array20 = new double[] { 0.0d, 1.0d };
    boolean b21 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array20);
    double[] d_array23 = new double[] { 100.0d };
    double[] d_array26 = new double[] { 0.0d, 1.0d };
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array23, d_array26);
    double[] d_array30 = new double[] { 0.0d, 0.0d };
    double d31 = org.apache.commons.math3.util.MathArrays.distance1(d_array26, d_array30);
    boolean b32 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array30);
    java.lang.Comparable[] comparable_array37 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection38 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b40 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array37, orderDirection38, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException42 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection38, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array30, orderDirection38, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException46 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1.5690509993150914d, (java.lang.Number)0L, 0, orderDirection38, false);
    boolean b48 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection38, true);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException49 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])comparable_array2);
    org.apache.commons.math3.exception.util.Localizable localizable50 = null;
    org.apache.commons.math3.exception.util.Localizable localizable51 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException55 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable51, (java.lang.Number)(-0.38465625583592566d), (java.lang.Number)1031.314817459561d, false);
    java.lang.Throwable[] throwable_array56 = numberIsTooSmallException55.getSuppressed();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException57 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException49, localizable50, (java.lang.Object[])throwable_array56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array56);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test419"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math3.exception.NullArgumentException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)0.023393130207484444d, (java.lang.Object[])differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test420"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(2.297480549252854d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test421"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array31 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array25, (-0.5578300447656787d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array31);
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array37 = new double[] { 0.0d, 1.0d };
    boolean b38 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array37);
    double[] d_array40 = new double[] { 100.0d };
    double[] d_array43 = new double[] { 0.0d, 1.0d };
    boolean b44 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array40, d_array43);
    double[] d_array47 = new double[] { 0.0d, 0.0d };
    double d48 = org.apache.commons.math3.util.MathArrays.distance1(d_array43, d_array47);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array47);
    java.lang.Comparable[] comparable_array51 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection52 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b54 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array51, orderDirection52, false);
    boolean b57 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array34, orderDirection52, true, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array31, orderDirection52, false);
    double[] d_array60 = org.apache.commons.math3.util.MathArrays.copyOf(d_array31);
    double d61 = org.apache.commons.math3.util.MathArrays.distance1(d_array1, d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 100.55783004476568d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(5.660067479816203d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 324.2979783527167d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test423"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.3403276304888545d, number1, false);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test424"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-1.0952022550758997d), (-0.21203382913063157d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.035033109422741904d));

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test425"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(9.108465300013375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9031.423724253844d);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.016561894691474847d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9998628549570227d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.13891341912267985d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.13803008957479823d));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test428"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)1.552721991371575d, true);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test429"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(53.598150033144236d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test430"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    boolean b6 = nonMonotonicSequenceException5.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException5.getDirection();
    boolean b8 = nonMonotonicSequenceException5.getStrict();
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException10 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.0f);
    java.lang.Number number11 = tooManyEvaluationsException10.getMax();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException14 = new org.apache.commons.math3.exception.DimensionMismatchException(6, 0);
    int i15 = dimensionMismatchException14.getDimension();
    tooManyEvaluationsException10.addSuppressed((java.lang.Throwable)dimensionMismatchException14);
    java.lang.Throwable[] throwable_array17 = tooManyEvaluationsException10.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext18 = tooManyEvaluationsException10.getContext();
    nonMonotonicSequenceException5.addSuppressed((java.lang.Throwable)tooManyEvaluationsException10);
    java.lang.Throwable[] throwable_array20 = tooManyEvaluationsException10.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0.0f+ "'", number11.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array20);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.018659386019899d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test432"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.1960340724776427E302d, 3.7652062739110352d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test433"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(8.112965E25f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 8.112965E25f);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test434"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array4 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin3 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction1, univariateFunction2, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable8);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array12 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array14 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction13 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array14);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException16 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, (java.lang.Object[])differentiableUnivariateFunction_array14);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array14);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable10, (java.lang.Object[])differentiableUnivariateFunction_array14);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array14);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction20 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable8, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction19);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable21 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable21);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test435"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin5.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin5.derivative();
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair12 = brentOptimizer3.optimize(6, univariateFunction7, goalType8, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d13 = brentOptimizer3.getMin();
    int i14 = brentOptimizer3.getEvaluations();
    double d15 = brentOptimizer3.getMin();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker16 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction18 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction19 = null;
    org.apache.commons.math3.analysis.function.Sin sin20 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array21 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin20 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable22 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array21);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable23 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array21);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable24 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array21);
    org.apache.commons.math3.exception.util.Localizable localizable25 = null;
    org.apache.commons.math3.analysis.function.Sin sin26 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array27 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin26 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction28 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array27);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable25, (java.lang.Object[])differentiableUnivariateFunction_array27);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction30 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array27);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction31 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array27);
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array32 = new org.apache.commons.math3.analysis.UnivariateFunction[] { differentiableUnivariateFunction31 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction33 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array32);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction34 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array32);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction35 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction19, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable24, univariateFunction34);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction36 = null;
    org.apache.commons.math3.exception.util.Localizable localizable37 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array38 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction39 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array38);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array40 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction39 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction41 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array40);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction42 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array40);
    org.apache.commons.math3.exception.MathInternalError mathInternalError43 = new org.apache.commons.math3.exception.MathInternalError(localizable37, (java.lang.Object[])differentiableUnivariateFunction_array40);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction44 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array40);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction45 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction46 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction36, univariateFunction44, univariateFunction45);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction47 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction18, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable24, univariateFunction44);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker50 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer51 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker50);
    int i52 = brentOptimizer51.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType53 = brentOptimizer51.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin55 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction56 = sin55.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = sin55.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction58 = sin55.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction59 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin55);
    org.apache.commons.math3.optimization.GoalType goalType60 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair64 = brentOptimizer51.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin55, goalType60, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    int i65 = brentOptimizer51.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType66 = brentOptimizer51.getGoalType();
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair70 = brentOptimizer3.optimize(99, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable24, goalType66, 0.0d, (-0.5192825849117578d), (-1.0150969030102155d));
    org.apache.commons.math3.optimization.GoalType goalType71 = brentOptimizer3.getGoalType();
    int i72 = brentOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 1);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test436"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.0587914E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test437"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(5.105047174620629E40d, 0.5767359983478617d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.105047174620629E40d);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test438"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.3897817927854137d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test439"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.03382232600694713d), 0.6731766170939474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03382232600694713d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test440"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.8449129505803425d, (-0.7960578278293626d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04885512275097992d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test441"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(1.1641532E-10f, 1.7454165162753768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1641534E-10f);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test442"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.0d, 52.297469368485125d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test443"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = brentOptimizer3.getConvergenceChecker();
    double d5 = brentOptimizer3.getMax();
    int i6 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = brentOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker7);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test444"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8, 14);
    java.lang.Comparable[] comparable_array13 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException17 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection18 = nonMonotonicSequenceException17.getDirection();
    boolean b20 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array13, orderDirection18, true);
    double[] d_array23 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection24 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b27 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array23, orderDirection24, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b30 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array23, orderDirection28, true);
    boolean b32 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array13, orderDirection28, false);
    java.lang.Comparable[] comparable_array34 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection35 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b37 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array34, orderDirection35, false);
    boolean b39 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array13, orderDirection35, true);
    boolean b42 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array8, orderDirection35, false, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test445"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-18), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test446"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.9812880686168698d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test447"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-4.611665568057808d), 0.01166889082512559d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0116688908251259d);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test448"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.30331471468735255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.30816932679489667d);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test449"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException29 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection30 = nonMonotonicSequenceException29.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException32 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)1, (java.lang.Number)0.4228120277165407d, 6, orderDirection30, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException34 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.4441261591d), (java.lang.Number)(short)1, (-2), orderDirection30, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException36 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)374.7314254813898d, (java.lang.Number)1.1102230246251568E-16d, 6, orderDirection30, true);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = nonMonotonicSequenceException36.getDirection();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection37, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test450"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.4710703007565673d, 53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.666050323120805E8d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test451"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-55.914184464550054d), 7.394585697838147d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test452"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(2290243.0284562334d, (-13.452237342102702d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-13.452237342018634d));

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test453"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    org.apache.commons.math3.optimization.GoalType goalType4 = brentOptimizer3.getGoalType();
    double d5 = brentOptimizer3.getMax();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.GoalType goalType7 = brentOptimizer3.getGoalType();
    int i8 = brentOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test454"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 3098L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3098L);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test455"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection4 = nonMonotonicSequenceException3.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException3);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException3.getDirection();
    java.lang.Number number7 = nonMonotonicSequenceException3.getPrevious();
    java.lang.Number number8 = nonMonotonicSequenceException3.getPrevious();
    int i9 = nonMonotonicSequenceException3.getIndex();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection13 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException15 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)99.99999f, (java.lang.Number)100L, 10, orderDirection13, true);
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    java.lang.Object[] obj_array17 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException15, localizable16, obj_array17);
    java.lang.Number number19 = nonMonotonicSequenceException15.getPrevious();
    nonMonotonicSequenceException3.addSuppressed((java.lang.Throwable)nonMonotonicSequenceException15);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection21 = nonMonotonicSequenceException15.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + (byte)(-1)+ "'", number7.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (byte)(-1)+ "'", number8.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number19 + "' != '" + 100L+ "'", number19.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection21);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test456"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 81);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test457"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(4.946382946697962d, (-1.5707963267948966d), 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test458"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.9117339147869651d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1474855016641485d));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test459"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, (-293.8944045574168d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test460"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.198797824123542d, (-0.994647405338135d), 3144.2430161673556d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test461"); }


    float f2 = org.apache.commons.math3.util.Precision.round(Float.POSITIVE_INFINITY, 391);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test462"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.094947E-13f);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test463"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    org.apache.commons.math3.optimization.GoalType goalType4 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    double d6 = brentOptimizer3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test464"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(4.634728988229636d, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4859865.583561879d);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test465"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(byte)10);
    boolean b4 = notStrictlyPositiveException3.getBoundIsAllowed();
    java.lang.Number number5 = notStrictlyPositiveException3.getMin();
    java.lang.Throwable[] throwable_array6 = notStrictlyPositiveException3.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])throwable_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test466"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.6725361307220703d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.09253237850587794d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test467"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.6731766170939474d, 3.6675878962608164E86d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6731766170939474d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test468"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(1.9833298537120598d, 0.007550375103483214d);
    double d3 = univariatePointValuePair2.getPoint();
    double d4 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.9833298537120598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.007550375103483214d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test469"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.1321078396411931d, 102400, (-140));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test470"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(1.018659386019899d, (-1.7126519716297242d));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test471"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.distance(i_array1, i_array4);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array9, i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distance1(i_array1, i_array9);
    int[] i_array16 = new int[] { 10 };
    int[] i_array17 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16);
    int[] i_array19 = new int[] { 10 };
    int[] i_array20 = org.apache.commons.math3.util.MathArrays.copyOf(i_array19);
    int i21 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array17, i_array20);
    int[] i_array22 = org.apache.commons.math3.util.MathArrays.copyOf(i_array20);
    double d23 = org.apache.commons.math3.util.MathArrays.distance(i_array9, i_array20);
    int[] i_array25 = new int[] { 10 };
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    int[] i_array28 = new int[] { 10 };
    int[] i_array29 = org.apache.commons.math3.util.MathArrays.copyOf(i_array28);
    int i30 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array26, i_array29);
    int[] i_array31 = org.apache.commons.math3.util.MathArrays.copyOf(i_array29);
    int[] i_array32 = org.apache.commons.math3.util.MathArrays.copyOf(i_array31);
    int[] i_array34 = new int[] { 10 };
    int[] i_array35 = org.apache.commons.math3.util.MathArrays.copyOf(i_array34);
    int[] i_array37 = new int[] { 10 };
    int[] i_array38 = org.apache.commons.math3.util.MathArrays.copyOf(i_array37);
    double d39 = org.apache.commons.math3.util.MathArrays.distance(i_array34, i_array37);
    int[] i_array41 = new int[] { 10 };
    int[] i_array42 = org.apache.commons.math3.util.MathArrays.copyOf(i_array41);
    int[] i_array44 = new int[] { 10 };
    int[] i_array45 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44);
    int i46 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array42, i_array45);
    int i47 = org.apache.commons.math3.util.MathArrays.distance1(i_array34, i_array42);
    int[] i_array48 = org.apache.commons.math3.util.MathArrays.copyOf(i_array42);
    int i49 = org.apache.commons.math3.util.MathArrays.distance1(i_array32, i_array42);
    int[] i_array51 = new int[] { 10 };
    int[] i_array52 = org.apache.commons.math3.util.MathArrays.copyOf(i_array51);
    int[] i_array54 = new int[] { 10 };
    int[] i_array55 = org.apache.commons.math3.util.MathArrays.copyOf(i_array54);
    double d56 = org.apache.commons.math3.util.MathArrays.distance(i_array51, i_array54);
    int[] i_array58 = new int[] { 10 };
    int[] i_array59 = org.apache.commons.math3.util.MathArrays.copyOf(i_array58);
    int[] i_array61 = new int[] { 10 };
    int[] i_array62 = org.apache.commons.math3.util.MathArrays.copyOf(i_array61);
    int i63 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array59, i_array62);
    int i64 = org.apache.commons.math3.util.MathArrays.distance1(i_array51, i_array59);
    int[] i_array65 = org.apache.commons.math3.util.MathArrays.copyOf(i_array59);
    int i66 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array42, i_array65);
    int i67 = org.apache.commons.math3.util.MathArrays.distance1(i_array9, i_array42);
    int[] i_array69 = org.apache.commons.math3.util.MathArrays.copyOf(i_array42, 99);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array71 = org.apache.commons.math3.util.MathArrays.copyOf(i_array69, (-53));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i46 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i63 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i66 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test472"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.14931274668344074d, 0.9540113537344068d, 28.0d, (-51.44448414319643d), (-1.3106495693752065d), 6.615001572099157d, 407.1774663823435d, 1.7417945408441193d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-739.7535708162891d));

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test473"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.1928638529134101d, 22, (-8));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test474"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(3.7546694208030207d, 3.0151547733462896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test475"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    double d6 = brentOptimizer3.getMin();
    int i7 = brentOptimizer3.getMaxEvaluations();
    int i8 = brentOptimizer3.getMaxEvaluations();
    double d9 = brentOptimizer3.getMin();
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array13 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array15 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction14 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array15);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException17 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable12, (java.lang.Object[])differentiableUnivariateFunction_array15);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array15);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable11, (java.lang.Object[])differentiableUnivariateFunction_array15);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction20 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array15);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker23 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer24 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker23);
    int i25 = brentOptimizer24.getEvaluations();
    int i26 = brentOptimizer24.getMaxEvaluations();
    double d27 = brentOptimizer24.getMax();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction29 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction30 = null;
    org.apache.commons.math3.exception.util.Localizable localizable31 = null;
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.analysis.function.Sin sin34 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array35 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin34 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction36 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException37 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable32, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array35);
    org.apache.commons.math3.exception.MathInternalError mathInternalError38 = new org.apache.commons.math3.exception.MathInternalError(localizable31, (java.lang.Object[])differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction39 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction40 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction41 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction43 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction41, (-0.5309649148733836d));
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array44 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction45 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array44);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction46 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction40, univariateFunction43, univariateFunction45);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction47 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction30, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction39, univariateFunction43);
    org.apache.commons.math3.analysis.function.Sin sin48 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction49 = sin48.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction50 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction29, univariateFunction43, (org.apache.commons.math3.analysis.UnivariateFunction)sin48);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker53 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer54 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker53);
    org.apache.commons.math3.analysis.function.Sin sin56 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = sin56.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction58 = sin56.derivative();
    org.apache.commons.math3.optimization.GoalType goalType59 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair63 = brentOptimizer54.optimize(6, univariateFunction58, goalType59, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair66 = brentOptimizer24.optimize(2, (org.apache.commons.math3.analysis.UnivariateFunction)sin48, goalType59, (-0.854843920279512d), (-0.34893292278222565d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair70 = brentOptimizer3.optimize((-22), (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction20, goalType59, 0.19286385291341007d, 9031.423724253844d, 0.9938161490808634d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair66);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test476"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(4.022398315628823E216d, 6.266602320255061E246d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.022398315628823E216d);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test477"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.9942174032448446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7026084608349528d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test478"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.6060283526990413d, (-0.21076016389180752d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test479"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array1);
    double[] d_array10 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array12 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array10, 1.0907245790542575d);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction36 = new org.apache.commons.math3.analysis.function.StepFunction(d_array14, d_array20);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equals(d_array10, d_array20);
    double[] d_array41 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array43 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array41, 1.0907245790542575d);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array43);
    double[] d_array48 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array50 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array48, 1.0907245790542575d);
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array55 = new double[] { 0.0d, 1.0d };
    boolean b56 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array52, d_array55);
    double[] d_array58 = new double[] { 100.0d };
    double[] d_array61 = new double[] { 0.0d, 1.0d };
    boolean b62 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array58, d_array61);
    double[] d_array64 = new double[] { 100.0d };
    double[] d_array67 = new double[] { 0.0d, 1.0d };
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array64, d_array67);
    double[] d_array71 = new double[] { 0.0d, 0.0d };
    double d72 = org.apache.commons.math3.util.MathArrays.distance1(d_array67, d_array71);
    boolean b73 = org.apache.commons.math3.util.MathArrays.equals(d_array58, d_array71);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction74 = new org.apache.commons.math3.analysis.function.StepFunction(d_array52, d_array58);
    boolean b75 = org.apache.commons.math3.util.MathArrays.equals(d_array48, d_array58);
    double d76 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array10, d_array48);
    double[] d_array80 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array82 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array80, 1.0907245790542575d);
    double d83 = org.apache.commons.math3.util.MathArrays.distance(d_array10, d_array80);
    double d84 = org.apache.commons.math3.util.MathArrays.distance(d_array1, d_array80);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array80);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 102.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 90.0d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test480"); }


    double[] d_array4 = new double[] { 100.0d };
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    boolean b8 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array7);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array4, (-0.5578300447656787d));
    double[] d_array12 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array4, (-0.8920085211300253d));
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException19 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    boolean b20 = nonMonotonicSequenceException19.getStrict();
    java.lang.String str21 = nonMonotonicSequenceException19.toString();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection22 = nonMonotonicSequenceException19.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException24 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.9999999979248693d), (java.lang.Number)0.19288154012315467d, 2, orderDirection22, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array12, orderDirection22, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException28 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1.8894941877219236E26d), (java.lang.Number)0.2907444096773455d, 4, orderDirection22, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math3.exception.NonMonotonicSequenceException: points -1 and 0 are not strictly increasing (-1 >= -0.587)"+ "'", str21.equals("org.apache.commons.math3.exception.NonMonotonicSequenceException: points -1 and 0 are not strictly increasing (-1 >= -0.587)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test481"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 3.0129322260679973E129d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test482"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.3841864E-7f, 99.99999f, 1000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test483"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(1.1641532E-10f, (-40), (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test484"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.8414341986802386d, 8.060586029218948E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8.060586029218948E-4d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test485"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.027792117938984492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5923710616336353d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test486"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-3.6500179118378937d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.999812218644997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.8779898812909556E-4d));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test488"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.6137474852277875d, 0.007938323323147353d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test489"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(219063.0976431551d, 6.621666478289821d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test490"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(2.225073858507202E-308d, 9.052756101118532E232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test491"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMax();
    int i5 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker6 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.analysis.function.Sin sin10 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array11 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin10 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable12 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array11);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable13 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array11);
    org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError(localizable9, (java.lang.Object[])univariateDifferentiable_array11);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable8, (java.lang.Object[])univariateDifferentiable_array11);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array11);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable18 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array11);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker21 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer22 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(6.79843248229905E248d, 1.4083437054269694d, convergenceChecker21);
    int i23 = brentOptimizer22.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType24 = brentOptimizer22.getGoalType();
    int i25 = brentOptimizer22.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType26 = brentOptimizer22.getGoalType();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction28 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction29 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction31 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction29, 572.9577951308232d);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker34 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer35 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker34);
    org.apache.commons.math3.analysis.function.Sin sin37 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction38 = sin37.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction39 = sin37.derivative();
    org.apache.commons.math3.optimization.GoalType goalType40 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair44 = brentOptimizer35.optimize(6, univariateFunction39, goalType40, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction45 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction28, univariateFunction31, univariateFunction39);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker48 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer49 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker48);
    int i50 = brentOptimizer49.getMaxEvaluations();
    int i51 = brentOptimizer49.getEvaluations();
    double d52 = brentOptimizer49.getStartValue();
    org.apache.commons.math3.exception.util.Localizable localizable54 = null;
    org.apache.commons.math3.analysis.function.Sin sin56 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array57 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin56 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction58 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array57);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException59 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable54, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array57);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction60 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array57);
    org.apache.commons.math3.optimization.GoalType goalType61 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair64 = brentOptimizer49.optimize(100, univariateFunction60, goalType61, 2.6071006400586496d, (-237.97866503973512d));
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair68 = brentOptimizer22.optimize(2, univariateFunction39, goalType61, 0.004111600818076535d, 0.8760572412193011d, 4.705665486795648d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair72 = brentOptimizer3.optimize(22, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable18, goalType61, 0.019031245541552742d, 3.8238736396520743d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair68);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test492"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    int i5 = brentOptimizer3.getMaxEvaluations();
    int i6 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType7 = brentOptimizer3.getGoalType();
    double d8 = brentOptimizer3.getMax();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker9 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction11 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction12 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array13 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array15 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction14 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array15);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array15);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable18 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction17);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable18);
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array21 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction22 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array21);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array23 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction22 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction24 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array23);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, (java.lang.Object[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction26 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction27 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction12, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction19, univariateFunction26);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction28 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction28, 1.4893842007818807E78d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction31 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction11, univariateFunction26, univariateFunction30);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker34 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer35 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(6.79843248229905E248d, 1.4083437054269694d, convergenceChecker34);
    int i36 = brentOptimizer35.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType37 = brentOptimizer35.getGoalType();
    int i38 = brentOptimizer35.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType39 = brentOptimizer35.getGoalType();
    org.apache.commons.math3.exception.util.Localizable localizable41 = null;
    org.apache.commons.math3.exception.util.Localizable localizable42 = null;
    org.apache.commons.math3.analysis.function.Sin sin43 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array44 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin43 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable45 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array44);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException46 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable42, (java.lang.Object[])univariateDifferentiable_array44);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException47 = new org.apache.commons.math3.exception.NullArgumentException(localizable41, (java.lang.Object[])univariateDifferentiable_array44);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable48 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array44);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker51 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer52 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker51);
    int i53 = brentOptimizer52.getMaxEvaluations();
    int i54 = brentOptimizer52.getEvaluations();
    double d55 = brentOptimizer52.getStartValue();
    org.apache.commons.math3.exception.util.Localizable localizable57 = null;
    org.apache.commons.math3.analysis.function.Sin sin59 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array60 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin59 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction61 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array60);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException62 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable57, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array60);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction63 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array60);
    org.apache.commons.math3.optimization.GoalType goalType64 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair67 = brentOptimizer52.optimize(100, univariateFunction63, goalType64, 2.6071006400586496d, (-237.97866503973512d));
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair71 = brentOptimizer35.optimize(86, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable48, goalType64, 38.4710318412057d, 0.0d, 2.771789764154804E162d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair75 = brentOptimizer3.optimize(16, univariateFunction30, goalType64, 1.7320508075688772d, 0.0d, 60.2307746095625d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair71);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(2.012138701603984E9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.012138702E9d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(100.89200852113002d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.655349122675347d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test495"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array14 = org.apache.commons.math3.analysis.FunctionUtils.sample(univariateFunction10, 0.44881134986457655d, 0.5591271711416548d, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test496"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException3 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1024);
    boolean b4 = notStrictlyPositiveException3.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array8 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array10 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction9 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array10);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable7, (java.lang.Object[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError(localizable6, (java.lang.Object[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notStrictlyPositiveException3, localizable5, (java.lang.Object[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction16);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test497"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(9200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 9200L);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test498"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.0051642664279048d, 1.1002558352636396d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1002558352636398d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test499"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-1.4E-45f), (java.lang.Number)22.332851657647005d, false);
    java.lang.String str4 = numberIsTooSmallException3.toString();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    java.lang.Number number6 = numberIsTooSmallException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.NumberIsTooSmallException: -0 is smaller than, or equal to, the minimum (22.333)"+ "'", str4.equals("org.apache.commons.math3.exception.NumberIsTooSmallException: -0 is smaller than, or equal to, the minimum (22.333)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 22.332851657647005d+ "'", number5.equals(22.332851657647005d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-1.4E-45f)+ "'", number6.equals((-1.4E-45f)));

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest17.test500"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.9376969372951542d, 1.4619477114799915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.9376969372951542d);

  }

}
