
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest2 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test001"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 0.530446486966672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test002"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.3841858E-7f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.3841858E-7f);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test003"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.7253825588523148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1993938046696928d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test004"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test005"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.629395E-6f, 1.7763568E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629395E-6f);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.571861776470941d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.0106952644634353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7660494324943987d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test008"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array1 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin0 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable2 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array5 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { univariateDifferentiable4 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array5);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test009"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(0.6208033774311184d, (-0.5872139151569291d), 102.0d, 746.2056417165278d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 76112.61091070402d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test010"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(7.629394E-6f, (-306.9867999498826d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293936E-6f);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test011"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(55.9127171142d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test012"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 1024, 0);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(22.332851657647005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3556542238420155d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test014"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array1);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test015"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(102.0d, 1.0000056663902297d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 101.99999999999999d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test016"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array2);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.analysis.function.Sin sin6 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin6.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array8 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction7 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array8);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable5, (java.lang.Object[])univariateFunction_array8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array8);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable4, univariateFunction11);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array16 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable4, 2.7182818284590446d, (-0.5087348157117292d), 1024);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test017"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    double d5 = brentOptimizer3.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair11 = brentOptimizer3.optimize(102400, univariateFunction7, goalType8, 0.0d, (-0.34893292278222565d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test018"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.5591271711416548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7477480666251534d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test019"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-0.009976469864685297d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test020"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.9377047211159066E-18d, number2, true);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.analysis.function.Sin sin7 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array8 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin7 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.exception.MathInternalError mathInternalError10 = new org.apache.commons.math3.exception.MathInternalError(localizable6, (java.lang.Object[])differentiableUnivariateFunction_array8);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException4, localizable5, (java.lang.Object[])differentiableUnivariateFunction_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test021"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.6246841429488434d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test022"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(98.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test023"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(102399.99f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102399.99f);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test024"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(1.1596638229046938d, (-0.7764551007528482d), 0.828850949099548d, (-0.009976138898597563d), (-237.97866503973512d), 0.002136561448084448d, (-2.0d), (-1.7215824152474646d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.0260131666570804d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test025"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(1);
    boolean b5 = incrementor1.canIncrement();
    int i6 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test026"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.01937853050773848d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01937731766883768d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test027"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(102.0d, 0.9009527893076419d, 1.0106952644634353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test028"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(424.0354698294751d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.052172623864251d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test029"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.3556542238420155d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test030"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array13, 1.0907245790542575d);
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array20 = new double[] { 0.0d, 1.0d };
    boolean b21 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array20);
    double[] d_array23 = new double[] { 100.0d };
    double[] d_array26 = new double[] { 0.0d, 1.0d };
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array23, d_array26);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array32 = new double[] { 0.0d, 1.0d };
    boolean b33 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array29, d_array32);
    double[] d_array36 = new double[] { 0.0d, 0.0d };
    double d37 = org.apache.commons.math3.util.MathArrays.distance1(d_array32, d_array36);
    boolean b38 = org.apache.commons.math3.util.MathArrays.equals(d_array23, d_array36);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction39 = new org.apache.commons.math3.analysis.function.StepFunction(d_array17, d_array23);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array23);
    double[] d_array44 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array46 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array44, 1.0907245790542575d);
    boolean b47 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array46);
    double d48 = org.apache.commons.math3.util.MathArrays.distance(d_array4, d_array46);
    double[] d_array51 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection52 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b55 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array51, orderDirection52, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection56 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b58 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array51, orderDirection56, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array4, orderDirection56, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.4083437054269694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test031"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)4.9E-324d, (java.lang.Number)1.5591271711416548d, true);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test032"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException2 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = mathIllegalStateException2.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.analysis.function.Sin sin6 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array7 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin6 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException2, localizable4, (java.lang.Object[])differentiableUnivariateFunction_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test033"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.19168779159217494d, 0.19288154012315467d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test034"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.4228120277165407d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.44994961810416423d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test035"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.5872139151569291d), (-0.5578300447656787d), convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test036"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.9009527893076419d, 0.36018748396037575d, 0.002136561448084448d, 1031.3147545616828d, (-0.5597388449675059d), 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-3.069409185890091d));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test037"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 0, (-1));

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test038"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(76112.61091070402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 42.37914656848289d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test039"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)Double.POSITIVE_INFINITY, false);
    java.lang.Number number5 = numberIsTooLargeException4.getMax();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + Double.POSITIVE_INFINITY+ "'", number5.equals(Double.POSITIVE_INFINITY));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test040"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.530446486966672d, 0.43260462717024034d, 536.4959177533976d, 1492.4112834330556d, 1.1596638229046938d, 6.79843248229905E248d, 2.225073858507202E-308d, 2.596102686531958d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 7.883896202182363E248d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test041"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(76112.61091070402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test043"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(11.806976057564917d, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0071733601339953575d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.38905609893065d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test045"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(407.1774663823435d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 165793.48912954447d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test046"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.48811158879426825d), 1.131266493698349E12d, convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test047"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(2, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test048"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test049"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 0.9009527893076419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test050"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(408180.97167872085d, (-0.4441261591d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test051"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test052"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.36787944117144233d, 2.718281828459045d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test053"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, (-0.4441261591d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test054"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.9092974268256817d, 0.36787944117144233d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test055"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-58.87795268917417d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7258764198731407d));

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test056"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.5087348157117292d), 1.9833298537120598d, (-0.41795851351649055d), 22.332851657647005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-10.34319442903821d));

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test057"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test058"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.027415567780803774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test059"); }


    float[] f_array0 = new float[] {  };
    float[] f_array2 = new float[] { 100.0f };
    boolean b3 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array2);
    float[] f_array4 = null;
    boolean b5 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array4);
    float[] f_array6 = new float[] {  };
    float[] f_array8 = new float[] { 100.0f };
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array8);
    float[] f_array12 = new float[] { 100.0f, 1.0f };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array12);
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array6);
    float[] f_array15 = null;
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array15);
    float[] f_array17 = new float[] {  };
    float[] f_array19 = new float[] { 100.0f };
    boolean b20 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array17, f_array19);
    float[] f_array21 = null;
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(f_array17, f_array21);
    float[] f_array23 = new float[] {  };
    float[] f_array25 = new float[] { 100.0f };
    boolean b26 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array23, f_array25);
    boolean b27 = org.apache.commons.math3.util.MathArrays.equals(f_array21, f_array23);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array15, f_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == true);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test060"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(13.955576560251464d, (-0.5716096180634055d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 13.955576560251464d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test061"); }


    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array0 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction1 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array0);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction1 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.5872139151569288d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5278888682247536d));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test063"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.04587040018925113d), 3.9666597074241197d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04587040018925113d));

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test064"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(5.610852755187624d, 408180.97167872085d, 0.19168779159217497d, (-1.570796326794893d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 2290243.0284562334d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test065"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.5718617764709413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-938.5704872688159d));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test066"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)2.7755575615628914E-17d, (java.lang.Number)(-0.7097526280635054d), true);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test067"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.03117538440567036d));

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test068"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.7477480666251534d, 0.3598983098674066d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test069"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(10, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test070"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.003366109241421064d, 0.278163113872531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test071"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(7.883896202182363E248d, 1.2626272556789115d, (-3098.023364685273d), 0.7660494324943987d, (-1.1985126051160524d), 1.4893842007818383E78d, (-0.5716096180634055d), 1.6243151155836338E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 9.95442222581891E248d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test072"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.440892098500626E-16d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test073"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.2250738585072014E-308d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test074"); }


    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array0 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction1 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array0);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction1 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction4);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array9 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction4, 0.0d, (-0.4690368963037244d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test075"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.6239307469822648d), 2.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.09506314392427d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test076"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(99.99999f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.99999f);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test077"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.1175824E-22f, (-1.0f), 102399.99f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test078"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.36018748396037575d, 1031.3147545616828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1031.314817459561d);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test079"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double d6 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array3);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException34 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection35 = nonMonotonicSequenceException34.getDirection();
    boolean b37 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array14, orderDirection35, true);
    double[] d_array39 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14, 1);
    double[] d_array40 = org.apache.commons.math3.util.MathArrays.copyOf(d_array39);
    // The following exception was thrown during execution in test generation
    try {
      double d41 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array3, d_array39);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.099504938362077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test080"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1031.3147545616828d, 1.4083437054269694d, 3.2487638034370474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test081"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.7258764198731407d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.919955621432337d));

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test082"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)2.0000002f, (java.lang.Number)0.8410312834162215d, false);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str6 = numberIsTooSmallException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0.8410312834162215d+ "'", number5.equals(0.8410312834162215d));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test083"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(7.6293945E-6f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test084"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(102.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10158570369662134d);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test085"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)8.533542877826454E79d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test086"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.33572387769318507d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test087"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.5707886974003653d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(3.1485346174933686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22.30189336319932d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test089"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(56L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 56L);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test090"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.7879107674293571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7088812266218576d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test091"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.6293936E-6f, 6.4000014E-5f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test092"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.5611563311815981d), 0.3598983098674066d, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test093"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    double[] d_array12 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection13 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b16 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array12, orderDirection13, false, false);
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array21);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = new double[] { 0.0d, 1.0d };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array24, d_array27);
    double[] d_array30 = new double[] { 100.0d };
    double[] d_array33 = new double[] { 0.0d, 1.0d };
    boolean b34 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array30, d_array33);
    double[] d_array37 = new double[] { 0.0d, 0.0d };
    double d38 = org.apache.commons.math3.util.MathArrays.distance1(d_array33, d_array37);
    boolean b39 = org.apache.commons.math3.util.MathArrays.equals(d_array24, d_array37);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction40 = new org.apache.commons.math3.analysis.function.StepFunction(d_array18, d_array24);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array12, d_array18);
    double[] d_array42 = org.apache.commons.math3.util.MathArrays.copyOf(d_array12);
    double d43 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array4, d_array12);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array57 = new double[] { 100.0d };
    double[] d_array60 = new double[] { 0.0d, 1.0d };
    boolean b61 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array57, d_array60);
    double[] d_array64 = new double[] { 0.0d, 0.0d };
    double d65 = org.apache.commons.math3.util.MathArrays.distance1(d_array60, d_array64);
    boolean b66 = org.apache.commons.math3.util.MathArrays.equals(d_array51, d_array64);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction67 = new org.apache.commons.math3.analysis.function.StepFunction(d_array45, d_array51);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException71 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection72 = nonMonotonicSequenceException71.getDirection();
    boolean b74 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array51, orderDirection72, true);
    double[] d_array76 = org.apache.commons.math3.util.MathArrays.copyOf(d_array51, 1);
    // The following exception was thrown during execution in test generation
    try {
      double d77 = org.apache.commons.math3.util.MathArrays.distance1(d_array12, d_array76);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test094"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(102.0d, 6.742965677935095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 102.22263734679228d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test095"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.854843920279512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6935915826764747d));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test096"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-1.7215824152474646d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.15021534774862044d));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test097"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int i6 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array2, i_array5);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array9, i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distance1(i_array2, i_array12);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array16 = org.apache.commons.math3.util.MathArrays.copyOf(i_array12, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test098"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.1993938046696928d, 42.37914656848289d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1993938046696928d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test099"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(Float.POSITIVE_INFINITY, 1, 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test100"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-0.34893292278222565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test101"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 102.22263734679228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test102"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1023), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test103"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.4689588427555758d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.008184875862427155d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test104"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-1.0219337600254152d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test105"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.5087348157117292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test106"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.8920085211300253d), 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.4135815224112884E-5d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test107"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.110223024625157E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test108"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.2250738585072014E-308d, 0.38037392989426705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test109"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b9 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array2, orderDirection7, true);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test110"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.01937853050773848d, 1.7253825588523148d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0011091064990845089d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(22.30189336319932d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.5611563311815981d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8466403175533018d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test113"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    double d3 = sin0.value(0.5591271711416548d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = sin0.derivative();
    double d6 = sin0.value(2.0d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin0.derivative();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = sin0.value(derivativeStructure8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.530446486966672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.9092974268256817d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test114"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)9.936115790724537E232d, (java.lang.Object[])differentiableUnivariateFunction_array6);
    java.lang.Number number11 = maxCountExceededException10.getMax();
    java.lang.Number number12 = maxCountExceededException10.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 9.936115790724537E232d+ "'", number11.equals(9.936115790724537E232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 9.936115790724537E232d+ "'", number12.equals(9.936115790724537E232d));

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test115"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.47583102411108585d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5153233725778754d));

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test116"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.36018748396037575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.35282172628030717d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test117"); }


    double[] d_array0 = null;
    double[] d_array3 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection4 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b7 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array3, orderDirection4, false, false);
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array12 = new double[] { 0.0d, 1.0d };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array12);
    double[] d_array15 = new double[] { 100.0d };
    double[] d_array18 = new double[] { 0.0d, 1.0d };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array18);
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array24 = new double[] { 0.0d, 1.0d };
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array21, d_array24);
    double[] d_array28 = new double[] { 0.0d, 0.0d };
    double d29 = org.apache.commons.math3.util.MathArrays.distance1(d_array24, d_array28);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array15, d_array28);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction31 = new org.apache.commons.math3.analysis.function.StepFunction(d_array9, d_array15);
    boolean b32 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array9);
    java.lang.Number number34 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException36 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.587213915156929d), number34, 10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = nonMonotonicSequenceException36.getDirection();
    boolean b39 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array9, orderDirection37, false);
    double[] d_array43 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array45 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array43, 1.0907245790542575d);
    double[] d_array47 = new double[] { 100.0d };
    double[] d_array50 = new double[] { 0.0d, 1.0d };
    boolean b51 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array47, d_array50);
    double[] d_array53 = new double[] { 100.0d };
    double[] d_array56 = new double[] { 0.0d, 1.0d };
    boolean b57 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array53, d_array56);
    double[] d_array59 = new double[] { 100.0d };
    double[] d_array62 = new double[] { 0.0d, 1.0d };
    boolean b63 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array59, d_array62);
    double[] d_array66 = new double[] { 0.0d, 0.0d };
    double d67 = org.apache.commons.math3.util.MathArrays.distance1(d_array62, d_array66);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equals(d_array53, d_array66);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction69 = new org.apache.commons.math3.analysis.function.StepFunction(d_array47, d_array53);
    boolean b70 = org.apache.commons.math3.util.MathArrays.equals(d_array43, d_array53);
    double[] d_array74 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array76 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array74, 1.0907245790542575d);
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array43, d_array76);
    double[] d_array79 = new double[] { 100.0d };
    double[] d_array82 = new double[] { 0.0d, 1.0d };
    boolean b83 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array79, d_array82);
    boolean b84 = org.apache.commons.math3.util.MathArrays.equals(d_array43, d_array82);
    double[] d_array86 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array82, 0.19168779159217494d);
    double d87 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array9, d_array86);
    org.apache.commons.math3.analysis.function.Sin sin88 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction89 = sin88.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction90 = sin88.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction91 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin88);
    double d93 = sin88.value(5908.945580817902d);
    double[] d_array97 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)sin88, 1.262627d, 1.571861776470941d, 10);
    boolean b98 = org.apache.commons.math3.util.MathArrays.equals(d_array86, d_array97);
    // The following exception was thrown during execution in test generation
    try {
      double d99 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array0, d_array86);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.38037392989426705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == false);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test118"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b12 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array8, orderDirection9, false, false);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction36 = new org.apache.commons.math3.analysis.function.StepFunction(d_array14, d_array20);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equals(d_array8, d_array14);
    double[] d_array38 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8);
    double d39 = org.apache.commons.math3.util.MathArrays.distance(d_array4, d_array8);
    double[] d_array41 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array8, 374.7314254813898d);
    double[] d_array42 = org.apache.commons.math3.util.MathArrays.copyOf(d_array41);
    double[] d_array44 = org.apache.commons.math3.util.MathArrays.copyOf(d_array42, 99);
    double[] d_array48 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array50 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array48, 1.0907245790542575d);
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array55 = new double[] { 0.0d, 1.0d };
    boolean b56 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array52, d_array55);
    double[] d_array58 = new double[] { 100.0d };
    double[] d_array61 = new double[] { 0.0d, 1.0d };
    boolean b62 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array58, d_array61);
    double[] d_array64 = new double[] { 100.0d };
    double[] d_array67 = new double[] { 0.0d, 1.0d };
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array64, d_array67);
    double[] d_array71 = new double[] { 0.0d, 0.0d };
    double d72 = org.apache.commons.math3.util.MathArrays.distance1(d_array67, d_array71);
    boolean b73 = org.apache.commons.math3.util.MathArrays.equals(d_array58, d_array71);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction74 = new org.apache.commons.math3.analysis.function.StepFunction(d_array52, d_array58);
    boolean b75 = org.apache.commons.math3.util.MathArrays.equals(d_array48, d_array58);
    double[] d_array79 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array81 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array79, 1.0907245790542575d);
    boolean b82 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array81);
    double[] d_array84 = new double[] { 100.0d };
    double[] d_array87 = new double[] { 0.0d, 1.0d };
    boolean b88 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array84, d_array87);
    boolean b89 = org.apache.commons.math3.util.MathArrays.equals(d_array48, d_array87);
    double[] d_array90 = null;
    boolean b91 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array87, d_array90);
    double[] d_array93 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array87, 0.580195754492862d);
    // The following exception was thrown during execution in test generation
    try {
      double d94 = org.apache.commons.math3.util.MathArrays.distance(d_array44, d_array87);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test119"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin0.derivative();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure3 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure4 = sin0.value(derivativeStructure3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test120"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.803775170065996d), 1.1993938046696928d, 0.0d, (-0.5153233725778754d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.9640429593244842d));

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test121"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = null;
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array3 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction2 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array3);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])univariateFunction_array3);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])univariateFunction_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = mathArithmeticException6.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = mathArithmeticException6.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException6.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test122"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin5.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin5.derivative();
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair12 = brentOptimizer3.optimize(6, univariateFunction7, goalType8, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d13 = brentOptimizer3.getMin();
    double d14 = brentOptimizer3.getMin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array16 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array16);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array18 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction17 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array18);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction20 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array18);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable21 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction20);
    org.apache.commons.math3.optimization.GoalType goalType22 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair26 = brentOptimizer3.optimize(1024, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction20, goalType22, 1.110223024625157E-16d, 0.0d, 22.332851657647005d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType22);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test123"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1031.314754561683d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-3.069409185890091d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9973959044998291d));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test125"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.5192825849117578d), 76112.61091070402d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test126"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(180.00000000000003d, 10, 1024);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test127"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(11.548739357257741d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.0d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test128"); }


    double d3 = org.apache.commons.math3.util.Precision.round(0.0d, 1024, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test129"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.0000001f, 2.3841858E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test130"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.6246841429488434d), 0.01937731785097722d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6249846069295057d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test131"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(536.4959177533976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 23.162381521626777d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test132"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.0011091064990845089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test133"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, 1.0000000000000004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000000004d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test134"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.5153233725778754d), 1.0899391519027066d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test135"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(1.0907245790542575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test136"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(Float.POSITIVE_INFINITY, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test137"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(424.0354698294751d, (-58.87795268917417d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-58.87795268917417d));

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test138"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.8410312834162215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 48.18754297822047d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test139"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array1);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.analysis.function.Sin sin8 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array9 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin8 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array9);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable11 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array9);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array9);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable13 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalStateException6, localizable7, (java.lang.Object[])univariateDifferentiable_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable13);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test140"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(556822.859729575d, 0.6249846069295057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test141"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b9 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array2, orderDirection7, true);
    double[] d_array12 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection13 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b16 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array12, orderDirection13, false, false);
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array21);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = new double[] { 0.0d, 1.0d };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array24, d_array27);
    double[] d_array30 = new double[] { 100.0d };
    double[] d_array33 = new double[] { 0.0d, 1.0d };
    boolean b34 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array30, d_array33);
    double[] d_array37 = new double[] { 0.0d, 0.0d };
    double d38 = org.apache.commons.math3.util.MathArrays.distance1(d_array33, d_array37);
    boolean b39 = org.apache.commons.math3.util.MathArrays.equals(d_array24, d_array37);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction40 = new org.apache.commons.math3.analysis.function.StepFunction(d_array18, d_array24);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array12, d_array18);
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array18);
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array47 = new double[] { 0.0d, 1.0d };
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array47);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array57 = new double[] { 0.0d, 0.0d };
    double d58 = org.apache.commons.math3.util.MathArrays.distance1(d_array53, d_array57);
    boolean b59 = org.apache.commons.math3.util.MathArrays.equals(d_array44, d_array57);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction60 = new org.apache.commons.math3.analysis.function.StepFunction(d_array18, d_array57);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.003366109241421064d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14986816922968588d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test143"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(102400.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test144"); }


    double[] d_array4 = new double[] { 100.0d };
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    boolean b8 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array7);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException12 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection13 = nonMonotonicSequenceException12.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException12);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection15 = nonMonotonicSequenceException12.getDirection();
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array20 = new double[] { 0.0d, 1.0d };
    boolean b21 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array20);
    double[] d_array23 = new double[] { 100.0d };
    double[] d_array26 = new double[] { 0.0d, 1.0d };
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array23, d_array26);
    double[] d_array30 = new double[] { 0.0d, 0.0d };
    double d31 = org.apache.commons.math3.util.MathArrays.distance1(d_array26, d_array30);
    boolean b32 = org.apache.commons.math3.util.MathArrays.equals(d_array17, d_array30);
    double[] d_array35 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b39 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array35, orderDirection36, false, false);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array35);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array45 = new double[] { 0.0d, 1.0d };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array55 = new double[] { 0.0d, 0.0d };
    double d56 = org.apache.commons.math3.util.MathArrays.distance1(d_array51, d_array55);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equals(d_array42, d_array55);
    double[] d_array60 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection61 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b64 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array60, orderDirection61, false, false);
    boolean b65 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array60);
    double d66 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array35, d_array60);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection67 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array69 = new double[] { 100.0d };
    double[] d_array72 = new double[] { 0.0d, 1.0d };
    boolean b73 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array69, d_array72);
    double[] d_array76 = new double[] { 0.0d, 0.0d };
    double d77 = org.apache.commons.math3.util.MathArrays.distance1(d_array72, d_array76);
    double[][] d_array_array78 = new double[][] { d_array72 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array60, orderDirection67, d_array_array78);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array7, orderDirection15, d_array_array78);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException82 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1.2626272556789118d, (java.lang.Number)2.718281828459045d, 100, orderDirection15, true);
    java.lang.Number number83 = nonMonotonicSequenceException82.getArgument();
    java.lang.Number number84 = nonMonotonicSequenceException82.getPrevious();
    org.apache.commons.math3.exception.util.Localizable localizable85 = null;
    org.apache.commons.math3.exception.util.Localizable localizable86 = null;
    org.apache.commons.math3.exception.util.Localizable localizable87 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array88 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction89 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array88);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array90 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction89 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction91 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array90);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction92 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array90);
    org.apache.commons.math3.exception.MathInternalError mathInternalError93 = new org.apache.commons.math3.exception.MathInternalError(localizable87, (java.lang.Object[])differentiableUnivariateFunction_array90);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException94 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable86, (java.lang.Object[])differentiableUnivariateFunction_array90);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction95 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array90);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException96 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException82, localizable85, (java.lang.Object[])differentiableUnivariateFunction_array90);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection97 = nonMonotonicSequenceException82.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number83 + "' != '" + 1.2626272556789118d+ "'", number83.equals(1.2626272556789118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number84 + "' != '" + 2.718281828459045d+ "'", number84.equals(2.718281828459045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection97);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test145"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(102.0d, (-0.5872139151569289d), convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test146"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(2.980232238769531E-8d, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.357543035931336E300d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test147"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    double[] d_array11 = new double[] { 100.0d };
    double[] d_array14 = new double[] { 0.0d, 1.0d };
    boolean b15 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array11, d_array14);
    double[] d_array18 = new double[] { 0.0d, 0.0d };
    double d19 = org.apache.commons.math3.util.MathArrays.distance1(d_array14, d_array18);
    java.lang.Comparable[] comparable_array21 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection22 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array21, orderDirection22, false);
    boolean b26 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array14, orderDirection22, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array8, orderDirection22, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test148"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-22), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test149"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.262627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9528904364375423d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test150"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.0d, 0.1928815401231547d, convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test151"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(4.9E-324d, 3.1485346174933686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.001540670884148014d));

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test152"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.0184284293756756d, 0.1928815401231547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.1928815401231547d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test153"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(7L, (-1L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7L);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test154"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int i6 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array2, i_array5);
    int[] i_array7 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    int[] i_array8 = org.apache.commons.math3.util.MathArrays.copyOf(i_array7);
    int[] i_array12 = new int[] { 100, 100, 100 };
    int i13 = org.apache.commons.math3.util.MathArrays.distance1(i_array7, i_array12);
    int[] i_array15 = new int[] { 10 };
    int[] i_array16 = org.apache.commons.math3.util.MathArrays.copyOf(i_array15);
    int[] i_array18 = new int[] { 10 };
    int[] i_array19 = org.apache.commons.math3.util.MathArrays.copyOf(i_array18);
    int i20 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array16, i_array19);
    int[] i_array21 = org.apache.commons.math3.util.MathArrays.copyOf(i_array19);
    int[] i_array22 = org.apache.commons.math3.util.MathArrays.copyOf(i_array21);
    int[] i_array24 = new int[] { 10 };
    int[] i_array25 = org.apache.commons.math3.util.MathArrays.copyOf(i_array24);
    int[] i_array27 = new int[] { 10 };
    int[] i_array28 = org.apache.commons.math3.util.MathArrays.copyOf(i_array27);
    double d29 = org.apache.commons.math3.util.MathArrays.distance(i_array24, i_array27);
    int[] i_array31 = new int[] { 10 };
    int[] i_array32 = org.apache.commons.math3.util.MathArrays.copyOf(i_array31);
    int[] i_array34 = new int[] { 10 };
    int[] i_array35 = org.apache.commons.math3.util.MathArrays.copyOf(i_array34);
    int i36 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array32, i_array35);
    int i37 = org.apache.commons.math3.util.MathArrays.distance1(i_array24, i_array32);
    int[] i_array38 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32);
    int i39 = org.apache.commons.math3.util.MathArrays.distance1(i_array22, i_array32);
    int[] i_array41 = org.apache.commons.math3.util.MathArrays.copyOf(i_array22, 6);
    // The following exception was thrown during execution in test generation
    try {
      int i42 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array12, i_array22);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test155"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.01937731766883768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.943652089279393d));

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test156"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.580195754492862d, 1.1596638229046938d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5318950576133735d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test157"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-0.03117538440567036d));
    boolean b3 = notStrictlyPositiveException2.getBoundIsAllowed();
    java.lang.Number number4 = notStrictlyPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test158"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array1);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array15 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection16 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b19 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array15, orderDirection16, false, false);
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array24 = new double[] { 0.0d, 1.0d };
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array21, d_array24);
    double[] d_array27 = new double[] { 100.0d };
    double[] d_array30 = new double[] { 0.0d, 1.0d };
    boolean b31 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array27, d_array30);
    double[] d_array33 = new double[] { 100.0d };
    double[] d_array36 = new double[] { 0.0d, 1.0d };
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array33, d_array36);
    double[] d_array40 = new double[] { 0.0d, 0.0d };
    double d41 = org.apache.commons.math3.util.MathArrays.distance1(d_array36, d_array40);
    boolean b42 = org.apache.commons.math3.util.MathArrays.equals(d_array27, d_array40);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction43 = new org.apache.commons.math3.analysis.function.StepFunction(d_array21, d_array27);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equals(d_array15, d_array21);
    double[] d_array45 = org.apache.commons.math3.util.MathArrays.copyOf(d_array15);
    double d46 = org.apache.commons.math3.util.MathArrays.distance(d_array11, d_array15);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array54 = new double[] { 100.0d };
    double[] d_array57 = new double[] { 0.0d, 1.0d };
    boolean b58 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array54, d_array57);
    double[] d_array61 = new double[] { 0.0d, 0.0d };
    double d62 = org.apache.commons.math3.util.MathArrays.distance1(d_array57, d_array61);
    boolean b63 = org.apache.commons.math3.util.MathArrays.equals(d_array48, d_array61);
    double[] d_array66 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection67 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b70 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array66, orderDirection67, false, false);
    boolean b71 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array66);
    double[] d_array73 = new double[] { 100.0d };
    double[] d_array76 = new double[] { 0.0d, 1.0d };
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array73, d_array76);
    double[] d_array79 = new double[] { 100.0d };
    double[] d_array82 = new double[] { 0.0d, 1.0d };
    boolean b83 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array79, d_array82);
    double[] d_array86 = new double[] { 0.0d, 0.0d };
    double d87 = org.apache.commons.math3.util.MathArrays.distance1(d_array82, d_array86);
    boolean b88 = org.apache.commons.math3.util.MathArrays.equals(d_array73, d_array86);
    double[] d_array91 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection92 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b95 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array91, orderDirection92, false, false);
    boolean b96 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array73, d_array91);
    double d97 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array66, d_array91);
    boolean b98 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array11, d_array91);
    boolean b99 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b99 == false);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.44412615900130886d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.00775146376880869d));

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test160"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.9E-324d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test161"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.44412615900130886d, 1.2626272556789118d, (-0.011615655711446663d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test162"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.34893292278222565d), 3.4307670978649982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.10135843358988561d));

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test163"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.19288154012315467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21273912408247134d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test164"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(Float.NaN, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test165"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(102.22263734679228d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test166"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-1.2246467991473532E-16d), 102.0d, 0.0d, (-0.4690368963037244d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-1.2491397351303002E-14d));

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test167"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.9640429593244842d), (-0.41795851351649055d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.9640429593244842d));

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test168"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.19168779159217494d, 2.09506314392427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.09506314392427d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test169"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(6.742965677935095d, (-1.7970992528863166d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test170"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(2.0000002f, 27.059969773858604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.0000005f);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test171"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test172"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.9999999999708962d, number1, 102400);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test173"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.2242190167641178d, 10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test174"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin5.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin5.derivative();
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair12 = brentOptimizer3.optimize(6, univariateFunction7, goalType8, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d13 = brentOptimizer3.getMin();
    double d14 = brentOptimizer3.getMin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array16 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array16);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array18 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction17 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array18);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction20 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array18);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable21 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction20);
    org.apache.commons.math3.optimization.GoalType goalType22 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair26 = brentOptimizer3.optimize((-3), (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction20, goalType22, (-0.15021534774862044d), 0.7097526280635054d, 8.533542877826454E79d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable21);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test175"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(23.162381521626777d, 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000000004d);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-10.34319442903821d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9999999979248693d));

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test177"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 7.6293936E-6f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test178"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(99.99999f, (-0.9973959044998291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 99.999985f);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test179"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    java.lang.Comparable[] comparable_array21 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection22 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array21, orderDirection22, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException26 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection22, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection22, false);
    double[] d_array31 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection32 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b35 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array31, orderDirection32, false, false);
    double[] d_array37 = new double[] { 100.0d };
    double[] d_array40 = new double[] { 0.0d, 1.0d };
    boolean b41 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array37, d_array40);
    double[] d_array43 = new double[] { 100.0d };
    double[] d_array46 = new double[] { 0.0d, 1.0d };
    boolean b47 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array43, d_array46);
    double[] d_array49 = new double[] { 100.0d };
    double[] d_array52 = new double[] { 0.0d, 1.0d };
    boolean b53 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array49, d_array52);
    double[] d_array56 = new double[] { 0.0d, 0.0d };
    double d57 = org.apache.commons.math3.util.MathArrays.distance1(d_array52, d_array56);
    boolean b58 = org.apache.commons.math3.util.MathArrays.equals(d_array43, d_array56);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction59 = new org.apache.commons.math3.analysis.function.StepFunction(d_array37, d_array43);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(d_array31, d_array37);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection61 = null;
    boolean b64 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array37, orderDirection61, false, false);
    // The following exception was thrown during execution in test generation
    try {
      double d65 = org.apache.commons.math3.util.MathArrays.distance(d_array14, d_array37);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == true);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test180"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    java.lang.Comparable[] comparable_array21 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection22 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array21, orderDirection22, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException26 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection22, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection22, false);
    double[] d_array30 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14, 2);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.copyOf(d_array30, 0);
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array37 = new double[] { 0.0d, 1.0d };
    boolean b38 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array37);
    double[] d_array40 = new double[] { 100.0d };
    double[] d_array43 = new double[] { 0.0d, 1.0d };
    boolean b44 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array40, d_array43);
    double[] d_array47 = new double[] { 0.0d, 0.0d };
    double d48 = org.apache.commons.math3.util.MathArrays.distance1(d_array43, d_array47);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array47);
    double[] d_array52 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection53 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b56 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array52, orderDirection53, false, false);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array52);
    double[] d_array59 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array52, (-0.03117538440567036d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction60 = new org.apache.commons.math3.analysis.function.StepFunction(d_array30, d_array52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test181"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.0000001f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test182"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(99.999985f, 2.3841858E-7f, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test183"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.0011091064990845089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.10351209141207321d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test184"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(3.141592653589793d, 1492.4112834330556d, 0.0033664179414665983d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test185"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.803775170065996d), 8.533542877826454E79d, 1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test186"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.099504938362077d, (-6.986799949882595d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test187"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test188"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0f, 1.5258789E-5f, 2.0000005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test189"); }


    double d3 = org.apache.commons.math3.util.Precision.round(2.0d, 0, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 2.0d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test190"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, 1.0E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test191"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(55.912717114165474d, (-1.2326977189039658E-17d), (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test192"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array5 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction4 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.7475105975889573d, (java.lang.Object[])differentiableUnivariateFunction_array5);
    java.lang.Number number11 = maxCountExceededException10.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = maxCountExceededException10.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 1.7475105975889573d+ "'", number11.equals(1.7475105975889573d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test193"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array15 = new double[] { 0.0d, 0.0d };
    double d16 = org.apache.commons.math3.util.MathArrays.distance1(d_array11, d_array15);
    boolean b17 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array15);
    double[] d_array20 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection21 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array20, orderDirection21, false, false);
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array20);
    // The following exception was thrown during execution in test generation
    try {
      double d26 = org.apache.commons.math3.util.MathArrays.distance1(d_array0, d_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test194"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.7879107674293571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0050378768551933d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test195"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.0106952644634353d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.531271820784939d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test196"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(55.912717114165474d, 0.30331471468735255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 55.912717114165474d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test197"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException2 = new org.apache.commons.math3.exception.NullArgumentException();
    java.lang.String str3 = nullArgumentException2.toString();
    org.apache.commons.math3.exception.MathInternalError mathInternalError4 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nullArgumentException2);
    java.lang.Throwable[] throwable_array5 = mathInternalError4.getSuppressed();
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)10L, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math3.exception.NullArgumentException: null is not allowed"+ "'", str3.equals("org.apache.commons.math3.exception.NullArgumentException: null is not allowed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test198"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.5707886974003653d, 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test199"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, (-306.9867999498826d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test200"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(166.67954823297535d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.910443378636357d);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test201"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.6293945E-6f, 1.4E-45f, 99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test202"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(2.3841858E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.842171E-14f);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test203"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.2326977189039658E-17d), 0.36018748396037575d, 0.43260462717024034d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test204"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test205"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-1.0952022550758997d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test206"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.19286385291341007d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19529126027824797d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test207"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.6655280485429234d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.587213915156929d));

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test208"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    boolean b4 = nonMonotonicSequenceException3.getStrict();
    boolean b5 = nonMonotonicSequenceException3.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException3.getDirection();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException3.getDirection();
    java.lang.Number number8 = nonMonotonicSequenceException3.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (-0.5872139151569291d)+ "'", number8.equals((-0.5872139151569291d)));

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test209"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-6.986799949882595d), 2.198797824123542d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test210"); }


    double[] d_array4 = new double[] { 100.0d };
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    boolean b8 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array7);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array13 = new double[] { 0.0d, 1.0d };
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array13);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException18 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection19 = nonMonotonicSequenceException18.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError20 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException18);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection21 = nonMonotonicSequenceException18.getDirection();
    double[] d_array23 = new double[] { 100.0d };
    double[] d_array26 = new double[] { 0.0d, 1.0d };
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array23, d_array26);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array32 = new double[] { 0.0d, 1.0d };
    boolean b33 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array29, d_array32);
    double[] d_array36 = new double[] { 0.0d, 0.0d };
    double d37 = org.apache.commons.math3.util.MathArrays.distance1(d_array32, d_array36);
    boolean b38 = org.apache.commons.math3.util.MathArrays.equals(d_array23, d_array36);
    double[] d_array41 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection42 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b45 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array41, orderDirection42, false, false);
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array23, d_array41);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array54 = new double[] { 100.0d };
    double[] d_array57 = new double[] { 0.0d, 1.0d };
    boolean b58 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array54, d_array57);
    double[] d_array61 = new double[] { 0.0d, 0.0d };
    double d62 = org.apache.commons.math3.util.MathArrays.distance1(d_array57, d_array61);
    boolean b63 = org.apache.commons.math3.util.MathArrays.equals(d_array48, d_array61);
    double[] d_array66 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection67 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b70 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array66, orderDirection67, false, false);
    boolean b71 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array66);
    double d72 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array41, d_array66);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection73 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array75 = new double[] { 100.0d };
    double[] d_array78 = new double[] { 0.0d, 1.0d };
    boolean b79 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array75, d_array78);
    double[] d_array82 = new double[] { 0.0d, 0.0d };
    double d83 = org.apache.commons.math3.util.MathArrays.distance1(d_array78, d_array82);
    double[][] d_array_array84 = new double[][] { d_array78 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array66, orderDirection73, d_array_array84);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array13, orderDirection21, d_array_array84);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array4, orderDirection21, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException90 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.854843920279512d), (java.lang.Number)746.2056417165278d, 0, orderDirection21, false);
    org.apache.commons.math3.exception.util.Localizable localizable91 = null;
    org.apache.commons.math3.analysis.function.Sin sin92 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array93 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin92 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction94 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array93);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array95 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction94 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction96 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array95);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException97 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable91, (java.lang.Object[])differentiableUnivariateFunction_array95);
    nonMonotonicSequenceException90.addSuppressed((java.lang.Throwable)mathIllegalStateException97);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction96);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test211"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-17));

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-0.10135843358988561d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.10170769204071056d));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test213"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(27.059969773858604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 27L);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test214"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 0.7879107674293571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test215"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f1, Float.NaN, 0);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test216"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.6249846069295057d, 746.2056417165278d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 746.2059034444407d);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test217"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(2.7755575615628914E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test218"); }


    float[] f_array0 = new float[] {  };
    float[] f_array2 = new float[] { 100.0f };
    boolean b3 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array2);
    float[] f_array4 = null;
    boolean b5 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array4);
    float[] f_array6 = null;
    float[] f_array7 = new float[] {  };
    float[] f_array9 = new float[] { 100.0f };
    boolean b10 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array7, f_array9);
    boolean b11 = org.apache.commons.math3.util.MathArrays.equals(f_array6, f_array9);
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array4, f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test219"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, (-0.8920085211300253d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test220"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.1175824E-22f, 7.6293936E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test221"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0722489976826464d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5197560944568402d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test222"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array3, d_array36);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array42);
    double[] d_array45 = null;
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    java.lang.Comparable[] comparable_array51 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException55 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection56 = nonMonotonicSequenceException55.getDirection();
    boolean b58 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array51, orderDirection56, true);
    double[] d_array61 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection62 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b65 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array61, orderDirection62, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection66 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b68 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array61, orderDirection66, true);
    boolean b70 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array51, orderDirection66, false);
    java.lang.Comparable[] comparable_array72 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection73 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b75 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array72, orderDirection73, false);
    boolean b77 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array51, orderDirection73, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException79 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.9973959044998291d), (java.lang.Number)0.9999972192379961d, (-22), orderDirection73, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array45, orderDirection73, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == true);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test223"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0033664179414665983d, (-306.9867999498826d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test224"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array6 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array4, 1.0907245790542575d);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array4, d_array14);
    double[] d_array35 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array37 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array35, 1.0907245790542575d);
    boolean b38 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array37);
    double[] d_array40 = new double[] { 100.0d };
    double[] d_array43 = new double[] { 0.0d, 1.0d };
    boolean b44 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array40, d_array43);
    boolean b45 = org.apache.commons.math3.util.MathArrays.equals(d_array4, d_array43);
    // The following exception was thrown during execution in test generation
    try {
      double d46 = org.apache.commons.math3.util.MathArrays.distance(d_array0, d_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test225"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.19168779159217497d, 13.955576560251464d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test226"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.5597388449675059d), (-0.7258764198731407d), convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test227"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(6);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.incrementCount(0);
    incrementor1.incrementCount(0);
    incrementor1.setMaximalCount(0);
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test228"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-3.069409185890091d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test229"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(180.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.255272505103306d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test230"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.44412615900130886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6664279098306949d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test231"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(7.6293936E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-18));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test232"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException2 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, obj_array1);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, (java.lang.Object[])differentiableUnivariateFunction_array6);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException2, localizable3, (java.lang.Object[])differentiableUnivariateFunction_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test233"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(1.7454165162753768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test234"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    double[] d_array13 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array13, 1.0907245790542575d);
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array20 = new double[] { 0.0d, 1.0d };
    boolean b21 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array20);
    double[] d_array23 = new double[] { 100.0d };
    double[] d_array26 = new double[] { 0.0d, 1.0d };
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array23, d_array26);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array32 = new double[] { 0.0d, 1.0d };
    boolean b33 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array29, d_array32);
    double[] d_array36 = new double[] { 0.0d, 0.0d };
    double d37 = org.apache.commons.math3.util.MathArrays.distance1(d_array32, d_array36);
    boolean b38 = org.apache.commons.math3.util.MathArrays.equals(d_array23, d_array36);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction39 = new org.apache.commons.math3.analysis.function.StepFunction(d_array17, d_array23);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array23);
    double[] d_array44 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array46 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array44, 1.0907245790542575d);
    boolean b47 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array46);
    double d48 = org.apache.commons.math3.util.MathArrays.distance(d_array4, d_array46);
    double d49 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array4);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array51 = org.apache.commons.math3.util.MathArrays.copyOf(d_array4, (-22));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.4083437054269694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test235"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMax();
    int i5 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker6 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = brentOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker7);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test236"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.587213915156929d), (-3.069409185890091d), 536.4959177533976d, (-1.2246467991473532E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.8023997852650968d);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test237"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.5597388449675059d), 1.0722489976826464d, 0.0d, 746.2059034444407d, 4.3368086899420177E-19d, 1.1102230246251568E-16d, 184.74137414560076d, 76112.61091070402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.406114772927349E7d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test238"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.5318950576133735d, 0.44994961810416423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0819454395092093d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test239"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(180.0d, 0.38037392989426705d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test240"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    incrementor1.resetCount();
    incrementor1.incrementCount();
    int i4 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test241"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.629395E-6f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629395E-6f);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test242"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-237.97866503973512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8421709430404007E-14d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test243"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException5 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array10 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array10);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array12 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction11 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException15 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, (java.lang.Object[])differentiableUnivariateFunction_array12);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathIllegalArgumentException7, localizable8, (java.lang.Object[])differentiableUnivariateFunction_array12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test244"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.001540670884148014d), (-0.2945595523344881d), (-0.6246841429488434d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test245"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(180.0d, 0.36018748396037575d, 1.2242190167641178d, 0.5318950576133735d, (-1.2326977189039658E-17d), 3.7546694208030207d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 65.48490315732077d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test246"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array9 = new double[] { 0.0d, 0.0d };
    double d10 = org.apache.commons.math3.util.MathArrays.distance1(d_array5, d_array9);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction11 = new org.apache.commons.math3.analysis.function.StepFunction(d_array0, d_array5);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test247"); }


    float f2 = org.apache.commons.math3.util.Precision.round(Float.NaN, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test248"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.0f, 99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test249"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    java.lang.Comparable[] comparable_array21 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection22 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array21, orderDirection22, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException26 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection22, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection22, false);
    double[] d_array30 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14, 2);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.copyOf(d_array30, 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection33 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b36 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array32, orderDirection33, true, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test250"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.7453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.9511872732601234d);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test251"); }


    float[] f_array0 = null;
    float[] f_array1 = new float[] {  };
    float[] f_array3 = new float[] { 100.0f };
    boolean b4 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array1, f_array3);
    float[] f_array5 = null;
    boolean b6 = org.apache.commons.math3.util.MathArrays.equals(f_array1, f_array5);
    float[] f_array7 = new float[] {  };
    float[] f_array9 = new float[] { 100.0f };
    boolean b10 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array7, f_array9);
    boolean b11 = org.apache.commons.math3.util.MathArrays.equals(f_array5, f_array7);
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array7);
    float[] f_array13 = new float[] {  };
    float[] f_array15 = new float[] { 100.0f };
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array13, f_array15);
    float[] f_array19 = new float[] { 100.0f, 1.0f };
    boolean b20 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array13, f_array19);
    float[] f_array21 = null;
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array19, f_array21);
    boolean b23 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test252"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, (-0.10170769204071056d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test253"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.8023997852650968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1945126112383255d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test254"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.0722489976826464d, 165793.48912954447d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 165793.48912954447d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test255"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array1 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin0 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable2 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(11.806976057564917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4686905481059367d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test257"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(6.79843248229905E248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.895214885403833E250d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test258"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.007550375103483214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.122031472036208d));

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test259"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test260"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.0d, 2.596102686531958d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test261"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(4.624972813284271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test262"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(102400, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 128);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test263"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 100, 1);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError4 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)dimensionMismatchException3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test264"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.47583102411108585d), (-0.009976138898597563d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test265"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.0000005f, 6.400001E-5f, 102399.99f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test266"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 9.094947E-13f);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test267"); }


    double[] d_array0 = null;
    double[] d_array4 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array6 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array4, 1.0907245790542575d);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array4, d_array14);
    double[] d_array35 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array37 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array35, 1.0907245790542575d);
    boolean b38 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array37);
    double[] d_array40 = new double[] { 100.0d };
    double[] d_array43 = new double[] { 0.0d, 1.0d };
    boolean b44 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array40, d_array43);
    boolean b45 = org.apache.commons.math3.util.MathArrays.equals(d_array4, d_array43);
    double[] d_array46 = null;
    boolean b47 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array43, d_array46);
    double[] d_array49 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array43, 0.580195754492862d);
    // The following exception was thrown during execution in test generation
    try {
      double d50 = org.apache.commons.math3.util.MathArrays.distance(d_array0, d_array49);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test268"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.5088348791038063d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5088348791038063d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test269"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(12.910443378636357d, 6.79843248229905E248d, 2.09506314392427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test270"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(6.400001E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test271"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-1.1985126051160524d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test272"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(373.64070090233554d, 0.002136561448084448d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test273"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(10.099504938362077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.17626961399584523d);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test274"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(12.910443378636357d, (-0.5578300447656788d), 2.9511872732601234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test275"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    int i5 = brentOptimizer3.getMaxEvaluations();
    double d6 = brentOptimizer3.getMax();
    int i7 = brentOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test276"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.04587040018925113d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.04588648781766632d));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.141592653589793d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test278"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.62939453125E-6d, 1.131266493698349E12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(4.716859054348983d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.0d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test280"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(180.00000000000003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8011526357338475d));

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test281"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.4228120277165407d, 2.225073858507202E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test282"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.6935915826764747d), (-3098.023364685273d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.6935915826764747d));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test283"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-1.8804153122484344d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test284"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.5591271711416548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.027211902593726994d);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test285"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array39 = new double[] { 0.0d, 0.0d };
    double d40 = org.apache.commons.math3.util.MathArrays.distance1(d_array35, d_array39);
    double[] d_array43 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection44 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b47 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array43, orderDirection44, false, false);
    double[] d_array49 = new double[] { 100.0d };
    double[] d_array52 = new double[] { 0.0d, 1.0d };
    boolean b53 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array49, d_array52);
    double[] d_array55 = new double[] { 100.0d };
    double[] d_array58 = new double[] { 0.0d, 1.0d };
    boolean b59 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array55, d_array58);
    double[] d_array61 = new double[] { 100.0d };
    double[] d_array64 = new double[] { 0.0d, 1.0d };
    boolean b65 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array61, d_array64);
    double[] d_array68 = new double[] { 0.0d, 0.0d };
    double d69 = org.apache.commons.math3.util.MathArrays.distance1(d_array64, d_array68);
    boolean b70 = org.apache.commons.math3.util.MathArrays.equals(d_array55, d_array68);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction71 = new org.apache.commons.math3.analysis.function.StepFunction(d_array49, d_array55);
    boolean b72 = org.apache.commons.math3.util.MathArrays.equals(d_array43, d_array49);
    double[] d_array73 = org.apache.commons.math3.util.MathArrays.copyOf(d_array43);
    double d74 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array35, d_array43);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException87 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection88 = nonMonotonicSequenceException87.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException90 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)1, (java.lang.Number)0.4228120277165407d, 6, orderDirection88, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException92 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.4441261591d), (java.lang.Number)(short)1, (-2), orderDirection88, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException94 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)374.7314254813898d, (java.lang.Number)1.1102230246251568E-16d, 6, orderDirection88, true);
    boolean b96 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array43, orderDirection88, true);
    // The following exception was thrown during execution in test generation
    try {
      double d97 = org.apache.commons.math3.util.MathArrays.distance1(d_array3, d_array43);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == false);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test286"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.003366109241421064d, 483.35749355208685d);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test287"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 17);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test288"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.19286385291341007d, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.03719646576060547d);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test289"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(13.452237342102702d, (-0.34893292278222565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-13.452237342102702d));

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test290"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(100L, 7L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7L);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test291"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array1);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction2, 102.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction4);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test292"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(102400, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test293"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(0.0f, 2.842171E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.842171E-14f);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test294"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, univariateFunction1, 2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction3);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test295"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.5690509993150914d, 0.7097526280635054d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5690509993150914d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test296"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.19286385291341007d, 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.19286385291341007d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test297"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(2.1175824E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.1175826E-22f);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test298"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.5258789E-5f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test299"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.6208033774311184d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4767408696783165d));

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test300"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test301"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.0722489976826464d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4781501945588883d);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.8023997852650968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9470539668463765d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test303"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(22.30189336319932d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.848297082353755E9d);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test304"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-1023), 99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test305"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.7660494324943987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test306"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(556822.859729575d, 0.01937731766883768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 556822.859729575d);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test307"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.35282172628030717d, 184.74137414560076d, 3.895214885403833E250d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test308"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    incrementor1.resetCount();
    int i3 = incrementor1.getMaximalCount();
    incrementor1.resetCount();
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test309"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test310"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.9528904364375423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.593194300460836d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(3.4307670978649982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.903980358107101d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test312"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1492.4112834330556d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test313"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable6, (-0.5716096180634055d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction8);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test314"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array31 = new double[] { 100.0d };
    double[] d_array34 = new double[] { 0.0d, 1.0d };
    boolean b35 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array31, d_array34);
    double[] d_array38 = new double[] { 0.0d, 0.0d };
    double d39 = org.apache.commons.math3.util.MathArrays.distance1(d_array34, d_array38);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array38);
    java.lang.Comparable[] comparable_array45 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection46 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array45, orderDirection46, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException50 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection46, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array38, orderDirection46, false);
    double[] d_array54 = org.apache.commons.math3.util.MathArrays.copyOf(d_array38, 2);
    double[] d_array56 = org.apache.commons.math3.util.MathArrays.copyOf(d_array54, 0);
    double[][] d_array_array57 = new double[][] { d_array56 };
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array7, d_array_array57);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array57);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test315"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(short)10);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test316"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.4767408696783165d), 2.0260131666570804d, 0.0d, 0.0d, (-0.9999999979248693d), (-1.0219337600254152d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.056050478852952536d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test317"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(3.2487638034370474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.859827757832395d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test318"); }


    int[] i_array0 = null;
    int[] i_array2 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2);
    int[] i_array5 = new int[] { 10 };
    int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    double d7 = org.apache.commons.math3.util.MathArrays.distance(i_array2, i_array5);
    int[] i_array9 = new int[] { 10 };
    int[] i_array10 = org.apache.commons.math3.util.MathArrays.copyOf(i_array9);
    int[] i_array12 = new int[] { 10 };
    int[] i_array13 = org.apache.commons.math3.util.MathArrays.copyOf(i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array10, i_array13);
    int i15 = org.apache.commons.math3.util.MathArrays.distance1(i_array2, i_array10);
    int[] i_array16 = org.apache.commons.math3.util.MathArrays.copyOf(i_array10);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = org.apache.commons.math3.util.MathArrays.distance(i_array0, i_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test319"); }


    float f2 = org.apache.commons.math3.util.Precision.round(Float.POSITIVE_INFINITY, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test320"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.5197560944568402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test321"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(3.141592653589793d, 2.980232238769531E-8d, 1.9377047211159066E-18d, 3.895214885403833E250d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 7.547776273207962E232d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test322"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.8466403175533018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07230105398862693d));

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test323"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array31 = new double[] { 100.0d };
    double[] d_array34 = new double[] { 0.0d, 1.0d };
    boolean b35 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array31, d_array34);
    double[] d_array38 = new double[] { 0.0d, 0.0d };
    double d39 = org.apache.commons.math3.util.MathArrays.distance1(d_array34, d_array38);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equals(d_array25, d_array38);
    double[] d_array43 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection44 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b47 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array43, orderDirection44, false, false);
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array43);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array56 = new double[] { 100.0d };
    double[] d_array59 = new double[] { 0.0d, 1.0d };
    boolean b60 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array56, d_array59);
    double[] d_array63 = new double[] { 0.0d, 0.0d };
    double d64 = org.apache.commons.math3.util.MathArrays.distance1(d_array59, d_array63);
    boolean b65 = org.apache.commons.math3.util.MathArrays.equals(d_array50, d_array63);
    double[] d_array68 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection69 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b72 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array68, orderDirection69, false, false);
    boolean b73 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array68);
    double d74 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array43, d_array68);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection75 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array77 = new double[] { 100.0d };
    double[] d_array80 = new double[] { 0.0d, 1.0d };
    boolean b81 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array77, d_array80);
    double[] d_array84 = new double[] { 0.0d, 0.0d };
    double d85 = org.apache.commons.math3.util.MathArrays.distance1(d_array80, d_array84);
    double[][] d_array_array86 = new double[][] { d_array80 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array68, orderDirection75, d_array_array86);
    boolean b89 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array7, orderDirection75, true);
    double[] d_array91 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7, 1024);
    double[] d_array92 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d93 = org.apache.commons.math3.util.MathArrays.distance1(d_array91, d_array92);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test324"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, 56L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test325"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test326"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-938.5704872688159d), 0.8466403175533018d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8466403175533515d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test327"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.7764551007528482d), 76112.61091070402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test328"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    java.lang.Comparable[] comparable_array26 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException30 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection31 = nonMonotonicSequenceException30.getDirection();
    boolean b33 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array26, orderDirection31, true);
    double[] d_array36 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b40 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array36, orderDirection37, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection41 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b43 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array36, orderDirection41, true);
    boolean b45 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array26, orderDirection41, false);
    boolean b47 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array19, orderDirection41, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array19);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test329"); }


    double d2 = org.apache.commons.math3.util.Precision.round(2.980232238769531E-8d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test330"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.7097526280635054d, (-0.00997613890518529d));

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test331"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.842171E-14f, 7.6293936E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test332"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.629395E-6f, 7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629395E-6f);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test333"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(6.79843248229905E248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test334"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.7477480666251534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8194032740417931d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test335"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    double d5 = brentOptimizer3.getMin();
    double d6 = brentOptimizer3.getMin();
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array12 = new double[] { 0.0d, 1.0d };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array12);
    double[] d_array15 = new double[] { 100.0d };
    double[] d_array18 = new double[] { 0.0d, 1.0d };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array18);
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array24 = new double[] { 0.0d, 1.0d };
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array21, d_array24);
    double[] d_array28 = new double[] { 0.0d, 0.0d };
    double d29 = org.apache.commons.math3.util.MathArrays.distance1(d_array24, d_array28);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array15, d_array28);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction31 = new org.apache.commons.math3.analysis.function.StepFunction(d_array9, d_array15);
    double d33 = stepFunction31.value((-306.9867999498826d));
    double d35 = stepFunction31.value(0.01937853050773848d);
    org.apache.commons.math3.optimization.GoalType goalType36 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair39 = brentOptimizer3.optimize(102400, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction31, goalType36, 0.8410312834162215d, (-0.4690368963037244d));
    double d40 = univariatePointValuePair39.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.18599719355624855d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test336"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.278163113872531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.27816311387253106d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test337"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(0.011668890825125589d, 1.5674299024949243d, (-0.8011526357338475d), (-13.452237342102702d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 10.795585571551118d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test338"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.9009527893076419d, 5.6843418860808015E-14d, 1031.3147545616828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test339"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(88255.86740255686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 297.0788908733787d);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test340"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.9511872732601234d, 0.44375129692668186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test341"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(6.4E-5f, 7.629394E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629394E-6f);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.7477480666251534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.12624470120552134d));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test343"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(3.141592653589793d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4210804127942926d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test344"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.1993938046696928d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 68.72020298171165d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test345"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.19168779159217497d, 48.18754297822047d, 7.62939453125E-6d, 3.1470547239484046d, 746.2056417165278d, 1.0106952644634353d, 0.580195754492862d, (-3098.023364685273d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1034.0365074054232d));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test346"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.092008862609581d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.019059150113495585d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test347"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.4E-45f, (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test348"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test349"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.9999977175534576d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999988587760776d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test350"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(5.357543035931336E300d, 22.30189336319932d, (-0.7615941559557649d), (-1.2246467991473532E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.1948335347609179E302d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test351"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0f, Float.POSITIVE_INFINITY, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test352"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException27 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = nonMonotonicSequenceException27.getDirection();
    boolean b30 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array7, orderDirection28, true);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7, 1);
    double[] d_array33 = org.apache.commons.math3.util.MathArrays.copyOf(d_array32);
    double[] d_array35 = org.apache.commons.math3.util.MathArrays.copyOf(d_array32, 10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b39 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array35, orderDirection36, false, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test353"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.641588833612779d);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test354"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(374.7316886671843d, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test355"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)10.0d);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str3 = notStrictlyPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test356"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test357"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.007550375103483214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.673617379884035E-19d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test358"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.5258789E-5f, 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.5258789E-5f);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test359"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(2.7182818284590446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.04744296790374203d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test360"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.1945126112383255d, 0.36018748396037575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.36018748396037575d);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test361"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.analysis.function.Sin sin6 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array7 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin6 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable8 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array7);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array7);
    org.apache.commons.math3.exception.MathInternalError mathInternalError10 = new org.apache.commons.math3.exception.MathInternalError(localizable5, (java.lang.Object[])univariateDifferentiable_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array7);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker14 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer15 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker14);
    org.apache.commons.math3.analysis.function.Sin sin17 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = sin17.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction19 = sin17.derivative();
    org.apache.commons.math3.optimization.GoalType goalType20 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair24 = brentOptimizer15.optimize(6, univariateFunction19, goalType20, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair27 = brentOptimizer3.optimize((-1), univariateFunction11, goalType20, 0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair24);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test362"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.10170769204071056d), (-0.031180434567625804d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.8682688599059771d));

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test363"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(0L, 10L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test364"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(2290243.0284562334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test365"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (-1.570796326794893d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test366"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test367"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.019059150113495585d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.01905915011349558d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test368"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.8032491835192452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9327302435785114d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.8011526357338304d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5511886501354157d));

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test370"); }


    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array0 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction1 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array0);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction1 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test371"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction0, (-0.5611563311815981d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test372"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection4 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException6 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection4, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException6.getDirection();
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.analysis.function.Sin sin11 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array12 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin11 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException6, localizable8, (java.lang.Object[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MathInternalError mathInternalError18 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction17);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test373"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(Double.NEGATIVE_INFINITY, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test374"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (-58.87795268917417d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test375"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.4690368963037244d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.46903689630372436d));

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test376"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 0.530446486966672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test377"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 408180.97167872085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test378"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.19288154012315467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0186593860198987d);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test379"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1031.314817459561d, (-1.6331691739148566d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.6331691739148937d));

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test380"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.571861776470941d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test381"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.41795851351649055d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4302340594533545d));

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test382"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(746.2059034444407d, 0.8111478861482738d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 746.2059034444405d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test383"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(27L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test384"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double d25 = stepFunction23.value((-306.9867999498826d));
    double d27 = stepFunction23.value(0.1928815401231547d);
    double d29 = stepFunction23.value(2.596102686531958d);
    double d31 = stepFunction23.value((-0.031170335715785424d));
    double d33 = stepFunction23.value(102.22263734679228d);
    double d35 = stepFunction23.value(2.7755575615628914E-17d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.0d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test385"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.008184875862427155d), 0.003366109241421064d, 0.5318950576133735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test386"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.8011526357338475d), (-0.6239307469822648d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test387"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.resetCount();
    int i2 = incrementor0.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test388"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.9461121838460531d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.574680356864101d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test389"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.9999988587760776d, (-0.9640429593244842d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test390"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.12624470120552134d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.11860085903958355d));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test391"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)55.9127171142d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test392"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.1175826E-22f, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test393"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array3, d_array36);
    double[] d_array41 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array43 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array41, 1.0907245790542575d);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array57 = new double[] { 100.0d };
    double[] d_array60 = new double[] { 0.0d, 1.0d };
    boolean b61 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array57, d_array60);
    double[] d_array64 = new double[] { 0.0d, 0.0d };
    double d65 = org.apache.commons.math3.util.MathArrays.distance1(d_array60, d_array64);
    boolean b66 = org.apache.commons.math3.util.MathArrays.equals(d_array51, d_array64);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction67 = new org.apache.commons.math3.analysis.function.StepFunction(d_array45, d_array51);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equals(d_array41, d_array51);
    double d69 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array3, d_array41);
    double[] d_array73 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array75 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array73, 1.0907245790542575d);
    double d76 = org.apache.commons.math3.util.MathArrays.distance(d_array3, d_array73);
    double[] d_array78 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.5707963267948966d);
    double[] d_array79 = org.apache.commons.math3.util.MathArrays.copyOf(d_array78);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection80 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b83 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array79, orderDirection80, true, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 102.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test394"); }


    double[] d_array0 = null;
    java.lang.Comparable[] comparable_array2 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b5 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection3, false);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException15 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection16 = nonMonotonicSequenceException15.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError17 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException15);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection18 = nonMonotonicSequenceException15.getDirection();
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    double[] d_array38 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b42 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array38, orderDirection39, false, false);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array38);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    double d59 = org.apache.commons.math3.util.MathArrays.distance1(d_array54, d_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array58);
    double[] d_array63 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection64 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array63, orderDirection64, false, false);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array63);
    double d69 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array38, d_array63);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection70 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array72 = new double[] { 100.0d };
    double[] d_array75 = new double[] { 0.0d, 1.0d };
    boolean b76 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array72, d_array75);
    double[] d_array79 = new double[] { 0.0d, 0.0d };
    double d80 = org.apache.commons.math3.util.MathArrays.distance1(d_array75, d_array79);
    double[][] d_array_array81 = new double[][] { d_array75 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array63, orderDirection70, d_array_array81);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array10, orderDirection18, d_array_array81);
    boolean b85 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection18, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean b88 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array0, orderDirection18, true, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == true);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.5087348157117292d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.533714584281726d));

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test396"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.19529126027824797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9809911914430997d);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test397"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.5153233725778754d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7242733580029228d));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test398"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(10.099504938362077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.4069005071761116d);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test399"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.0071733601339953575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0071733601339953575d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test400"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.0000001f, (-18));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.8146977E-6f);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test401"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(0.0d, 5.357543035931336E300d, 0.0d, 1.9377047211159066E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test402"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.9511872732601234d, 0.4441261591d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test403"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction0, 2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test404"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMax();
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    double d31 = stepFunction29.value((-306.9867999498826d));
    double d33 = stepFunction29.value(0.01937853050773848d);
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer36 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.5591271711416548d, 0.19168779159217497d);
    int i37 = brentOptimizer36.getMaxEvaluations();
    org.apache.commons.math3.analysis.function.Sin sin39 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction40 = sin39.derivative();
    double d42 = sin39.value(10.099504938362077d);
    org.apache.commons.math3.optimization.GoalType goalType43 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair47 = brentOptimizer36.optimize(100, (org.apache.commons.math3.analysis.UnivariateFunction)sin39, goalType43, 0.011668890825125589d, (-0.34893292278222565d), 2.7755575615628914E-17d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair50 = brentOptimizer3.optimize(6, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction29, goalType43, 0.8410312834162215d, 4.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == (-0.6246841429488434d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair47);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test405"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.0d, (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test406"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.9999988587760776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.718278726292565d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test407"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array32 = new double[] { 0.0d, 0.0d };
    double d33 = org.apache.commons.math3.util.MathArrays.distance1(d_array28, d_array32);
    boolean b34 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array32);
    double[] d_array37 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection38 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b41 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array37, orderDirection38, false, false);
    boolean b44 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array32, orderDirection38, true, false);
    boolean b46 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array17, orderDirection38, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == true);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test408"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 408180.97167872085d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test409"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(746.2056417165278d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.308147952938022d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test410"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.6018884215308689d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test411"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(746.2059034444405d, 0.44412615900130886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5702011477638689d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test412"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.6293945E-6f, 3.8146977E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.6293945E-6f);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test413"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)99.99999f, (java.lang.Number)100L, 10, orderDirection3, true);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException5, localizable6, obj_array7);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str9 = mathIllegalStateException8.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test414"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(4.3368086899420177E-19d, 128, 102400);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test415"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.4781501945588883d, (-0.009976138898597563d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test416"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.5583721499390896d), 0.01937731766883768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5583721499390896d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test417"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-0.5872139151569289d), (java.lang.Number)6.4E-5f, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 6.4E-5f+ "'", number5.equals(6.4E-5f));

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test418"); }


    float f3 = org.apache.commons.math3.util.Precision.round(2.1175826E-22f, (-3), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 999.99994f);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test419"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction0, 3.7546694208030207d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test420"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-2.0d), 2.0260131666570804d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.026013166657080422d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(5.357543035931336E300d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.357543035931336E300d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test422"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.0819454395092093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08212935624204581d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test423"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, 6.4E-5f, 1.0E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test424"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.7477480666251534d, (-0.533714584281726d), 99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test425"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.00775146376880869d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.007721498648032039d));

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test426"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(99.99999f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test427"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    double[] d_array5 = new double[] { 100.0d };
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array5, d_array8);
    double[] d_array11 = new double[] { 100.0d };
    double[] d_array14 = new double[] { 0.0d, 1.0d };
    boolean b15 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array11, d_array14);
    double[] d_array18 = new double[] { 0.0d, 0.0d };
    double d19 = org.apache.commons.math3.util.MathArrays.distance1(d_array14, d_array18);
    boolean b20 = org.apache.commons.math3.util.MathArrays.equals(d_array5, d_array18);
    double[] d_array23 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection24 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b27 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array23, orderDirection24, false, false);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array5, d_array23);
    double[] d_array30 = new double[] { 100.0d };
    double[] d_array33 = new double[] { 0.0d, 1.0d };
    boolean b34 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array30, d_array33);
    double[] d_array36 = new double[] { 100.0d };
    double[] d_array39 = new double[] { 0.0d, 1.0d };
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array36, d_array39);
    double[] d_array43 = new double[] { 0.0d, 0.0d };
    double d44 = org.apache.commons.math3.util.MathArrays.distance1(d_array39, d_array43);
    boolean b45 = org.apache.commons.math3.util.MathArrays.equals(d_array30, d_array43);
    double[] d_array48 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection49 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b52 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array48, orderDirection49, false, false);
    boolean b53 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array30, d_array48);
    double d54 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array23, d_array48);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection55 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array57 = new double[] { 100.0d };
    double[] d_array60 = new double[] { 0.0d, 1.0d };
    boolean b61 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array57, d_array60);
    double[] d_array64 = new double[] { 0.0d, 0.0d };
    double d65 = org.apache.commons.math3.util.MathArrays.distance1(d_array60, d_array64);
    double[][] d_array_array66 = new double[][] { d_array60 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array48, orderDirection55, d_array_array66);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException68 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable2, localizable3, (java.lang.Object[])d_array_array66);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException69 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)2.0d, (java.lang.Object[])d_array_array66);
    org.apache.commons.math3.exception.util.Localizable localizable70 = null;
    java.lang.Object[] obj_array71 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException69, localizable70, obj_array71);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array66);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test428"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMax();
    int i5 = brentOptimizer3.getEvaluations();
    double d6 = brentOptimizer3.getStartValue();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array8 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array10 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction9 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array10);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker15 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer16 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker15);
    int i17 = brentOptimizer16.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType18 = brentOptimizer16.getGoalType();
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.analysis.function.Sin sin21 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array22 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin21 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable23 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array22);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction24 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array22);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException25 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable20, (java.lang.Object[])univariateDifferentiable_array22);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable26 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array22);
    org.apache.commons.math3.optimization.GoalType goalType27 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair30 = brentOptimizer16.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable26, goalType27, 3.2487638034370474d, (-2.0d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair33 = brentOptimizer3.optimize(2, univariateFunction12, goalType27, (-1.7970992528863166d), 0.8111478861482738d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair30);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test429"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(2.8E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.8E-45f);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test430"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test431"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(11.806976057564917d, 2.593194300460836d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3859902316102892d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test432"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(98.99999f, 7.6293936E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 98.99999f);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test433"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.5591271711416548d, (-0.5578300447656787d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test434"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)100L, (java.lang.Number)(byte)1, 0);
    java.lang.Number number4 = nonMonotonicSequenceException3.getArgument();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection5 = nonMonotonicSequenceException3.getDirection();
    boolean b6 = nonMonotonicSequenceException3.getStrict();
    int i7 = nonMonotonicSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 100L+ "'", number4.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test435"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test436"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(102400, 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 90);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test437"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 17, 99);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test438"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(2.09506314392427d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.125954058640948d);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test439"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array3, d_array36);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array42);
    double[] d_array45 = null;
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    double[] d_array48 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array42, 0.580195754492862d);
    double[] d_array49 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d50 = org.apache.commons.math3.util.MathArrays.distance(d_array48, d_array49);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.01937731785097722d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.019376105421830558d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test441"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(6.742965677935093d, (-0.47583102411108585d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.47583102411108585d));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test442"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.587213915156929d), 1.1102230246251568E-16d, 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test443"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable3, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)9.936115790724537E232d, (java.lang.Object[])differentiableUnivariateFunction_array6);
    java.lang.Number number11 = maxCountExceededException10.getMax();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str12 = maxCountExceededException10.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 9.936115790724537E232d+ "'", number11.equals(9.936115790724537E232d));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test444"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-1023));
    int i5 = incrementor1.getCount();
    int i6 = incrementor1.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1023));

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test445"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(746.2056417165278d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.615001221354198d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test446"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)373.64070090233554d, (java.lang.Number)11.806976057564917d, true);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test447"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.5872139151569288d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.665528048542923d));

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test448"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(2.842171E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.3881318E-21f);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test449"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(22.332851657647005d, (-0.007721498648032039d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 22.332851657647005d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test450"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(88255.86740255686d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 16);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test451"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction0, 4.3368086899420177E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test452"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.4210804127942926d, 102400, 102400);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test453"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-2), 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test454"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.8023997852650968d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.802399785265097d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test455"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = sin0.derivative();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = sin0.value(derivativeStructure5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test456"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(7.629394E-6f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629394E-6f);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test457"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.30331471468735255d, 2.0d, 2.198797824123542d, 0.6208033774311184d, 0.30331471468735255d, 3.9444216634362776E248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.196401131451787E248d);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test458"); }


    double[] d_array0 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException7 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    boolean b8 = nonMonotonicSequenceException7.getStrict();
    java.lang.String str9 = nonMonotonicSequenceException7.toString();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = nonMonotonicSequenceException7.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException12 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.9999999979248693d), (java.lang.Number)0.19288154012315467d, 2, orderDirection10, true);
    // The following exception was thrown during execution in test generation
    try {
      boolean b14 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array0, orderDirection10, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math3.exception.NonMonotonicSequenceException: points -1 and 0 are not strictly increasing (-1 >= -0.587)"+ "'", str9.equals("org.apache.commons.math3.exception.NonMonotonicSequenceException: points -1 and 0 are not strictly increasing (-1 >= -0.587)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection10);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test459"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMax();
    double d5 = brentOptimizer3.getStartValue();
    double d6 = brentOptimizer3.getMax();
    double d7 = brentOptimizer3.getStartValue();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker8 = brentOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker8);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test460"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.9999972192379961d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test461"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(6.742965677935095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.742965677935095d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test462"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.530446486966672d, 1.5707963267948966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.530446486966672d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test463"); }


    double[] d_array0 = null;
    double[] d_array3 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection4 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b7 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array3, orderDirection4, false, false);
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array12 = new double[] { 0.0d, 1.0d };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array12);
    double[] d_array15 = new double[] { 100.0d };
    double[] d_array18 = new double[] { 0.0d, 1.0d };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array18);
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array24 = new double[] { 0.0d, 1.0d };
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array21, d_array24);
    double[] d_array28 = new double[] { 0.0d, 0.0d };
    double d29 = org.apache.commons.math3.util.MathArrays.distance1(d_array24, d_array28);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array15, d_array28);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction31 = new org.apache.commons.math3.analysis.function.StepFunction(d_array9, d_array15);
    boolean b32 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array9);
    double[] d_array33 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3);
    // The following exception was thrown during execution in test generation
    try {
      double d34 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array0, d_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test464"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(7L, 7L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7L);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test465"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(10.0f, 2.1175826E-22f, 6.4000014E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test466"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.0f, (java.lang.Number)1, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    java.lang.Number number7 = numberIsTooSmallException4.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1+ "'", number6.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.0f+ "'", number7.equals(0.0f));

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test467"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test468"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array8);
    java.lang.Number number33 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException35 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.587213915156929d), number33, 10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = nonMonotonicSequenceException35.getDirection();
    boolean b38 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array8, orderDirection36, false);
    double[] d_array42 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array44 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array42, 1.0907245790542575d);
    double[] d_array46 = new double[] { 100.0d };
    double[] d_array49 = new double[] { 0.0d, 1.0d };
    boolean b50 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array46, d_array49);
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array55 = new double[] { 0.0d, 1.0d };
    boolean b56 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array52, d_array55);
    double[] d_array58 = new double[] { 100.0d };
    double[] d_array61 = new double[] { 0.0d, 1.0d };
    boolean b62 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array58, d_array61);
    double[] d_array65 = new double[] { 0.0d, 0.0d };
    double d66 = org.apache.commons.math3.util.MathArrays.distance1(d_array61, d_array65);
    boolean b67 = org.apache.commons.math3.util.MathArrays.equals(d_array52, d_array65);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction68 = new org.apache.commons.math3.analysis.function.StepFunction(d_array46, d_array52);
    boolean b69 = org.apache.commons.math3.util.MathArrays.equals(d_array42, d_array52);
    double[] d_array73 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array75 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array73, 1.0907245790542575d);
    boolean b76 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array75);
    double[] d_array78 = new double[] { 100.0d };
    double[] d_array81 = new double[] { 0.0d, 1.0d };
    boolean b82 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array78, d_array81);
    boolean b83 = org.apache.commons.math3.util.MathArrays.equals(d_array42, d_array81);
    double[] d_array85 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array81, 0.19168779159217494d);
    double d86 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array8, d_array85);
    org.apache.commons.math3.analysis.function.Sin sin87 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction88 = sin87.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction89 = sin87.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction90 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin87);
    double d92 = sin87.value(5908.945580817902d);
    double[] d_array96 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)sin87, 1.262627d, 1.571861776470941d, 10);
    boolean b97 = org.apache.commons.math3.util.MathArrays.equals(d_array85, d_array96);
    double d98 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.38037392989426705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array96);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 0.19168779159217494d);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test469"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(7.629394E-6f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629394E-6f);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test470"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-1.1985126051160524d), (-0.5309649148733837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.1985126051160524d));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test471"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.026013166657080422d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.17626961399584523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5606938826391613d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test473"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.8111478861482738d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test474"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(99, (-18));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-18));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test475"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException27 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = nonMonotonicSequenceException27.getDirection();
    boolean b30 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array7, orderDirection28, true);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array41 = new double[] { 0.0d, 1.0d };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array41);
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array47 = new double[] { 0.0d, 1.0d };
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array47);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array57 = new double[] { 0.0d, 0.0d };
    double d58 = org.apache.commons.math3.util.MathArrays.distance1(d_array53, d_array57);
    boolean b59 = org.apache.commons.math3.util.MathArrays.equals(d_array44, d_array57);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction60 = new org.apache.commons.math3.analysis.function.StepFunction(d_array38, d_array44);
    boolean b61 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array44);
    double[] d_array65 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array67 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array65, 1.0907245790542575d);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array67);
    double[] d_array70 = new double[] { 100.0d };
    double[] d_array73 = new double[] { 0.0d, 1.0d };
    boolean b74 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array70, d_array73);
    boolean b75 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array73);
    double[] d_array76 = null;
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array73, d_array76);
    double[] d_array79 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array73, 0.580195754492862d);
    double d80 = org.apache.commons.math3.util.MathArrays.distance(d_array7, d_array73);
    double[] d_array83 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection84 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b87 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array83, orderDirection84, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection88 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b90 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array83, orderDirection88, true);
    double d91 = org.apache.commons.math3.util.MathArrays.distance(d_array7, d_array83);
    double[] d_array93 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array7, 4.624972813284271d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array93);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test476"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(27L, 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test477"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-3), 10);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test478"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(746.2059034444405d, 0.011668890825125589d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test479"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(3.8146977E-6f, 7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629395E-6f);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test480"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.04588648781766632d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.04484962275883878d));

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test481"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array2 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction1 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array2);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException4 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])univariateFunction_array2);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = mathIllegalArgumentException4.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction3);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test482"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(13.452237342102702d, 0.30331471468735255d, (-0.5597388449675059d), 0.21273912408247134d, 0.6249846069295057d, 2.7182818284590446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 5.660067479816203d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test483"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.4E-45f, 1.0000001f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test484"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.903980358107101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.8894522491777512d));

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test485"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.587213915156929d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.6276125002048192d));

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test486"); }


    double d2 = org.apache.commons.math3.util.Precision.round(2290243.0284562334d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2290243.0d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test487"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.9377047211159066E-18d, number2, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test488"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array39 = new double[] { 0.0d, 0.0d };
    double d40 = org.apache.commons.math3.util.MathArrays.distance1(d_array35, d_array39);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array26, d_array39);
    double[] d_array44 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection45 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array44, orderDirection45, false, false);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array44);
    double d50 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array19, d_array44);
    double[] d_array51 = org.apache.commons.math3.util.MathArrays.copyOf(d_array44);
    double[] d_array53 = new double[] { 100.0d };
    double[] d_array56 = new double[] { 0.0d, 1.0d };
    boolean b57 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array53, d_array56);
    double[] d_array59 = new double[] { 100.0d };
    double[] d_array62 = new double[] { 0.0d, 1.0d };
    boolean b63 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array59, d_array62);
    double[] d_array66 = new double[] { 0.0d, 0.0d };
    double d67 = org.apache.commons.math3.util.MathArrays.distance1(d_array62, d_array66);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array53, d_array66);
    java.lang.Comparable[] comparable_array70 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection71 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b73 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array70, orderDirection71, false);
    boolean b76 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array53, orderDirection71, true, true);
    // The following exception was thrown during execution in test generation
    try {
      double d77 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array44, d_array53);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == true);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test489"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(Double.NEGATIVE_INFINITY, 3.9444216634362776E248d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test490"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test491"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.6293936E-6f, Float.POSITIVE_INFINITY, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test492"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.7097526280635054d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-40.665830086357325d));

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.19168779159217494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5765869623391675d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.110223024625157E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.053671212772351E-8d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test495"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.574680356864101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6068389039054797d);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test496"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array39 = new double[] { 0.0d, 0.0d };
    double d40 = org.apache.commons.math3.util.MathArrays.distance1(d_array35, d_array39);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array26, d_array39);
    double[] d_array44 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection45 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array44, orderDirection45, false, false);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array44);
    double d50 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array19, d_array44);
    double[] d_array52 = new double[] { 100.0d };
    double[] d_array55 = new double[] { 0.0d, 1.0d };
    boolean b56 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array52, d_array55);
    double[] d_array58 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array52, (-0.5578300447656787d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction59 = new org.apache.commons.math3.analysis.function.StepFunction(d_array19, d_array52);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test497"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-1.4E-45f), 2.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.4E-45f));

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test498"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.04587040018925113d), 0.9999988587760776d, 1.053671212772351E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test499"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(3.1415926535897927d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.1415926535897922d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest2.test500"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Comparable[] comparable_array2 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b5 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection3, false);
    double[] d_array10 = new double[] { 100.0d };
    double[] d_array13 = new double[] { 0.0d, 1.0d };
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array10, d_array13);
    double[] d_array16 = new double[] { 100.0d };
    double[] d_array19 = new double[] { 0.0d, 1.0d };
    boolean b20 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array16, d_array19);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException24 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection25 = nonMonotonicSequenceException24.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError26 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException24);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection27 = nonMonotonicSequenceException24.getDirection();
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array32 = new double[] { 0.0d, 1.0d };
    boolean b33 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array29, d_array32);
    double[] d_array35 = new double[] { 100.0d };
    double[] d_array38 = new double[] { 0.0d, 1.0d };
    boolean b39 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array35, d_array38);
    double[] d_array42 = new double[] { 0.0d, 0.0d };
    double d43 = org.apache.commons.math3.util.MathArrays.distance1(d_array38, d_array42);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equals(d_array29, d_array42);
    double[] d_array47 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection48 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b51 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array47, orderDirection48, false, false);
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array29, d_array47);
    double[] d_array54 = new double[] { 100.0d };
    double[] d_array57 = new double[] { 0.0d, 1.0d };
    boolean b58 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array54, d_array57);
    double[] d_array60 = new double[] { 100.0d };
    double[] d_array63 = new double[] { 0.0d, 1.0d };
    boolean b64 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array60, d_array63);
    double[] d_array67 = new double[] { 0.0d, 0.0d };
    double d68 = org.apache.commons.math3.util.MathArrays.distance1(d_array63, d_array67);
    boolean b69 = org.apache.commons.math3.util.MathArrays.equals(d_array54, d_array67);
    double[] d_array72 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection73 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b76 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array72, orderDirection73, false, false);
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array54, d_array72);
    double d78 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array47, d_array72);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection79 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array81 = new double[] { 100.0d };
    double[] d_array84 = new double[] { 0.0d, 1.0d };
    boolean b85 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array81, d_array84);
    double[] d_array88 = new double[] { 0.0d, 0.0d };
    double d89 = org.apache.commons.math3.util.MathArrays.distance1(d_array84, d_array88);
    double[][] d_array_array90 = new double[][] { d_array84 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array72, orderDirection79, d_array_array90);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array19, orderDirection27, d_array_array90);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array10, orderDirection27, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException96 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.854843920279512d), (java.lang.Number)746.2056417165278d, 0, orderDirection27, false);
    boolean b98 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection27, true);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException99 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])comparable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == true);

  }

}
