
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest6 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test001"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(Float.NaN, 999.9999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test002"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0587913E-22f, 1.0000002f, 3.8146977E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test003"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-0.5309649148733837d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-1));

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test004"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.9868335672714237d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test005"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.9009527893076419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.900952789307642d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test006"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)2.198797824123542d, (java.lang.Number)(-0.5597388449675059d), false);
    boolean b4 = numberIsTooSmallException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test007"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.5511886501354157d), 0.006802975648431749d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test008"); }


    double[] d_array0 = null;
    double[] d_array3 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection4 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b7 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array3, orderDirection4, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection8 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b10 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array3, orderDirection8, true);
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.copyOf(d_array3);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    double[] d_array29 = org.apache.commons.math3.util.MathArrays.copyOf(d_array13);
    java.lang.Comparable[] comparable_array31 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException35 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = nonMonotonicSequenceException35.getDirection();
    boolean b38 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array31, orderDirection36, true);
    double[] d_array41 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection42 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b45 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array41, orderDirection42, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection46 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b48 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array41, orderDirection46, true);
    boolean b50 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array31, orderDirection46, false);
    boolean b53 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array13, orderDirection46, false, false);
    boolean b55 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array11, orderDirection46, true);
    // The following exception was thrown during execution in test generation
    try {
      boolean b58 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array0, orderDirection46, false, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test009"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.0d, 10.552200340110675d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test010"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.5785801861328915d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.1877831735884694d);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test011"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.2242190167641178d, (-14), 128);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test012"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.5191308136715052d, 0.0d, 1.0053621618236288d, 0.195309622118187d, (-3098.023364685273d), 572.9577951308232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1775036.4399369443d));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(6.742965677935095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.44375129692668186d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test014"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.1175824E-22f, (-0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test015"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.019376105421830558d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.019378530780965717d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test016"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable6);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction7, (-1775036.4399369443d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction9);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test017"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-53), 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-53));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test018"); }


    int[] i_array0 = null;
    int[] i_array2 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2);
    int[] i_array5 = new int[] { 10 };
    int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    double d7 = org.apache.commons.math3.util.MathArrays.distance(i_array2, i_array5);
    int[] i_array8 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    // The following exception was thrown during execution in test generation
    try {
      int i9 = org.apache.commons.math3.util.MathArrays.distance1(i_array0, i_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test019"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathInternalError mathInternalError12 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test020"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, (-0.5192825849117578d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.141592653589793d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test021"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.8023997852650968d, (java.lang.Number)0.28129436099805016d, true);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test022"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(6.416438466916936d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test023"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(1.1102230246251565E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.8980506607476365d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.7821136933933827d));

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test025"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)99.99999f, (java.lang.Number)100L, 10, orderDirection3, true);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException5, localizable6, obj_array7);
    java.lang.Number number9 = nonMonotonicSequenceException5.getArgument();
    java.lang.Number number10 = nonMonotonicSequenceException5.getPrevious();
    org.apache.commons.math3.exception.MathInternalError mathInternalError11 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 99.99999f+ "'", number9.equals(99.99999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 100L+ "'", number10.equals(100L));

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test026"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.531271820784939d, (-14));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.242625859283075E-5d);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test027"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.9999999999708962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707886974003653d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test028"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array4 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin3 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array4);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math3.exception.NullArgumentException(localizable2, (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])univariateDifferentiable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test029"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.7304780710248815d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test030"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.994647405338135d), 25.446554482131134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test031"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction1, univariateFunction7, (-0.00775146376880869d));
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, univariateFunction7, 2.2620651911873404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction11);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test032"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    java.lang.Comparable[] comparable_array21 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection22 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array21, orderDirection22, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException26 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection22, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection22, false);
    double[] d_array29 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14);
    double[] d_array31 = new double[] { 100.0d };
    double[] d_array34 = new double[] { 0.0d, 1.0d };
    boolean b35 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array31, d_array34);
    double[] d_array37 = new double[] { 100.0d };
    double[] d_array40 = new double[] { 0.0d, 1.0d };
    boolean b41 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array37, d_array40);
    double[] d_array44 = new double[] { 0.0d, 0.0d };
    double d45 = org.apache.commons.math3.util.MathArrays.distance1(d_array40, d_array44);
    boolean b46 = org.apache.commons.math3.util.MathArrays.equals(d_array31, d_array44);
    double[] d_array49 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection50 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b53 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array49, orderDirection50, false, false);
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array31, d_array49);
    double[] d_array56 = new double[] { 100.0d };
    double[] d_array59 = new double[] { 0.0d, 1.0d };
    boolean b60 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array56, d_array59);
    double[] d_array62 = new double[] { 100.0d };
    double[] d_array65 = new double[] { 0.0d, 1.0d };
    boolean b66 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array62, d_array65);
    double[] d_array69 = new double[] { 0.0d, 0.0d };
    double d70 = org.apache.commons.math3.util.MathArrays.distance1(d_array65, d_array69);
    boolean b71 = org.apache.commons.math3.util.MathArrays.equals(d_array56, d_array69);
    double[] d_array74 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection75 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b78 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array74, orderDirection75, false, false);
    boolean b79 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array56, d_array74);
    double d80 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array49, d_array74);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection81 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array83 = new double[] { 100.0d };
    double[] d_array86 = new double[] { 0.0d, 1.0d };
    boolean b87 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array83, d_array86);
    double[] d_array90 = new double[] { 0.0d, 0.0d };
    double d91 = org.apache.commons.math3.util.MathArrays.distance1(d_array86, d_array90);
    double[][] d_array_array92 = new double[][] { d_array86 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array74, orderDirection81, d_array_array92);
    boolean b95 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array14, orderDirection81, false);
    double d96 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.0d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test033"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    boolean b3 = incrementor1.canIncrement();
    incrementor1.incrementCount();
    incrementor1.incrementCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test034"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.19286385291341007d, (-0.009976800870304201d), 1.903980358107101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test035"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.31316614877017507d, (-55.914184464550054d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.31316614877017507d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test036"); }


    double d2 = org.apache.commons.math3.util.Precision.round(7.883896202182363E248d, 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.883896202182363E248d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test037"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(0);
    incrementor1.resetCount();
    int i3 = incrementor1.getMaximalCount();
    int i4 = incrementor1.getMaximalCount();
    incrementor1.incrementCount((-3));
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test038"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.587213915156929d), 2.771789764154804E162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test039"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.9809911914430997d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.01712152622374411d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test040"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.1119912736841524d, 38.4710318412057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 34.38365324638891d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test041"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, 0.5865816020603368d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5865816020603368d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1031.3147545616828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 17.999838091498574d);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(5.6843418860808015E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6843418860808015E-14d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test044"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)4.641588833612779d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test045"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.6881171418161356E43d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test046"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(7.922816E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 76);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test047"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double d25 = stepFunction23.value((-306.9867999498826d));
    double d27 = stepFunction23.value(0.01937853050773848d);
    double d29 = stepFunction23.value(1063610.122976624d);
    double d31 = stepFunction23.value(11.806976057564917d);
    double d33 = stepFunction23.value(0.22016692672069996d);
    double d35 = stepFunction23.value(2.2620651911873404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.0d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test048"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(1.8675922440031868E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.716023696621517E-9d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test049"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure5 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure6 = sin0.value(derivativeStructure5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test050"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.distance(i_array1, i_array4);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array9, i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distance1(i_array1, i_array9);
    int[] i_array16 = new int[] { 10 };
    int[] i_array17 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16);
    int[] i_array19 = new int[] { 10 };
    int[] i_array20 = org.apache.commons.math3.util.MathArrays.copyOf(i_array19);
    int i21 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array17, i_array20);
    int[] i_array22 = org.apache.commons.math3.util.MathArrays.copyOf(i_array20);
    double d23 = org.apache.commons.math3.util.MathArrays.distance(i_array9, i_array20);
    int[] i_array25 = new int[] { 10 };
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    int[] i_array28 = new int[] { 10 };
    int[] i_array29 = org.apache.commons.math3.util.MathArrays.copyOf(i_array28);
    double d30 = org.apache.commons.math3.util.MathArrays.distance(i_array25, i_array28);
    int[] i_array32 = new int[] { 10 };
    int[] i_array33 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32);
    int[] i_array35 = new int[] { 10 };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    int i37 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array33, i_array36);
    int i38 = org.apache.commons.math3.util.MathArrays.distance1(i_array25, i_array33);
    int[] i_array40 = new int[] { 10 };
    int[] i_array41 = org.apache.commons.math3.util.MathArrays.copyOf(i_array40);
    int[] i_array43 = new int[] { 10 };
    int[] i_array44 = org.apache.commons.math3.util.MathArrays.copyOf(i_array43);
    int i45 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array41, i_array44);
    int[] i_array46 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44);
    double d47 = org.apache.commons.math3.util.MathArrays.distance(i_array33, i_array44);
    double d48 = org.apache.commons.math3.util.MathArrays.distance(i_array9, i_array33);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array50 = org.apache.commons.math3.util.MathArrays.copyOf(i_array33, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test051"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(0.9327713206178998d, 1.3035548087807312E210d, 1.354340628266157d, 0.01905799642553634d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.2159185404842165E210d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test052"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.8111478861482738d, 1.2246467991473532E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test053"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.1175829E-22f, 6.4E-5f, 6.399999E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test054"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.982752331649303d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9942174032448446d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test055"); }


    float f2 = org.apache.commons.math3.util.Precision.round(Float.POSITIVE_INFINITY, 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test056"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(8.673617379884035E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.673617379884037E-19d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test057"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-2.1175826E-22f), 2.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.0000002f);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test058"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.1175824E-22f, 102399.99f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 102399.99f);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test059"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.19288154012315467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test060"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.994647405338135d), 0.13172790686877633d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0033322990883495d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test061"); }


    double[] d_array4 = new double[] { 100.0d };
    double[] d_array7 = new double[] { 0.0d, 1.0d };
    boolean b8 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array7);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException12 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection13 = nonMonotonicSequenceException12.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException12);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection15 = nonMonotonicSequenceException12.getDirection();
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array20 = new double[] { 0.0d, 1.0d };
    boolean b21 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array20);
    double[] d_array23 = new double[] { 100.0d };
    double[] d_array26 = new double[] { 0.0d, 1.0d };
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array23, d_array26);
    double[] d_array30 = new double[] { 0.0d, 0.0d };
    double d31 = org.apache.commons.math3.util.MathArrays.distance1(d_array26, d_array30);
    boolean b32 = org.apache.commons.math3.util.MathArrays.equals(d_array17, d_array30);
    double[] d_array35 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b39 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array35, orderDirection36, false, false);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array35);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array45 = new double[] { 0.0d, 1.0d };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array55 = new double[] { 0.0d, 0.0d };
    double d56 = org.apache.commons.math3.util.MathArrays.distance1(d_array51, d_array55);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equals(d_array42, d_array55);
    double[] d_array60 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection61 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b64 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array60, orderDirection61, false, false);
    boolean b65 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array60);
    double d66 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array35, d_array60);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection67 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array69 = new double[] { 100.0d };
    double[] d_array72 = new double[] { 0.0d, 1.0d };
    boolean b73 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array69, d_array72);
    double[] d_array76 = new double[] { 0.0d, 0.0d };
    double d77 = org.apache.commons.math3.util.MathArrays.distance1(d_array72, d_array76);
    double[][] d_array_array78 = new double[][] { d_array72 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array60, orderDirection67, d_array_array78);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array7, orderDirection15, d_array_array78);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException82 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1.2626272556789118d, (java.lang.Number)2.718281828459045d, 100, orderDirection15, true);
    java.lang.Number number83 = nonMonotonicSequenceException82.getArgument();
    java.lang.Number number84 = nonMonotonicSequenceException82.getPrevious();
    java.lang.Number number85 = nonMonotonicSequenceException82.getPrevious();
    boolean b86 = nonMonotonicSequenceException82.getStrict();
    boolean b87 = nonMonotonicSequenceException82.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number83 + "' != '" + 1.2626272556789118d+ "'", number83.equals(1.2626272556789118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number84 + "' != '" + 2.718281828459045d+ "'", number84.equals(2.718281828459045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number85 + "' != '" + 2.718281828459045d+ "'", number85.equals(2.718281828459045d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test062"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 0.44412615900130886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test063"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 9, 0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test064"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)746.2059034444404d, (java.lang.Number)(-58.55249139139137d), false);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test065"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(6);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.incrementCount(0);
    int i5 = incrementor1.getMaximalCount();
    int i6 = incrementor1.getCount();
    incrementor1.setMaximalCount((-2));
    incrementor1.setMaximalCount(1024);
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test066"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    int i6 = brentOptimizer3.getEvaluations();
    int i7 = brentOptimizer3.getEvaluations();
    double d8 = brentOptimizer3.getMax();
    org.apache.commons.math3.analysis.function.Sin sin10 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array11 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin10 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable13 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction12);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable14 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction12);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable15 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction12);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker18 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer19 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker18);
    int i20 = brentOptimizer19.getEvaluations();
    double d21 = brentOptimizer19.getMin();
    double d22 = brentOptimizer19.getMin();
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array31 = new double[] { 100.0d };
    double[] d_array34 = new double[] { 0.0d, 1.0d };
    boolean b35 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array31, d_array34);
    double[] d_array37 = new double[] { 100.0d };
    double[] d_array40 = new double[] { 0.0d, 1.0d };
    boolean b41 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array37, d_array40);
    double[] d_array44 = new double[] { 0.0d, 0.0d };
    double d45 = org.apache.commons.math3.util.MathArrays.distance1(d_array40, d_array44);
    boolean b46 = org.apache.commons.math3.util.MathArrays.equals(d_array31, d_array44);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction47 = new org.apache.commons.math3.analysis.function.StepFunction(d_array25, d_array31);
    double d49 = stepFunction47.value((-306.9867999498826d));
    double d51 = stepFunction47.value(0.01937853050773848d);
    org.apache.commons.math3.optimization.GoalType goalType52 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair55 = brentOptimizer19.optimize(102400, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction47, goalType52, 0.8410312834162215d, (-0.4690368963037244d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair59 = brentOptimizer3.optimize((-1), (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction12, goalType52, 1031.3147545616828d, 0.7501192643059788d, 1.9377047211159066E-18d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair55);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test067"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(27.059969773858604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 28.0d);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test068"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.5816888245462467d, 0.22016692672069996d, convergenceChecker2);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test069"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.0907245790542575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7375106944368399d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test070"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(7.62939453125E-6d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.62939453125E-6d);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test071"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-38.983979336286616d), 746.2056417165278d, (-14));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test072"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.03656574989866235d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03656574989866235d);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test073"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.9009527893076419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.045297965824893614d));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test074"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(483.35749355208685d, (-0.6276125002048192d), 6.79843248229905E248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test075"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    org.apache.commons.math3.optimization.GoalType goalType4 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.GoalType goalType7 = brentOptimizer3.getGoalType();
    double d8 = brentOptimizer3.getMax();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker13 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer14 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker13);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker15 = brentOptimizer14.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType16 = brentOptimizer14.getGoalType();
    org.apache.commons.math3.optimization.GoalType goalType17 = brentOptimizer14.getGoalType();
    double d18 = brentOptimizer14.getStartValue();
    org.apache.commons.math3.optimization.GoalType goalType19 = brentOptimizer14.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin21 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = sin21.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction23 = sin21.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction24 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin21);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction25 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin21);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer29 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker28);
    int i30 = brentOptimizer29.getEvaluations();
    double d31 = brentOptimizer29.getMin();
    double d32 = brentOptimizer29.getMin();
    double[] d_array35 = new double[] { 100.0d };
    double[] d_array38 = new double[] { 0.0d, 1.0d };
    boolean b39 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array35, d_array38);
    double[] d_array41 = new double[] { 100.0d };
    double[] d_array44 = new double[] { 0.0d, 1.0d };
    boolean b45 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array44);
    double[] d_array47 = new double[] { 100.0d };
    double[] d_array50 = new double[] { 0.0d, 1.0d };
    boolean b51 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array47, d_array50);
    double[] d_array54 = new double[] { 0.0d, 0.0d };
    double d55 = org.apache.commons.math3.util.MathArrays.distance1(d_array50, d_array54);
    boolean b56 = org.apache.commons.math3.util.MathArrays.equals(d_array41, d_array54);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction57 = new org.apache.commons.math3.analysis.function.StepFunction(d_array35, d_array41);
    double d59 = stepFunction57.value((-306.9867999498826d));
    double d61 = stepFunction57.value(0.01937853050773848d);
    org.apache.commons.math3.optimization.GoalType goalType62 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair65 = brentOptimizer29.optimize(102400, (org.apache.commons.math3.analysis.UnivariateFunction)stepFunction57, goalType62, 0.8410312834162215d, (-0.4690368963037244d));
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair68 = brentOptimizer14.optimize(17, (org.apache.commons.math3.analysis.UnivariateFunction)sin21, goalType62, 0.4620347552718863d, 0.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair72 = brentOptimizer3.optimize(14, univariateFunction10, goalType62, 0.007751463770531175d, 1.0d, 88560.43710148172d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair68);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test076"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.0f, Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.NEGATIVE_INFINITY);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test077"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(165793.48912954447d, 76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2527001858293979E28d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test078"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-11.49363913673314d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-11.0d));

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test079"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 0.5606938826391613d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test080"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(3.364125133664886d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test081"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(3.7900472157714566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3323784770039266d);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test082"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Comparable[] comparable_array2 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException6 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException6.getDirection();
    boolean b9 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection7, true);
    double[] d_array12 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection13 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b16 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array12, orderDirection13, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection17 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b19 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array12, orderDirection17, true);
    boolean b21 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array2, orderDirection17, false);
    org.apache.commons.math3.exception.MathInternalError mathInternalError22 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])comparable_array2);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext23 = mathInternalError22.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext23);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test083"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double d25 = stepFunction23.value((-306.9867999498826d));
    double d27 = stepFunction23.value(6.742965677935095d);
    double d29 = stepFunction23.value((-0.8160609567062431d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.0d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test084"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.31071992E8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.31071992E8f);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test085"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.21670951984856335d, 0.056050478852952536d, 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test086"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.8032491835192452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3403276304888545d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test087"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, 999.9999f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test088"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(3.8146973E-6f, 1.0000002f, 102400.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test089"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1031.314817459561d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test090"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.5807729621599207d, (-1.0150969030102155d), (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test091"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.9491853292732889d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test092"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(93131.92593288676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test093"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.026013166657080422d, (-38.13194832908729d), 1.903980358107101d, 0.07077089221958677d, 0.5850847896586775d, 721.889804617869d, (-7.547776273207962E232d), 1.1993938046696928d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-9.052756101118532E232d));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test094"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    boolean b6 = nonMonotonicSequenceException5.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException5.getDirection();
    boolean b8 = nonMonotonicSequenceException5.getStrict();
    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException10 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.0f);
    java.lang.Number number11 = tooManyEvaluationsException10.getMax();
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException14 = new org.apache.commons.math3.exception.DimensionMismatchException(6, 0);
    int i15 = dimensionMismatchException14.getDimension();
    tooManyEvaluationsException10.addSuppressed((java.lang.Throwable)dimensionMismatchException14);
    java.lang.Throwable[] throwable_array17 = tooManyEvaluationsException10.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext18 = tooManyEvaluationsException10.getContext();
    nonMonotonicSequenceException5.addSuppressed((java.lang.Throwable)tooManyEvaluationsException10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = nonMonotonicSequenceException5.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 0.0f+ "'", number11.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection20);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test095"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(1);
    incrementor1.resetCount();
    boolean b6 = incrementor1.canIncrement();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test096"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(10.000001f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test097"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin0.derivative();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential((org.apache.commons.math3.analysis.DifferentiableUnivariateFunction)sin0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test098"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.0106952644634353d, 27.059969773858604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0106952644634353d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test099"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.19406172085071063d, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(7.2759576E-12f, 4, (-18));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test101"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(6.4E-5f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test102"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(483.35749355208685d, 0.531271820784939d, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test103"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.253076672739489d, 0.31316614877017507d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-5.146328912720075d));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test104"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(100.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 200.0f);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test105"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-15.954589770191003d), 0.30331471468735255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 15.954589770191003d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test106"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(2.6881171418161356E43d, 7.38905609893065d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.366492340254064d));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test107"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(2.384186E-7f, 3.8146973E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.384186E-7f);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test108"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-1.2491397351303002E-14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2491397351303002E-14d));

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test109"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.7688399154100654d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3L);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test110"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.0d, 2.0760532441085482E-4d, 21470.77748563643d, 0.0011091064990845089d, 0.36750440445207466d, 4.324557251637976E234d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.5892938372821151E234d);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test111"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(1.9377047211159066E-18d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9377047211159066E-18d);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test112"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(2.1175826E-22f, 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.1175826E-22f);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test113"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)13.955576560251464d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 13.955576560251464d+ "'", number2.equals(13.955576560251464d));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test114"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.7253825588523148d, 0.8111478861482738d, convergenceChecker2);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = brentOptimizer3.getConvergenceChecker();
    double d5 = brentOptimizer3.getMin();
    int i6 = brentOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test115"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(2.842171E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test116"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(3.8146977E-6f, 999.99994f, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test117"); }


    double d3 = org.apache.commons.math3.util.Precision.round(0.9092974268256817d, 9, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.909297426d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test118"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.0f);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test119"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(3.651566316237076E232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test120"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(180.00000000000003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4893842007818807E78d);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test121"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array3, d_array36);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array42);
    double[] d_array45 = null;
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException59 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection60 = nonMonotonicSequenceException59.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException62 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)1, (java.lang.Number)0.4228120277165407d, 6, orderDirection60, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException64 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.4441261591d), (java.lang.Number)(short)1, (-2), orderDirection60, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException66 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)184.0482269650408d, (java.lang.Number)(-0.6655280485429234d), (-1023), orderDirection60, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array45, orderDirection60, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection60);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test122"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination((-7.829414613852463d), (-0.5309649148733837d), 3.1485346174933686d, 0.9999319192659674d, (-0.994647405338135d), 0.8134114035332956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 6.496407184901239d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test123"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-36L), 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test124"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-15.954589770191003d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4245807.5263283085d));

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test125"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0f, 5.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test126"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test127"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.5674302302668375d, (java.lang.Number)0.01905799642553634d, false);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test128"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(6);
    boolean b2 = incrementor1.canIncrement();
    int i3 = incrementor1.getCount();
    int i4 = incrementor1.getCount();
    int i5 = incrementor1.getMaximalCount();
    boolean b6 = incrementor1.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test129"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, (-0.0f), 999.99994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test130"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.03656574989866235d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test131"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.50830546598966d, 0.19168779159217492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test132"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(10.0f, 7.2759576E-12f, 1.0587913E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test133"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2((-0.04588648781766632d), 1031.3151444752145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-4.449317750563633E-5d));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test134"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.8194032740417931d, 1.1103080112589232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test135"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.19286385291341007d, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.02410798161417626d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test136"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.9318192551525241d, 0.5088348791038063d, 1.5002385286119575d, 0.0d, 2.596102686531958d, (-0.5872139151569289d), 0.0d, 5.1050471746206296E38d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-1.050325484665719d));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test137"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.629395E-6f, 9.0071993E15f, 3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test138"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = org.apache.commons.math3.util.MathArrays.copyOf(d_array0, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test139"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.195309622118187d, 1.5591271711416548d);
    double d3 = univariatePointValuePair2.getPoint();
    double d4 = univariatePointValuePair2.getPoint();
    double d5 = univariatePointValuePair2.getValue();
    double d6 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.195309622118187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.195309622118187d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.5591271711416548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.5591271711416548d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test140"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.0d, 0.44994961810416423d, 1.2626272556789115d, 1.001125628711726d, 0.4620347552718863d, (-0.5716096180634055d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.9999449951771296d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test141"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int i6 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array2, i_array5);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array9, i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distance1(i_array2, i_array12);
    int[] i_array16 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2, 2);
    int[] i_array18 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16, 0);
    int[] i_array19 = null;
    int i20 = org.apache.commons.math3.util.MathArrays.distance1(i_array18, i_array19);
    int[] i_array22 = new int[] { 10 };
    int[] i_array23 = org.apache.commons.math3.util.MathArrays.copyOf(i_array22);
    int[] i_array25 = new int[] { 10 };
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    double d27 = org.apache.commons.math3.util.MathArrays.distance(i_array22, i_array25);
    int[] i_array29 = new int[] { 10 };
    int[] i_array30 = org.apache.commons.math3.util.MathArrays.copyOf(i_array29);
    int[] i_array32 = new int[] { 10 };
    int[] i_array33 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32);
    double d34 = org.apache.commons.math3.util.MathArrays.distance(i_array29, i_array32);
    int[] i_array36 = new int[] { 10 };
    int[] i_array37 = org.apache.commons.math3.util.MathArrays.copyOf(i_array36);
    int[] i_array39 = new int[] { 10 };
    int[] i_array40 = org.apache.commons.math3.util.MathArrays.copyOf(i_array39);
    int i41 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array37, i_array40);
    int i42 = org.apache.commons.math3.util.MathArrays.distance1(i_array29, i_array37);
    int[] i_array44 = org.apache.commons.math3.util.MathArrays.copyOf(i_array29, 100);
    int i45 = org.apache.commons.math3.util.MathArrays.distance1(i_array25, i_array29);
    // The following exception was thrown during execution in test generation
    try {
      double d46 = org.apache.commons.math3.util.MathArrays.distance(i_array19, i_array25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test142"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.909297426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6467353345983119d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test143"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-0.9999999999999999d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-1L));

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test144"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.7453292519943295d, (-0.6756317176080524d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.7453292519943293d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test145"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-58.55249139139137d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test146"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.0000000000000004d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0000000000000002d);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(8.125954058640948d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 8.12595405864095d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test148"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(7.922816E22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.922817E22f);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test149"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.11092009499569774d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.11137837599386342d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test150"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(3.4307670978649982d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 30.900337243244447d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test151"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.012916181464798948d, 1, (-127));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test152"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-28.045463654907294d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test153"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.389118189371299d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6834472092739333d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test154"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-3098.023364685273d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-3098L));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test155"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0d, 1.4619477114799915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test156"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-11.49363913673314d), (-0.8160609567062431d), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test157"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)6.8843145113954674E246d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test158"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (-28.045463654907294d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test159"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)88255.86740255686d);
    java.lang.Number number2 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 88255.86740255686d+ "'", number2.equals(88255.86740255686d));

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test160"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(200.0f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 200.0f);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test161"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(102399.99f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test162"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Comparable[] comparable_array4 = new java.lang.Comparable[] { (-0.5315175239226273d) };
    double[] d_array6 = new double[] { 100.0d };
    double[] d_array9 = new double[] { 0.0d, 1.0d };
    boolean b10 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array6, d_array9);
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array12, d_array15);
    double[] d_array19 = new double[] { 0.0d, 0.0d };
    double d20 = org.apache.commons.math3.util.MathArrays.distance1(d_array15, d_array19);
    boolean b21 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array6, d_array19);
    double[] d_array24 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection25 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b28 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array24, orderDirection25, false, false);
    boolean b31 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection25, true, false);
    boolean b33 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array4, orderDirection25, false);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])comparable_array4);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException35 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])comparable_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException36 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])comparable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == true);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test163"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.039376544561633406d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test164"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array8 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array10 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction9 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array10);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math3.exception.MathArithmeticException(localizable7, (java.lang.Object[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math3.exception.NullArgumentException(localizable6, (java.lang.Object[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array10);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker18 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer19 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker18);
    org.apache.commons.math3.analysis.function.Sin sin21 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = sin21.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction23 = sin21.derivative();
    org.apache.commons.math3.optimization.GoalType goalType24 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair28 = brentOptimizer19.optimize(6, univariateFunction23, goalType24, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair32 = brentOptimizer3.optimize(0, univariateFunction15, goalType24, 6.123483598797095E264d, 0.0d, 0.3678794411714423d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair28);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test165"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-1.5715812569615701d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9172769176639505d));

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test166"); }


    float[] f_array0 = new float[] {  };
    float[] f_array2 = new float[] { 100.0f };
    boolean b3 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array2);
    float[] f_array4 = null;
    boolean b5 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array4);
    float[] f_array6 = new float[] {  };
    float[] f_array8 = new float[] { 100.0f };
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array8);
    boolean b10 = org.apache.commons.math3.util.MathArrays.equals(f_array4, f_array6);
    float[] f_array11 = new float[] {  };
    float[] f_array13 = new float[] { 100.0f };
    boolean b14 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array11, f_array13);
    float[] f_array15 = null;
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(f_array11, f_array15);
    float[] f_array17 = new float[] {  };
    float[] f_array19 = new float[] { 100.0f };
    boolean b20 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array17, f_array19);
    boolean b21 = org.apache.commons.math3.util.MathArrays.equals(f_array15, f_array17);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array4, f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test167"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, univariateFunction6, (-0.00775146376880869d));
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array12 = org.apache.commons.math3.analysis.FunctionUtils.sample(univariateFunction6, 27.059969773858604d, 0.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction8);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test168"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh((-0.8890208728765443d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.800683908344816d));

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test169"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.3166000966022422d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.022979006617784535d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test170"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.0841121520311394d, 2.318757039834496d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.413783204748528d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test171"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-3.943652089279393d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test172"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.027415567780803774d, 192274.742227455d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test173"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.distance(i_array1, i_array4);
    int[] i_array7 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int[] i_array9 = new int[] { 10 };
    int[] i_array10 = org.apache.commons.math3.util.MathArrays.copyOf(i_array9);
    int[] i_array12 = new int[] { 10 };
    int[] i_array13 = org.apache.commons.math3.util.MathArrays.copyOf(i_array12);
    double d14 = org.apache.commons.math3.util.MathArrays.distance(i_array9, i_array12);
    int[] i_array16 = new int[] { 10 };
    int[] i_array17 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16);
    int[] i_array19 = new int[] { 10 };
    int[] i_array20 = org.apache.commons.math3.util.MathArrays.copyOf(i_array19);
    double d21 = org.apache.commons.math3.util.MathArrays.distance(i_array16, i_array19);
    int[] i_array23 = new int[] { 10 };
    int[] i_array24 = org.apache.commons.math3.util.MathArrays.copyOf(i_array23);
    int[] i_array26 = new int[] { 10 };
    int[] i_array27 = org.apache.commons.math3.util.MathArrays.copyOf(i_array26);
    int i28 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array24, i_array27);
    int i29 = org.apache.commons.math3.util.MathArrays.distance1(i_array16, i_array24);
    int[] i_array31 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16, 100);
    int i32 = org.apache.commons.math3.util.MathArrays.distance1(i_array12, i_array16);
    int i33 = org.apache.commons.math3.util.MathArrays.distance1(i_array4, i_array16);
    int[] i_array35 = new int[] { 10 };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    int[] i_array38 = new int[] { 10 };
    int[] i_array39 = org.apache.commons.math3.util.MathArrays.copyOf(i_array38);
    int i40 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array36, i_array39);
    int[] i_array41 = org.apache.commons.math3.util.MathArrays.copyOf(i_array39);
    int[] i_array42 = org.apache.commons.math3.util.MathArrays.copyOf(i_array41);
    int i43 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array16, i_array42);
    int[] i_array45 = new int[] { 10 };
    int[] i_array46 = org.apache.commons.math3.util.MathArrays.copyOf(i_array45);
    int[] i_array48 = new int[] { 10 };
    int[] i_array49 = org.apache.commons.math3.util.MathArrays.copyOf(i_array48);
    int i50 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array46, i_array49);
    int[] i_array51 = org.apache.commons.math3.util.MathArrays.copyOf(i_array49);
    int[] i_array52 = org.apache.commons.math3.util.MathArrays.copyOf(i_array51);
    int[] i_array56 = new int[] { 100, 100, 100 };
    int i57 = org.apache.commons.math3.util.MathArrays.distance1(i_array51, i_array56);
    int i58 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array42, i_array56);
    int[] i_array60 = new int[] { 10 };
    int[] i_array61 = org.apache.commons.math3.util.MathArrays.copyOf(i_array60);
    int[] i_array63 = new int[] { 10 };
    int[] i_array64 = org.apache.commons.math3.util.MathArrays.copyOf(i_array63);
    double d65 = org.apache.commons.math3.util.MathArrays.distance(i_array60, i_array63);
    int[] i_array67 = new int[] { 10 };
    int[] i_array68 = org.apache.commons.math3.util.MathArrays.copyOf(i_array67);
    int[] i_array70 = new int[] { 10 };
    int[] i_array71 = org.apache.commons.math3.util.MathArrays.copyOf(i_array70);
    int i72 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array68, i_array71);
    int i73 = org.apache.commons.math3.util.MathArrays.distance1(i_array60, i_array68);
    int[] i_array74 = org.apache.commons.math3.util.MathArrays.copyOf(i_array68);
    int[] i_array76 = new int[] { 10 };
    int[] i_array77 = org.apache.commons.math3.util.MathArrays.copyOf(i_array76);
    int[] i_array79 = new int[] { 10 };
    int[] i_array80 = org.apache.commons.math3.util.MathArrays.copyOf(i_array79);
    double d81 = org.apache.commons.math3.util.MathArrays.distance(i_array76, i_array79);
    int[] i_array83 = new int[] { 10 };
    int[] i_array84 = org.apache.commons.math3.util.MathArrays.copyOf(i_array83);
    int[] i_array86 = new int[] { 10 };
    int[] i_array87 = org.apache.commons.math3.util.MathArrays.copyOf(i_array86);
    int i88 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array84, i_array87);
    int i89 = org.apache.commons.math3.util.MathArrays.distance1(i_array76, i_array84);
    int[] i_array90 = org.apache.commons.math3.util.MathArrays.copyOf(i_array84);
    int i91 = org.apache.commons.math3.util.MathArrays.distance1(i_array74, i_array84);
    int i92 = org.apache.commons.math3.util.MathArrays.distance1(i_array42, i_array74);
    int[] i_array93 = org.apache.commons.math3.util.MathArrays.copyOf(i_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i73 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i88 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i89 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i91 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i92 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array93);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test174"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test175"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-5.649201985134038E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-5.649201985134038E-17d));

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test176"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.9999999999708962d, (-1.6986290826123596d), 13.452237342102702d, 407.1774663823435d, 1.4893842007818807E78d, 373.64070090233554d, 407.1774663823435d, (-38.13194832908729d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 5.564945566930067E80d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test177"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.7763568E-15f, 2.384186E-7f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test178"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.resetCount();
    incrementor0.setMaximalCount(5);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test179"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.31071992E8f, 6.400002E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.400002E-5f);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test180"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(2.0d, (-0.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test181"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-0.6018884215308689d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test182"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(6);
    int i2 = incrementor1.getCount();
    boolean b3 = incrementor1.canIncrement();
    incrementor1.incrementCount(0);
    boolean b6 = incrementor1.canIncrement();
    incrementor1.incrementCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test183"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.5690509993150914d, 77.59800202274712d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test184"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.9833298537120598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.98332985371206d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test185"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1.0988985915805174d), (java.lang.Number)(-1.2326977189039658E-17d), 0);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test186"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.9327713206178998d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6793051181843424d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test187"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.8331363506525005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test188"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.7879107674293571d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test189"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(2, (-53));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-53));

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test190"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(38.4710318412057d, 3.1415926535897922d, 0.022979006617784535d, 13.452237342102702d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 121.169430059259d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test191"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 76112.61091070402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test192"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    boolean b4 = nonMonotonicSequenceException3.getStrict();
    boolean b5 = nonMonotonicSequenceException3.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException3.getDirection();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException3.getDirection();
    java.lang.Number number8 = nonMonotonicSequenceException3.getPrevious();
    int i9 = nonMonotonicSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (byte)(-1)+ "'", number8.equals((byte)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test193"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, univariateFunction7, 407.1774663823435d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction9);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test194"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1031.3147545616828d, 0.01712152622374411d, (-938.5704872688159d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test195"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2);
    int[] i_array5 = new int[] { 10 };
    int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    int i7 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array3, i_array6);
    int i8 = org.apache.commons.math3.util.MathArrays.distance1(i_array0, i_array6);
    int[] i_array10 = new int[] { 10 };
    int[] i_array11 = org.apache.commons.math3.util.MathArrays.copyOf(i_array10);
    int[] i_array13 = new int[] { 10 };
    int[] i_array14 = org.apache.commons.math3.util.MathArrays.copyOf(i_array13);
    int i15 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array11, i_array14);
    int[] i_array17 = new int[] { 10 };
    int[] i_array18 = org.apache.commons.math3.util.MathArrays.copyOf(i_array17);
    int[] i_array20 = new int[] { 10 };
    int[] i_array21 = org.apache.commons.math3.util.MathArrays.copyOf(i_array20);
    int i22 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array18, i_array21);
    int i23 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array14, i_array21);
    int[] i_array25 = new int[] { 10 };
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    int[] i_array28 = new int[] { 10 };
    int[] i_array29 = org.apache.commons.math3.util.MathArrays.copyOf(i_array28);
    double d30 = org.apache.commons.math3.util.MathArrays.distance(i_array25, i_array28);
    int[] i_array31 = org.apache.commons.math3.util.MathArrays.copyOf(i_array28);
    int[] i_array33 = new int[] { 10 };
    int[] i_array34 = org.apache.commons.math3.util.MathArrays.copyOf(i_array33);
    int[] i_array36 = new int[] { 10 };
    int[] i_array37 = org.apache.commons.math3.util.MathArrays.copyOf(i_array36);
    double d38 = org.apache.commons.math3.util.MathArrays.distance(i_array33, i_array36);
    int[] i_array40 = new int[] { 10 };
    int[] i_array41 = org.apache.commons.math3.util.MathArrays.copyOf(i_array40);
    int[] i_array43 = new int[] { 10 };
    int[] i_array44 = org.apache.commons.math3.util.MathArrays.copyOf(i_array43);
    double d45 = org.apache.commons.math3.util.MathArrays.distance(i_array40, i_array43);
    int[] i_array47 = new int[] { 10 };
    int[] i_array48 = org.apache.commons.math3.util.MathArrays.copyOf(i_array47);
    int[] i_array50 = new int[] { 10 };
    int[] i_array51 = org.apache.commons.math3.util.MathArrays.copyOf(i_array50);
    int i52 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array48, i_array51);
    int i53 = org.apache.commons.math3.util.MathArrays.distance1(i_array40, i_array48);
    int[] i_array55 = org.apache.commons.math3.util.MathArrays.copyOf(i_array40, 100);
    int i56 = org.apache.commons.math3.util.MathArrays.distance1(i_array36, i_array40);
    int i57 = org.apache.commons.math3.util.MathArrays.distance1(i_array28, i_array40);
    int[] i_array59 = new int[] { 10 };
    int[] i_array60 = org.apache.commons.math3.util.MathArrays.copyOf(i_array59);
    int[] i_array62 = new int[] { 10 };
    int[] i_array63 = org.apache.commons.math3.util.MathArrays.copyOf(i_array62);
    int i64 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array60, i_array63);
    int[] i_array65 = org.apache.commons.math3.util.MathArrays.copyOf(i_array63);
    int[] i_array66 = org.apache.commons.math3.util.MathArrays.copyOf(i_array65);
    int i67 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array40, i_array66);
    int i68 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array21, i_array40);
    double d69 = org.apache.commons.math3.util.MathArrays.distance(i_array6, i_array21);
    int[] i_array70 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i71 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array6, i_array70);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i64 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i67 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test196"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.30331471468735255d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test197"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.9461121838460531d, 1.1993938046696928d, 0.19529126027824797d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test198"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.5591271711416548d, 55.912717114165474d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test199"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.0071733601339953575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test200"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, (-1.7215824152474646d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test201"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(10.413783204748528d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test202"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array2 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction1 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateFunction_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array2);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])univariateFunction_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test203"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.0d, 0.0d, 1.0106952644634353d, 0.7375106944368399d, 1.0000056663902297d, (-0.8236120368034562d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-0.07821813735220086d));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test204"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(6.400001E-5f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.400001E-5f);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test205"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.47689228532487454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6110598999140563d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test206"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = mathArithmeticException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test207"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)21.973857651925947d, (java.lang.Number)(-1023), 14);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test208"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test209"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(2.1175829E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 2.117583E-22f);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test210"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-1.6986290826123596d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-2L));

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test211"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction0, 0.5795816092317388d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(8.533542877826454E79d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3164036458569648E64d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test213"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta((-0.665528048542923d), 0.6249846069295057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6249846069295057d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test214"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0f, 99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test215"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.04588648781766632d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04588648781766632d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test216"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test217"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-237.97866503973512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test218"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.18599719355624855d, (-0.5597388449675059d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test219"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.23509439727548995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.004103171285448886d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test220"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-7.692182601264564E-8d), 1.0464608765365449E129d, 10.504710100725216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test221"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(2.318757039834496d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test222"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(1.5690509993150914d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.505165778096027d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test223"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.0f, 2.1175829E-22f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test224"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException11 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test225"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.094947E-13f, 6.1035156E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test226"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException27 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = nonMonotonicSequenceException27.getDirection();
    boolean b30 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array7, orderDirection28, true);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array41 = new double[] { 0.0d, 1.0d };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array41);
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array47 = new double[] { 0.0d, 1.0d };
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array47);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array57 = new double[] { 0.0d, 0.0d };
    double d58 = org.apache.commons.math3.util.MathArrays.distance1(d_array53, d_array57);
    boolean b59 = org.apache.commons.math3.util.MathArrays.equals(d_array44, d_array57);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction60 = new org.apache.commons.math3.analysis.function.StepFunction(d_array38, d_array44);
    boolean b61 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array44);
    double[] d_array65 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array67 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array65, 1.0907245790542575d);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array67);
    double[] d_array70 = new double[] { 100.0d };
    double[] d_array73 = new double[] { 0.0d, 1.0d };
    boolean b74 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array70, d_array73);
    boolean b75 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array73);
    double[] d_array76 = null;
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array73, d_array76);
    double[] d_array79 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array73, 0.580195754492862d);
    double d80 = org.apache.commons.math3.util.MathArrays.distance(d_array7, d_array73);
    double[] d_array82 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array73, (-0.009975807958859863d));
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection83 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array73, orderDirection83, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test227"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-9.052756101118532E232d), 0.9171523356672744d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.052756101118532E232d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test228"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-0.009976469864685297d), 0.7088812266218576d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test229"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)297.0788908733787d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test230"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-1.2326977189039658E-17d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2326977189039658E-17d));

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test231"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array15 = new double[] { 0.0d, 0.0d };
    double d16 = org.apache.commons.math3.util.MathArrays.distance1(d_array11, d_array15);
    boolean b17 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array15);
    double[] d_array20 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection21 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array20, orderDirection21, false, false);
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array20);
    double[] d_array27 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array20, (-0.03117538440567036d));
    double[] d_array33 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection34 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b37 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array33, orderDirection34, false, false);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    double d59 = org.apache.commons.math3.util.MathArrays.distance1(d_array54, d_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array58);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction61 = new org.apache.commons.math3.analysis.function.StepFunction(d_array39, d_array45);
    boolean b62 = org.apache.commons.math3.util.MathArrays.equals(d_array33, d_array39);
    double[] d_array64 = new double[] { 100.0d };
    double[] d_array67 = new double[] { 0.0d, 1.0d };
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array64, d_array67);
    double[] d_array71 = new double[] { 0.0d, 0.0d };
    double d72 = org.apache.commons.math3.util.MathArrays.distance1(d_array67, d_array71);
    double d73 = org.apache.commons.math3.util.MathArrays.distance(d_array33, d_array67);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException77 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection78 = nonMonotonicSequenceException77.getDirection();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection79 = nonMonotonicSequenceException77.getDirection();
    boolean b82 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array67, orderDirection79, true, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException84 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.18599719355624855d, (java.lang.Number)7L, 0, orderDirection79, false);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array27, orderDirection79, true);
    double[] d_array88 = org.apache.commons.math3.util.MathArrays.copyOf(d_array27, 100);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction89 = new org.apache.commons.math3.analysis.function.StepFunction(d_array0, d_array88);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test232"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array21 = new double[] { 0.0d, 0.0d };
    double d22 = org.apache.commons.math3.util.MathArrays.distance1(d_array17, d_array21);
    boolean b23 = org.apache.commons.math3.util.MathArrays.equals(d_array8, d_array21);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction24 = new org.apache.commons.math3.analysis.function.StepFunction(d_array2, d_array8);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException28 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection29 = nonMonotonicSequenceException28.getDirection();
    boolean b31 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array8, orderDirection29, true);
    double[] d_array33 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8, 1);
    double[] d_array34 = org.apache.commons.math3.util.MathArrays.copyOf(d_array33);
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.copyOf(d_array33, 10);
    // The following exception was thrown during execution in test generation
    try {
      double d37 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array0, d_array36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test233"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-18), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test234"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians((-0.49839184829697386d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.008698578717882289d));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test235"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable8 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array2);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable11 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable11);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test236"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException27 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = nonMonotonicSequenceException27.getDirection();
    boolean b30 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array7, orderDirection28, true);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array41 = new double[] { 0.0d, 1.0d };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array41);
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array47 = new double[] { 0.0d, 1.0d };
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array47);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array57 = new double[] { 0.0d, 0.0d };
    double d58 = org.apache.commons.math3.util.MathArrays.distance1(d_array53, d_array57);
    boolean b59 = org.apache.commons.math3.util.MathArrays.equals(d_array44, d_array57);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction60 = new org.apache.commons.math3.analysis.function.StepFunction(d_array38, d_array44);
    boolean b61 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array44);
    double[] d_array65 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array67 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array65, 1.0907245790542575d);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array67);
    double[] d_array70 = new double[] { 100.0d };
    double[] d_array73 = new double[] { 0.0d, 1.0d };
    boolean b74 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array70, d_array73);
    boolean b75 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array73);
    double[] d_array76 = null;
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array73, d_array76);
    double[] d_array79 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array73, 0.580195754492862d);
    double d80 = org.apache.commons.math3.util.MathArrays.distance(d_array7, d_array73);
    double[] d_array82 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array73, (-0.009975807958859863d));
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection83 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b85 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array82, orderDirection83, true);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array87 = org.apache.commons.math3.util.MathArrays.copyOf(d_array82, (-18));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == true);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test237"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(7.6293936E-6f, 7.2759576E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.2759576E-12f);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test238"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(2.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test239"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    int i5 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.analysis.function.Sin sin12 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array13 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin12 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MathInternalError mathInternalError16 = new org.apache.commons.math3.exception.MathInternalError(localizable9, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction18 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction19 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction21 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction19, (-0.5309649148733836d));
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array22 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction23 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array22);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction24 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction18, univariateFunction21, univariateFunction23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction25 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction8, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction17, univariateFunction21);
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer28 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.5591271711416548d, 0.19168779159217497d);
    int i29 = brentOptimizer28.getMaxEvaluations();
    org.apache.commons.math3.analysis.function.Sin sin31 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction32 = sin31.derivative();
    double d34 = sin31.value(10.099504938362077d);
    org.apache.commons.math3.optimization.GoalType goalType35 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair39 = brentOptimizer28.optimize(100, (org.apache.commons.math3.analysis.UnivariateFunction)sin31, goalType35, 0.011668890825125589d, (-0.34893292278222565d), 2.7755575615628914E-17d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair43 = brentOptimizer3.optimize((-14), univariateFunction21, goalType35, 3.141592653589793d, 2.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == (-0.6246841429488434d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair39);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test240"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array8);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2);
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array37 = new double[] { 0.0d, 1.0d };
    boolean b38 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array37);
    double[] d_array40 = new double[] { 100.0d };
    double[] d_array43 = new double[] { 0.0d, 1.0d };
    boolean b44 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array40, d_array43);
    double[] d_array47 = new double[] { 0.0d, 0.0d };
    double d48 = org.apache.commons.math3.util.MathArrays.distance1(d_array43, d_array47);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array47);
    double[] d_array52 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection53 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b56 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array52, orderDirection53, false, false);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array52);
    double[] d_array59 = new double[] { 100.0d };
    double[] d_array62 = new double[] { 0.0d, 1.0d };
    boolean b63 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array59, d_array62);
    double[] d_array65 = new double[] { 100.0d };
    double[] d_array68 = new double[] { 0.0d, 1.0d };
    boolean b69 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array65, d_array68);
    double[] d_array72 = new double[] { 0.0d, 0.0d };
    double d73 = org.apache.commons.math3.util.MathArrays.distance1(d_array68, d_array72);
    boolean b74 = org.apache.commons.math3.util.MathArrays.equals(d_array59, d_array72);
    double[] d_array77 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection78 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b81 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array77, orderDirection78, false, false);
    boolean b82 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array59, d_array77);
    boolean b83 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array59);
    // The following exception was thrown during execution in test generation
    try {
      double d84 = org.apache.commons.math3.util.MathArrays.distance(d_array2, d_array34);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test241"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b9 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array2, orderDirection7, true);
    double[] d_array12 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection13 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b16 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array12, orderDirection13, false, false);
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array21);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = new double[] { 0.0d, 1.0d };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array24, d_array27);
    double[] d_array30 = new double[] { 100.0d };
    double[] d_array33 = new double[] { 0.0d, 1.0d };
    boolean b34 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array30, d_array33);
    double[] d_array37 = new double[] { 0.0d, 0.0d };
    double d38 = org.apache.commons.math3.util.MathArrays.distance1(d_array33, d_array37);
    boolean b39 = org.apache.commons.math3.util.MathArrays.equals(d_array24, d_array37);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction40 = new org.apache.commons.math3.analysis.function.StepFunction(d_array18, d_array24);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array12, d_array18);
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array18);
    double[] d_array44 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array2, 1.3403276304888545d);
    double[] d_array46 = new double[] { 100.0d };
    double[] d_array49 = new double[] { 0.0d, 1.0d };
    boolean b50 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array46, d_array49);
    double[] d_array53 = new double[] { 0.0d, 0.0d };
    double d54 = org.apache.commons.math3.util.MathArrays.distance1(d_array49, d_array53);
    double[] d_array55 = org.apache.commons.math3.util.MathArrays.copyOf(d_array49);
    double d56 = org.apache.commons.math3.util.MathArrays.distance1(d_array2, d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 101.0d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test242"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, (-14));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test243"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh((-0.06377273142033958d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.06368641808783039d));

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test244"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)76112.61091070402d, (java.lang.Number)0.007550375103483214d, false);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test245"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.6331691739148566d), 0.14986816922968d, 1063610.122976624d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test246"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-1.2326977189039658E-17d), (-1.2491397351303002E-14d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test247"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    incrementor1.resetCount();
    incrementor1.incrementCount();
    incrementor1.resetCount();
    int i5 = incrementor1.getCount();
    incrementor1.incrementCount((-1023));
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(16);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test248"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, (-0.031175384405670355d), 6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test249"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array6 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { univariateDifferentiable5 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array6);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable8 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array6);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])univariateDifferentiable_array6);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test250"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(6.400002E-5f, 0.0f, 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test251"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-1.0869881516304648E-13d), 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test252"); }


    double d3 = org.apache.commons.math3.util.Precision.round(0.22016692672069996d, 5, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.22017d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test253"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(1.8675922440031868E-25d, 0.19406172085071063d, 1.005944388658517E28d, 0.9809911914430998d, 2.505165778096027d, 0.8623188722876839d, 0.27816311387253106d, 0.828850949099548d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 9.868225843556193E27d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test254"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(2.7182818284590446d, 0.026019036612365643d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.7182818284590446d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test255"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.6071006400586496d, (-0.7960578278293626d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test256"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.8741355922505831d), 0.6137474852277875d, 32.11408965799409d, (-0.5594161343659524d), 0.6137474852277875d, (-7.547776273207962E232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-4.632428706743349E232d));

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test257"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(27.059969773858604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.3343439974769638d);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test258"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.06368641808783039d), 1.1119912736841524d, 408180.97167872085d, (-0.4058233075078678d), (-0.4441261590999998d), 2.6881171418161356E43d, 2.6881171418161356E43d, 11064.739711698312d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 2.9742122625608555E47d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test259"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array1 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin0 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable2 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array1);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array10 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable6, 0.011669420492176952d, 4.109107330317712d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test260"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(5, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test261"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathInternalError8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test262"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.5511886501354157d));
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-0.5511886501354157d)+ "'", number2.equals((-0.5511886501354157d)));

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test263"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(2.2620651911873404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2085007902001483d));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test264"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    double d3 = sin0.value(0.5591271711416548d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = sin0.derivative();
    double d7 = sin0.value(2.6180866428805523d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.530446486966672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.4999196610982807d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test265"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test266"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, 572.9577951308232d, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test267"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.9999998228809658d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test268"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)999.99994f);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test269"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.094948E-13f, 2.0000005f, (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test270"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.6793051181843424d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2251296116263618d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test271"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.0d, 2.4069005071761116d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test272"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test273"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(Float.POSITIVE_INFINITY, 2.117583E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test274"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 0, 99);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test275"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(4.705665486795648d, 1.6258930378825627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.978635942128598d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test276"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2);
    int[] i_array5 = new int[] { 10 };
    int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    int i7 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array3, i_array6);
    int i8 = org.apache.commons.math3.util.MathArrays.distance1(i_array0, i_array6);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array10 = org.apache.commons.math3.util.MathArrays.copyOf(i_array6, (-3));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test277"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(6.400001E-5f, 7.922816E22f, Float.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test278"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.2327838798657453d, 22.332851657647005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 22.332851657647005d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test279"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.11137837599386342d, 1.2159185404842165E210d, 1.0464608765365449E129d, 0.02410798161417626d, 1.5197560944568402d, 0.8410312834162215d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.354270323799607E209d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test280"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException27 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = nonMonotonicSequenceException27.getDirection();
    boolean b30 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array7, orderDirection28, true);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.copyOf(d_array7, 1);
    double[] d_array35 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b39 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array35, orderDirection36, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection40 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b42 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array35, orderDirection40, true);
    double[] d_array43 = org.apache.commons.math3.util.MathArrays.copyOf(d_array35);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    double d59 = org.apache.commons.math3.util.MathArrays.distance1(d_array54, d_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array58);
    double[] d_array63 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection64 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array63, orderDirection64, false, false);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array63);
    java.lang.Comparable[] comparable_array70 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException74 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection75 = nonMonotonicSequenceException74.getDirection();
    boolean b77 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array70, orderDirection75, true);
    double[] d_array80 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection81 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b84 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array80, orderDirection81, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection85 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b87 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array80, orderDirection85, true);
    boolean b89 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array70, orderDirection85, false);
    boolean b91 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array63, orderDirection85, false);
    double d92 = org.apache.commons.math3.util.MathArrays.distance1(d_array43, d_array63);
    double d93 = org.apache.commons.math3.util.MathArrays.distance(d_array32, d_array63);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array63);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.0d);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test281"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-18), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test282"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-1034.0365074054232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test283"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.9999972192379961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.742965677941061d);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test284"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-53), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test285"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b9 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array2, orderDirection7, true);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Throwable throwable11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    double[] d_array32 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection33 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b36 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array32, orderDirection33, false, false);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array32);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array52 = new double[] { 0.0d, 0.0d };
    double d53 = org.apache.commons.math3.util.MathArrays.distance1(d_array48, d_array52);
    boolean b54 = org.apache.commons.math3.util.MathArrays.equals(d_array39, d_array52);
    double[] d_array57 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection58 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b61 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array57, orderDirection58, false, false);
    boolean b62 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array57);
    double d63 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array32, d_array57);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection64 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array66 = new double[] { 100.0d };
    double[] d_array69 = new double[] { 0.0d, 1.0d };
    boolean b70 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array66, d_array69);
    double[] d_array73 = new double[] { 0.0d, 0.0d };
    double d74 = org.apache.commons.math3.util.MathArrays.distance1(d_array69, d_array73);
    double[][] d_array_array75 = new double[][] { d_array69 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array57, orderDirection64, d_array_array75);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException77 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable11, localizable12, (java.lang.Object[])d_array_array75);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException78 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, (java.lang.Object[])d_array_array75);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array2, d_array_array75);
    double[] d_array81 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array2, (-0.009976469864685297d));
    double[] d_array83 = new double[] { 100.0d };
    double[] d_array86 = new double[] { 0.0d, 1.0d };
    boolean b87 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array83, d_array86);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array83);
    // The following exception was thrown during execution in test generation
    try {
      double d89 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array81, d_array83);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test286"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int i6 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array2, i_array5);
    int[] i_array8 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5, 100);
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int[] i_array14 = new int[] { 10 };
    int[] i_array15 = org.apache.commons.math3.util.MathArrays.copyOf(i_array14);
    int i16 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array12, i_array15);
    int[] i_array18 = new int[] { 10 };
    int[] i_array19 = org.apache.commons.math3.util.MathArrays.copyOf(i_array18);
    int[] i_array21 = new int[] { 10 };
    int[] i_array22 = org.apache.commons.math3.util.MathArrays.copyOf(i_array21);
    int i23 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array19, i_array22);
    int i24 = org.apache.commons.math3.util.MathArrays.distance1(i_array12, i_array22);
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array12, 2);
    int[] i_array28 = org.apache.commons.math3.util.MathArrays.copyOf(i_array26, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d29 = org.apache.commons.math3.util.MathArrays.distance(i_array9, i_array26);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test287"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.04587040018925113d), 10.552200340110675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04587040018925113d));

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test288"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException12 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)100L, (java.lang.Object[])differentiableUnivariateFunction_array6);
    java.lang.Number number13 = maxCountExceededException12.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 100L+ "'", number13.equals(100L));

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test289"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.incrementCount((-1));
    int i3 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount((-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test290"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0071733601339953575d, 2.246027338640988d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test291"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 1, 2);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test292"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(2.117583E-22f, 128, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test293"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)99.99999f, (java.lang.Number)100L, 10, orderDirection3, true);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array7 = null;
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException5, localizable6, obj_array7);
    java.lang.Number number9 = nonMonotonicSequenceException5.getPrevious();
    java.lang.Number number10 = nonMonotonicSequenceException5.getArgument();
    int i11 = nonMonotonicSequenceException5.getIndex();
    int i12 = nonMonotonicSequenceException5.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + 100L+ "'", number9.equals(100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 99.99999f+ "'", number10.equals(99.99999f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 10);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-6.731237865069474d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-7.0d));

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test295"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array8 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction3, 12.859827757832395d, 6.416438466916936d, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test296"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(999.99994f, 9.0071993E15f, 2.1175826E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(1.7453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1736481776669303d));

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test298"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.8887126554045086d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3743044260295856d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test299"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.04588648781766632d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9989473998309163d);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test300"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-0.031180434567625804d), 46.94834932179635d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test301"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    boolean b6 = nonMonotonicSequenceException5.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException5.getDirection();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection8 = nonMonotonicSequenceException5.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection8);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test302"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.0823247208508959d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test303"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array4 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin3 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable2, (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable8 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array4);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException9 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)5.718798052253403d, (java.lang.Object[])univariateDifferentiable_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = maxCountExceededException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test304"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-0.587213915156929d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1774215933195176d);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test305"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    boolean b1 = incrementor0.canIncrement();
    boolean b2 = incrementor0.canIncrement();
    int i3 = incrementor0.getMaximalCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test306"); }


    int[] i_array0 = new int[] {  };
    int[] i_array2 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2);
    int[] i_array5 = new int[] { 10 };
    int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    int i7 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array3, i_array6);
    int i8 = org.apache.commons.math3.util.MathArrays.distance1(i_array0, i_array6);
    int[] i_array11 = new int[] { 1, 0 };
    int i12 = org.apache.commons.math3.util.MathArrays.distance1(i_array6, i_array11);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array14 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11, (-17));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 9);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test307"); }


    float f2 = org.apache.commons.math3.util.Precision.round(999.9999f, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1000.0f);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test308"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    int i6 = brentOptimizer3.getEvaluations();
    int i7 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker8 = brentOptimizer3.getConvergenceChecker();
    double d9 = brentOptimizer3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test309"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-2.366492340254064d), (-2.4219103210999756E-7d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test310"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.9528904364375423d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5931943004608362d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test311"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array1);
    java.lang.Throwable throwable18 = null;
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    java.lang.Throwable throwable22 = null;
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array31 = new double[] { 100.0d };
    double[] d_array34 = new double[] { 0.0d, 1.0d };
    boolean b35 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array31, d_array34);
    double[] d_array38 = new double[] { 0.0d, 0.0d };
    double d39 = org.apache.commons.math3.util.MathArrays.distance1(d_array34, d_array38);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equals(d_array25, d_array38);
    double[] d_array43 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection44 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b47 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array43, orderDirection44, false, false);
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array43);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array56 = new double[] { 100.0d };
    double[] d_array59 = new double[] { 0.0d, 1.0d };
    boolean b60 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array56, d_array59);
    double[] d_array63 = new double[] { 0.0d, 0.0d };
    double d64 = org.apache.commons.math3.util.MathArrays.distance1(d_array59, d_array63);
    boolean b65 = org.apache.commons.math3.util.MathArrays.equals(d_array50, d_array63);
    double[] d_array68 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection69 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b72 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array68, orderDirection69, false, false);
    boolean b73 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array68);
    double d74 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array43, d_array68);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection75 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array77 = new double[] { 100.0d };
    double[] d_array80 = new double[] { 0.0d, 1.0d };
    boolean b81 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array77, d_array80);
    double[] d_array84 = new double[] { 0.0d, 0.0d };
    double d85 = org.apache.commons.math3.util.MathArrays.distance1(d_array80, d_array84);
    double[][] d_array_array86 = new double[][] { d_array80 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array68, orderDirection75, d_array_array86);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException88 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable22, localizable23, (java.lang.Object[])d_array_array86);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException89 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable20, (java.lang.Number)2.0d, (java.lang.Object[])d_array_array86);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException90 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable18, localizable19, (java.lang.Object[])d_array_array86);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array1, d_array_array86);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array86);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test312"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.6935915826764747d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test313"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(746.2056417165278d, 3.96665970742412d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test314"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.35282172628030717d, 1492.4112834330556d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test315"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.4767408696783165d), 0.44881134986457655d, 1.2246467991473532E-16d, 0.28908709747398786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.21396671325593739d));

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test316"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    int i5 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction9 = null;
    org.apache.commons.math3.analysis.function.Sin sin10 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array11 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin10 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable13 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction12);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable13);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction15 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction16 = null;
    org.apache.commons.math3.analysis.function.Sin sin17 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array18 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin17 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array18);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable20 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction19);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction22 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction16, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction19, (-0.00997646987127368d));
    org.apache.commons.math3.analysis.function.Sin sin23 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array24 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin23 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable25 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array24);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable26 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array24);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable27 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array24);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array28 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { univariateDifferentiable27 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable29 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array28);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction15, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction19, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable29);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction31 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction9, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable13, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable29);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker34 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer35 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker34);
    int i36 = brentOptimizer35.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType37 = brentOptimizer35.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin39 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction40 = sin39.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction41 = sin39.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction42 = sin39.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction43 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin39);
    org.apache.commons.math3.optimization.GoalType goalType44 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair48 = brentOptimizer35.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin39, goalType44, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair52 = brentOptimizer3.optimize((-45), (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable13, goalType44, 165793.48912954447d, 0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair48);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test317"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.20582868351170708d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2058286835117071d);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test318"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.0000005f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.000002f);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test319"); }


    float f2 = org.apache.commons.math3.util.Precision.round(7.629395E-6f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test320"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.3743044260295856d, (-1034.036507405423d), convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test321"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.629395E-6f, Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test322"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.10158570369662134d, 0.4617772677230291d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.472819098790736d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test323"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-1.8682688599059771d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test324"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(4.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test325"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array1 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin0 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable2 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array5 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { univariateDifferentiable4 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array5);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = org.apache.commons.math3.analysis.FunctionUtils.sample(univariateFunction7, 23.162381521626777d, 0.18599719355624855d, 1000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test326"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.007379462000687157d, 0.472819098790736d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.09816605997715486d);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test327"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.0f), (-3.4028235E38f), 3.8146977E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test328"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.019059150113495585d, 10.099504938362077d, (-0.011615655711446663d), 0.0d, 1.5707963267948966d, (-7.692182601264564E-8d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.19248785986371106d);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test329"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(7.629395E-6f, 5.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629395E-6f);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test330"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(102400, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test331"); }


    org.apache.commons.math3.exception.NullArgumentException nullArgumentException0 = new org.apache.commons.math3.exception.NullArgumentException();
    java.lang.String str1 = nullArgumentException0.toString();
    org.apache.commons.math3.exception.MathInternalError mathInternalError2 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nullArgumentException0);
    java.lang.Throwable[] throwable_array3 = mathInternalError2.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException7 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable4, 100, 1);
    mathInternalError2.addSuppressed((java.lang.Throwable)dimensionMismatchException7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "org.apache.commons.math3.exception.NullArgumentException: null is not allowed"+ "'", str1.equals("org.apache.commons.math3.exception.NullArgumentException: null is not allowed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test332"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(1.1920929E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test333"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(3.8146973E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.5474735E-13f);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test334"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.7182818284590446d, 1.2201944302279409E-42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test335"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.5258789E-5f, 2.3841858E-7f, 2.8421713E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test336"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.5578300447656787d));
    double[] d_array9 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.8920085211300253d));
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException16 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    boolean b17 = nonMonotonicSequenceException16.getStrict();
    java.lang.String str18 = nonMonotonicSequenceException16.toString();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection19 = nonMonotonicSequenceException16.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException21 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.9999999979248693d), (java.lang.Number)0.19288154012315467d, 2, orderDirection19, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array9, orderDirection19, false);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction24 = null;
    org.apache.commons.math3.analysis.function.Sin sin25 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array26 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin25 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable27 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array26);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable28 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array26);
    org.apache.commons.math3.exception.util.Localizable localizable29 = null;
    org.apache.commons.math3.analysis.function.Sin sin30 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction31 = sin30.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array32 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction31 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction33 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array32);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException34 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable29, (java.lang.Object[])univariateFunction_array32);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction35 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array32);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction36 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction24, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable28, univariateFunction35);
    double[] d_array40 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable28, 1.1993938046696928d, 8.533542877826454E79d, 1);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array45 = new double[] { 0.0d, 1.0d };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array42);
    double d48 = org.apache.commons.math3.util.MathArrays.distance1(d_array40, d_array42);
    java.lang.Comparable[] comparable_array50 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection51 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b53 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array50, orderDirection51, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException57 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection58 = nonMonotonicSequenceException57.getDirection();
    boolean b60 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array50, orderDirection58, true);
    double[] d_array65 = new double[] { 100.0d };
    double[] d_array68 = new double[] { 0.0d, 1.0d };
    boolean b69 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array65, d_array68);
    double[] d_array71 = new double[] { 100.0d };
    double[] d_array74 = new double[] { 0.0d, 1.0d };
    boolean b75 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array71, d_array74);
    double[] d_array78 = new double[] { 0.0d, 0.0d };
    double d79 = org.apache.commons.math3.util.MathArrays.distance1(d_array74, d_array78);
    boolean b80 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array65, d_array78);
    java.lang.Comparable[] comparable_array85 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection86 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b88 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array85, orderDirection86, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException90 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection86, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array78, orderDirection86, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException94 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1.5690509993150914d, (java.lang.Number)0L, 0, orderDirection86, false);
    boolean b96 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array50, orderDirection86, true);
    boolean b98 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array42, orderDirection86, false);
    double d99 = org.apache.commons.math3.util.MathArrays.distance1(d_array9, d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math3.exception.NonMonotonicSequenceException: points -1 and 0 are not strictly increasing (-1 >= -0.587)"+ "'", str18.equals("org.apache.commons.math3.exception.NonMonotonicSequenceException: points -1 and 0 are not strictly increasing (-1 >= -0.587)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 99.06818074484748d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d99 == 100.89200852113002d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test337"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.755532056176037d, 1.1596638229046938d, 0.4469996003610112d, 1.1103080112589232d, 0.0d, 4.978635942128598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.3724704299025148d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test338"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination((-1.2326977189039658E-17d), 2.1888610738482193d, 1.571861776470941d, (-102.96620255649935d), 10.413783204748528d, 8.673617379884035E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-161.84863806692582d));

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test339"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-0.04484962275883878d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test340"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.3164036458569648E64d, 3.4135815224112884E-5d, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test341"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(11.548739357257741d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.3983436196561616d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test342"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection5 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException7 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection5, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection8 = nonMonotonicSequenceException7.getDirection();
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.analysis.function.Sin sin12 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array13 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin12 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException7, localizable9, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.function.Sin sin20 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction21 = sin20.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = sin20.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction23 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin20);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction24 = sin20.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction25 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction1, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction19, (org.apache.commons.math3.analysis.UnivariateFunction)sin20);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction26 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction27 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, univariateFunction25, univariateFunction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction27);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test343"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(6.399999E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test344"); }


    float f2 = org.apache.commons.math3.util.Precision.round(2.0f, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.0f);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test345"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.21033231042029157d, 1.6793051181843424d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test346"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(99.0f, 3.8146977E-6f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test347"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(3.96665970742412d, 2.0309950437259436d, 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test348"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.922817E22f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test349"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1031.3151444752145d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5698266913813574d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test350"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(595.3501099218779d, 0.23509439727548995d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test351"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(7.2759576E-12f, 6.400001E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test352"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.9464697297121958d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4823531177837033d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test353"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.resetCount();
    int i2 = incrementor0.getMaximalCount();
    incrementor0.setMaximalCount(6);
    incrementor0.resetCount();
    int i6 = incrementor0.getCount();
    int i7 = incrementor0.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor0.incrementCount(14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test354"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b12 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array8, orderDirection10, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test355"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.6935915826764747d), 22.332851657647005d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test356"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.5594161343659524d), (-1.6986290826123593d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test357"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array8);
    double[] d_array32 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2);
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array37 = new double[] { 0.0d, 1.0d };
    boolean b38 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array37);
    double[] d_array40 = new double[] { 100.0d };
    double[] d_array43 = new double[] { 0.0d, 1.0d };
    boolean b44 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array40, d_array43);
    double[] d_array47 = new double[] { 0.0d, 0.0d };
    double d48 = org.apache.commons.math3.util.MathArrays.distance1(d_array43, d_array47);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array47);
    double[] d_array52 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection53 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b56 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array52, orderDirection53, false, false);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array52);
    double[] d_array59 = org.apache.commons.math3.util.MathArrays.copyOf(d_array34, 2);
    // The following exception was thrown during execution in test generation
    try {
      double d60 = org.apache.commons.math3.util.MathArrays.distance1(d_array2, d_array34);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test358"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(5.298392360611193d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 200.0149993750563d);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test359"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.9172769176639505d), (-0.4167186322665419d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test360"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(8.618206661096855E214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test361"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.10170769204071056d), 1.718278726292565d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.718278726292565d);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test362"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.0d, 10, (-14));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test363"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1.8804153122484344d), (java.lang.Number)0.003366109241421064d, (-2));
    boolean b4 = nonMonotonicSequenceException3.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test364"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(20.591718316497904d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 21L);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test365"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(4.5474735E-13f, 2.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test366"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction5 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction6 = null;
    org.apache.commons.math3.analysis.function.Sin sin7 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array8 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin7 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array8);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction9);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable10);
    org.apache.commons.math3.analysis.function.Sin sin12 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array13 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin12 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable14 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array13);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable15 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array13);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction6, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction11, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable15);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction5, univariateFunction16, (-0.00997646987127368d));
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker21 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer22 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker21);
    org.apache.commons.math3.analysis.function.Sin sin24 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction25 = sin24.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction26 = sin24.derivative();
    org.apache.commons.math3.optimization.GoalType goalType27 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair31 = brentOptimizer22.optimize(6, univariateFunction26, goalType27, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d32 = brentOptimizer22.getStartValue();
    org.apache.commons.math3.optimization.GoalType goalType33 = brentOptimizer22.getGoalType();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair36 = brentOptimizer3.optimize((-3), univariateFunction16, goalType33, (-0.6239307469822648d), 0.3556542238420155d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType33);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test367"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.7304780710248815d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.012749247453001171d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test368"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 65.48490315732077d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test369"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.20582868351170708d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20437842161030007d);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test370"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-4.9E-324d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test371"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(11.806976057564917d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999998889239d);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test372"); }


    double[] d_array0 = new double[] {  };
    double[] d_array3 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection4 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b7 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array3, orderDirection4, false, false);
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array12 = new double[] { 0.0d, 1.0d };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array12);
    double[] d_array15 = new double[] { 100.0d };
    double[] d_array18 = new double[] { 0.0d, 1.0d };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array18);
    double[] d_array21 = new double[] { 100.0d };
    double[] d_array24 = new double[] { 0.0d, 1.0d };
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array21, d_array24);
    double[] d_array28 = new double[] { 0.0d, 0.0d };
    double d29 = org.apache.commons.math3.util.MathArrays.distance1(d_array24, d_array28);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array15, d_array28);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction31 = new org.apache.commons.math3.analysis.function.StepFunction(d_array9, d_array15);
    boolean b32 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array9);
    java.lang.Number number34 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException36 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.587213915156929d), number34, 10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = nonMonotonicSequenceException36.getDirection();
    boolean b39 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array9, orderDirection37, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean b42 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array0, orderDirection37, true, false);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test373"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0033664179414665983d, (-11.49363913673314d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.493639629734938d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test374"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(5, 76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test375"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(6.399999E-5f, 0.19168779159217497d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.4E-5f);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test376"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(3.364125133664886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4734177416350944d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test377"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(3.3881318E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.0389678E-28f);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test378"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.distance(i_array1, i_array4);
    int[] i_array7 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int[] i_array9 = new int[] { 10 };
    int[] i_array10 = org.apache.commons.math3.util.MathArrays.copyOf(i_array9);
    int[] i_array12 = new int[] { 10 };
    int[] i_array13 = org.apache.commons.math3.util.MathArrays.copyOf(i_array12);
    double d14 = org.apache.commons.math3.util.MathArrays.distance(i_array9, i_array12);
    int[] i_array16 = new int[] { 10 };
    int[] i_array17 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16);
    int[] i_array19 = new int[] { 10 };
    int[] i_array20 = org.apache.commons.math3.util.MathArrays.copyOf(i_array19);
    double d21 = org.apache.commons.math3.util.MathArrays.distance(i_array16, i_array19);
    int[] i_array23 = new int[] { 10 };
    int[] i_array24 = org.apache.commons.math3.util.MathArrays.copyOf(i_array23);
    int[] i_array26 = new int[] { 10 };
    int[] i_array27 = org.apache.commons.math3.util.MathArrays.copyOf(i_array26);
    int i28 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array24, i_array27);
    int i29 = org.apache.commons.math3.util.MathArrays.distance1(i_array16, i_array24);
    int[] i_array31 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16, 100);
    int i32 = org.apache.commons.math3.util.MathArrays.distance1(i_array12, i_array16);
    int i33 = org.apache.commons.math3.util.MathArrays.distance1(i_array4, i_array16);
    int[] i_array35 = new int[] { 10 };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    int[] i_array38 = new int[] { 10 };
    int[] i_array39 = org.apache.commons.math3.util.MathArrays.copyOf(i_array38);
    int i40 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array36, i_array39);
    int[] i_array41 = org.apache.commons.math3.util.MathArrays.copyOf(i_array39);
    int[] i_array42 = org.apache.commons.math3.util.MathArrays.copyOf(i_array41);
    int i43 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array16, i_array42);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array45 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16, (-22));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i40 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test379"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.0d, 101.0d, convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test380"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-1.0952022550758997d), (-0.031170335715785424d), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test381"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(23.162381521626777d, 0.774750348677804d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test382"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(200.0149993750563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test383"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-2), 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 102400);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test384"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-35.66884362392373d), (-3.943652089279393d), 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test385"); }


    float f2 = org.apache.commons.math3.util.Precision.round(7.629395E-6f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test386"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.7660494324943987d, (-35.66884362392373d), 3.4942187170360266E-7d, 0.0d, 28.0d, 0.0d, 0.14986816922968588d, (-0.4058233075078678d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-27.384917411965162d));

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test387"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])univariateDifferentiable_array3);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError10 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nullArgumentException9);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test388"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2, 6);
    double[] d_array11 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection12 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b15 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array11, orderDirection12, false, false);
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array20 = new double[] { 0.0d, 1.0d };
    boolean b21 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array20);
    double[] d_array23 = new double[] { 100.0d };
    double[] d_array26 = new double[] { 0.0d, 1.0d };
    boolean b27 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array23, d_array26);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array32 = new double[] { 0.0d, 1.0d };
    boolean b33 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array29, d_array32);
    double[] d_array36 = new double[] { 0.0d, 0.0d };
    double d37 = org.apache.commons.math3.util.MathArrays.distance1(d_array32, d_array36);
    boolean b38 = org.apache.commons.math3.util.MathArrays.equals(d_array23, d_array36);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction39 = new org.apache.commons.math3.analysis.function.StepFunction(d_array17, d_array23);
    boolean b40 = org.apache.commons.math3.util.MathArrays.equals(d_array11, d_array17);
    java.lang.Number number42 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException44 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.587213915156929d), number42, 10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection45 = nonMonotonicSequenceException44.getDirection();
    boolean b47 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array17, orderDirection45, false);
    // The following exception was thrown during execution in test generation
    try {
      double d48 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array8, d_array17);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == true);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test389"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(100.0f, 1.0587912E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 100.0f);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test390"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test391"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(4.0389678E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.0389683E-28f);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test392"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    int i3 = incrementor1.getCount();
    int i4 = incrementor1.getMaximalCount();
    int i5 = incrementor1.getCount();
    incrementor1.incrementCount((-2));
    boolean b8 = incrementor1.canIncrement();
    boolean b9 = incrementor1.canIncrement();
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test393"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(10.000002f, 10.000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test394"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double d25 = stepFunction23.value((-0.854843920279512d));
    double d27 = stepFunction23.value(4.440892098500626E-16d);
    double d29 = stepFunction23.value(1.4734177416350944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.0d);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.00775146376880869d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test396"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    org.apache.commons.math3.optimization.GoalType goalType4 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin8 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = sin8.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = sin8.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin8);
    double d13 = sin8.value(5908.945580817902d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = sin8.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = sin8.derivative();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker18 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer19 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker18);
    int i20 = brentOptimizer19.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType21 = brentOptimizer19.getGoalType();
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    org.apache.commons.math3.analysis.function.Sin sin24 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array25 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin24 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable26 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array25);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction27 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array25);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException28 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable23, (java.lang.Object[])univariateDifferentiable_array25);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable29 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array25);
    org.apache.commons.math3.optimization.GoalType goalType30 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair33 = brentOptimizer19.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable29, goalType30, 3.2487638034370474d, (-2.0d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair36 = brentOptimizer3.optimize(100, (org.apache.commons.math3.analysis.UnivariateFunction)sin8, goalType30, 1.1948335347609179E302d, 1.1596638229046938d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.38037392989426705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair33);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test397"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.0f, (java.lang.Number)1, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = numberIsTooSmallException4.getContext();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    java.lang.Number number7 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1+ "'", number6.equals(1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 1+ "'", number7.equals(1));

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test398"); }


    float f2 = org.apache.commons.math3.util.Precision.round(4.0389678E-28f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test399"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.6664279098306949d, (java.lang.Number)2.0260131666570804d, 14);
    java.lang.Number number4 = nonMonotonicSequenceException3.getArgument();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = nonMonotonicSequenceException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.6664279098306949d+ "'", number4.equals(0.6664279098306949d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test400"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.6664279098306949d, 0.0d, 1.2246467991473532E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test401"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int i6 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array2, i_array5);
    int[] i_array7 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    int[] i_array8 = org.apache.commons.math3.util.MathArrays.copyOf(i_array7);
    int[] i_array10 = new int[] { 10 };
    int[] i_array11 = org.apache.commons.math3.util.MathArrays.copyOf(i_array10);
    int[] i_array13 = new int[] { 10 };
    int[] i_array14 = org.apache.commons.math3.util.MathArrays.copyOf(i_array13);
    double d15 = org.apache.commons.math3.util.MathArrays.distance(i_array10, i_array13);
    int[] i_array17 = new int[] { 10 };
    int[] i_array18 = org.apache.commons.math3.util.MathArrays.copyOf(i_array17);
    int[] i_array20 = new int[] { 10 };
    int[] i_array21 = org.apache.commons.math3.util.MathArrays.copyOf(i_array20);
    int i22 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array18, i_array21);
    int i23 = org.apache.commons.math3.util.MathArrays.distance1(i_array10, i_array18);
    int[] i_array24 = org.apache.commons.math3.util.MathArrays.copyOf(i_array18);
    int i25 = org.apache.commons.math3.util.MathArrays.distance1(i_array8, i_array18);
    int[] i_array27 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8, 6);
    int[] i_array29 = new int[] { 10 };
    int[] i_array30 = org.apache.commons.math3.util.MathArrays.copyOf(i_array29);
    int[] i_array32 = new int[] { 10 };
    int[] i_array33 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32);
    double d34 = org.apache.commons.math3.util.MathArrays.distance(i_array29, i_array32);
    int[] i_array35 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32);
    int[] i_array37 = new int[] { 10 };
    int[] i_array38 = org.apache.commons.math3.util.MathArrays.copyOf(i_array37);
    int[] i_array40 = new int[] { 10 };
    int[] i_array41 = org.apache.commons.math3.util.MathArrays.copyOf(i_array40);
    double d42 = org.apache.commons.math3.util.MathArrays.distance(i_array37, i_array40);
    int[] i_array44 = new int[] { 10 };
    int[] i_array45 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44);
    int[] i_array47 = new int[] { 10 };
    int[] i_array48 = org.apache.commons.math3.util.MathArrays.copyOf(i_array47);
    double d49 = org.apache.commons.math3.util.MathArrays.distance(i_array44, i_array47);
    int[] i_array51 = new int[] { 10 };
    int[] i_array52 = org.apache.commons.math3.util.MathArrays.copyOf(i_array51);
    int[] i_array54 = new int[] { 10 };
    int[] i_array55 = org.apache.commons.math3.util.MathArrays.copyOf(i_array54);
    int i56 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array52, i_array55);
    int i57 = org.apache.commons.math3.util.MathArrays.distance1(i_array44, i_array52);
    int[] i_array59 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44, 100);
    int i60 = org.apache.commons.math3.util.MathArrays.distance1(i_array40, i_array44);
    int i61 = org.apache.commons.math3.util.MathArrays.distance1(i_array32, i_array44);
    int[] i_array63 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44, 1024);
    int[] i_array64 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44);
    int[] i_array66 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44, 6);
    // The following exception was thrown during execution in test generation
    try {
      int i67 = org.apache.commons.math3.util.MathArrays.distance1(i_array27, i_array44);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i56 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i57 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test402"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test403"); }


    float f2 = org.apache.commons.math3.util.FastMath.min((-1.0f), 2.842171E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.0f));

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test404"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.9540113537344068d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6698843641126183d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test405"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.2759576E-12f, 1.7763568E-15f, 3.3881318E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test406"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-14), 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 9);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test407"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.019952939729370595d), 0.9528904364375423d, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test408"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array3, d_array36);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array42);
    double[] d_array46 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array42, 0.19168779159217494d);
    double[] d_array47 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction48 = new org.apache.commons.math3.analysis.function.StepFunction(d_array46, d_array47);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test409"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(2.030995043836094d, 0.1928815401231547d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.476111317381695d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test410"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.5409864881078486d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test411"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(0.01712152622374411d, 0.012916181464798948d, 1.2626272556789118d, 4.440892098500626E-16d, 180.0d, (-2.8894522491777512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-520.1011837072556d));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test412"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, 1.91090719718072E116d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test413"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(100L, (-36L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test414"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin1);
    double d4 = sin1.value(0.5591271711416548d);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential((org.apache.commons.math3.analysis.DifferentiableUnivariateFunction)sin1);
    org.apache.commons.math3.analysis.function.Sin sin6 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin6.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = sin6.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin6);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = sin6.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable5, (org.apache.commons.math3.analysis.UnivariateFunction)sin6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = sin6.derivative();
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array17 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)sin6, 0.0d, 0.0d, 99);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.530446486966672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction13);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test415"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.8E-45f, 1.4E-45f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test416"); }


    double d2 = org.apache.commons.math3.util.Precision.round(3.3983436196561616d, (-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test417"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array8);
    double[] d_array33 = new double[] { 100.0d };
    double[] d_array36 = new double[] { 0.0d, 1.0d };
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array33, d_array36);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    double[] d_array46 = new double[] { 0.0d, 0.0d };
    double d47 = org.apache.commons.math3.util.MathArrays.distance1(d_array42, d_array46);
    boolean b48 = org.apache.commons.math3.util.MathArrays.equals(d_array33, d_array46);
    double[] d_array51 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection52 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b55 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array51, orderDirection52, false, false);
    boolean b56 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array33, d_array51);
    // The following exception was thrown during execution in test generation
    try {
      double d57 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array2, d_array33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test418"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(56L, 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 3L);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test419"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.776357E-15f, 3.4028235E38f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test420"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(3.3881318E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.388132E-21f);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test421"); }


    float[] f_array0 = new float[] {  };
    float[] f_array2 = new float[] { 100.0f };
    boolean b3 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array2);
    float[] f_array6 = new float[] { 100.0f, 1.0f };
    boolean b7 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array6);
    float[] f_array8 = null;
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array8);
    float[] f_array10 = new float[] {  };
    float[] f_array12 = new float[] { 100.0f };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array10, f_array12);
    float[] f_array14 = null;
    boolean b15 = org.apache.commons.math3.util.MathArrays.equals(f_array10, f_array14);
    float[] f_array16 = new float[] {  };
    float[] f_array18 = new float[] { 100.0f };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array16, f_array18);
    boolean b20 = org.apache.commons.math3.util.MathArrays.equals(f_array14, f_array16);
    float[] f_array21 = null;
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array16, f_array21);
    float[] f_array23 = new float[] {  };
    float[] f_array25 = new float[] { 100.0f };
    boolean b26 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array23, f_array25);
    float[] f_array27 = null;
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(f_array23, f_array27);
    float[] f_array29 = new float[] {  };
    float[] f_array31 = new float[] { 100.0f };
    boolean b32 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array29, f_array31);
    boolean b33 = org.apache.commons.math3.util.MathArrays.equals(f_array27, f_array29);
    float[] f_array34 = null;
    boolean b35 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array29, f_array34);
    boolean b36 = org.apache.commons.math3.util.MathArrays.equals(f_array16, f_array29);
    float[] f_array37 = new float[] {  };
    float[] f_array39 = new float[] { 100.0f };
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array37, f_array39);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array16, f_array39);
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array8, f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test422"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.31071992E8f, 0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test423"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(2.0000005f, 4.0389683E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.0000005f);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test424"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)77.59800202274712d, (java.lang.Number)1.4210804127942926d, true);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test425"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(2.8421713E-14f, Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8421713E-14f);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.3859902316102892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22.11561120454671d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.7615941559557649d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.8657694832396585d));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test428"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(9.42499393908206E-5d, 1.4210804127942926d);
    double d3 = univariatePointValuePair2.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 9.42499393908206E-5d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test429"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException6 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException7 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test430"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.5872139151569288d), 6.742965677935093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test431"); }


    float f3 = org.apache.commons.math3.util.Precision.round(2.8421713E-14f, (-127), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test432"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(7.547776273207962E232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test433"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin5.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin5.derivative();
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair12 = brentOptimizer3.optimize(6, univariateFunction7, goalType8, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d13 = brentOptimizer3.getStartValue();
    int i14 = brentOptimizer3.getEvaluations();
    double d15 = brentOptimizer3.getStartValue();
    int i16 = brentOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 1);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test434"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.36750440445207466d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test435"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.7763573E-15f, 6.399999E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.7763573E-15f);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test436"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException6 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array9 = new org.apache.commons.math3.analysis.UnivariateFunction[] { differentiableUnivariateFunction8 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(-0.47583102411108585d), (java.lang.Object[])univariateFunction_array9);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = maxCountExceededException11.getContext();
    java.lang.Number number13 = maxCountExceededException11.getMax();
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    java.lang.Comparable[] comparable_array16 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException20 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection21 = nonMonotonicSequenceException20.getDirection();
    boolean b23 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array16, orderDirection21, true);
    double[] d_array28 = new double[] { 100.0d };
    double[] d_array31 = new double[] { 0.0d, 1.0d };
    boolean b32 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array28, d_array31);
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array37 = new double[] { 0.0d, 1.0d };
    boolean b38 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array37);
    double[] d_array41 = new double[] { 0.0d, 0.0d };
    double d42 = org.apache.commons.math3.util.MathArrays.distance1(d_array37, d_array41);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equals(d_array28, d_array41);
    double[] d_array46 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection47 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b50 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array46, orderDirection47, false, false);
    boolean b51 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array28, d_array46);
    java.lang.Comparable[] comparable_array53 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException57 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection58 = nonMonotonicSequenceException57.getDirection();
    boolean b60 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array53, orderDirection58, true);
    double[] d_array63 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection64 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array63, orderDirection64, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection68 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b70 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array63, orderDirection68, true);
    boolean b72 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array53, orderDirection68, false);
    boolean b74 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array46, orderDirection68, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException76 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1L), (java.lang.Number)7.62939453125E-6d, 99, orderDirection68, true);
    boolean b78 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array16, orderDirection68, true);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException79 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable14, (java.lang.Object[])comparable_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + (-0.47583102411108585d)+ "'", number13.equals((-0.47583102411108585d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == true);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test437"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException7 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException10 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test438"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)13.452237342102702d);
    java.lang.String str2 = tooManyEvaluationsException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (13.452) exceeded: evaluations"+ "'", str2.equals("org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (13.452) exceeded: evaluations"));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test439"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(1.31071992E8f, (-53), 76);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test440"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, 1.6793051181843424d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test441"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.11860085903958355d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.1188790978394546d));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test442"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-127));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test443"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.copyOf(d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    double[] d_array38 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b42 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array38, orderDirection39, false, false);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array38);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    double d59 = org.apache.commons.math3.util.MathArrays.distance1(d_array54, d_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array58);
    double[] d_array63 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection64 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array63, orderDirection64, false, false);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array63);
    double d69 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array38, d_array63);
    double[] d_array70 = org.apache.commons.math3.util.MathArrays.copyOf(d_array63);
    double d71 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array17, d_array63);
    double[] d_array72 = null;
    boolean b73 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test444"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(102400, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 100);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test445"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 1.1103080112589232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test446"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.009934929785330768d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0099352566732512d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test447"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test448"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(1131266493698L, 1131266493698L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1131266493698L);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test449"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.8410312834162215d, 1.41619037021518d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.5751590867989584d));

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test450"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-3.943652089279393d));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    java.lang.Number number3 = tooManyEvaluationsException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-3.943652089279393d)+ "'", number2.equals((-3.943652089279393d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + (-3.943652089279393d)+ "'", number3.equals((-3.943652089279393d)));

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test451"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    double d6 = brentOptimizer3.getMin();
    int i7 = brentOptimizer3.getMaxEvaluations();
    double d8 = brentOptimizer3.getMax();
    int i9 = brentOptimizer3.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test452"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(9.868225843556193E27d, 0.9461121838460531d, 88255.86740255686d, 1.4906477311492075d, (-0.2175070571328921d), 2.0760532441085482E-4d, 4.978635942128598d, (-0.10135843358988561d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 9.33644870353301E27d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test453"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination((-3.943652089279393d), 0.774750348677804d, 5.718798052253403d, (-0.5578300447656787d), 0.0d, (-1.6986290826123596d), (-0.41787947247821605d), 1.476111317381695d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-6.862299823354139d));

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test454"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(4.0389683E-28f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.814825E-35f);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test455"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array3, d_array36);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    boolean b44 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array42);
    double[] d_array46 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array42, 1.8023997852650968d);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array54 = new double[] { 100.0d };
    double[] d_array57 = new double[] { 0.0d, 1.0d };
    boolean b58 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array54, d_array57);
    double[] d_array60 = new double[] { 100.0d };
    double[] d_array63 = new double[] { 0.0d, 1.0d };
    boolean b64 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array60, d_array63);
    double[] d_array67 = new double[] { 0.0d, 0.0d };
    double d68 = org.apache.commons.math3.util.MathArrays.distance1(d_array63, d_array67);
    boolean b69 = org.apache.commons.math3.util.MathArrays.equals(d_array54, d_array67);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction70 = new org.apache.commons.math3.analysis.function.StepFunction(d_array48, d_array54);
    double[] d_array72 = org.apache.commons.math3.util.MathArrays.copyOf(d_array48, 6);
    // The following exception was thrown during execution in test generation
    try {
      double d73 = org.apache.commons.math3.util.MathArrays.distance1(d_array42, d_array48);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test456"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)102.0d, (java.lang.Number)1.4210804127942924d, false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test457"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)572.9577951308232d, false);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test458"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.580195754492862d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1730884323456952d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test459"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array39 = new double[] { 0.0d, 0.0d };
    double d40 = org.apache.commons.math3.util.MathArrays.distance1(d_array35, d_array39);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array26, d_array39);
    double[] d_array44 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection45 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array44, orderDirection45, false, false);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array44);
    double d50 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array19, d_array44);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection51 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array53 = new double[] { 100.0d };
    double[] d_array56 = new double[] { 0.0d, 1.0d };
    boolean b57 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array53, d_array56);
    double[] d_array60 = new double[] { 0.0d, 0.0d };
    double d61 = org.apache.commons.math3.util.MathArrays.distance1(d_array56, d_array60);
    double[][] d_array_array62 = new double[][] { d_array56 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array44, orderDirection51, d_array_array62);
    double[] d_array65 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array44, 746.2056417165278d);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array67 = org.apache.commons.math3.util.MathArrays.copyOf(d_array44, (-18));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test460"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.7763573E-15f, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8421716E-14f);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test461"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-1.6331691739148566d), (java.lang.Number)1.7453292519943295d, true);
    java.lang.Throwable[] throwable_array4 = numberIsTooSmallException3.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test462"); }


    double d2 = org.apache.commons.math3.util.FastMath.max((-0.12461972648165023d), 0.909297426d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.909297426d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test463"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(98.99999f, 9.094947E-13f, 2.1175824E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test464"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-3.4028235E38f), 0.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test465"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(3.1470547239484046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test466"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.8623188722876839d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 49.40723197656493d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test467"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)6.399999E-5f, (java.lang.Number)(-0.8890208728765443d), false);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test468"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(3.388132E-21f, 2.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.388132E-21f);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test469"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.14986816922968588d, 1, 1000);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test470"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(17.999838091498574d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1031.3147545616828d);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test471"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.053671212772351E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-18.36840028483855d));

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test472"); }


    float f2 = org.apache.commons.math3.util.Precision.round(2.8421716E-14f, (-22));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test473"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 3.7900472157714566d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test474"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(3.8146977E-6f, 2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.8146977E-6f);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test475"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.6258930378825627d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test476"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-9.052756101118532E232d), 0.5803162163888547d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test477"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, (-0.031185488166741077d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test478"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(1.7763568E-15f, (-53));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.9721523E-31f);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test479"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0907245790542575d, (-0.9714696231607525d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test480"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.FunctionUtils.sample(univariateFunction0, 746.2059034444405d, (-0.4689588427555758d), (-14));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test481"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.5583721499390896d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9783740585920295d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test482"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-1256.7286007818107d), 21470.77748563643d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test483"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(4.196974901698159d, (-1.1985126051160524d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test484"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.8421713E-14f, (-1.4E-45f), 9.765625E-4f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test485"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-1023), 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 128);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test486"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.019059150113495585d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.469446951953614E-18d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.4999196610982807d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6485888195645595d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test488"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(4.641588833612779d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.0d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test489"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-2), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test490"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.14986816922968588d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test491"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.1175824E-22f, 6.399999E-5f, 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test492"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    int i7 = brentOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test493"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(93131.92593288676d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4551915228366852E-11d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test494"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.4210804127942926d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02480253213886056d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test495"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (-0.6239307469822648d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test496"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, (-6.862299823354139d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-6.862299823354139d));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test497"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array15 = new double[] { 0.0d, 0.0d };
    double d16 = org.apache.commons.math3.util.MathArrays.distance1(d_array11, d_array15);
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array15);
    java.lang.Comparable[] comparable_array22 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection23 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b25 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array22, orderDirection23, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException27 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection23, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array15, orderDirection23, false);
    double[] d_array30 = org.apache.commons.math3.util.MathArrays.copyOf(d_array15);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array41 = new double[] { 0.0d, 1.0d };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array41);
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array47 = new double[] { 0.0d, 1.0d };
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array47);
    double[] d_array51 = new double[] { 0.0d, 0.0d };
    double d52 = org.apache.commons.math3.util.MathArrays.distance1(d_array47, d_array51);
    boolean b53 = org.apache.commons.math3.util.MathArrays.equals(d_array38, d_array51);
    double[] d_array56 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection57 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b60 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array56, orderDirection57, false, false);
    boolean b61 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array56);
    double[] d_array63 = new double[] { 100.0d };
    double[] d_array66 = new double[] { 0.0d, 1.0d };
    boolean b67 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array63, d_array66);
    double[] d_array69 = new double[] { 100.0d };
    double[] d_array72 = new double[] { 0.0d, 1.0d };
    boolean b73 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array69, d_array72);
    double[] d_array76 = new double[] { 0.0d, 0.0d };
    double d77 = org.apache.commons.math3.util.MathArrays.distance1(d_array72, d_array76);
    boolean b78 = org.apache.commons.math3.util.MathArrays.equals(d_array63, d_array76);
    double[] d_array81 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection82 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b85 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array81, orderDirection82, false, false);
    boolean b86 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array63, d_array81);
    double d87 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array56, d_array81);
    double d88 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array35, d_array56);
    double d89 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array30, d_array56);
    // The following exception was thrown during execution in test generation
    try {
      double d90 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array0, d_array56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test498"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin7 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = sin7.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = sin7.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = sin7.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin7);
    org.apache.commons.math3.optimization.GoalType goalType12 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair16 = brentOptimizer3.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin7, goalType12, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    double d17 = brentOptimizer3.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.3543406282661572d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test499"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(3.96665970742412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3779243570169408d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest6.test500"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

}
