
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest9 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test001"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.019378530780965717d, 11.568122028159111d, 0.0d, 8.533542877826454E79d, 0.0d, 12.910443378636357d, 0.0d, 5.357543035931336E300d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.2241732088006489d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test002"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(46.94834932179635d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2256855024945047E20d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test003"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(595.3501099218779d, 0.0099352566732512d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.57077963870413d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test004"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair((-1.0869881516304648E-13d), 1.005944388658517E28d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test005"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.04588648781766632d, (-0.4302340594533545d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.7652062739110352d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test006"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-0.008184875862427155d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.00818478447560285d));

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test007"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(536.4971091562481d, 52.807842264727796d, 0.28129436099805016d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test008"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.2697460729737991d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.036602609609785d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test009"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array1 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin0 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable2 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = org.apache.commons.math3.analysis.FunctionUtils.sample((org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable7, 6.966647564462494d, 0.0d, 697);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test010"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array1);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test011"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(102399.99f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 16);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test012"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.7568024953079282d), 3.96665970742412d, 0.9999999998889239d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test013"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.032768004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.032768007f);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test014"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-2.2516124743168735d), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.2516124743168735d));

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test015"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(101.99999999999999d, 0.0d, 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test016"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(2.220446049250313E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.220446049250313E-16d);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test017"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt((-38.983979336286616d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test018"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(27.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 27.0d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test019"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, 0.6223196929008507d, 3.393115196225441E-33d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test020"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, univariateFunction1, 2.812644285236262E-103d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction3);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test021"); }


    float[] f_array0 = new float[] {  };
    float[] f_array2 = new float[] { 100.0f };
    boolean b3 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array0, f_array2);
    float[] f_array4 = null;
    boolean b5 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array4);
    float[] f_array6 = new float[] {  };
    float[] f_array8 = new float[] { 100.0f };
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array8);
    float[] f_array12 = new float[] { 100.0f, 1.0f };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array6, f_array12);
    boolean b14 = org.apache.commons.math3.util.MathArrays.equals(f_array0, f_array12);
    float[] f_array15 = new float[] {  };
    float[] f_array17 = new float[] { 100.0f };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array15, f_array17);
    float[] f_array19 = null;
    boolean b20 = org.apache.commons.math3.util.MathArrays.equals(f_array15, f_array19);
    float[] f_array21 = new float[] {  };
    float[] f_array23 = new float[] { 100.0f };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array21, f_array23);
    float[] f_array27 = new float[] { 100.0f, 1.0f };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array21, f_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array15, f_array21);
    float[] f_array30 = null;
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(f_array15, f_array30);
    float[] f_array34 = new float[] { 100.0f, 100.0f };
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(f_array15, f_array34);
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array12, f_array15);
    float[] f_array37 = new float[] {  };
    float[] f_array39 = new float[] { 100.0f };
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array37, f_array39);
    float[] f_array41 = null;
    boolean b42 = org.apache.commons.math3.util.MathArrays.equals(f_array37, f_array41);
    float[] f_array43 = new float[] {  };
    float[] f_array45 = new float[] { 100.0f };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array43, f_array45);
    boolean b47 = org.apache.commons.math3.util.MathArrays.equals(f_array41, f_array43);
    float[] f_array48 = null;
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array43, f_array48);
    float[] f_array50 = new float[] {  };
    float[] f_array52 = new float[] { 100.0f };
    boolean b53 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array50, f_array52);
    float[] f_array54 = null;
    boolean b55 = org.apache.commons.math3.util.MathArrays.equals(f_array50, f_array54);
    float[] f_array56 = new float[] {  };
    float[] f_array58 = new float[] { 100.0f };
    boolean b59 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array56, f_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(f_array54, f_array56);
    float[] f_array61 = null;
    boolean b62 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array56, f_array61);
    float[] f_array63 = new float[] {  };
    float[] f_array65 = new float[] { 100.0f };
    boolean b66 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array63, f_array65);
    float[] f_array67 = null;
    boolean b68 = org.apache.commons.math3.util.MathArrays.equals(f_array63, f_array67);
    float[] f_array69 = new float[] {  };
    float[] f_array71 = new float[] { 100.0f };
    boolean b72 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array69, f_array71);
    boolean b73 = org.apache.commons.math3.util.MathArrays.equals(f_array67, f_array69);
    float[] f_array74 = null;
    boolean b75 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array69, f_array74);
    boolean b76 = org.apache.commons.math3.util.MathArrays.equals(f_array56, f_array69);
    float[] f_array77 = new float[] {  };
    float[] f_array79 = new float[] { 100.0f };
    boolean b80 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array77, f_array79);
    float[] f_array81 = null;
    boolean b82 = org.apache.commons.math3.util.MathArrays.equals(f_array77, f_array81);
    float[] f_array83 = new float[] {  };
    float[] f_array85 = new float[] { 100.0f };
    boolean b86 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array83, f_array85);
    boolean b87 = org.apache.commons.math3.util.MathArrays.equals(f_array81, f_array83);
    float[] f_array88 = null;
    boolean b89 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array83, f_array88);
    float[] f_array90 = new float[] {  };
    float[] f_array92 = new float[] { 100.0f };
    boolean b93 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array90, f_array92);
    boolean b94 = org.apache.commons.math3.util.MathArrays.equals(f_array88, f_array92);
    boolean b95 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array56, f_array92);
    boolean b96 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(f_array43, f_array56);
    boolean b97 = org.apache.commons.math3.util.MathArrays.equals(f_array12, f_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(f_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == false);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test022"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-3098L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3098L);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test023"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)(-53), (java.lang.Number)1.552721991371575d, true);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = numberIsTooSmallException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.9758610073789723d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9918880432161035d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test025"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.30331471468735255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6718894572983177d);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test026"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(3.3881318E-21f, 0.6326184901130205d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.388132E-21f);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test027"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.5878426612301672d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8321390037297461d);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test028"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.7942744094627305E71d, 0.900952789307642d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5717733477286072E64d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test029"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor((-80), maxCountExceededCallback1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test030"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(9.052756101118532E232d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.052756101118532E232d);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test031"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    java.lang.Comparable[] comparable_array18 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection19 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b21 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array18, orderDirection19, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array1, orderDirection19, true, true);
    double[] d_array25 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array25);
    double[] d_array27 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array25, d_array27);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test032"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(0, 1024);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array5 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array7 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction6 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array7);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)dimensionMismatchException2, localizable3, (java.lang.Object[])differentiableUnivariateFunction_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext12 = mathIllegalStateException11.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext12);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test033"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b9 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array2, orderDirection7, true);
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2);
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array12, d_array15);
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array21);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = new double[] { 0.0d, 1.0d };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array24, d_array27);
    double[] d_array31 = new double[] { 0.0d, 0.0d };
    double d32 = org.apache.commons.math3.util.MathArrays.distance1(d_array27, d_array31);
    boolean b33 = org.apache.commons.math3.util.MathArrays.equals(d_array18, d_array31);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction34 = new org.apache.commons.math3.analysis.function.StepFunction(d_array12, d_array18);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException38 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = nonMonotonicSequenceException38.getDirection();
    boolean b41 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array18, orderDirection39, true);
    double[] d_array43 = org.apache.commons.math3.util.MathArrays.copyOf(d_array18, 1);
    double[] d_array44 = org.apache.commons.math3.util.MathArrays.copyOf(d_array43);
    // The following exception was thrown during execution in test generation
    try {
      double d45 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array10, d_array43);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test034"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array39 = new double[] { 0.0d, 0.0d };
    double d40 = org.apache.commons.math3.util.MathArrays.distance1(d_array35, d_array39);
    boolean b41 = org.apache.commons.math3.util.MathArrays.equals(d_array26, d_array39);
    double[] d_array44 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection45 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array44, orderDirection45, false, false);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array44);
    double d50 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array19, d_array44);
    double[] d_array51 = org.apache.commons.math3.util.MathArrays.copyOf(d_array44);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException55 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection56 = nonMonotonicSequenceException55.getDirection();
    boolean b59 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array51, orderDirection56, false, false);
    double[] d_array61 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array51, 0.14986816922968588d);
    double[] d_array64 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection65 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b68 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array64, orderDirection65, false, false);
    double[] d_array70 = new double[] { 100.0d };
    double[] d_array73 = new double[] { 0.0d, 1.0d };
    boolean b74 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array70, d_array73);
    double[] d_array76 = new double[] { 100.0d };
    double[] d_array79 = new double[] { 0.0d, 1.0d };
    boolean b80 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array76, d_array79);
    double[] d_array82 = new double[] { 100.0d };
    double[] d_array85 = new double[] { 0.0d, 1.0d };
    boolean b86 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array82, d_array85);
    double[] d_array89 = new double[] { 0.0d, 0.0d };
    double d90 = org.apache.commons.math3.util.MathArrays.distance1(d_array85, d_array89);
    boolean b91 = org.apache.commons.math3.util.MathArrays.equals(d_array76, d_array89);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction92 = new org.apache.commons.math3.analysis.function.StepFunction(d_array70, d_array76);
    boolean b93 = org.apache.commons.math3.util.MathArrays.equals(d_array64, d_array70);
    // The following exception was thrown during execution in test generation
    try {
      double d94 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array51, d_array70);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test035"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.19406172085071063d, (-0.2753584224833309d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.19406172085071063d);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test036"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(11.548739357257741d, 10.50830546598966d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 15.614027811824279d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test037"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(1);
    incrementor1.setMaximalCount(100);
    incrementor1.incrementCount((-18));
    incrementor1.resetCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test038"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.4210804127942926d, 6.123483598797095E264d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.123483598797095E264d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test039"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.5153233725778754d), 0.012749247453001171d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.005353474457828564d));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test040"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double d25 = stepFunction23.value(0.6718894572983177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 100.0d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test041"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(0.032768004f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test042"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, (-2.1175826E-22f), 7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(3.7071902066100946d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test044"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0f, Float.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test045"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMax();
    double d5 = brentOptimizer3.getStartValue();
    int i6 = brentOptimizer3.getMaxEvaluations();
    double d7 = brentOptimizer3.getMax();
    org.apache.commons.math3.analysis.function.Sin sin9 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = sin9.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = sin9.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin9);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable13 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction12);
    org.apache.commons.math3.optimization.GoalType goalType14 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair17 = brentOptimizer3.optimize(16, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable13, goalType14, 2.164866943269636d, 1.0899391519027066d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType14);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test046"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.49319199351633364d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4931919935163337d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test047"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    double d5 = brentOptimizer3.getMin();
    org.apache.commons.math3.analysis.function.Sin sin7 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = sin7.derivative();
    double d10 = sin7.value(0.5591271711416548d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = sin7.derivative();
    org.apache.commons.math3.optimization.GoalType goalType12 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair15 = brentOptimizer3.optimize((-14), (org.apache.commons.math3.analysis.UnivariateFunction)sin7, goalType12, 10.099504938362077d, 2.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.530446486966672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType12);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test048"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(2290243.028456233d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2290243.028456233d);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test049"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(9.536743E-7f, 102400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test050"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.3598983098674066d, 1.4711276743037347d, convergenceChecker2);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.analysis.function.Sin sin8 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array9 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin8 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math3.exception.NullArgumentException(localizable5, (java.lang.Object[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array9);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array9);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker18 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer19 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker18);
    org.apache.commons.math3.analysis.function.Sin sin21 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = sin21.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction23 = sin21.derivative();
    org.apache.commons.math3.optimization.GoalType goalType24 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair28 = brentOptimizer19.optimize(6, univariateFunction23, goalType24, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d29 = brentOptimizer19.getMin();
    int i30 = brentOptimizer19.getEvaluations();
    double d31 = brentOptimizer19.getMin();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker32 = brentOptimizer19.getConvergenceChecker();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction34 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction35 = null;
    org.apache.commons.math3.analysis.function.Sin sin36 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array37 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin36 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable38 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array37);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable39 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array37);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable40 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array37);
    org.apache.commons.math3.exception.util.Localizable localizable41 = null;
    org.apache.commons.math3.analysis.function.Sin sin42 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array43 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin42 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction44 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array43);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException45 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable41, (java.lang.Object[])differentiableUnivariateFunction_array43);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction46 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array43);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction47 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array43);
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array48 = new org.apache.commons.math3.analysis.UnivariateFunction[] { differentiableUnivariateFunction47 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction49 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array48);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction50 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array48);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction51 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction35, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable40, univariateFunction50);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction52 = null;
    org.apache.commons.math3.exception.util.Localizable localizable53 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array54 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction55 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array54);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array56 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction55 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction57 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array56);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction58 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array56);
    org.apache.commons.math3.exception.MathInternalError mathInternalError59 = new org.apache.commons.math3.exception.MathInternalError(localizable53, (java.lang.Object[])differentiableUnivariateFunction_array56);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction60 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array56);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction61 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction62 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction52, univariateFunction60, univariateFunction61);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction63 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction34, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable40, univariateFunction60);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker66 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer67 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker66);
    int i68 = brentOptimizer67.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType69 = brentOptimizer67.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin71 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction72 = sin71.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction73 = sin71.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction74 = sin71.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction75 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin71);
    org.apache.commons.math3.optimization.GoalType goalType76 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair80 = brentOptimizer67.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin71, goalType76, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    int i81 = brentOptimizer67.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType82 = brentOptimizer67.getGoalType();
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair86 = brentOptimizer19.optimize(99, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable40, goalType82, 0.0d, (-0.5192825849117578d), (-1.0150969030102155d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair90 = brentOptimizer3.optimize((-17), (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction15, goalType82, 0.1905160436856328d, 1.5707963267948966d, 12.910443378636357d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i68 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i81 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair86);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test051"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)(-1), true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array7 = numberIsTooLargeException4.getSuppressed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext8 = numberIsTooLargeException4.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext8);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test052"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(13.452237342102702d, 46.94834932179635d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test053"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 0.2350936132044419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test054"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.distance(i_array1, i_array4);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array9, i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distance1(i_array1, i_array9);
    int[] i_array16 = new int[] { 10 };
    int[] i_array17 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16);
    int[] i_array19 = new int[] { 10 };
    int[] i_array20 = org.apache.commons.math3.util.MathArrays.copyOf(i_array19);
    int i21 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array17, i_array20);
    int[] i_array22 = org.apache.commons.math3.util.MathArrays.copyOf(i_array20);
    double d23 = org.apache.commons.math3.util.MathArrays.distance(i_array9, i_array20);
    int[] i_array25 = new int[] { 10 };
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    int[] i_array28 = new int[] { 10 };
    int[] i_array29 = org.apache.commons.math3.util.MathArrays.copyOf(i_array28);
    double d30 = org.apache.commons.math3.util.MathArrays.distance(i_array25, i_array28);
    int[] i_array32 = new int[] { 10 };
    int[] i_array33 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32);
    int[] i_array35 = new int[] { 10 };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    int i37 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array33, i_array36);
    int i38 = org.apache.commons.math3.util.MathArrays.distance1(i_array25, i_array33);
    int[] i_array40 = new int[] { 10 };
    int[] i_array41 = org.apache.commons.math3.util.MathArrays.copyOf(i_array40);
    int[] i_array43 = new int[] { 10 };
    int[] i_array44 = org.apache.commons.math3.util.MathArrays.copyOf(i_array43);
    int i45 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array41, i_array44);
    int[] i_array46 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44);
    double d47 = org.apache.commons.math3.util.MathArrays.distance(i_array33, i_array44);
    double d48 = org.apache.commons.math3.util.MathArrays.distance(i_array9, i_array33);
    int[] i_array50 = new int[] { 10 };
    int[] i_array51 = org.apache.commons.math3.util.MathArrays.copyOf(i_array50);
    int[] i_array53 = new int[] { 10 };
    int[] i_array54 = org.apache.commons.math3.util.MathArrays.copyOf(i_array53);
    int i55 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array51, i_array54);
    int[] i_array56 = org.apache.commons.math3.util.MathArrays.copyOf(i_array54);
    int[] i_array57 = org.apache.commons.math3.util.MathArrays.copyOf(i_array56);
    int[] i_array58 = org.apache.commons.math3.util.MathArrays.copyOf(i_array57);
    int[] i_array60 = org.apache.commons.math3.util.MathArrays.copyOf(i_array58, 0);
    // The following exception was thrown during execution in test generation
    try {
      int i61 = org.apache.commons.math3.util.MathArrays.distance1(i_array33, i_array60);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i38 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array60);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test055"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.8421716E-14f, 2.0000005f, 16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test056"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.9540113537344068d, 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 125044.17615667617d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test057"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin0.derivative();
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = sin0.value(derivativeStructure8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test058"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.7453292519943295d, 3.96665970742412d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 9.108465300013375d);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test059"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination((-4245807.5263283085d), 1.1774215933195178d, (-1.5715812569615701d), (-0.41795851351649055d), (-3.943652089279393d), 0.002136561448084448d, (-3.064168038131505d), 99.07538188910593d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == (-4999408.397766117d));

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test060"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(2.5243549E-29f, 3.1415926535897927d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.5243552E-29f);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test061"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0d, 1.0929376062879004d, (-59245.92773677883d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.7658512883033006d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test063"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.6961386959691024d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7673239996908774d);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test064"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.00775146376880869d), 3.9444216634362776E248d, 0.21273912408247134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test065"); }


    double d3 = org.apache.commons.math3.util.Precision.round(5.334678959681065E-19d, 128, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 5.334678959681065E-19d);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test066"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.9891441694877041d, 76, 697);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test067"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.032768007f, 86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.5353018E24f);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test068"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(900.7313052582214d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test069"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.14748239949766842d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14856587449679476d);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test070"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(4.02379185185745d, (-0.48819996471174565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.48819996471174565d));

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test071"); }


    float f2 = org.apache.commons.math3.util.Precision.round(6.400001E-5f, (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test072"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.008192002f, 1.0842022E-19f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test073"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(6);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.incrementCount(0);
    int i5 = incrementor1.getMaximalCount();
    int i6 = incrementor1.getCount();
    incrementor1.setMaximalCount((-2));
    incrementor1.resetCount();
    int i10 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == (-2));

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test074"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test075"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.5594161343659524d), (-520.1011837072556d), (-18));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test076"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array8);
    java.lang.Number number33 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException35 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.587213915156929d), number33, 10);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection36 = nonMonotonicSequenceException35.getDirection();
    boolean b38 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array8, orderDirection36, false);
    double[] d_array39 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8);
    double[] d_array41 = new double[] { 100.0d };
    double[] d_array44 = new double[] { 0.0d, 1.0d };
    boolean b45 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array44);
    double[] d_array47 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array41, (-0.5578300447656787d));
    org.apache.commons.math3.analysis.function.StepFunction stepFunction48 = new org.apache.commons.math3.analysis.function.StepFunction(d_array39, d_array47);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array56 = new double[] { 100.0d };
    double[] d_array59 = new double[] { 0.0d, 1.0d };
    boolean b60 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array56, d_array59);
    double[] d_array63 = new double[] { 0.0d, 0.0d };
    double d64 = org.apache.commons.math3.util.MathArrays.distance1(d_array59, d_array63);
    boolean b65 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array63);
    double[] d_array68 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection69 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b72 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array68, orderDirection69, false, false);
    boolean b75 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array63, orderDirection69, true, false);
    double[] d_array77 = org.apache.commons.math3.util.MathArrays.copyOf(d_array63, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d78 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array47, d_array77);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b75 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test077"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-11.49363913673314d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.4777263873619167d);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test078"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array41 = new double[] { 0.0d, 1.0d };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array41);
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array47 = new double[] { 0.0d, 1.0d };
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array47);
    double[] d_array51 = new double[] { 0.0d, 0.0d };
    double d52 = org.apache.commons.math3.util.MathArrays.distance1(d_array47, d_array51);
    boolean b53 = org.apache.commons.math3.util.MathArrays.equals(d_array38, d_array51);
    double[] d_array56 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection57 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b60 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array56, orderDirection57, false, false);
    boolean b61 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array56);
    double[] d_array63 = new double[] { 100.0d };
    double[] d_array66 = new double[] { 0.0d, 1.0d };
    boolean b67 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array63, d_array66);
    double[] d_array69 = new double[] { 100.0d };
    double[] d_array72 = new double[] { 0.0d, 1.0d };
    boolean b73 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array69, d_array72);
    double[] d_array76 = new double[] { 0.0d, 0.0d };
    double d77 = org.apache.commons.math3.util.MathArrays.distance1(d_array72, d_array76);
    boolean b78 = org.apache.commons.math3.util.MathArrays.equals(d_array63, d_array76);
    double[] d_array81 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection82 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b85 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array81, orderDirection82, false, false);
    boolean b86 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array63, d_array81);
    double d87 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array56, d_array81);
    double d88 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array35, d_array56);
    double d89 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array13, d_array35);
    double[] d_array90 = org.apache.commons.math3.util.MathArrays.copyOf(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test079"); }


    float f2 = org.apache.commons.math3.util.Precision.round(7.629394E-6f, (-53));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test080"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.007379462000687157d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999727718938527d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test081"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1.3166000966022422d, (java.lang.Number)(-58.87795268917417d), 1);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test082"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.028241E31f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test083"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin0.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin0);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = sin0.derivative();
    double d7 = sin0.value(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test084"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)1.0587912E-22f);
    java.lang.Number number2 = notStrictlyPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1.0587912E-22f+ "'", number2.equals(1.0587912E-22f));

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test085"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-2), (java.lang.Number)746.2056417165278d, 128);
    boolean b4 = nonMonotonicSequenceException3.getStrict();
    java.lang.Number number5 = nonMonotonicSequenceException3.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 746.2056417165278d+ "'", number5.equals(746.2056417165278d));

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test086"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(746.2059034444405d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test087"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.428673234033343E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test088"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.489409543775763d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9795191270714403d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test089"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.07077089221958677d, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 36.234696816428425d);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test090"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.7194284774691612d, 76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.43584788611569E22d);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test091"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    double[] d_array26 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array19, (-0.03117538440567036d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array26);
    double[] d_array29 = org.apache.commons.math3.util.MathArrays.copyOf(d_array26, 90);
    double[] d_array33 = new double[] { 1.0d, 1.0d, (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      double d34 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array29, d_array33);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test092"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(6.399999E-5f, 1.7763568E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.399999E-5f);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test093"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14);
    java.lang.Comparable[] comparable_array19 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException23 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection24 = nonMonotonicSequenceException23.getDirection();
    boolean b26 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array19, orderDirection24, true);
    double[] d_array29 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection30 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b33 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array29, orderDirection30, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection34 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b36 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array29, orderDirection34, true);
    boolean b38 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array19, orderDirection34, false);
    java.lang.Comparable[] comparable_array40 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection41 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b43 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array40, orderDirection41, false);
    boolean b45 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array19, orderDirection41, true);
    java.lang.Comparable[] comparable_array47 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection48 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b50 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array47, orderDirection48, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException54 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection55 = nonMonotonicSequenceException54.getDirection();
    boolean b57 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array47, orderDirection55, true);
    double[] d_array62 = new double[] { 100.0d };
    double[] d_array65 = new double[] { 0.0d, 1.0d };
    boolean b66 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array62, d_array65);
    double[] d_array68 = new double[] { 100.0d };
    double[] d_array71 = new double[] { 0.0d, 1.0d };
    boolean b72 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array68, d_array71);
    double[] d_array75 = new double[] { 0.0d, 0.0d };
    double d76 = org.apache.commons.math3.util.MathArrays.distance1(d_array71, d_array75);
    boolean b77 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array62, d_array75);
    java.lang.Comparable[] comparable_array82 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection83 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b85 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array82, orderDirection83, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException87 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection83, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array75, orderDirection83, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException91 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1.5690509993150914d, (java.lang.Number)0L, 0, orderDirection83, false);
    boolean b93 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array47, orderDirection83, true);
    boolean b95 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array19, orderDirection83, false);
    boolean b98 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection83, false, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b98 == true);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test094"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection4 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException6 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection4, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException6.getDirection();
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.analysis.function.Sin sin11 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array12 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin11 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException6, localizable8, (java.lang.Object[])differentiableUnivariateFunction_array12);
    java.lang.Throwable[] throwable_array17 = mathIllegalStateException16.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test095"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(6);
    boolean b2 = incrementor1.canIncrement();
    int i3 = incrementor1.getCount();
    int i4 = incrementor1.getMaximalCount();
    incrementor1.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 6);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test096"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.5511886501354157d));
    org.apache.commons.math3.exception.MathInternalError mathInternalError2 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)maxCountExceededException1);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test097"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.5718617764709413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2537391181864517d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test098"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(8.684222681761534d, 0.9942174032448446d, 49.40723197656493d, 88560.43710148172d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 4375534.693824219d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test099"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)2.0d, (java.lang.Number)9.936115790724537E232d, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)numberIsTooLargeException4);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test100"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.19288154012315467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19170515872387323d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test101"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-1.0f), 99.99999f, 128);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test102"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.17080227826430802d), 1.732079270909916d, 0.1905160436856328d, (-0.7721151628686461d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.44294341170521767d));

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test103"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(1.0587913E-22f, 2.3841858E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.3841858E-7f);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test104"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(2.5243549E-29f, 10.000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.5243549E-29f);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test105"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination((-0.6756317176080524d), 1.4893842007818807E78d, 0.0d, 1.3122125958980227E8d, 11.548739357257741d, (-0.5410777607294514d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == (-1.0062752057525584E78d));

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test106"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-1.5646177930293281d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-89.64599609165386d));

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test107"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 16, 76);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test108"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.6246841429488434d));
    double[] d_array19 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d20 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array18, d_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test109"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.0587912E-22f, 2.1175824E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0587912E-22f);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test110"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.5082768806501832d);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test111"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection5 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException7 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection5, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection8 = nonMonotonicSequenceException7.getDirection();
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.analysis.function.Sin sin12 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array13 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin12 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException7, localizable9, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array21 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction22 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array21);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array23 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction22 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction24 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array23);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, (java.lang.Object[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction26 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable19, (java.lang.Object[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction28 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction29 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction31 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction1, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction18, univariateFunction30);
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.exception.util.Localizable localizable33 = null;
    org.apache.commons.math3.exception.util.Localizable localizable34 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array35 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction36 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array37 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction36 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction38 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array37);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException39 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable34, (java.lang.Object[])differentiableUnivariateFunction_array37);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException40 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable33, (java.lang.Object[])differentiableUnivariateFunction_array37);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException41 = new org.apache.commons.math3.exception.MathArithmeticException(localizable32, (java.lang.Object[])differentiableUnivariateFunction_array37);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction42 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array37);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction43 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array37);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction44 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, univariateFunction31, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction44);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.9966800333603609d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0014442419379893832d));

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test113"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)1.7763568E-15f, (java.lang.Number)1.1102230246251568E-16d, true);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    java.lang.Number number5 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 1.1102230246251568E-16d+ "'", number4.equals(1.1102230246251568E-16d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.1102230246251568E-16d+ "'", number5.equals(1.1102230246251568E-16d));

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(165793.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 12.018495301250445d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test115"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)4.199057982927098E-77d);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test116"); }


    java.lang.Comparable[] comparable_array4 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection5 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b7 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array4, orderDirection5, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException9 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.440892098500626E-16d, (java.lang.Number)(-1023), 1, orderDirection5, true);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)13.452237342102702d);
    java.lang.Number number12 = maxCountExceededException11.getMax();
    java.lang.Number number13 = maxCountExceededException11.getMax();
    org.apache.commons.math3.exception.util.Localizable localizable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    org.apache.commons.math3.analysis.function.Sin sin19 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array20 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin19 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction21 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array20);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException22 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable17, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array20);
    org.apache.commons.math3.exception.MathInternalError mathInternalError23 = new org.apache.commons.math3.exception.MathInternalError(localizable16, (java.lang.Object[])differentiableUnivariateFunction_array20);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException24 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable14, (java.lang.Number)9.936115790724537E232d, (java.lang.Object[])differentiableUnivariateFunction_array20);
    maxCountExceededException11.addSuppressed((java.lang.Throwable)maxCountExceededException24);
    nonMonotonicSequenceException9.addSuppressed((java.lang.Throwable)maxCountExceededException24);
    java.lang.Number number27 = nonMonotonicSequenceException9.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 13.452237342102702d+ "'", number12.equals(13.452237342102702d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 13.452237342102702d+ "'", number13.equals(13.452237342102702d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number27 + "' != '" + (-1023)+ "'", number27.equals((-1023)));

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test117"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.7454165162753768d, (-80));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4437747030928377E-24d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test118"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(0.8477184228649961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7497726485619659d);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test119"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException(6, 0);
    int i3 = dimensionMismatchException2.getDimension();
    int i4 = dimensionMismatchException2.getDimension();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable5, (java.lang.Number)(-1), (java.lang.Number)(-0.44412615900130886d), true);
    java.lang.Number number10 = numberIsTooLargeException9.getMax();
    dimensionMismatchException2.addSuppressed((java.lang.Throwable)numberIsTooLargeException9);
    java.lang.Number number12 = numberIsTooLargeException9.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + (-0.44412615900130886d)+ "'", number10.equals((-0.44412615900130886d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + (-0.44412615900130886d)+ "'", number12.equals((-0.44412615900130886d)));

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test120"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)88255.86740255686d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notStrictlyPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test121"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(1.0099327997987413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.009883793786895185d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test122"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-161.84863806692582d), 0.31316614877017507d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 161.84863806692582d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test123"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(Float.NEGATIVE_INFINITY, 6.1035156E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test124"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    java.lang.Comparable[] comparable_array25 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException29 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection30 = nonMonotonicSequenceException29.getDirection();
    boolean b32 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array25, orderDirection30, true);
    double[] d_array37 = new double[] { 100.0d };
    double[] d_array40 = new double[] { 0.0d, 1.0d };
    boolean b41 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array37, d_array40);
    double[] d_array43 = new double[] { 100.0d };
    double[] d_array46 = new double[] { 0.0d, 1.0d };
    boolean b47 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array43, d_array46);
    double[] d_array50 = new double[] { 0.0d, 0.0d };
    double d51 = org.apache.commons.math3.util.MathArrays.distance1(d_array46, d_array50);
    boolean b52 = org.apache.commons.math3.util.MathArrays.equals(d_array37, d_array50);
    double[] d_array55 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection56 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b59 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array55, orderDirection56, false, false);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array37, d_array55);
    java.lang.Comparable[] comparable_array62 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException66 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection67 = nonMonotonicSequenceException66.getDirection();
    boolean b69 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array62, orderDirection67, true);
    double[] d_array72 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection73 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b76 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array72, orderDirection73, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection77 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b79 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array72, orderDirection77, true);
    boolean b81 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array62, orderDirection77, false);
    boolean b83 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array55, orderDirection77, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException85 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1L), (java.lang.Number)7.62939453125E-6d, 99, orderDirection77, true);
    boolean b87 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array25, orderDirection77, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array1, orderDirection77, false);
    double[] d_array91 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, 0.8466403175533515d);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test125"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.8116466147935213d));
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test126"); }


    int[] i_array0 = null;
    int[] i_array1 = new int[] {  };
    int[] i_array3 = new int[] { 10 };
    int[] i_array4 = org.apache.commons.math3.util.MathArrays.copyOf(i_array3);
    int[] i_array6 = new int[] { 10 };
    int[] i_array7 = org.apache.commons.math3.util.MathArrays.copyOf(i_array6);
    int i8 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array4, i_array7);
    int i9 = org.apache.commons.math3.util.MathArrays.distance1(i_array1, i_array7);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int[] i_array14 = new int[] { 10 };
    int[] i_array15 = org.apache.commons.math3.util.MathArrays.copyOf(i_array14);
    double d16 = org.apache.commons.math3.util.MathArrays.distance(i_array11, i_array14);
    int[] i_array18 = new int[] { 10 };
    int[] i_array19 = org.apache.commons.math3.util.MathArrays.copyOf(i_array18);
    int[] i_array21 = new int[] { 10 };
    int[] i_array22 = org.apache.commons.math3.util.MathArrays.copyOf(i_array21);
    int i23 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array19, i_array22);
    int i24 = org.apache.commons.math3.util.MathArrays.distance1(i_array11, i_array19);
    int[] i_array26 = new int[] { 10 };
    int[] i_array27 = org.apache.commons.math3.util.MathArrays.copyOf(i_array26);
    int[] i_array29 = new int[] { 10 };
    int[] i_array30 = org.apache.commons.math3.util.MathArrays.copyOf(i_array29);
    int i31 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array27, i_array30);
    int[] i_array32 = org.apache.commons.math3.util.MathArrays.copyOf(i_array30);
    double d33 = org.apache.commons.math3.util.MathArrays.distance(i_array19, i_array30);
    int[] i_array35 = new int[] { 10 };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    int[] i_array38 = new int[] { 10 };
    int[] i_array39 = org.apache.commons.math3.util.MathArrays.copyOf(i_array38);
    double d40 = org.apache.commons.math3.util.MathArrays.distance(i_array35, i_array38);
    int[] i_array42 = new int[] { 10 };
    int[] i_array43 = org.apache.commons.math3.util.MathArrays.copyOf(i_array42);
    int[] i_array45 = new int[] { 10 };
    int[] i_array46 = org.apache.commons.math3.util.MathArrays.copyOf(i_array45);
    int i47 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array43, i_array46);
    int i48 = org.apache.commons.math3.util.MathArrays.distance1(i_array35, i_array43);
    int[] i_array50 = new int[] { 10 };
    int[] i_array51 = org.apache.commons.math3.util.MathArrays.copyOf(i_array50);
    int[] i_array53 = new int[] { 10 };
    int[] i_array54 = org.apache.commons.math3.util.MathArrays.copyOf(i_array53);
    int i55 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array51, i_array54);
    int[] i_array56 = org.apache.commons.math3.util.MathArrays.copyOf(i_array54);
    double d57 = org.apache.commons.math3.util.MathArrays.distance(i_array43, i_array54);
    double d58 = org.apache.commons.math3.util.MathArrays.distance(i_array19, i_array43);
    int i59 = org.apache.commons.math3.util.MathArrays.distance1(i_array7, i_array19);
    // The following exception was thrown during execution in test generation
    try {
      int i60 = org.apache.commons.math3.util.MathArrays.distance1(i_array0, i_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i55 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i59 == 0);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test127"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.08212935624204581d, 86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.4346975661754043E-94d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test128"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection6 = nonMonotonicSequenceException5.getDirection();
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.analysis.function.Sin sin10 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array11 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin10 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array11);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException13 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable8, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException5, localizable7, (java.lang.Object[])differentiableUnivariateFunction_array11);
    int i16 = nonMonotonicSequenceException5.getIndex();
    java.lang.Number number17 = nonMonotonicSequenceException5.getPrevious();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext18 = nonMonotonicSequenceException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number17 + "' != '" + (byte)0+ "'", number17.equals((byte)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext18);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test129"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.0986122886681098d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9494131316918538d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test130"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.6071006400586496d, 0.6725361307220703d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6725361307220703d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test131"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 0.3859902316102892d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test132"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException27 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = nonMonotonicSequenceException27.getDirection();
    boolean b30 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array7, orderDirection28, true);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array41 = new double[] { 0.0d, 1.0d };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array41);
    double[] d_array45 = new double[] { 0.0d, 0.0d };
    double d46 = org.apache.commons.math3.util.MathArrays.distance1(d_array41, d_array45);
    boolean b47 = org.apache.commons.math3.util.MathArrays.equals(d_array32, d_array45);
    double[] d_array48 = org.apache.commons.math3.util.MathArrays.copyOf(d_array32);
    java.lang.Comparable[] comparable_array50 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException54 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection55 = nonMonotonicSequenceException54.getDirection();
    boolean b57 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array50, orderDirection55, true);
    double[] d_array60 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection61 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b64 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array60, orderDirection61, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection65 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array60, orderDirection65, true);
    boolean b69 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array50, orderDirection65, false);
    boolean b72 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array32, orderDirection65, false, false);
    double d73 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array32);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction74 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array32);
    double[] d_array76 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array7, 0.7375106944368399d);
    double[] d_array78 = new double[] { 100.0d };
    double[] d_array81 = new double[] { 0.0d, 1.0d };
    boolean b82 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array78, d_array81);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array78);
    double[] d_array84 = org.apache.commons.math3.util.MathArrays.copyOf(d_array78);
    // The following exception was thrown during execution in test generation
    try {
      double d85 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array76, d_array84);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test133"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.19168779159217494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.19168779159217497d);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test134"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-6.731237865069474d), 1.5674302302668375d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.911324093319557d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test135"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)5.0f);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test136"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.9833298537120598d, (java.lang.Number)1.31071992E8f, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test137"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(2.842172E-14f, 102400, 45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test138"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.42076080460926d, 0.06451262807817515d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0229149559757393d);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test139"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.00997646987127368d), 0.0033664179414665983d, (-22));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test140"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(7.0822975384249185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.0d);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test141"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.1102230246251568E-16d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1102230246251568E-16d);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test142"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = null;
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array3 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction2 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, univariateFunction1, univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test143"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(11.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 11.0d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test144"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.105687432664646E9d, 0.7853981633974484d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7853981633974484d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test145"); }


    double d2 = org.apache.commons.math3.util.Precision.round(0.19168779159217497d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.192d);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test146"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 0.20582868351170708d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1((-0.520616000758517d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.4058455643639945d));

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test148"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.031180434567625804d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9995139296325922d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test149"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.0d, (-0.5716096180634055d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test150"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(2.41868640049604d, 4.705665486795648d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.705665486795648d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test151"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.0823247208508959d);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test152"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(2.980232238769531E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.98023223876953E-8d);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test153"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(1.7453292519943295d, 1.3073211809791987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4811624119935246d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test154"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    double d5 = brentOptimizer3.getMin();
    double d6 = brentOptimizer3.getMin();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction9 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.analysis.function.Sin sin14 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array15 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin14 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array15);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable12, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array15);
    org.apache.commons.math3.exception.MathInternalError mathInternalError18 = new org.apache.commons.math3.exception.MathInternalError(localizable11, (java.lang.Object[])differentiableUnivariateFunction_array15);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array15);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction20 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction21 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction23 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction21, (-0.5309649148733836d));
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array24 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction25 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array24);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction26 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction20, univariateFunction23, univariateFunction25);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction27 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction10, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction19, univariateFunction23);
    org.apache.commons.math3.analysis.function.Sin sin28 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction29 = sin28.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction9, univariateFunction23, (org.apache.commons.math3.analysis.UnivariateFunction)sin28);
    double d32 = sin28.value((-0.5716096180634055d));
    org.apache.commons.math3.optimization.GoalType goalType33 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair37 = brentOptimizer3.optimize((-3), (org.apache.commons.math3.analysis.UnivariateFunction)sin28, goalType33, (-0.7721151628686461d), 0.8454595218464586d, 0.22016692672069996d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == (-0.5409864881078486d));

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test155"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(2.5243552E-29f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test156"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.5318950576133735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test157"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(225.45093296199676d, 2.2561098151904084d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.560789561776886d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test158"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(98.99999f, 6.4E-5f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test159"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.9327302435785114d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test160"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(1.9922471258628995d, (-127), 99);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test161"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(2.0000005f, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2048.0005f);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test162"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-0.5315175239226273d), 4.440892098500626E-16d, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test163"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(9.052756101118532E232d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 773);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test164"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.536743E-7f, 1.7763568E-15f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test165"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    java.lang.Comparable[] comparable_array18 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection19 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b21 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array18, orderDirection19, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array1, orderDirection19, true, true);
    double[] d_array25 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double d26 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array25);
    double[] d_array28 = new double[] { 100.0d };
    double[] d_array31 = new double[] { 0.0d, 1.0d };
    boolean b32 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array28, d_array31);
    double[] d_array34 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array28, (-0.5578300447656787d));
    double[] d_array36 = new double[] { 100.0d };
    double[] d_array39 = new double[] { 0.0d, 1.0d };
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array36, d_array39);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array45 = new double[] { 0.0d, 1.0d };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    double[] d_array49 = new double[] { 0.0d, 0.0d };
    double d50 = org.apache.commons.math3.util.MathArrays.distance1(d_array45, d_array49);
    boolean b51 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array36, d_array49);
    java.lang.Comparable[] comparable_array53 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection54 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b56 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array53, orderDirection54, false);
    boolean b59 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array36, orderDirection54, true, true);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction60 = new org.apache.commons.math3.analysis.function.StepFunction(d_array34, d_array36);
    double d61 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array36);
    double[] d_array63 = org.apache.commons.math3.util.MathArrays.copyOf(d_array36, 0);
    // The following exception was thrown during execution in test generation
    try {
      double d64 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array25, d_array36);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test166"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)9.0071993E15f, (java.lang.Number)0.7088812266218576d, 1);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test167"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(0, (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test168"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(14.656432915666908d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.999999999999628d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test169"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh((-0.4026925894524274d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.41366470237175296d));

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test170"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0260249105433479d, 3.242625859283075E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5695503574088008d);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test171"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.8961499799006243d, 0.278163113872531d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.66964767349365d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test172"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array12 = new double[] { 0.0d, 1.0d };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array12);
    double[] d_array15 = new double[] { 100.0d };
    double[] d_array18 = new double[] { 0.0d, 1.0d };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array18);
    double[] d_array22 = new double[] { 0.0d, 0.0d };
    double d23 = org.apache.commons.math3.util.MathArrays.distance1(d_array18, d_array22);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equals(d_array9, d_array22);
    double[] d_array27 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b31 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array27, orderDirection28, false, false);
    boolean b32 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array27);
    double[] d_array34 = new double[] { 100.0d };
    double[] d_array37 = new double[] { 0.0d, 1.0d };
    boolean b38 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array37);
    double[] d_array40 = new double[] { 100.0d };
    double[] d_array43 = new double[] { 0.0d, 1.0d };
    boolean b44 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array40, d_array43);
    double[] d_array47 = new double[] { 0.0d, 0.0d };
    double d48 = org.apache.commons.math3.util.MathArrays.distance1(d_array43, d_array47);
    boolean b49 = org.apache.commons.math3.util.MathArrays.equals(d_array34, d_array47);
    double[] d_array52 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection53 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b56 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array52, orderDirection53, false, false);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array34, d_array52);
    double d58 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array27, d_array52);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection59 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array61 = new double[] { 100.0d };
    double[] d_array64 = new double[] { 0.0d, 1.0d };
    boolean b65 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array61, d_array64);
    double[] d_array68 = new double[] { 0.0d, 0.0d };
    double d69 = org.apache.commons.math3.util.MathArrays.distance1(d_array64, d_array68);
    double[][] d_array_array70 = new double[][] { d_array64 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array52, orderDirection59, d_array_array70);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException72 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable6, localizable7, (java.lang.Object[])d_array_array70);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.sortInPlace(d_array3, d_array_array70);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array70);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test173"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-0.803775170065996d), (-0.41795851351649055d), (-7.829414613852463d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test174"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 1.8101082167833094E21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test175"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0d, (-1.2085007902001483d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test176"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-3.069409185890091d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test177"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)4.324557251637976E234d, (java.lang.Number)16.563470596946544d, 14);
    int i4 = nonMonotonicSequenceException3.getIndex();
    int i5 = nonMonotonicSequenceException3.getIndex();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 14);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test178"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(8.12595405864095d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 465.58287207732826d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test179"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(4.814825E-35f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.74E-42f);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test180"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.225073858507202E-308d, 180.00000000000003d, (-2.122031472036208d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test181"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(102399.99f, 0.0f, (-6.400001E-5f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test182"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.922816E22f, 8.112965E25f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test183"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.2201944302279409E-42d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-140));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test184"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(1.9833298537120598d, 0.007550375103483214d);
    double d3 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.007550375103483214d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test185"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-22));
    boolean b2 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test186"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(6.911324093319557d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test187"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (-0.9973959044998291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test188"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(10, (-45));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test189"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double d25 = stepFunction23.value((-306.9867999498826d));
    double d27 = stepFunction23.value(0.1928815401231547d);
    double d29 = stepFunction23.value(2.596102686531958d);
    double d31 = stepFunction23.value(1.7021720980414012d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test190"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.0722489976826464d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.030295648941328333d);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test191"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b26 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection20, true, false);
    double[] d_array28 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14, 0);
    double[] d_array32 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array34 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array32, 1.0907245790542575d);
    double[] d_array36 = new double[] { 100.0d };
    double[] d_array39 = new double[] { 0.0d, 1.0d };
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array36, d_array39);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array45 = new double[] { 0.0d, 1.0d };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array55 = new double[] { 0.0d, 0.0d };
    double d56 = org.apache.commons.math3.util.MathArrays.distance1(d_array51, d_array55);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equals(d_array42, d_array55);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction58 = new org.apache.commons.math3.analysis.function.StepFunction(d_array36, d_array42);
    boolean b59 = org.apache.commons.math3.util.MathArrays.equals(d_array32, d_array42);
    double[] d_array63 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array65 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array63, 1.0907245790542575d);
    boolean b66 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array65);
    double[] d_array68 = new double[] { 100.0d };
    double[] d_array71 = new double[] { 0.0d, 1.0d };
    boolean b72 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array68, d_array71);
    boolean b73 = org.apache.commons.math3.util.MathArrays.equals(d_array32, d_array71);
    double[] d_array75 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array71, 0.19168779159217494d);
    boolean b76 = org.apache.commons.math3.util.MathArrays.equals(d_array28, d_array75);
    java.lang.Comparable[] comparable_array81 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection82 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b84 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array81, orderDirection82, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException88 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection89 = nonMonotonicSequenceException88.getDirection();
    boolean b91 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array81, orderDirection89, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException93 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(byte)100, (java.lang.Number)(-127), 6, orderDirection89, false);
    boolean b96 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array75, orderDirection89, false, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b66 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b84 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b96 == true);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test192"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-3098L), 27L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-3098L));

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test193"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(3.6080083965967594E258d, 0.48682834953580506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.18548767184250742d));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test194"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException5 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable1, (java.lang.Number)(-1), (java.lang.Number)(-0.44412615900130886d), true);
    java.lang.Number number6 = numberIsTooLargeException5.getMax();
    java.lang.Throwable[] throwable_array7 = numberIsTooLargeException5.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + (-0.44412615900130886d)+ "'", number6.equals((-0.44412615900130886d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test195"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.8890208728765443d), 2.225073858507202E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.8890208728765443d));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test196"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.4026925894524274d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test197"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(3.4028235E38f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test198"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException(number0, (java.lang.Number)0.5803162163888547d, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test199"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(2.4686905481059367d, 2.030995043836094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.4686905481059367d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test200"); }


    int[] i_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array0, 17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test201"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos((-0.4767408696783165d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.067739710121639d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test202"); }


    float f2 = org.apache.commons.math3.util.Precision.round(2.5353018E24f, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.5353018E24f);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test203"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.569229546458266d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test204"); }


    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException0 = new org.apache.commons.math3.exception.MathArithmeticException();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext1 = mathArithmeticException0.getContext();
    java.lang.String str2 = mathArithmeticException0.toString();
    org.apache.commons.math3.exception.MathInternalError mathInternalError3 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)mathArithmeticException0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = mathArithmeticException0.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"+ "'", str2.equals("org.apache.commons.math3.exception.MathArithmeticException: arithmetic exception"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test205"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow((-0.4690368963037244d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test206"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 10);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test207"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin5.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin5.derivative();
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair12 = brentOptimizer3.optimize(6, univariateFunction7, goalType8, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d13 = brentOptimizer3.getMin();
    int i14 = brentOptimizer3.getEvaluations();
    double d15 = brentOptimizer3.getMin();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker16 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction18 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction19 = null;
    org.apache.commons.math3.analysis.function.Sin sin20 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array21 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin20 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable22 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array21);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable23 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array21);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable24 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array21);
    org.apache.commons.math3.exception.util.Localizable localizable25 = null;
    org.apache.commons.math3.analysis.function.Sin sin26 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array27 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin26 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction28 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array27);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException29 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable25, (java.lang.Object[])differentiableUnivariateFunction_array27);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction30 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array27);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction31 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array27);
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array32 = new org.apache.commons.math3.analysis.UnivariateFunction[] { differentiableUnivariateFunction31 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction33 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array32);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction34 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array32);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction35 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction19, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable24, univariateFunction34);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction36 = null;
    org.apache.commons.math3.exception.util.Localizable localizable37 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array38 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction39 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array38);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array40 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction39 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction41 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array40);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction42 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array40);
    org.apache.commons.math3.exception.MathInternalError mathInternalError43 = new org.apache.commons.math3.exception.MathInternalError(localizable37, (java.lang.Object[])differentiableUnivariateFunction_array40);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction44 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array40);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction45 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction46 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction36, univariateFunction44, univariateFunction45);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction47 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction18, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable24, univariateFunction44);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker50 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer51 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker50);
    int i52 = brentOptimizer51.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType53 = brentOptimizer51.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin55 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction56 = sin55.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction57 = sin55.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction58 = sin55.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction59 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin55);
    org.apache.commons.math3.optimization.GoalType goalType60 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair64 = brentOptimizer51.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin55, goalType60, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    int i65 = brentOptimizer51.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType66 = brentOptimizer51.getGoalType();
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair70 = brentOptimizer3.optimize(99, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable24, goalType66, 0.0d, (-0.5192825849117578d), (-1.0150969030102155d));
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker71 = brentOptimizer3.getConvergenceChecker();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i52 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i65 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker71);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test208"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.020066755619076d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test209"); }


    float f2 = org.apache.commons.math3.util.Precision.round(2.1175826E-22f, 99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test210"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals((-3.4028235E38f), 8.271806E-25f, 1.0E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test211"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin5.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin5.derivative();
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair12 = brentOptimizer3.optimize(6, univariateFunction7, goalType8, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d13 = brentOptimizer3.getStartValue();
    org.apache.commons.math3.optimization.GoalType goalType14 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction16 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction16, 0.774750348677804d);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker21 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer22 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker21);
    int i23 = brentOptimizer22.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType24 = brentOptimizer22.getGoalType();
    org.apache.commons.math3.exception.util.Localizable localizable26 = null;
    org.apache.commons.math3.analysis.function.Sin sin27 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array28 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin27 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable29 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array28);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array28);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException31 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable26, (java.lang.Object[])univariateDifferentiable_array28);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable32 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array28);
    org.apache.commons.math3.optimization.GoalType goalType33 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair36 = brentOptimizer22.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable32, goalType33, 3.2487638034370474d, (-2.0d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair39 = brentOptimizer3.optimize((-37), univariateFunction18, goalType33, (-0.48819996471174565d), (-2.18972265588075d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair36);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.5850847896586775d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.010211655982882392d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test213"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    incrementor0.resetCount();
    int i2 = incrementor0.getMaximalCount();
    int i3 = incrementor0.getMaximalCount();
    incrementor0.resetCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test214"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.distance(i_array1, i_array4);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    int i13 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array9, i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distance1(i_array1, i_array9);
    int[] i_array15 = org.apache.commons.math3.util.MathArrays.copyOf(i_array9);
    int[] i_array17 = new int[] { 10 };
    int[] i_array18 = org.apache.commons.math3.util.MathArrays.copyOf(i_array17);
    int[] i_array20 = new int[] { 10 };
    int[] i_array21 = org.apache.commons.math3.util.MathArrays.copyOf(i_array20);
    double d22 = org.apache.commons.math3.util.MathArrays.distance(i_array17, i_array20);
    int[] i_array23 = org.apache.commons.math3.util.MathArrays.copyOf(i_array20);
    int[] i_array25 = new int[] { 10 };
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    int[] i_array28 = new int[] { 10 };
    int[] i_array29 = org.apache.commons.math3.util.MathArrays.copyOf(i_array28);
    double d30 = org.apache.commons.math3.util.MathArrays.distance(i_array25, i_array28);
    int[] i_array32 = new int[] { 10 };
    int[] i_array33 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32);
    int[] i_array35 = new int[] { 10 };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    double d37 = org.apache.commons.math3.util.MathArrays.distance(i_array32, i_array35);
    int[] i_array39 = new int[] { 10 };
    int[] i_array40 = org.apache.commons.math3.util.MathArrays.copyOf(i_array39);
    int[] i_array42 = new int[] { 10 };
    int[] i_array43 = org.apache.commons.math3.util.MathArrays.copyOf(i_array42);
    int i44 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array40, i_array43);
    int i45 = org.apache.commons.math3.util.MathArrays.distance1(i_array32, i_array40);
    int[] i_array47 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32, 100);
    int i48 = org.apache.commons.math3.util.MathArrays.distance1(i_array28, i_array32);
    int i49 = org.apache.commons.math3.util.MathArrays.distance1(i_array20, i_array32);
    int[] i_array51 = new int[] { 10 };
    int[] i_array52 = org.apache.commons.math3.util.MathArrays.copyOf(i_array51);
    int[] i_array54 = new int[] { 10 };
    int[] i_array55 = org.apache.commons.math3.util.MathArrays.copyOf(i_array54);
    double d56 = org.apache.commons.math3.util.MathArrays.distance(i_array51, i_array54);
    int[] i_array58 = new int[] { 10 };
    int[] i_array59 = org.apache.commons.math3.util.MathArrays.copyOf(i_array58);
    int[] i_array61 = new int[] { 10 };
    int[] i_array62 = org.apache.commons.math3.util.MathArrays.copyOf(i_array61);
    double d63 = org.apache.commons.math3.util.MathArrays.distance(i_array58, i_array61);
    int[] i_array65 = new int[] { 10 };
    int[] i_array66 = org.apache.commons.math3.util.MathArrays.copyOf(i_array65);
    int[] i_array68 = new int[] { 10 };
    int[] i_array69 = org.apache.commons.math3.util.MathArrays.copyOf(i_array68);
    int i70 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array66, i_array69);
    int i71 = org.apache.commons.math3.util.MathArrays.distance1(i_array58, i_array66);
    int[] i_array73 = org.apache.commons.math3.util.MathArrays.copyOf(i_array58, 100);
    int i74 = org.apache.commons.math3.util.MathArrays.distance1(i_array54, i_array58);
    int i75 = org.apache.commons.math3.util.MathArrays.distance1(i_array20, i_array58);
    int[] i_array76 = org.apache.commons.math3.util.MathArrays.copyOf(i_array58);
    int i77 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array15, i_array58);
    int[] i_array79 = org.apache.commons.math3.util.MathArrays.copyOf(i_array15, 7);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array81 = org.apache.commons.math3.util.MathArrays.copyOf(i_array15, (-80));
      org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException");
    } catch (java.lang.NegativeArraySizeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NegativeArraySizeException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NegativeArraySizeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i70 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i71 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i74 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i75 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array79);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test215"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-3.0382315883124478d), (java.lang.Number)9, true);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test216"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(2.3841858E-7f, (-3), (-3));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test217"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array0, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test218"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.4999196610982807d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test219"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals((-0.800683908344816d), 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test220"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.5578300447656787d));
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array12 = new double[] { 0.0d, 1.0d };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array12);
    double[] d_array15 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array9, (-0.5578300447656787d));
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array9, (-0.8920085211300253d));
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException24 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    boolean b25 = nonMonotonicSequenceException24.getStrict();
    java.lang.String str26 = nonMonotonicSequenceException24.toString();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection27 = nonMonotonicSequenceException24.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException29 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.9999999979248693d), (java.lang.Number)0.19288154012315467d, 2, orderDirection27, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array17, orderDirection27, false);
    // The following exception was thrown during execution in test generation
    try {
      double d32 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array7, d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "org.apache.commons.math3.exception.NonMonotonicSequenceException: points -1 and 0 are not strictly increasing (-1 >= -0.587)"+ "'", str26.equals("org.apache.commons.math3.exception.NonMonotonicSequenceException: points -1 and 0 are not strictly increasing (-1 >= -0.587)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection27);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test221"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(0.574680356864101d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test222"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder((-0.04587040018925113d), 10.504710100725216d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.04587040018925113d));

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test223"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)(-1.478914877934904d));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.7194284774691612d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8760572412193011d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test225"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(6.8843145113954674E246d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.902334573623055E82d);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test226"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, (-1.6986290826123593d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test227"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum((-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == (-1.0f));

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test228"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.922816E22f, 3.3881318E-21f, 2.384186E-7f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test229"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN((-4.632428706743349E232d), 1.5807729621599207d, 1.45231651957255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test230"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-7.829414613852463d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1256.7289986401238d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test231"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.531271820784939d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8621634250700175d);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test232"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.0099327997987413d, 11.568122028159111d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.568122028159111d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test233"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array1 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin0 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable2 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test234"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    int i6 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array2, i_array5);
    int[] i_array8 = new int[] { 10 };
    int[] i_array9 = org.apache.commons.math3.util.MathArrays.copyOf(i_array8);
    int[] i_array11 = new int[] { 10 };
    int[] i_array12 = org.apache.commons.math3.util.MathArrays.copyOf(i_array11);
    double d13 = org.apache.commons.math3.util.MathArrays.distance(i_array8, i_array11);
    int[] i_array15 = new int[] { 10 };
    int[] i_array16 = org.apache.commons.math3.util.MathArrays.copyOf(i_array15);
    int[] i_array18 = new int[] { 10 };
    int[] i_array19 = org.apache.commons.math3.util.MathArrays.copyOf(i_array18);
    int i20 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array16, i_array19);
    int i21 = org.apache.commons.math3.util.MathArrays.distance1(i_array8, i_array16);
    int[] i_array23 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16, 1);
    int[] i_array25 = new int[] { 10 };
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    int[] i_array28 = new int[] { 10 };
    int[] i_array29 = org.apache.commons.math3.util.MathArrays.copyOf(i_array28);
    double d30 = org.apache.commons.math3.util.MathArrays.distance(i_array25, i_array28);
    int[] i_array32 = new int[] { 10 };
    int[] i_array33 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32);
    int[] i_array35 = new int[] { 10 };
    int[] i_array36 = org.apache.commons.math3.util.MathArrays.copyOf(i_array35);
    double d37 = org.apache.commons.math3.util.MathArrays.distance(i_array32, i_array35);
    int[] i_array39 = new int[] { 10 };
    int[] i_array40 = org.apache.commons.math3.util.MathArrays.copyOf(i_array39);
    int[] i_array42 = new int[] { 10 };
    int[] i_array43 = org.apache.commons.math3.util.MathArrays.copyOf(i_array42);
    int i44 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array40, i_array43);
    int i45 = org.apache.commons.math3.util.MathArrays.distance1(i_array32, i_array40);
    int[] i_array47 = org.apache.commons.math3.util.MathArrays.copyOf(i_array32, 100);
    int i48 = org.apache.commons.math3.util.MathArrays.distance1(i_array28, i_array32);
    int[] i_array49 = org.apache.commons.math3.util.MathArrays.copyOf(i_array28);
    double d50 = org.apache.commons.math3.util.MathArrays.distance(i_array23, i_array49);
    int i51 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array2, i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i20 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i44 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i48 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == 0);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test235"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 0.20731044745199273d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test236"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-18.36840028483855d), (java.lang.Number)10, false);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test237"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.8466403175533018d, 0.34197751736156073d, (-53));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test238"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(2.771789764154804E162d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test239"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.922817E22f, (-6.400001E-5f), (-80));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test240"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(2.5243552E-29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test241"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(3.0634051532132025d, 1.57077963870413d, 0.3897817927854137d, (-0.019952939729370595d), 1.8887126554045086d, 0.8466403175533515d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 6.403217429488257d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test242"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.45231651957255d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 83.21160708863593d);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test243"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-5.66097593895276E-309d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test244"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.3556542238420155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test245"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array15 = new double[] { 0.0d, 0.0d };
    double d16 = org.apache.commons.math3.util.MathArrays.distance1(d_array11, d_array15);
    boolean b17 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array15);
    double[] d_array20 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection21 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array20, orderDirection21, false, false);
    boolean b25 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array20);
    double[] d_array27 = org.apache.commons.math3.util.MathArrays.copyOf(d_array2, 2);
    double[] d_array29 = new double[] { 100.0d };
    double[] d_array32 = new double[] { 0.0d, 1.0d };
    boolean b33 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array29, d_array32);
    double[] d_array36 = new double[] { 0.0d, 0.0d };
    double d37 = org.apache.commons.math3.util.MathArrays.distance1(d_array32, d_array36);
    double[] d_array38 = org.apache.commons.math3.util.MathArrays.copyOf(d_array32);
    java.lang.Comparable[] comparable_array40 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection41 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b43 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array40, orderDirection41, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException47 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection48 = nonMonotonicSequenceException47.getDirection();
    boolean b50 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array40, orderDirection48, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array32, orderDirection48, true);
    double d53 = org.apache.commons.math3.util.MathArrays.distance(d_array2, d_array32);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction54 = new org.apache.commons.math3.analysis.function.StepFunction(d_array0, d_array2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 100.0d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test246"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(45, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 45);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test247"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array2 = org.apache.commons.math3.util.MathArrays.copyOf(d_array0, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test248"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1.0f), (java.lang.Number)(byte)(-1), true);
    java.lang.Throwable[] throwable_array5 = numberIsTooLargeException4.getSuppressed();
    boolean b6 = numberIsTooLargeException4.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array7 = numberIsTooLargeException4.getSuppressed();
    java.lang.Number number8 = numberIsTooLargeException4.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (byte)(-1)+ "'", number8.equals((byte)(-1)));

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test249"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.032768007f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.03276801f);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test250"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-1023));
    int i5 = incrementor1.getCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(45);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test251"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, (-0.41708354303486606d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test252"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)0.07077089221958677d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test253"); }


    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException15 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection16 = nonMonotonicSequenceException15.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError17 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException15);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection18 = nonMonotonicSequenceException15.getDirection();
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    double[] d_array38 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b42 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array38, orderDirection39, false, false);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array38);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    double d59 = org.apache.commons.math3.util.MathArrays.distance1(d_array54, d_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array58);
    double[] d_array63 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection64 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array63, orderDirection64, false, false);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array63);
    double d69 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array38, d_array63);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection70 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array72 = new double[] { 100.0d };
    double[] d_array75 = new double[] { 0.0d, 1.0d };
    boolean b76 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array72, d_array75);
    double[] d_array79 = new double[] { 0.0d, 0.0d };
    double d80 = org.apache.commons.math3.util.MathArrays.distance1(d_array75, d_array79);
    double[][] d_array_array81 = new double[][] { d_array75 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array63, orderDirection70, d_array_array81);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array10, orderDirection18, d_array_array81);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException85 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1.2626272556789118d, (java.lang.Number)2.718281828459045d, 100, orderDirection18, true);
    java.lang.Number number86 = nonMonotonicSequenceException85.getArgument();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection87 = nonMonotonicSequenceException85.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException89 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)1.5702011477638689d, (java.lang.Number)0.574680356864101d, (-17), orderDirection87, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number86 + "' != '" + 1.2626272556789118d+ "'", number86.equals(1.2626272556789118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection87);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test254"); }


    int[] i_array0 = null;
    int[] i_array2 = new int[] { 10 };
    int[] i_array3 = org.apache.commons.math3.util.MathArrays.copyOf(i_array2);
    int[] i_array5 = new int[] { 10 };
    int[] i_array6 = org.apache.commons.math3.util.MathArrays.copyOf(i_array5);
    double d7 = org.apache.commons.math3.util.MathArrays.distance(i_array2, i_array5);
    int[] i_array9 = new int[] { 10 };
    int[] i_array10 = org.apache.commons.math3.util.MathArrays.copyOf(i_array9);
    int[] i_array12 = new int[] { 10 };
    int[] i_array13 = org.apache.commons.math3.util.MathArrays.copyOf(i_array12);
    int i14 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array10, i_array13);
    int i15 = org.apache.commons.math3.util.MathArrays.distance1(i_array2, i_array10);
    int[] i_array16 = org.apache.commons.math3.util.MathArrays.copyOf(i_array10);
    int[] i_array18 = new int[] { 10 };
    int[] i_array19 = org.apache.commons.math3.util.MathArrays.copyOf(i_array18);
    int[] i_array21 = new int[] { 10 };
    int[] i_array22 = org.apache.commons.math3.util.MathArrays.copyOf(i_array21);
    double d23 = org.apache.commons.math3.util.MathArrays.distance(i_array18, i_array21);
    int[] i_array25 = new int[] { 10 };
    int[] i_array26 = org.apache.commons.math3.util.MathArrays.copyOf(i_array25);
    int[] i_array28 = new int[] { 10 };
    int[] i_array29 = org.apache.commons.math3.util.MathArrays.copyOf(i_array28);
    int i30 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array26, i_array29);
    int i31 = org.apache.commons.math3.util.MathArrays.distance1(i_array18, i_array26);
    int[] i_array32 = org.apache.commons.math3.util.MathArrays.copyOf(i_array26);
    int i33 = org.apache.commons.math3.util.MathArrays.distance1(i_array16, i_array26);
    int[] i_array34 = new int[] {  };
    int[] i_array36 = new int[] { 10 };
    int[] i_array37 = org.apache.commons.math3.util.MathArrays.copyOf(i_array36);
    int[] i_array39 = new int[] { 10 };
    int[] i_array40 = org.apache.commons.math3.util.MathArrays.copyOf(i_array39);
    int i41 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array37, i_array40);
    int i42 = org.apache.commons.math3.util.MathArrays.distance1(i_array34, i_array40);
    int i43 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array16, i_array40);
    int[] i_array44 = org.apache.commons.math3.util.MathArrays.copyOf(i_array16);
    int[] i_array46 = org.apache.commons.math3.util.MathArrays.copyOf(i_array44, 6);
    // The following exception was thrown during execution in test generation
    try {
      int i47 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array0, i_array46);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i41 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i43 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array46);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test255"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(3.282466954534727E7d, (-0.6935915826764747d), convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(817.1461533219456d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.9122997406260605d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test257"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)6, (java.lang.Number)1.4E-45f, false);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    java.lang.Number number6 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.4E-45f+ "'", number5.equals(1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 1.4E-45f+ "'", number6.equals(1.4E-45f));

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test258"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(76112.61091070402d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.881456619913577d);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test259"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.44412615900130886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7629606119243544d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test260"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Comparable[] comparable_array5 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException9 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = nonMonotonicSequenceException9.getDirection();
    boolean b12 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array5, orderDirection10, true);
    double[] d_array15 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection16 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b19 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array15, orderDirection16, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b22 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array15, orderDirection20, true);
    boolean b24 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array5, orderDirection20, false);
    org.apache.commons.math3.exception.MathInternalError mathInternalError25 = new org.apache.commons.math3.exception.MathInternalError(localizable3, (java.lang.Object[])comparable_array5);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException29 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    boolean b30 = nonMonotonicSequenceException29.getStrict();
    boolean b31 = nonMonotonicSequenceException29.getStrict();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection32 = nonMonotonicSequenceException29.getDirection();
    boolean b34 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array5, orderDirection32, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException36 = new org.apache.commons.math3.exception.NonMonotonicSequenceException(number0, (java.lang.Number)0.14986816922968588d, 16, orderDirection32, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection37 = nonMonotonicSequenceException36.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection37);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test261"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.2058286835117071d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20728510254546142d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test262"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)10.0f);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test263"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)(-3.943652089279393d));
    java.lang.Number number2 = tooManyEvaluationsException1.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = tooManyEvaluationsException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-3.943652089279393d)+ "'", number2.equals((-3.943652089279393d)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test264"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.4823531177837033d, (-0.009976304382465042d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.009976304382464996d));

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test265"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array5 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction4 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException10 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.0000001f, (java.lang.Object[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = maxCountExceededException10.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test266"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException(number0, (java.lang.Number)0.3556542238420155d, 0);
    java.lang.Number number4 = nonMonotonicSequenceException3.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0.3556542238420155d+ "'", number4.equals(0.3556542238420155d));

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test267"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.8236120368034562d));
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test268"); }


    float f2 = org.apache.commons.math3.util.Precision.round(4.0389678E-28f, 1024);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test269"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(2.503028349881923d, (-0.06580483520191889d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.503028349881923d));

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test270"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(0.6931471805599595d, (-10.34319442903821d), (-0.5597388449675059d), (-2.503028349881923d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-5.768313858987486d));

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test271"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.028241E31f, 1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test272"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    double d5 = brentOptimizer3.getMax();
    double d6 = brentOptimizer3.getMax();
    double d7 = brentOptimizer3.getMin();
    double d8 = brentOptimizer3.getStartValue();
    int i9 = brentOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test273"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(6.400001E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 6.400001E-5f);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test274"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction0, 0.6326184901130205d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test275"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = sin0.derivative();
    double d3 = sin0.value(0.5591271711416548d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = sin0.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = sin0.derivative();
    double d7 = sin0.value((-520.1011837072556d));
    org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure8 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.differentiation.DerivativeStructure derivativeStructure9 = sin0.value(derivativeStructure8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.530446486966672d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.985988042719703d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test276"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(21470.77748563643d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test277"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(6.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test278"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.291097327073943d, 4.4026057013911864E26d, 297.0788908733787d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test279"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(45, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 45);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test280"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.5865816020603368d, number2, true);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test281"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.0929376062879004d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test282"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.0907245790542575d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    org.apache.commons.math3.exception.MathInternalError mathInternalError3 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)maxCountExceededException1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1.0907245790542575d+ "'", number2.equals(1.0907245790542575d));

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test283"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0842022E-19f, 2.1175824E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0842022E-19f);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test284"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-0.009975807958859863d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.21526959480647812d));

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test285"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(2.8421713E-14f, 0.056050478852952536d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.8421716E-14f);

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test286"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(697);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test287"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException3 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1), (java.lang.Number)3.4942187170360266E-7d, (-2));
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection4 = nonMonotonicSequenceException3.getDirection();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection4);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test288"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.9922471258628995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test289"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.9833298537120598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.4361554065178965d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test290"); }


    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.5591271711416548d, 0.19168779159217497d);
    double d3 = brentOptimizer2.getMin();
    int i4 = brentOptimizer2.getEvaluations();
    double d5 = brentOptimizer2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test291"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.8134114035332956d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test292"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(2290243.0284562334d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test293"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.1948335347609179E302d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.194833534760918E302d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test294"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    double d4 = brentOptimizer3.getMin();
    double d5 = brentOptimizer3.getStartValue();
    double d6 = brentOptimizer3.getMax();
    int i7 = brentOptimizer3.getEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType8 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = null;
    org.apache.commons.math3.optimization.GoalType goalType11 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair14 = brentOptimizer3.optimize(10, univariateFunction10, goalType11, 0.6276125002048192d, 4.4346975661754043E-94d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType11);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test295"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.5872139151569288d));
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test296"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.580195754492862d, 0.4228120277165407d, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    int i5 = brentOptimizer3.getMaxEvaluations();
    double d6 = brentOptimizer3.getMax();
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction8 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.analysis.function.Sin sin13 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array14 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin13 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array14);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable11, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array14);
    org.apache.commons.math3.exception.MathInternalError mathInternalError17 = new org.apache.commons.math3.exception.MathInternalError(localizable10, (java.lang.Object[])differentiableUnivariateFunction_array14);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array14);
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction19 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction20 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction20, (-0.5309649148733836d));
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array23 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction24 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction25 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction19, univariateFunction22, univariateFunction24);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction26 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction9, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction18, univariateFunction22);
    org.apache.commons.math3.analysis.function.Sin sin27 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction28 = sin27.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction29 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction8, univariateFunction22, (org.apache.commons.math3.analysis.UnivariateFunction)sin27);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker32 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer33 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker32);
    org.apache.commons.math3.analysis.function.Sin sin35 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction36 = sin35.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction37 = sin35.derivative();
    org.apache.commons.math3.optimization.GoalType goalType38 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair42 = brentOptimizer33.optimize(6, univariateFunction37, goalType38, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair45 = brentOptimizer3.optimize(2, (org.apache.commons.math3.analysis.UnivariateFunction)sin27, goalType38, (-0.854843920279512d), (-0.34893292278222565d));
    double d46 = univariatePointValuePair45.getPoint();
    double d47 = univariatePointValuePair45.getPoint();
    double d48 = univariatePointValuePair45.getValue();
    double d49 = univariatePointValuePair45.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == (-0.6018884215308689d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == (-0.6018884215308689d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == (-0.5662000472184794d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == (-0.5662000472184794d));

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test297"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.9900731300232828d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1599408854909348d);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test298"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-1), 0);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = dimensionMismatchException2.getContext();
    java.lang.Throwable[] throwable_array4 = dimensionMismatchException2.getSuppressed();
    java.lang.String str5 = dimensionMismatchException2.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.exception.DimensionMismatchException: -1 != 0"+ "'", str5.equals("org.apache.commons.math3.exception.DimensionMismatchException: -1 != 0"));

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test299"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 1.110223024625157E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test300"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MathInternalError mathInternalError11 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])univariateDifferentiable_array3);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str12 = mathInternalError11.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test301"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(7.6293936E-6f, 3.242625859283075E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.629394E-6f);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test302"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.3897817927854137d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.170401694070686d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test303"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test304"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(6.1896996E27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 92);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test305"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.8421716E-14f, 99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test306"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.384186E-7f, 9.9999998E16f, 92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test307"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-1.5715812569615701d), 0.07077089221958677d, 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test308"); }


    long long1 = org.apache.commons.math3.util.FastMath.round((-38.13194832908729d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == (-38L));

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test309"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.44375129692668186d, (-1.570796326794893d));
    double d3 = univariatePointValuePair2.getPoint();
    double d4 = univariatePointValuePair2.getPoint();
    double d5 = univariatePointValuePair2.getPoint();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.44375129692668186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.44375129692668186d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.44375129692668186d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test310"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-55.914184464550054d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.105427357601002E-15d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test311"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-18), (-18));

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test312"); }


    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException6 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection7 = nonMonotonicSequenceException6.getDirection();
    org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)nonMonotonicSequenceException6);
    int i9 = nonMonotonicSequenceException6.getIndex();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = nonMonotonicSequenceException6.getDirection();
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException12 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)68.72020298171165d, (java.lang.Number)2.6071006400586496d, 2, orderDirection10, false);
    java.lang.Number number13 = nonMonotonicSequenceException12.getPrevious();
    java.lang.Number number14 = nonMonotonicSequenceException12.getPrevious();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 2.6071006400586496d+ "'", number13.equals(2.6071006400586496d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 2.6071006400586496d+ "'", number14.equals(2.6071006400586496d));

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test313"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(6.3508120580348555d, 0.04484962275883878d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04484962275883878d);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test314"); }


    double[] d_array3 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array5 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array3, 1.0907245790542575d);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array19 = new double[] { 100.0d };
    double[] d_array22 = new double[] { 0.0d, 1.0d };
    boolean b23 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array19, d_array22);
    double[] d_array26 = new double[] { 0.0d, 0.0d };
    double d27 = org.apache.commons.math3.util.MathArrays.distance1(d_array22, d_array26);
    boolean b28 = org.apache.commons.math3.util.MathArrays.equals(d_array13, d_array26);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction29 = new org.apache.commons.math3.analysis.function.StepFunction(d_array7, d_array13);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equals(d_array3, d_array13);
    double[] d_array34 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array36 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array34, 1.0907245790542575d);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array3, d_array36);
    double[] d_array39 = new double[] { 100.0d };
    double[] d_array42 = new double[] { 0.0d, 1.0d };
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array39, d_array42);
    double[] d_array45 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array39, (-0.5578300447656787d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array45);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array54 = new double[] { 100.0d };
    double[] d_array57 = new double[] { 0.0d, 1.0d };
    boolean b58 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array54, d_array57);
    double[] d_array61 = new double[] { 0.0d, 0.0d };
    double d62 = org.apache.commons.math3.util.MathArrays.distance1(d_array57, d_array61);
    boolean b63 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array61);
    java.lang.Comparable[] comparable_array65 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection66 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b68 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array65, orderDirection66, false);
    boolean b71 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array48, orderDirection66, true, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array45, orderDirection66, false);
    // The following exception was thrown during execution in test generation
    try {
      boolean b76 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array3, orderDirection66, true, true);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b58 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == true);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test315"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.0d, 0.6018903933771448d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test316"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = null;
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array3 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction2 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array3);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)100.0d, (java.lang.Object[])univariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateFunction_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array3);
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array11 = org.apache.commons.math3.analysis.FunctionUtils.sample(univariateFunction7, 11.568122028159111d, 0.3724432814736941d, 99);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test317"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(22.332851657647005d, 0.0d, 1.7453292519943293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test318"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException8 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)1.9922471258628995d, (java.lang.Object[])univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test319"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.0819454395092093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test320"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.4999196610982807d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test321"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)1.1774215933195176d);
    java.lang.Number number2 = maxCountExceededException1.getMax();
    java.lang.Number number3 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 1.1774215933195176d+ "'", number2.equals(1.1774215933195176d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 1.1774215933195176d+ "'", number3.equals(1.1774215933195176d));

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test322"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(4.814825E-35f, 9.0071993E15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test323"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test324"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    int i4 = brentOptimizer3.getEvaluations();
    double d5 = brentOptimizer3.getMax();
    double d6 = brentOptimizer3.getMax();
    org.apache.commons.math3.optimization.GoalType goalType7 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = null;
    org.apache.commons.math3.optimization.GoalType goalType10 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair14 = brentOptimizer3.optimize((-22), univariateFunction9, goalType10, 0.0d, 0.0d, 2.0309950437259436d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType7);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test325"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.31071992E8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 26);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test326"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.2697460729737991d, 0.026019036612365643d, 1.318757039834496d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test327"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.3164036458569648E64d, (-2.4219103210999756E-7d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-1.3164036458569648E64d));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test328"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(7.629395E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 7.629396E-6f);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test329"); }


    int[] i_array1 = new int[] { 10 };
    int[] i_array2 = org.apache.commons.math3.util.MathArrays.copyOf(i_array1);
    int[] i_array4 = new int[] { 10 };
    int[] i_array5 = org.apache.commons.math3.util.MathArrays.copyOf(i_array4);
    double d6 = org.apache.commons.math3.util.MathArrays.distance(i_array1, i_array4);
    int[] i_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      int i8 = org.apache.commons.math3.util.MathArrays.distanceInf(i_array1, i_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(i_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test330"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.5707963268240004d, (-1.7828961313001945d), convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test331"); }


    double d1 = org.apache.commons.math3.util.FastMath.log((-0.005353474457828564d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(2.4686905481059367d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6232581019611334d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test333"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(3.96665970742412d, 6.742965677935093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.742965677935093d);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test334"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(11.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test335"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.20297043541725773d, 7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 25.98021573340899d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test336"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)(-0.031180434567625804d));
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test337"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.0d, (java.lang.Number)(-0.1736481776669303d), false);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test338"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-0.854843920279512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.854843920279512d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test339"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable8 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable0, localizable1, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable12 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test340"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.006736800422135042d, (-0.06368641808783039d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test341"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 6.123483598797095E264d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.123483598797095E264d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test342"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(5.716023696621517E-9d, 23.162381521626777d, (-0.009976304382464996d), 0.009883793786895185d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-9.847133854993491E-5d));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test343"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    double[] d_array25 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection26 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b29 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array25, orderDirection26, false, false);
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array25);
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array41 = new double[] { 0.0d, 1.0d };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array41);
    double[] d_array45 = new double[] { 0.0d, 0.0d };
    double d46 = org.apache.commons.math3.util.MathArrays.distance1(d_array41, d_array45);
    boolean b47 = org.apache.commons.math3.util.MathArrays.equals(d_array32, d_array45);
    double[] d_array50 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection51 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b54 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array50, orderDirection51, false, false);
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array50);
    double d56 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array25, d_array50);
    double d57 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array4, d_array25);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test344"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(99.0f, 17, (-2147483648));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test345"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(0.0819454395092093d, (-6.986799949882595d));
    double d3 = univariatePointValuePair2.getPoint();
    double d4 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0819454395092093d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-6.986799949882595d));

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test346"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer((-58.87795268917417d), (-0.031170335715785424d), convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test347"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array6 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction5 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable2, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException11 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)9, (java.lang.Object[])differentiableUnivariateFunction_array6);
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array13 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException11, localizable12, obj_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test348"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-0.031496983612176926d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9689938793106696d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test349"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo((-0.8236120368034562d), 0.9966800333603609d, 1.8675922440031868E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test350"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.17626961399584523d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.17626961399584523d);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test351"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0587912E-22f, 2.8421713E-14f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0587912E-22f);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test352"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(11065L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 11065L);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test353"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.2537391181864517d, (-0.5278888682247536d), 0.21670951984856335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test354"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.0182063686813851d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.007835809136727524d);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test355"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.5403023058926297d, 1.0899391519027066d, 5.334678959681065E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test356"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.POSITIVE_INFINITY, 3.3881318E-21f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test357"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 6);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test358"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.0d, (-0.009976469864685297d), convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test359"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(45, 90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 45);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test360"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(5.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test361"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-1023));
    boolean b5 = incrementor1.canIncrement();
    int i6 = incrementor1.getMaximalCount();
    incrementor1.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount(99);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == (-1023));

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test362"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number2 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)65.48490315732077d, number2, false);
    double[] d_array9 = new double[] { 100.0d };
    double[] d_array12 = new double[] { 0.0d, 1.0d };
    boolean b13 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array12);
    double[] d_array15 = new double[] { 100.0d };
    double[] d_array18 = new double[] { 0.0d, 1.0d };
    boolean b19 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array15, d_array18);
    double[] d_array22 = new double[] { 0.0d, 0.0d };
    double d23 = org.apache.commons.math3.util.MathArrays.distance1(d_array18, d_array22);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equals(d_array9, d_array22);
    double[] d_array27 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection28 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b31 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array27, orderDirection28, false, false);
    boolean b32 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array9, d_array27);
    java.lang.Comparable[] comparable_array34 = new java.lang.Comparable[] { 0.0d };
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException38 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = nonMonotonicSequenceException38.getDirection();
    boolean b41 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array34, orderDirection39, true);
    double[] d_array44 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection45 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b48 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array44, orderDirection45, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection49 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b51 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array44, orderDirection49, true);
    boolean b53 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array34, orderDirection49, false);
    boolean b55 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array27, orderDirection49, false);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException57 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-1L), (java.lang.Number)7.62939453125E-6d, 99, orderDirection49, true);
    int i58 = nonMonotonicSequenceException57.getIndex();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection59 = nonMonotonicSequenceException57.getDirection();
    numberIsTooLargeException4.addSuppressed((java.lang.Throwable)nonMonotonicSequenceException57);
    boolean b61 = numberIsTooLargeException4.getBoundIsAllowed();
    boolean b62 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i58 == 99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test363"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(1.406114772927349E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test364"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.6246841429488434d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array1);
    double[] d_array20 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array22 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1, 90);
    double[] d_array23 = org.apache.commons.math3.util.MathArrays.copyOf(d_array22);
    double[] d_array25 = new double[] { 100.0d };
    double[] d_array28 = new double[] { 0.0d, 1.0d };
    boolean b29 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array25, d_array28);
    double[] d_array32 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection33 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b36 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array32, orderDirection33, false, false);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array41 = new double[] { 0.0d, 1.0d };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array41);
    double[] d_array44 = new double[] { 100.0d };
    double[] d_array47 = new double[] { 0.0d, 1.0d };
    boolean b48 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array44, d_array47);
    double[] d_array50 = new double[] { 100.0d };
    double[] d_array53 = new double[] { 0.0d, 1.0d };
    boolean b54 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array50, d_array53);
    double[] d_array57 = new double[] { 0.0d, 0.0d };
    double d58 = org.apache.commons.math3.util.MathArrays.distance1(d_array53, d_array57);
    boolean b59 = org.apache.commons.math3.util.MathArrays.equals(d_array44, d_array57);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction60 = new org.apache.commons.math3.analysis.function.StepFunction(d_array38, d_array44);
    boolean b61 = org.apache.commons.math3.util.MathArrays.equals(d_array32, d_array38);
    double[] d_array62 = org.apache.commons.math3.util.MathArrays.copyOf(d_array32);
    double d63 = org.apache.commons.math3.util.MathArrays.distance(d_array28, d_array32);
    double[] d_array65 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array32, 374.7314254813898d);
    // The following exception was thrown during execution in test generation
    try {
      double d66 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array32);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test365"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.567347890830842d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-32.506639660256226d));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test366"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(200.0f, (-6.400001E-5f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test367"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    incrementor1.resetCount();
    incrementor1.setMaximalCount((-1023));
    // The following exception was thrown during execution in test generation
    try {
      incrementor1.incrementCount();
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test368"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array15 = new double[] { 0.0d, 0.0d };
    double d16 = org.apache.commons.math3.util.MathArrays.distance1(d_array11, d_array15);
    boolean b17 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array15);
    double[] d_array20 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection21 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b24 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array20, orderDirection21, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection25 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b27 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array20, orderDirection25, true);
    org.apache.commons.math3.exception.util.Localizable localizable28 = null;
    java.lang.Throwable throwable29 = null;
    org.apache.commons.math3.exception.util.Localizable localizable30 = null;
    double[] d_array32 = new double[] { 100.0d };
    double[] d_array35 = new double[] { 0.0d, 1.0d };
    boolean b36 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array35);
    double[] d_array38 = new double[] { 100.0d };
    double[] d_array41 = new double[] { 0.0d, 1.0d };
    boolean b42 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array38, d_array41);
    double[] d_array45 = new double[] { 0.0d, 0.0d };
    double d46 = org.apache.commons.math3.util.MathArrays.distance1(d_array41, d_array45);
    boolean b47 = org.apache.commons.math3.util.MathArrays.equals(d_array32, d_array45);
    double[] d_array50 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection51 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b54 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array50, orderDirection51, false, false);
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array32, d_array50);
    double[] d_array57 = new double[] { 100.0d };
    double[] d_array60 = new double[] { 0.0d, 1.0d };
    boolean b61 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array57, d_array60);
    double[] d_array63 = new double[] { 100.0d };
    double[] d_array66 = new double[] { 0.0d, 1.0d };
    boolean b67 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array63, d_array66);
    double[] d_array70 = new double[] { 0.0d, 0.0d };
    double d71 = org.apache.commons.math3.util.MathArrays.distance1(d_array66, d_array70);
    boolean b72 = org.apache.commons.math3.util.MathArrays.equals(d_array57, d_array70);
    double[] d_array75 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection76 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b79 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array75, orderDirection76, false, false);
    boolean b80 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array57, d_array75);
    double d81 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array50, d_array75);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection82 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    double[] d_array84 = new double[] { 100.0d };
    double[] d_array87 = new double[] { 0.0d, 1.0d };
    boolean b88 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array84, d_array87);
    double[] d_array91 = new double[] { 0.0d, 0.0d };
    double d92 = org.apache.commons.math3.util.MathArrays.distance1(d_array87, d_array91);
    double[][] d_array_array93 = new double[][] { d_array87 };
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array75, orderDirection82, d_array_array93);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException95 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable29, localizable30, (java.lang.Object[])d_array_array93);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException96 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable28, (java.lang.Object[])d_array_array93);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array20, d_array_array93);
    org.apache.commons.math3.util.MathArrays.sortInPlace(d_array15, d_array_array93);
    boolean b99 = org.apache.commons.math3.util.MathArrays.equals(d_array0, d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array_array93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b99 == false);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test369"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer2 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.026019036612365643d, (-0.567347890830842d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test370"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign((-0.04484962275883878d), 2.076053244108548E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.04484962275883878d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test371"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(6.1035156E-5f, 4, (-18));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test372"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.9714696231607525d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-55.66110933227564d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test373"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(3.364125133664886d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.220700361482292d));

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.20728510254546142d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2087989671739713d);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test375"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(4.5474735E-13f, 999.99994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.5474735E-13f);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test376"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test377"); }


    double d8 = org.apache.commons.math3.util.MathArrays.linearCombination(0.026013166657080422d, 1.0000000000000284d, 0.01937974366549831d, 0.27816311387253106d, 1.1066376096750703E-8d, 7.0d, 274.7314254813898d, 2.030995043836094d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 558.0095675126937d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test378"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(2.866079372916999E21d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test379"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array3 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin2 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array3);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array5 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction4 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException8 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = nullArgumentException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test380"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(1.732079270909916d, (-80));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4327423923016659E-24d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test381"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double d25 = stepFunction23.value((-306.9867999498826d));
    double d27 = stepFunction23.value(0.01937853050773848d);
    double d29 = stepFunction23.value((-0.4441261591d));
    double d31 = stepFunction23.value(1031.314754561683d);
    double d33 = stepFunction23.value(10.0d);
    double d35 = stepFunction23.value(2.980232238769531E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 100.0d);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test382"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(0.5963675241342502d, 0.6276125002048192d, 0.0d, (-0.3705587228686626d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.3742877128628546d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test383"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-3098L), (-59L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-59L));

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test384"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.5002385286119575d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 14.149250785229697d);

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test385"); }


    double d6 = org.apache.commons.math3.util.MathArrays.linearCombination(1.1119912736841524d, 0.9995139296325922d, 1.0841121520311394d, 1.8024327458845857d, 1.5707963267948966d, 0.6018903933771448d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 4.010937229759487d);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test386"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(99.07538188910593d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test387"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.5359495400069918d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test388"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(68.72020298171165d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.995277544490336E29d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test389"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array17 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.copyOf(d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    double[] d_array38 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b42 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array38, orderDirection39, false, false);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array38);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    double d59 = org.apache.commons.math3.util.MathArrays.distance1(d_array54, d_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array58);
    double[] d_array63 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection64 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array63, orderDirection64, false, false);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array63);
    double d69 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array38, d_array63);
    double[] d_array70 = org.apache.commons.math3.util.MathArrays.copyOf(d_array63);
    double d71 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array17, d_array63);
    double d72 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array17);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array17);
    double[] d_array74 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.function.StepFunction stepFunction75 = new org.apache.commons.math3.analysis.function.StepFunction(d_array17, d_array74);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 100.0d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test390"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(7.0d, 2.7182818284590446d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5138983423697506d);

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test391"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equals(d_array1, d_array14);
    double[] d_array19 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection20 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b23 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array19, orderDirection20, false, false);
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array19);
    double[] d_array26 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1, 2);
    double[] d_array27 = org.apache.commons.math3.util.MathArrays.copyOf(d_array26);
    double[] d_array29 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array27, (-0.5597388449675059d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array27);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test392"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(5.0706024E30f, 0.0f, 2.117583E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test393"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(1.98332985371206d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test394"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)0.5803162163888548d, false);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test395"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(3.3343439974769638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 191.04383850020963d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test396"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(6.621666478289821d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test397"); }


    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)6.416438466916935d, number1, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number4);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test398"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-7.255867485932403E63d), 0.8454595218464586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test399"); }


    double[] d_array2 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b6 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection3, false, false);
    double[] d_array8 = new double[] { 100.0d };
    double[] d_array11 = new double[] { 0.0d, 1.0d };
    boolean b12 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array8, d_array11);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array27 = new double[] { 0.0d, 0.0d };
    double d28 = org.apache.commons.math3.util.MathArrays.distance1(d_array23, d_array27);
    boolean b29 = org.apache.commons.math3.util.MathArrays.equals(d_array14, d_array27);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction30 = new org.apache.commons.math3.analysis.function.StepFunction(d_array8, d_array14);
    boolean b31 = org.apache.commons.math3.util.MathArrays.equals(d_array2, d_array8);
    double[] d_array33 = new double[] { 100.0d };
    double[] d_array36 = new double[] { 0.0d, 1.0d };
    boolean b37 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array33, d_array36);
    double[] d_array39 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array33, (-0.5578300447656787d));
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array39);
    double[] d_array42 = new double[] { 100.0d };
    double[] d_array45 = new double[] { 0.0d, 1.0d };
    boolean b46 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array45);
    double[] d_array48 = new double[] { 100.0d };
    double[] d_array51 = new double[] { 0.0d, 1.0d };
    boolean b52 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array48, d_array51);
    double[] d_array55 = new double[] { 0.0d, 0.0d };
    double d56 = org.apache.commons.math3.util.MathArrays.distance1(d_array51, d_array55);
    boolean b57 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array42, d_array55);
    java.lang.Comparable[] comparable_array59 = new java.lang.Comparable[] { (short)100 };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection60 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b62 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array59, orderDirection60, false);
    boolean b65 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array42, orderDirection60, true, true);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array39, orderDirection60, false);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array2, orderDirection60, false);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(comparable_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == true);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test400"); }


    double d2 = org.apache.commons.math3.util.Precision.round((-101.0d), (-18));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test401"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh((-6.986799949882595d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test402"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(53.598150033144236d, 3.9666597074241197d, 5.610852755187624d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test403"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(5.0706024E30f, 2.0000002f, (-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test404"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(5.74E-42f, 1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 5.74E-42f);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test405"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.5816888245462467d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7890572847323042d);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test406"); }


    double d4 = org.apache.commons.math3.util.MathArrays.linearCombination(572.9577951308232d, 1.2527001858293979E28d, (-0.8502250576605341d), 0.38037392989426705d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 7.177443364327843E30d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test407"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(7.922816E22f, 2.1175824E-22f, 6.4E-5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test408"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    int i3 = incrementor1.getCount();
    int i4 = incrementor1.getMaximalCount();
    int i5 = incrementor1.getCount();
    incrementor1.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test409"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.5243549E-29f, 2.842171E-14f, 7.6293936E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test410"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.020066755619076d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test411"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt((-55.91418446455005d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.823907090082567d));

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test412"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.0d, 5.716023696621517E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(1.0000056663902297d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 57.29610417332756d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test414"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(3.3270432810830632d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.05806785961125463d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test415"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.1920929E-7f, 102399.99f, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test416"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(99.999985f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 100);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test417"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0, (java.lang.Number)(short)0, false);
    java.lang.Number number4 = numberIsTooSmallException3.getMin();
    java.lang.Throwable[] throwable_array5 = numberIsTooSmallException3.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array9 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction10 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array9);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array11 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction10 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction12 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array11);
    org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError(localizable8, (java.lang.Object[])differentiableUnivariateFunction_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable7, (java.lang.Object[])differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)numberIsTooSmallException3, localizable6, (java.lang.Object[])differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction20 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array11);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction21 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)0+ "'", number4.equals((short)0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction21);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test418"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, 6.1897E27f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test419"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)2.198797824123542d);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test420"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(7.2759576E-12f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test421"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)13.452237342102702d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = maxCountExceededException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test422"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(100.0f, 0.0f, 3.388132E-21f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test423"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(1);
    incrementor1.setMaximalCount(100);
    incrementor1.incrementCount((-18));
    incrementor1.incrementCount(99);
    int i11 = incrementor1.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 100);

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test424"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(2.117583E-22f, (-127), 90);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test425"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(Double.NaN, Double.NaN, convergenceChecker2);
    org.apache.commons.math3.optimization.GoalType goalType4 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker5 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType6 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.GoalType goalType7 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.optimization.GoalType goalType8 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array10 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array10);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array12 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction11 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable15 = org.apache.commons.math3.analysis.FunctionUtils.toUnivariateDifferential(differentiableUnivariateFunction14);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable15);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array17 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { univariateDifferentiable15 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable18 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array17);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array17);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable20 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array17);
    org.apache.commons.math3.optimization.GoalType goalType21 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair25 = brentOptimizer3.optimize((-17), (org.apache.commons.math3.analysis.UnivariateFunction)univariateDifferentiable20, goalType21, (-0.5278888682247536d), 0.7660494324943987d, 1.1119912736841524d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException");
    } catch (org.apache.commons.math3.exception.TooManyEvaluationsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.TooManyEvaluationsException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.TooManyEvaluationsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType21);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test426"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.8032491835192452d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9295728502495104d);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test427"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(43.88004655443596d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.548010869314917d);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test428"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(101.99999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.634728988229636d);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test429"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.9470539668463765d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test430"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, 1.9922471258628995d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction2);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.7477480666251534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2928347634212232d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test432"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array13 = new double[] { 100.0d };
    double[] d_array16 = new double[] { 0.0d, 1.0d };
    boolean b17 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array13, d_array16);
    double[] d_array20 = new double[] { 0.0d, 0.0d };
    double d21 = org.apache.commons.math3.util.MathArrays.distance1(d_array16, d_array20);
    boolean b22 = org.apache.commons.math3.util.MathArrays.equals(d_array7, d_array20);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction23 = new org.apache.commons.math3.analysis.function.StepFunction(d_array1, d_array7);
    double[] d_array25 = org.apache.commons.math3.util.MathArrays.copyOf(d_array1, 6);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection26 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b28 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array25, orderDirection26, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test433"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(0.0d, 3.3983436196561616d, convergenceChecker2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException");
    } catch (org.apache.commons.math3.exception.NumberIsTooSmallException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooSmallException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooSmallException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test434"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(0.7477480666251534d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test435"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.7879107674293571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7053278716618893d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test436"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(746.2059034444407d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test437"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test438"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.FunctionUtils.sample(univariateFunction0, 57.29610417332756d, 1.560789561776886d, 102400);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test439"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 0.0d, 0.0d };
    double d9 = org.apache.commons.math3.util.MathArrays.distance1(d_array4, d_array8);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection10 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b13 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array8, orderDirection10, true, false);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test440"); }


    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection3 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException5 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection3, false);
    boolean b6 = nonMonotonicSequenceException5.getStrict();
    java.lang.Number number7 = nonMonotonicSequenceException5.getArgument();
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection8 = nonMonotonicSequenceException5.getDirection();
    boolean b9 = nonMonotonicSequenceException5.getStrict();
    java.lang.Number number10 = nonMonotonicSequenceException5.getArgument();
    boolean b11 = nonMonotonicSequenceException5.getStrict();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number7 + "' != '" + 0.0f+ "'", number7.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 0.0f+ "'", number10.equals(0.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test441"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint((-0.44294341170521767d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test442"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.14748239949766842d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.9140464357616453d));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test443"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker4 = brentOptimizer3.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker10 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer11 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker10);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker12 = brentOptimizer11.getConvergenceChecker();
    org.apache.commons.math3.optimization.GoalType goalType13 = brentOptimizer11.getGoalType();
    int i14 = brentOptimizer11.getEvaluations();
    double d15 = brentOptimizer11.getMax();
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    org.apache.commons.math3.analysis.function.Sin sin18 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array19 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin18 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction20 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array19);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array21 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction20 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction22 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array21);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable17, (java.lang.Object[])differentiableUnivariateFunction_array21);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction24 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array21);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction25 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array21);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker28 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer29 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker28);
    org.apache.commons.math3.analysis.function.Sin sin31 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction32 = sin31.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction33 = sin31.derivative();
    org.apache.commons.math3.optimization.GoalType goalType34 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair38 = brentOptimizer29.optimize(6, univariateFunction33, goalType34, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair41 = brentOptimizer11.optimize(2, univariateFunction25, goalType34, (-0.008184875862427155d), 0.3859902316102892d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair45 = brentOptimizer3.optimize((-3), univariateFunction7, goalType34, 1.5705887214689944d, 0.0d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(convergenceChecker12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair41);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test444"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.0f, 4.5474735E-13f, (-80));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test445"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(1.318757039834496d, 5.610852755187624d, 3.399216241149525E248d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test446"); }


    java.lang.Comparable[] comparable_array0 = null;
    double[] d_array5 = new double[] { 100.0d };
    double[] d_array8 = new double[] { 0.0d, 1.0d };
    boolean b9 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array5, d_array8);
    double[] d_array11 = new double[] { 100.0d };
    double[] d_array14 = new double[] { 0.0d, 1.0d };
    boolean b15 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array11, d_array14);
    double[] d_array17 = new double[] { 100.0d };
    double[] d_array20 = new double[] { 0.0d, 1.0d };
    boolean b21 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array17, d_array20);
    double[] d_array24 = new double[] { 0.0d, 0.0d };
    double d25 = org.apache.commons.math3.util.MathArrays.distance1(d_array20, d_array24);
    boolean b26 = org.apache.commons.math3.util.MathArrays.equals(d_array11, d_array24);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction27 = new org.apache.commons.math3.analysis.function.StepFunction(d_array5, d_array11);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException31 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection32 = nonMonotonicSequenceException31.getDirection();
    boolean b34 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array11, orderDirection32, true);
    java.lang.Number number35 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection38 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException40 = new org.apache.commons.math3.exception.NonMonotonicSequenceException(number35, (java.lang.Number)10L, 1, orderDirection38, false);
    org.apache.commons.math3.util.MathArrays.checkOrder(d_array11, orderDirection38, true);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException44 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(short)10, (java.lang.Number)5908.945580817902d, 0, orderDirection38, true);
    // The following exception was thrown during execution in test generation
    try {
      boolean b46 = org.apache.commons.math3.util.MathArrays.<java.lang.Comparable>isMonotonic(comparable_array0, orderDirection38, true);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection38);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test447"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, (-2), 0);
    int i4 = dimensionMismatchException3.getDimension();
    int i5 = dimensionMismatchException3.getDimension();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test448"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = null;
    org.apache.commons.math3.analysis.UnivariateFunction[] univariateFunction_array3 = new org.apache.commons.math3.analysis.UnivariateFunction[] { univariateFunction2 };
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateFunction_array3);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException5 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, (java.lang.Number)100.0d, (java.lang.Object[])univariateFunction_array3);
    java.lang.Number number6 = maxCountExceededException5.getMax();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext7 = maxCountExceededException5.getContext();
    java.lang.Number number8 = maxCountExceededException5.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 100.0d+ "'", number6.equals(100.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 100.0d+ "'", number8.equals(100.0d));

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test449"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin2 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array3 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin2 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException6 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array3);
    org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable9 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable10 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array3);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable11 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable11);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test450"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.018659386019899d, 0.9031474756325354d, convergenceChecker2);
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker7 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer8 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker7);
    int i9 = brentOptimizer8.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType10 = brentOptimizer8.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin12 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction13 = sin12.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction14 = sin12.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction15 = sin12.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin12);
    org.apache.commons.math3.optimization.GoalType goalType17 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair21 = brentOptimizer8.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin12, goalType17, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction22 = sin12.derivative();
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker25 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer26 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker25);
    int i27 = brentOptimizer26.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType28 = brentOptimizer26.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin30 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction31 = sin30.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction32 = sin30.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction33 = sin30.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction34 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin30);
    org.apache.commons.math3.optimization.GoalType goalType35 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair39 = brentOptimizer26.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin30, goalType35, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair43 = brentOptimizer3.optimize(17, (org.apache.commons.math3.analysis.UnivariateFunction)sin12, goalType35, (-360.66014224631806d), (-27.384917411965162d), 1.5707963267948966d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction44 = sin12.derivative();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction44);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test451"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.6060283526990413d, (java.lang.Number)10.000001f, true);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test452"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = new double[] { 100.0d };
    double[] d_array10 = new double[] { 0.0d, 1.0d };
    boolean b11 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array7, d_array10);
    double[] d_array14 = new double[] { 0.0d, 0.0d };
    double d15 = org.apache.commons.math3.util.MathArrays.distance1(d_array10, d_array14);
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array14);
    double[] d_array18 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14, 0);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    double[] d_array38 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b42 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array38, orderDirection39, false, false);
    boolean b43 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array38);
    double[] d_array45 = new double[] { 100.0d };
    double[] d_array48 = new double[] { 0.0d, 1.0d };
    boolean b49 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array48);
    double[] d_array51 = new double[] { 100.0d };
    double[] d_array54 = new double[] { 0.0d, 1.0d };
    boolean b55 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array51, d_array54);
    double[] d_array58 = new double[] { 0.0d, 0.0d };
    double d59 = org.apache.commons.math3.util.MathArrays.distance1(d_array54, d_array58);
    boolean b60 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array58);
    double[] d_array63 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection64 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b67 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array63, orderDirection64, false, false);
    boolean b68 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array63);
    boolean b69 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array45);
    double d70 = org.apache.commons.math3.util.MathArrays.distance(d_array18, d_array20);
    double d71 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b68 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b69 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test453"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.0000004f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000004f);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test454"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(2.5243549E-29f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 3.0092655E-36f);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test455"); }


    double d2 = org.apache.commons.math3.util.Precision.round(1.578103282754004d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.6d);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test456"); }


    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException3 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)3.393115196225441E-33d, (java.lang.Number)1.5707886974003653d, false);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test457"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin5.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin5.derivative();
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair12 = brentOptimizer3.optimize(6, univariateFunction7, goalType8, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    int i13 = brentOptimizer3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 6);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test458"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)(-0.10170769204071056d));
    java.lang.Number number2 = maxCountExceededException1.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + (-0.10170769204071056d)+ "'", number2.equals((-0.10170769204071056d)));

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test459"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(0.7879107674293571d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.787910767429357d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test460"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.5238918188880011d, 125044.17615667617d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-18.15462607683255d));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test461"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-18), (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test462"); }


    double[] d_array0 = null;
    double[] d_array2 = new double[] { 100.0d };
    double[] d_array5 = new double[] { 0.0d, 1.0d };
    boolean b6 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array2, d_array5);
    double[] d_array9 = new double[] { 0.0d, 0.0d };
    double d10 = org.apache.commons.math3.util.MathArrays.distance1(d_array5, d_array9);
    double[] d_array11 = org.apache.commons.math3.util.MathArrays.copyOf(d_array5);
    double[] d_array14 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection15 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b18 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array14, orderDirection15, false, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection19 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    boolean b21 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array14, orderDirection19, true);
    double[] d_array22 = org.apache.commons.math3.util.MathArrays.copyOf(d_array14);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = new double[] { 0.0d, 1.0d };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array24, d_array27);
    double[] d_array30 = new double[] { 100.0d };
    double[] d_array33 = new double[] { 0.0d, 1.0d };
    boolean b34 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array30, d_array33);
    double[] d_array36 = new double[] { 100.0d };
    double[] d_array39 = new double[] { 0.0d, 1.0d };
    boolean b40 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array36, d_array39);
    double[] d_array43 = new double[] { 0.0d, 0.0d };
    double d44 = org.apache.commons.math3.util.MathArrays.distance1(d_array39, d_array43);
    boolean b45 = org.apache.commons.math3.util.MathArrays.equals(d_array30, d_array43);
    double[] d_array48 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection49 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b52 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array48, orderDirection49, false, false);
    boolean b53 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array30, d_array48);
    double[] d_array55 = new double[] { 100.0d };
    double[] d_array58 = new double[] { 0.0d, 1.0d };
    boolean b59 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array55, d_array58);
    double[] d_array61 = new double[] { 100.0d };
    double[] d_array64 = new double[] { 0.0d, 1.0d };
    boolean b65 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array61, d_array64);
    double[] d_array68 = new double[] { 0.0d, 0.0d };
    double d69 = org.apache.commons.math3.util.MathArrays.distance1(d_array64, d_array68);
    boolean b70 = org.apache.commons.math3.util.MathArrays.equals(d_array55, d_array68);
    double[] d_array73 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection74 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b77 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array73, orderDirection74, false, false);
    boolean b78 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array55, d_array73);
    double d79 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array48, d_array73);
    double d80 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array27, d_array48);
    boolean b81 = org.apache.commons.math3.util.MathArrays.equals(d_array22, d_array27);
    double d82 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array5, d_array27);
    java.lang.Number number83 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection86 = org.apache.commons.math3.util.MathArrays.OrderDirection.DECREASING;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException88 = new org.apache.commons.math3.exception.NonMonotonicSequenceException(number83, (java.lang.Number)10L, 1, orderDirection86, false);
    boolean b90 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array27, orderDirection86, false);
    boolean b91 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array0, d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b78 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test463"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker2);
    int i4 = brentOptimizer3.getMaxEvaluations();
    org.apache.commons.math3.optimization.GoalType goalType5 = brentOptimizer3.getGoalType();
    org.apache.commons.math3.analysis.function.Sin sin7 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction8 = sin7.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction9 = sin7.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction10 = sin7.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction11 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin7);
    org.apache.commons.math3.optimization.GoalType goalType12 = org.apache.commons.math3.optimization.GoalType.MINIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair16 = brentOptimizer3.optimize(1, (org.apache.commons.math3.analysis.UnivariateFunction)sin7, goalType12, (-6.731237865069474d), 1.3543406282661572d, 0.6664279098306949d);
    double d17 = brentOptimizer3.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(goalType5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == (-6.731237865069474d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test464"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.98023223876953E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test465"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array7 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.5578300447656787d));
    double[] d_array9 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array1, (-0.8920085211300253d));
    double[] d_array10 = org.apache.commons.math3.util.MathArrays.copyOf(d_array9);
    double[] d_array12 = new double[] { 100.0d };
    double[] d_array15 = new double[] { 0.0d, 1.0d };
    boolean b16 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array12, d_array15);
    double[] d_array18 = new double[] { 100.0d };
    double[] d_array21 = new double[] { 0.0d, 1.0d };
    boolean b22 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array18, d_array21);
    double[] d_array24 = new double[] { 100.0d };
    double[] d_array27 = new double[] { 0.0d, 1.0d };
    boolean b28 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array24, d_array27);
    double[] d_array31 = new double[] { 0.0d, 0.0d };
    double d32 = org.apache.commons.math3.util.MathArrays.distance1(d_array27, d_array31);
    boolean b33 = org.apache.commons.math3.util.MathArrays.equals(d_array18, d_array31);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction34 = new org.apache.commons.math3.analysis.function.StepFunction(d_array12, d_array18);
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException38 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)(-0.5872139151569291d), (java.lang.Number)(byte)(-1), 0);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection39 = nonMonotonicSequenceException38.getDirection();
    boolean b41 = org.apache.commons.math3.util.MathArrays.isMonotonic(d_array18, orderDirection39, true);
    double[] d_array45 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array47 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array45, 1.0907245790542575d);
    double[] d_array49 = new double[] { 100.0d };
    double[] d_array52 = new double[] { 0.0d, 1.0d };
    boolean b53 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array49, d_array52);
    double[] d_array55 = new double[] { 100.0d };
    double[] d_array58 = new double[] { 0.0d, 1.0d };
    boolean b59 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array55, d_array58);
    double[] d_array61 = new double[] { 100.0d };
    double[] d_array64 = new double[] { 0.0d, 1.0d };
    boolean b65 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array61, d_array64);
    double[] d_array68 = new double[] { 0.0d, 0.0d };
    double d69 = org.apache.commons.math3.util.MathArrays.distance1(d_array64, d_array68);
    boolean b70 = org.apache.commons.math3.util.MathArrays.equals(d_array55, d_array68);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction71 = new org.apache.commons.math3.analysis.function.StepFunction(d_array49, d_array55);
    boolean b72 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array55);
    double[] d_array76 = new double[] { 10.0d, 1.0d, (-1.0d) };
    double[] d_array78 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array76, 1.0907245790542575d);
    boolean b79 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array45, d_array78);
    double[] d_array81 = new double[] { 100.0d };
    double[] d_array84 = new double[] { 0.0d, 1.0d };
    boolean b85 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array81, d_array84);
    boolean b86 = org.apache.commons.math3.util.MathArrays.equals(d_array45, d_array84);
    double[] d_array87 = null;
    boolean b88 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array84, d_array87);
    double[] d_array90 = org.apache.commons.math3.util.MathArrays.normalizeArray(d_array84, 0.580195754492862d);
    double d91 = org.apache.commons.math3.util.MathArrays.distance(d_array18, d_array84);
    double d92 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array84);
    double[] d_array94 = org.apache.commons.math3.util.MathArrays.copyOf(d_array84, 0);
    double d95 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array84);
    // The following exception was thrown during execution in test generation
    try {
      double d96 = org.apache.commons.math3.util.MathArrays.linearCombination(d_array10, d_array84);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException");
    } catch (org.apache.commons.math3.exception.DimensionMismatchException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.DimensionMismatchException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.DimensionMismatchException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b28 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b86 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 1.0d);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test466"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.4E-45f, 3.388132E-21f, 9.094947E-13f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test467"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1000.0f, 7.2759576E-12f, 2.1175829E-22f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test468"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test469"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.fix1stArgument(bivariateFunction1, 572.9577951308232d);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.analysis.function.Sin sin11 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array12 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin11 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction13 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException14 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable9, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MathInternalError mathInternalError15 = new org.apache.commons.math3.exception.MathInternalError(localizable8, (java.lang.Object[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException16 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable6, (java.lang.Number)9.936115790724537E232d, (java.lang.Object[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException17 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable4, (java.lang.Number)0.8410312834162215d, (java.lang.Object[])differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array12);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, univariateFunction3, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction19);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test470"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.6562014583654707d, 0.6018903933771448d, convergenceChecker2);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test471"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(1.018659386019899d, 0.6718894572983177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2202878297988d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test472"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(101.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.624972813284271d);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test473"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(76);
    int i2 = incrementor1.getCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test474"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.04588648781766632d, 10.552200340110675d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test475"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor(10);
    int i2 = incrementor1.getMaximalCount();
    incrementor1.setMaximalCount(1);
    incrementor1.setMaximalCount(100);
    incrementor1.incrementCount((-18));
    incrementor1.incrementCount(99);
    incrementor1.setMaximalCount(1000);
    incrementor1.setMaximalCount(9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 10);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test476"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.function.Sin sin3 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException6 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable1, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test477"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(0.02480253213886056d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0251126737296106d);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test478"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = sin1.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = sin1.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = sin1.derivative();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction((org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable)sin1);
    org.apache.commons.math3.analysis.MultivariateFunction multivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.collector(bivariateFunction0, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction5, 0.9999972192379961d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(multivariateFunction7);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test479"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(1.1447298858494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9801035001445729d);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test480"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.4361554065178965d, 1.7320508075688772d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test481"); }


    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker2 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer3 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(1.0d, 0.5591271711416548d, convergenceChecker2);
    org.apache.commons.math3.analysis.function.Sin sin5 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = sin5.derivative();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction7 = sin5.derivative();
    org.apache.commons.math3.optimization.GoalType goalType8 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair12 = brentOptimizer3.optimize(6, univariateFunction7, goalType8, (-0.5872139151569291d), (-0.5578300447656788d), 100.0d);
    double d13 = brentOptimizer3.getMin();
    int i14 = brentOptimizer3.getEvaluations();
    double d15 = brentOptimizer3.getMin();
    double d16 = brentOptimizer3.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction18 = null;
    org.apache.commons.math3.optimization.ConvergenceChecker convergenceChecker21 = null;
    org.apache.commons.math3.optimization.univariate.BrentOptimizer brentOptimizer22 = new org.apache.commons.math3.optimization.univariate.BrentOptimizer(10.0d, 0.44412615900130886d, convergenceChecker21);
    int i23 = brentOptimizer22.getMaxEvaluations();
    int i24 = brentOptimizer22.getEvaluations();
    double d25 = brentOptimizer22.getStartValue();
    org.apache.commons.math3.exception.util.Localizable localizable27 = null;
    org.apache.commons.math3.analysis.function.Sin sin29 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array30 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin29 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction31 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array30);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException32 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable27, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array30);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction33 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array30);
    org.apache.commons.math3.optimization.GoalType goalType34 = org.apache.commons.math3.optimization.GoalType.MAXIMIZE;
    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair37 = brentOptimizer22.optimize(100, univariateFunction33, goalType34, 2.6071006400586496d, (-237.97866503973512d));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair40 = brentOptimizer3.optimize(10, univariateFunction18, goalType34, 2.296156270035173E-16d, 0.5606938826391613d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-0.5872139151569291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i23 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i24 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(goalType34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariatePointValuePair37);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test482"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException3 = new org.apache.commons.math3.exception.DimensionMismatchException(localizable0, 4, 5);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test483"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(2048.0005f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test484"); }


    double d2 = org.apache.commons.math3.util.FastMath.nextAfter(1.0722489976826464d, 10.04987562112089d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0722489976826466d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test485"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction2 = org.apache.commons.math3.analysis.FunctionUtils.fix2ndArgument(bivariateFunction0, 0.44375129692668025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction2);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test486"); }


    org.apache.commons.math3.exception.DimensionMismatchException dimensionMismatchException2 = new org.apache.commons.math3.exception.DimensionMismatchException((-2), 1000);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test487"); }


    org.apache.commons.math3.analysis.function.Sin sin0 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array1 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin0 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable2 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable5 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable6 = org.apache.commons.math3.analysis.FunctionUtils.add(univariateDifferentiable_array1);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction7 = org.apache.commons.math3.analysis.FunctionUtils.toDifferentiableUnivariateFunction(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction7);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test488"); }


    org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair univariatePointValuePair2 = new org.apache.commons.math3.optimization.univariate.UnivariatePointValuePair(1.198797824123542d, 0.0d);
    double d3 = univariatePointValuePair2.getValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test489"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.718275624133165d, (-0.10135843358988561d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.10135843358988561d));

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test490"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.analysis.function.Sin sin1 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] univariateDifferentiable_array2 = new org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable[] { sin1 };
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable3 = org.apache.commons.math3.analysis.FunctionUtils.compose(univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable4 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError(localizable0, (java.lang.Object[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])univariateDifferentiable_array2);
    org.apache.commons.math3.analysis.differentiation.UnivariateDifferentiable univariateDifferentiable7 = org.apache.commons.math3.analysis.FunctionUtils.multiply(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateDifferentiable7);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test491"); }


    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction0 = null;
    org.apache.commons.math3.analysis.BivariateFunction bivariateFunction1 = null;
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection5 = null;
    org.apache.commons.math3.exception.NonMonotonicSequenceException nonMonotonicSequenceException7 = new org.apache.commons.math3.exception.NonMonotonicSequenceException((java.lang.Number)0.0f, (java.lang.Number)(byte)0, 0, orderDirection5, false);
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection8 = nonMonotonicSequenceException7.getDirection();
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.analysis.function.Sin sin12 = new org.apache.commons.math3.analysis.function.Sin();
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array13 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { sin12 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction14 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable10, (java.lang.Number)(byte)1, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction16 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nonMonotonicSequenceException7, localizable9, (java.lang.Object[])differentiableUnivariateFunction_array13);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction18 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array13);
    org.apache.commons.math3.exception.util.Localizable localizable19 = null;
    org.apache.commons.math3.exception.util.Localizable localizable20 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array21 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction22 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array21);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array23 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction22 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction24 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array23);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException25 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable20, (java.lang.Object[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction26 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException27 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable19, (java.lang.Object[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction28 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction29 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction30 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array23);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction31 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction1, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction18, univariateFunction30);
    org.apache.commons.math3.exception.util.Localizable localizable32 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array33 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction34 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array33);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array35 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction34 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction36 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction37 = org.apache.commons.math3.analysis.FunctionUtils.multiply((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array35);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException38 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable32, (java.lang.Object[])differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction39 = org.apache.commons.math3.analysis.FunctionUtils.add(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction40 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array35);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction41 = org.apache.commons.math3.analysis.FunctionUtils.combine(bivariateFunction0, univariateFunction31, (org.apache.commons.math3.analysis.UnivariateFunction)differentiableUnivariateFunction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(orderDirection8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction41);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test492"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(4.814825E-35f, 99.99999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test493"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(6.911324093319557d, 0.6467353345983119d, 92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test494"); }


    double[] d_array1 = new double[] { 100.0d };
    double[] d_array4 = new double[] { 0.0d, 1.0d };
    boolean b5 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array1, d_array4);
    double[] d_array8 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection9 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b12 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array8, orderDirection9, false, false);
    double[] d_array14 = new double[] { 100.0d };
    double[] d_array17 = new double[] { 0.0d, 1.0d };
    boolean b18 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array14, d_array17);
    double[] d_array20 = new double[] { 100.0d };
    double[] d_array23 = new double[] { 0.0d, 1.0d };
    boolean b24 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array20, d_array23);
    double[] d_array26 = new double[] { 100.0d };
    double[] d_array29 = new double[] { 0.0d, 1.0d };
    boolean b30 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array26, d_array29);
    double[] d_array33 = new double[] { 0.0d, 0.0d };
    double d34 = org.apache.commons.math3.util.MathArrays.distance1(d_array29, d_array33);
    boolean b35 = org.apache.commons.math3.util.MathArrays.equals(d_array20, d_array33);
    org.apache.commons.math3.analysis.function.StepFunction stepFunction36 = new org.apache.commons.math3.analysis.function.StepFunction(d_array14, d_array20);
    boolean b37 = org.apache.commons.math3.util.MathArrays.equals(d_array8, d_array14);
    double[] d_array38 = org.apache.commons.math3.util.MathArrays.copyOf(d_array8);
    double d39 = org.apache.commons.math3.util.MathArrays.distance(d_array4, d_array8);
    double[] d_array41 = new double[] { 100.0d };
    double[] d_array44 = new double[] { 0.0d, 1.0d };
    boolean b45 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array44);
    double[] d_array47 = new double[] { 100.0d };
    double[] d_array50 = new double[] { 0.0d, 1.0d };
    boolean b51 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array47, d_array50);
    double[] d_array54 = new double[] { 0.0d, 0.0d };
    double d55 = org.apache.commons.math3.util.MathArrays.distance1(d_array50, d_array54);
    boolean b56 = org.apache.commons.math3.util.MathArrays.equals(d_array41, d_array54);
    double[] d_array59 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection60 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b63 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array59, orderDirection60, false, false);
    boolean b64 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array41, d_array59);
    double[] d_array66 = new double[] { 100.0d };
    double[] d_array69 = new double[] { 0.0d, 1.0d };
    boolean b70 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array66, d_array69);
    double[] d_array72 = new double[] { 100.0d };
    double[] d_array75 = new double[] { 0.0d, 1.0d };
    boolean b76 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array72, d_array75);
    double[] d_array79 = new double[] { 0.0d, 0.0d };
    double d80 = org.apache.commons.math3.util.MathArrays.distance1(d_array75, d_array79);
    boolean b81 = org.apache.commons.math3.util.MathArrays.equals(d_array66, d_array79);
    double[] d_array84 = new double[] { 100.0d, 0.0d };
    org.apache.commons.math3.util.MathArrays.OrderDirection orderDirection85 = org.apache.commons.math3.util.MathArrays.OrderDirection.INCREASING;
    boolean b88 = org.apache.commons.math3.util.MathArrays.checkOrder(d_array84, orderDirection85, false, false);
    boolean b89 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array66, d_array84);
    double d90 = org.apache.commons.math3.util.MathArrays.distanceInf(d_array59, d_array84);
    boolean b91 = org.apache.commons.math3.util.MathArrays.equalsIncludingNaN(d_array4, d_array84);
    double d92 = org.apache.commons.math3.util.MathArrays.safeNorm(d_array84);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathArrays.checkOrder(d_array84);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException");
    } catch (org.apache.commons.math3.exception.NonMonotonicSequenceException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NonMonotonicSequenceException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NonMonotonicSequenceException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b18 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b35 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 100.00499987500625d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b56 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b70 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b76 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(orderDirection85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b91 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 100.0d);

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test495"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array2 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction3 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array2);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array4 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction3 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction5 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = org.apache.commons.math3.analysis.FunctionUtils.compose((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction8 = org.apache.commons.math3.analysis.FunctionUtils.multiply(differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])differentiableUnivariateFunction_array4);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array14 = null;
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction15 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array14);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] differentiableUnivariateFunction_array16 = new org.apache.commons.math3.analysis.DifferentiableUnivariateFunction[] { differentiableUnivariateFunction15 };
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction17 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array16);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException18 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable13, (java.lang.Object[])differentiableUnivariateFunction_array16);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction19 = org.apache.commons.math3.analysis.FunctionUtils.add((org.apache.commons.math3.analysis.UnivariateFunction[])differentiableUnivariateFunction_array16);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable12, (java.lang.Object[])differentiableUnivariateFunction_array16);
    org.apache.commons.math3.exception.MathInternalError mathInternalError21 = new org.apache.commons.math3.exception.MathInternalError(localizable11, (java.lang.Object[])differentiableUnivariateFunction_array16);
    org.apache.commons.math3.analysis.DifferentiableUnivariateFunction differentiableUnivariateFunction22 = org.apache.commons.math3.analysis.FunctionUtils.compose(differentiableUnivariateFunction_array16);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException23 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathArithmeticException9, localizable10, (java.lang.Object[])differentiableUnivariateFunction_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(univariateFunction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(differentiableUnivariateFunction22);

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test496"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-0.009976800870304201d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.00997646987127368d));

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test497"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.6718894572983177d, 1.7453292519943293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3674777521053512d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test498"); }


    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException1 = new org.apache.commons.math3.exception.MaxCountExceededException((java.lang.Number)0.19248785986371106d);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test499"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.03276801f, 1.7763573E-15f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest9.test500"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(1.4711276743037347d, (-0.5594161343659524d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.20712072879412247d));

  }

}
